summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /gnome-base
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'gnome-base')
-rw-r--r--gnome-base/dconf-editor/Manifest1
-rw-r--r--gnome-base/dconf-editor/dconf-editor-3.16.1.ebuild31
-rw-r--r--gnome-base/dconf-editor/metadata.xml5
-rw-r--r--gnome-base/dconf/Manifest3
-rw-r--r--gnome-base/dconf/dconf-0.20.0.ebuild75
-rw-r--r--gnome-base/dconf/dconf-0.22.0.ebuild75
-rw-r--r--gnome-base/dconf/dconf-0.24.0.ebuild70
-rw-r--r--gnome-base/dconf/metadata.xml5
-rw-r--r--gnome-base/gconf/Manifest1
-rw-r--r--gnome-base/gconf/files/gconf-2.24.0-no-gconfd.patch19
-rw-r--r--gnome-base/gconf/files/gconf-2.28.0-entry-set-value-sigsegv.patch18
-rw-r--r--gnome-base/gconf/files/gconf-3.2.6-gsettings-data-convert-paths.patch41
-rw-r--r--gnome-base/gconf/files/gconf-3.2.6-mconvert-crasher.patch45
-rw-r--r--gnome-base/gconf/files/gconf-3.2.6-spew-console-error.patch83
-rw-r--r--gnome-base/gconf/gconf-3.2.6-r3.ebuild127
-rw-r--r--gnome-base/gconf/metadata.xml10
-rw-r--r--gnome-base/gdm/Manifest4
-rw-r--r--gnome-base/gdm/files/49-keychain-r19
-rw-r--r--gnome-base/gdm/files/50-ssh-agent-r110
-rw-r--r--gnome-base/gdm/files/gdm-2.32.0-xinitrc-ssh-agent.patch32
-rw-r--r--gnome-base/gdm/files/gdm-3.2.1.1-custom-session.patch51
-rw-r--r--gnome-base/gdm/files/gdm-3.8.4-fingerprint-auth.patch29
-rw-r--r--gnome-base/gdm/files/gdm-3.8.4-logo.patch25
-rw-r--r--gnome-base/gdm/gdm-3.14.2.ebuild224
-rw-r--r--gnome-base/gdm/gdm-3.16.1.1.ebuild229
-rw-r--r--gnome-base/gdm/gdm-3.16.2.ebuild229
-rw-r--r--gnome-base/gdm/metadata.xml12
-rw-r--r--gnome-base/gnome-common/Manifest2
-rw-r--r--gnome-base/gnome-common/gnome-common-3.12.0.ebuild21
-rw-r--r--gnome-base/gnome-common/gnome-common-3.14.0-r1.ebuild30
-rw-r--r--gnome-base/gnome-common/gnome-common-3.14.0.ebuild24
-rw-r--r--gnome-base/gnome-common/metadata.xml9
-rw-r--r--gnome-base/gnome-control-center/Manifest3
-rw-r--r--gnome-base/gnome-control-center/files/gnome-control-center-3.10.2-gentoo-paths.patch119
-rw-r--r--gnome-base/gnome-control-center/files/gnome-control-center-3.14.0-optional.patch537
-rw-r--r--gnome-base/gnome-control-center/files/gnome-control-center-3.14.2-networkmanager-version.patch63
-rw-r--r--gnome-base/gnome-control-center/files/gnome-control-center-3.16.0-keep-panels-optional.patch39
-rw-r--r--gnome-base/gnome-control-center/files/gnome-control-center-3.16.0-make-wayland-optional.patch44
-rw-r--r--gnome-base/gnome-control-center/files/gnome-control-center-3.16.0-networkmanager.patch83
-rw-r--r--gnome-base/gnome-control-center/gnome-control-center-3.14.2-r1.ebuild166
-rw-r--r--gnome-base/gnome-control-center/gnome-control-center-3.14.5.ebuild146
-rw-r--r--gnome-base/gnome-control-center/gnome-control-center-3.16.2.ebuild158
-rw-r--r--gnome-base/gnome-control-center/metadata.xml13
-rw-r--r--gnome-base/gnome-core-apps/gnome-core-apps-3.14.0.ebuild55
-rw-r--r--gnome-base/gnome-core-apps/gnome-core-apps-3.16.0.ebuild55
-rw-r--r--gnome-base/gnome-core-apps/metadata.xml5
-rw-r--r--gnome-base/gnome-core-libs/gnome-core-libs-3.14.0.ebuild48
-rw-r--r--gnome-base/gnome-core-libs/gnome-core-libs-3.16.0.ebuild48
-rw-r--r--gnome-base/gnome-core-libs/metadata.xml5
-rw-r--r--gnome-base/gnome-desktop/Manifest3
-rw-r--r--gnome-base/gnome-desktop/files/gnome-desktop-2.32.1-gold.patch16
-rw-r--r--gnome-base/gnome-desktop/files/gnome-desktop-2.32.1-thumbnails.patch118
-rw-r--r--gnome-base/gnome-desktop/gnome-desktop-2.32.1-r2.ebuild75
-rw-r--r--gnome-base/gnome-desktop/gnome-desktop-3.14.2.ebuild68
-rw-r--r--gnome-base/gnome-desktop/gnome-desktop-3.16.2.ebuild65
-rw-r--r--gnome-base/gnome-desktop/metadata.xml9
-rw-r--r--gnome-base/gnome-extra-apps/gnome-extra-apps-3.14.0-r1.ebuild74
-rw-r--r--gnome-base/gnome-extra-apps/gnome-extra-apps-3.16.0.ebuild76
-rw-r--r--gnome-base/gnome-extra-apps/metadata.xml11
-rw-r--r--gnome-base/gnome-keyring/Manifest3
-rw-r--r--gnome-base/gnome-keyring/gnome-keyring-3.12.2-r1.ebuild86
-rw-r--r--gnome-base/gnome-keyring/gnome-keyring-3.14.0.ebuild75
-rw-r--r--gnome-base/gnome-keyring/gnome-keyring-3.16.0-r1.ebuild88
-rw-r--r--gnome-base/gnome-keyring/gnome-keyring-3.16.0.ebuild75
-rw-r--r--gnome-base/gnome-keyring/metadata.xml18
-rw-r--r--gnome-base/gnome-light/gnome-light-3.14.0.ebuild51
-rw-r--r--gnome-base/gnome-light/gnome-light-3.16.0.ebuild57
-rw-r--r--gnome-base/gnome-light/metadata.xml9
-rw-r--r--gnome-base/gnome-menus/Manifest3
-rwxr-xr-xgnome-base/gnome-menus/files/gnome-menus-3.8.0-ignore_kde_standalone.patch37
-rw-r--r--gnome-base/gnome-menus/gnome-menus-3.10.1-r1.ebuild56
-rw-r--r--gnome-base/gnome-menus/gnome-menus-3.13.3.ebuild48
-rw-r--r--gnome-base/gnome-menus/metadata.xml5
-rw-r--r--gnome-base/gnome-mime-data/Manifest1
-rw-r--r--gnome-base/gnome-mime-data/gnome-mime-data-2.18.0.ebuild28
-rw-r--r--gnome-base/gnome-mime-data/metadata.xml5
-rw-r--r--gnome-base/gnome-session/Manifest2
-rwxr-xr-xgnome-base/gnome-session/files/10-user-dirs-update-gnome-r110
-rw-r--r--gnome-base/gnome-session/files/15-xdg-data-gnome-r19
-rw-r--r--gnome-base/gnome-session/files/90-xcursor-theme-gnome11
-rw-r--r--gnome-base/gnome-session/files/Gnome109
-rw-r--r--gnome-base/gnome-session/files/defaults.list-r3334
-rw-r--r--gnome-base/gnome-session/files/gnome-session-3.14.0-validate-autostart.patch74
-rw-r--r--gnome-base/gnome-session/gnome-session-3.14.0-r1.ebuild120
-rw-r--r--gnome-base/gnome-session/gnome-session-3.14.0-r2.ebuild125
-rw-r--r--gnome-base/gnome-session/gnome-session-3.16.0.ebuild122
-rw-r--r--gnome-base/gnome-session/metadata.xml9
-rw-r--r--gnome-base/gnome-settings-daemon/Manifest3
-rw-r--r--gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.12.0-optional.patch82
-rw-r--r--gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.14.0-optional.patch95
-rw-r--r--gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.16.0-optional.patch95
-rw-r--r--gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.16.2-settings_set_display.patch47
-rwxr-xr-xgnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.7.90-short-touchpad-timeout.patch25
-rw-r--r--gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.14.2.ebuild152
-rw-r--r--gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.14.4.ebuild152
-rw-r--r--gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.16.2-r1.ebuild155
-rw-r--r--gnome-base/gnome-settings-daemon/metadata.xml15
-rw-r--r--gnome-base/gnome-shell/Manifest3
-rw-r--r--gnome-base/gnome-shell/files/gnome-shell-3.12-bluetooth-flag.patch50
-rw-r--r--gnome-base/gnome-shell/files/gnome-shell-3.14.0-bluetooth-gold.patch31
-rw-r--r--gnome-base/gnome-shell/files/gnome-shell-3.14.0-defaults.patch25
-rw-r--r--gnome-base/gnome-shell/gnome-shell-3.14.4.ebuild224
-rw-r--r--gnome-base/gnome-shell/gnome-shell-3.16.2.ebuild213
-rw-r--r--gnome-base/gnome-shell/gnome-shell-3.16.3.ebuild213
-rw-r--r--gnome-base/gnome-shell/metadata.xml13
-rw-r--r--gnome-base/gnome-vfs/Manifest1
-rw-r--r--gnome-base/gnome-vfs/files/gnome-vfs-2.12.0-afs.patch12
-rw-r--r--gnome-base/gnome-vfs/files/gnome-vfs-2.15.2-headers-define.patch19
-rw-r--r--gnome-base/gnome-vfs/files/gnome-vfs-2.16.0-no-dbus-crash.patch12
-rw-r--r--gnome-base/gnome-vfs/files/gnome-vfs-2.20.0-automagic-deps.patch68
-rw-r--r--gnome-base/gnome-vfs/files/gnome-vfs-2.20.1-automagic-deps.patch19
-rw-r--r--gnome-base/gnome-vfs/files/gnome-vfs-2.24.0-uuid-mount.patch77
-rw-r--r--gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-automake-1.13.patch30
-rw-r--r--gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-build-tests-asneeded.patch25
-rw-r--r--gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-disable-test-async-cancel.patch24
-rw-r--r--gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-gnutls27.patch68
-rw-r--r--gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-home_dir_fakeroot.patch155
-rw-r--r--gnome-base/gnome-vfs/gnome-vfs-2.24.4-r2.ebuild158
-rw-r--r--gnome-base/gnome-vfs/metadata.xml5
-rw-r--r--gnome-base/gnome/gnome-3.14.0.ebuild47
-rw-r--r--gnome-base/gnome/gnome-3.16.0.ebuild53
-rw-r--r--gnome-base/gnome/metadata.xml10
-rw-r--r--gnome-base/gsettings-desktop-schemas/Manifest5
-rw-r--r--gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.12.2.ebuild32
-rw-r--r--gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.14.1.ebuild32
-rw-r--r--gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.14.2.ebuild32
-rw-r--r--gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.16.1.ebuild32
-rw-r--r--gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.6.1.ebuild30
-rw-r--r--gnome-base/gsettings-desktop-schemas/metadata.xml5
-rw-r--r--gnome-base/gvfs/Manifest4
-rw-r--r--gnome-base/gvfs/files/gvfs-1.22.4-fix-parallel.patch25
-rw-r--r--gnome-base/gvfs/gvfs-1.20.3.ebuild119
-rw-r--r--gnome-base/gvfs/gvfs-1.22.3.ebuild119
-rw-r--r--gnome-base/gvfs/gvfs-1.22.4.ebuild124
-rw-r--r--gnome-base/gvfs/gvfs-1.24.1.ebuild121
-rw-r--r--gnome-base/gvfs/metadata.xml23
-rw-r--r--gnome-base/libbonobo/Manifest1
-rw-r--r--gnome-base/libbonobo/libbonobo-2.24.3-r1.ebuild66
-rw-r--r--gnome-base/libbonobo/metadata.xml5
-rw-r--r--gnome-base/libbonoboui/Manifest1
-rw-r--r--gnome-base/libbonoboui/libbonoboui-2.24.5-r1.ebuild61
-rw-r--r--gnome-base/libbonoboui/metadata.xml5
-rw-r--r--gnome-base/libglade/Manifest1
-rw-r--r--gnome-base/libglade/files/Makefile.in.am-2.4.2-xmlcatalog.patch22
-rw-r--r--gnome-base/libglade/files/libglade-2.6.3-fix_tests-page_size.patch11
-rw-r--r--gnome-base/libglade/files/libglade-2.6.4-enable-extensions.patch14
-rw-r--r--gnome-base/libglade/files/libglade-2.6.4-gold-glib-2.32.patch17
-rw-r--r--gnome-base/libglade/libglade-2.6.4-r2.ebuild108
-rw-r--r--gnome-base/libglade/metadata.xml8
-rw-r--r--gnome-base/libgnome-keyring/Manifest1
-rw-r--r--gnome-base/libgnome-keyring/libgnome-keyring-3.12.0.ebuild56
-rw-r--r--gnome-base/libgnome-keyring/metadata.xml8
-rw-r--r--gnome-base/libgnome/Manifest2
-rw-r--r--gnome-base/libgnome/files/libgnome-2.26.0-branding.patch12
-rw-r--r--gnome-base/libgnome/files/libgnome-2.28.0-menus-have-icons.patch15
-rw-r--r--gnome-base/libgnome/libgnome-2.32.1-r1.ebuild69
-rw-r--r--gnome-base/libgnome/metadata.xml5
-rw-r--r--gnome-base/libgnomecanvas/Manifest1
-rw-r--r--gnome-base/libgnomecanvas/libgnomecanvas-2.30.3-r1.ebuild64
-rw-r--r--gnome-base/libgnomecanvas/metadata.xml8
-rw-r--r--gnome-base/libgnomekbd/Manifest1
-rw-r--r--gnome-base/libgnomekbd/libgnomekbd-3.6.0.ebuild37
-rw-r--r--gnome-base/libgnomekbd/metadata.xml5
-rw-r--r--gnome-base/libgnomeprint/Manifest1
-rw-r--r--gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-bison3.patch39
-rw-r--r--gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-cups-config.patch39
-rw-r--r--gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-freetype-2.5.1.patch89
-rw-r--r--gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-stdio-include.patch9
-rw-r--r--gnome-base/libgnomeprint/libgnomeprint-2.18.8-r1.ebuild73
-rw-r--r--gnome-base/libgnomeprint/metadata.xml5
-rw-r--r--gnome-base/libgnomeprintui/Manifest1
-rw-r--r--gnome-base/libgnomeprintui/libgnomeprintui-2.18.6-r1.ebuild50
-rw-r--r--gnome-base/libgnomeprintui/metadata.xml5
-rw-r--r--gnome-base/libgnomeui/Manifest1
-rw-r--r--gnome-base/libgnomeui/libgnomeui-2.24.5-r1.ebuild54
-rw-r--r--gnome-base/libgnomeui/metadata.xml5
-rw-r--r--gnome-base/libgtop/Manifest1
-rw-r--r--gnome-base/libgtop/libgtop-2.30.0.ebuild30
-rw-r--r--gnome-base/libgtop/metadata.xml9
-rw-r--r--gnome-base/librsvg/Manifest3
-rw-r--r--gnome-base/librsvg/files/librsvg-2.40.1-gtk-optional.patch58
-rw-r--r--gnome-base/librsvg/files/librsvg-2.40.2-vala-out-of-source.patch28
-rw-r--r--gnome-base/librsvg/files/librsvg-2.40.7-gtk-optional.patch58
-rw-r--r--gnome-base/librsvg/librsvg-2.40.6.ebuild101
-rw-r--r--gnome-base/librsvg/librsvg-2.40.8.ebuild101
-rw-r--r--gnome-base/librsvg/librsvg-2.40.9.ebuild102
-rw-r--r--gnome-base/librsvg/metadata.xml8
-rw-r--r--gnome-base/metadata.xml32
-rw-r--r--gnome-base/nautilus/Manifest2
-rw-r--r--gnome-base/nautilus/files/nautilus-3.14.2-active-slot.patch51
-rw-r--r--gnome-base/nautilus/files/nautilus-3.14.2-parse-force-desktop.patch38
-rw-r--r--gnome-base/nautilus/files/nautilus-3.14.2-unreadable-names.patch28
-rw-r--r--gnome-base/nautilus/files/nautilus-3.5.91-delete.patch44
-rw-r--r--gnome-base/nautilus/metadata.xml14
-rw-r--r--gnome-base/nautilus/nautilus-3.14.2-r1.ebuild138
-rw-r--r--gnome-base/nautilus/nautilus-3.16.2.ebuild123
-rw-r--r--gnome-base/orbit/Manifest1
-rw-r--r--gnome-base/orbit/files/orbit-2.14.19-aix-func_data.patch99
-rw-r--r--gnome-base/orbit/files/orbit-2.14.19-automake-1.13.patch22
-rw-r--r--gnome-base/orbit/files/orbit-2.14.19-fPIC.patch46
-rw-r--r--gnome-base/orbit/files/orbit-2.14.19-link_protocol_is_local.patch29
-rw-r--r--gnome-base/orbit/files/orbit-2.14.19-parallel-build.patch25
-rw-r--r--gnome-base/orbit/metadata.xml9
-rw-r--r--gnome-base/orbit/orbit-2.14.19-r4.ebuild84
204 files changed, 10559 insertions, 0 deletions
diff --git a/gnome-base/dconf-editor/Manifest b/gnome-base/dconf-editor/Manifest
new file mode 100644
index 00000000000..7a907e74349
--- /dev/null
+++ b/gnome-base/dconf-editor/Manifest
@@ -0,0 +1 @@
+DIST dconf-editor-3.16.1.tar.xz 255532 SHA256 085d1d4f2acc0400b096d0dfbfcb118fd0de61a5647010ce988b2e04d7f3856e SHA512 a52cb737023fea2617a8dbaf80a5b6455f57d3b6804f82c4d74b771dfb02898d120385312a8e13ede42d9d0f6cd94f7d853d9c50da6b1dbe6f584f2b2c31465a WHIRLPOOL 41a1cbafaced73255b8ff09a578b5eb604cfd470ecd543beb54cd15dd65b38c97669ef6e1d0d03951e5cf102b4d129f802cb5fec7631962070dfdc2ab0040583
diff --git a/gnome-base/dconf-editor/dconf-editor-3.16.1.ebuild b/gnome-base/dconf-editor/dconf-editor-3.16.1.ebuild
new file mode 100644
index 00000000000..aa195b1282b
--- /dev/null
+++ b/gnome-base/dconf-editor/dconf-editor-3.16.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit gnome2
+
+DESCRIPTION="Graphical tool for editing the dconf configuration database"
+HOMEPAGE="https://wiki.gnome.org/dconf"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~arm-linux ~x86-linux"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.39.3:2
+ dev-libs/libxml2
+ >=gnome-base/dconf-0.23.2
+ >=x11-libs/gtk+-3.4:3
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/intltool-0.50
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+RDEPEND="${COMMON_DEPEND}
+ !<gnome-base/dconf-0.22[X]
+"
diff --git a/gnome-base/dconf-editor/metadata.xml b/gnome-base/dconf-editor/metadata.xml
new file mode 100644
index 00000000000..da6fd63d008
--- /dev/null
+++ b/gnome-base/dconf-editor/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/gnome-base/dconf/Manifest b/gnome-base/dconf/Manifest
new file mode 100644
index 00000000000..ab75472b937
--- /dev/null
+++ b/gnome-base/dconf/Manifest
@@ -0,0 +1,3 @@
+DIST dconf-0.20.0.tar.xz 389388 SHA256 22c046a247d05ea65ad181e3aef4009c898a5531f76c0181f8ec0dfef83447d9 SHA512 d3069638ac8bfc077bbcef7878ad7e39c5c008d6b673128b685817e94a5ba147f4a3218e9547d9ce1a70260771f6f8e5c4c609fa5cf5530160373d7191aa3b00 WHIRLPOOL a82657d2ff5d0defd81fa9380a28798353e2e907869e85c089eb3c81c542662918cd15b850c9fb2929beee610f205aab01ddfe42312d571ae7712208e1a946fb
+DIST dconf-0.22.0.tar.xz 393260 SHA256 0a277cb0c3f09e77d9413c5a9b3577fc2b5d6e941b59b44940392e024a224b8e SHA512 fee502b599da3634934eadc3d9fc138f2036118e88edadf0e3dc157f8e689ee1fee057342a296197b126e5f657fcb2bb1f399b6a3ffa9ff5fdcc3119d9433d9b WHIRLPOOL 71214ae41394e5c86091674950bb0560f451247d5ae497411a37eebee89fa9ee6605206996303c3826247f31e6a05d2e693830cccd99e2991f0f76e130a4d3b0
+DIST dconf-0.24.0.tar.xz 218512 SHA256 4373e0ced1f4d7d68d518038796c073696280e22957babb29feb0267c630fec2 SHA512 8c2092f1a3002df386686473e6841d600665b3d2ae0e24625c9943b1a636706ecafc31e05f0db48958bbfd666680bb107f47978a9d867b151d1c61fc3c3b591a WHIRLPOOL 16f2fbf706247ad980c7c7cb3d937f060d4ed7c94209427eecd96d8ca55566e7da60d65d9dbf65b7476824215a0fa3bf0614ecfc6f4749ad017c515991bf9891
diff --git a/gnome-base/dconf/dconf-0.20.0.ebuild b/gnome-base/dconf/dconf-0.20.0.ebuild
new file mode 100644
index 00000000000..bdf7093f4e6
--- /dev/null
+++ b/gnome-base/dconf/dconf-0.20.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit gnome2 bash-completion-r1 virtualx
+
+DESCRIPTION="Simple low-level configuration system"
+HOMEPAGE="https://wiki.gnome.org/dconf"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+
+# TODO: coverage ?
+IUSE="test X"
+
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 ~sh sparc x86 ~x86-fbsd ~arm-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-libs/glib-2.39.1:2
+ sys-apps/dbus
+ X? (
+ >=dev-libs/libxml2-2.7.7:2
+ >=x11-libs/gtk+-3.4:3 )
+"
+DEPEND="${RDEPEND}
+ dev-libs/libxslt
+ dev-util/gdbus-codegen
+ >=dev-util/gtk-doc-am-1.15
+ >=dev-util/intltool-0.50
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-gcov \
+ --enable-man \
+ $(use_enable X editor) \
+ VALAC=$(type -P true)
+}
+
+src_test() {
+ Xemake check
+}
+
+src_install() {
+ gnome2_src_install
+
+ # GSettings backend may be one of: memory, gconf, dconf
+ # Only dconf is really considered functional by upstream
+ # must have it enabled over gconf if both are installed
+ echo 'CONFIG_PROTECT_MASK="/etc/dconf"' >> 51dconf
+ echo 'GSETTINGS_BACKEND="dconf"' >> 51dconf
+ doenvd 51dconf
+
+ # Install bash-completion file properly to the system
+ rm -rv "${ED}usr/share/bash-completion" || die
+ dobashcomp "${S}/bin/completion/dconf"
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ # Kill existing dconf-service processes as recommended by upstream due to
+ # possible changes in the dconf private dbus API.
+ # dconf-service will be dbus-activated on next use.
+ pids=$(pgrep -x dconf-service)
+ if [[ $? == 0 ]]; then
+ ebegin "Stopping dconf-service; it will automatically restart on demand"
+ kill ${pids}
+ eend $?
+ fi
+}
diff --git a/gnome-base/dconf/dconf-0.22.0.ebuild b/gnome-base/dconf/dconf-0.22.0.ebuild
new file mode 100644
index 00000000000..2b4a49002e5
--- /dev/null
+++ b/gnome-base/dconf/dconf-0.22.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit gnome2 bash-completion-r1 virtualx
+
+DESCRIPTION="Simple low-level configuration system"
+HOMEPAGE="https://wiki.gnome.org/dconf"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+
+# TODO: coverage ?
+IUSE="test X"
+
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~x86-fbsd ~arm-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-libs/glib-2.39.1:2
+ sys-apps/dbus
+ X? (
+ >=dev-libs/libxml2-2.7.7:2
+ >=x11-libs/gtk+-3.4:3 )
+"
+DEPEND="${RDEPEND}
+ dev-libs/libxslt
+ dev-util/gdbus-codegen
+ >=dev-util/gtk-doc-am-1.15
+ >=dev-util/intltool-0.50
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-gcov \
+ --enable-man \
+ $(use_enable X editor) \
+ VALAC=$(type -P true)
+}
+
+src_test() {
+ Xemake check
+}
+
+src_install() {
+ gnome2_src_install
+
+ # GSettings backend may be one of: memory, gconf, dconf
+ # Only dconf is really considered functional by upstream
+ # must have it enabled over gconf if both are installed
+ echo 'CONFIG_PROTECT_MASK="/etc/dconf"' >> 51dconf
+ echo 'GSETTINGS_BACKEND="dconf"' >> 51dconf
+ doenvd 51dconf
+
+ # Install bash-completion file properly to the system
+ rm -rv "${ED}usr/share/bash-completion" || die
+ dobashcomp "${S}/bin/completion/dconf"
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ # Kill existing dconf-service processes as recommended by upstream due to
+ # possible changes in the dconf private dbus API.
+ # dconf-service will be dbus-activated on next use.
+ pids=$(pgrep -x dconf-service)
+ if [[ $? == 0 ]]; then
+ ebegin "Stopping dconf-service; it will automatically restart on demand"
+ kill ${pids}
+ eend $?
+ fi
+}
diff --git a/gnome-base/dconf/dconf-0.24.0.ebuild b/gnome-base/dconf/dconf-0.24.0.ebuild
new file mode 100644
index 00000000000..ace839397a0
--- /dev/null
+++ b/gnome-base/dconf/dconf-0.24.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit gnome2 bash-completion-r1 virtualx
+
+DESCRIPTION="Simple low-level configuration system"
+HOMEPAGE="https://wiki.gnome.org/dconf"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+
+# TODO: coverage ?
+IUSE="test"
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~arm-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-libs/glib-2.39.1:2
+ sys-apps/dbus
+"
+DEPEND="${RDEPEND}
+ dev-libs/libxslt
+ dev-util/gdbus-codegen
+ >=dev-util/gtk-doc-am-1.15
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-gcov \
+ --enable-man \
+ VALAC=$(type -P true)
+}
+
+src_test() {
+ Xemake check
+}
+
+src_install() {
+ gnome2_src_install
+
+ # GSettings backend may be one of: memory, gconf, dconf
+ # Only dconf is really considered functional by upstream
+ # must have it enabled over gconf if both are installed
+ echo 'CONFIG_PROTECT_MASK="/etc/dconf"' >> 51dconf
+ echo 'GSETTINGS_BACKEND="dconf"' >> 51dconf
+ doenvd 51dconf
+
+ # Install bash-completion file properly to the system
+ rm -rv "${ED}usr/share/bash-completion" || die
+ dobashcomp "${S}/bin/completion/dconf"
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ # Kill existing dconf-service processes as recommended by upstream due to
+ # possible changes in the dconf private dbus API.
+ # dconf-service will be dbus-activated on next use.
+ pids=$(pgrep -x dconf-service)
+ if [[ $? == 0 ]]; then
+ ebegin "Stopping dconf-service; it will automatically restart on demand"
+ kill ${pids}
+ eend $?
+ fi
+}
diff --git a/gnome-base/dconf/metadata.xml b/gnome-base/dconf/metadata.xml
new file mode 100644
index 00000000000..da6fd63d008
--- /dev/null
+++ b/gnome-base/dconf/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/gnome-base/gconf/Manifest b/gnome-base/gconf/Manifest
new file mode 100644
index 00000000000..a6d6b61aba5
--- /dev/null
+++ b/gnome-base/gconf/Manifest
@@ -0,0 +1 @@
+DIST GConf-3.2.6.tar.xz 1559904 SHA256 1912b91803ab09a5eed34d364bf09fe3a2a9c96751fde03a4e0cfa51a04d784c SHA512 35f5f659f9d03f7531a7102adacbda0eb310d8a55a831c768c91a82e07dae21247726e00e0e411f63b1de9ade0f042ded572a3ea4a4b2ad3135231f344540b58 WHIRLPOOL ef38b5fb25b3cf915052ce00f926a0a9bf8ecb5771c2db0fd6f5f11531a8edb1c098a036eaaa20490e3de87a0a5eb411542f86d8c6a2be8ac45dcae0b29d3414
diff --git a/gnome-base/gconf/files/gconf-2.24.0-no-gconfd.patch b/gnome-base/gconf/files/gconf-2.24.0-no-gconfd.patch
new file mode 100644
index 00000000000..8ca6a0d4fc0
--- /dev/null
+++ b/gnome-base/gconf/files/gconf-2.24.0-no-gconfd.patch
@@ -0,0 +1,19 @@
+diff --exclude-from=/home/dang/.scripts/diffrc -up -ruN GConf-2.23.2.old/gconf/gconftool.c GConf-2.23.2/gconf/gconftool.c
+--- GConf-2.23.2.old/gconf/gconftool.c 2008-06-28 05:27:33.000000000 -0400
++++ GConf-2.23.2/gconf/gconftool.c 2008-09-23 10:20:00.000000000 -0400
+@@ -856,6 +856,7 @@ main (int argc, char** argv)
+ {
+ g_print (_("GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL is set, not installing schemas\n"));
+ makefile_install_mode = FALSE;
++ return 0;
+ }
+
+ if (makefile_uninstall_mode &&
+@@ -863,6 +864,7 @@ main (int argc, char** argv)
+ {
+ g_print (_("GCONF_DISABLE_MAKEFILE_SCHEMA_UNINSTALL is set, not uninstalling schemas\n"));
+ makefile_uninstall_mode = FALSE;
++ return 0;
+ }
+
+ if (makefile_install_mode || makefile_uninstall_mode)
diff --git a/gnome-base/gconf/files/gconf-2.28.0-entry-set-value-sigsegv.patch b/gnome-base/gconf/files/gconf-2.28.0-entry-set-value-sigsegv.patch
new file mode 100644
index 00000000000..680b1a159b4
--- /dev/null
+++ b/gnome-base/gconf/files/gconf-2.28.0-entry-set-value-sigsegv.patch
@@ -0,0 +1,18 @@
+From: Romain Perier <mrpouet@gentoo.org>
+Date: Wed, 4 Nov 2009 11:58:25 +0100
+Subject: Do not segfault when entry is NULL
+
+---
+ gconf/gconf-value.c | 1 +
+ 1 files changed, 1 insertions(+), 0 deletions(-)
+
+--- a/gconf/gconf-value.c
++++ b/gconf/gconf-value.c
+@@ -1609,6 +1609,7 @@ void
+ gconf_entry_set_value (GConfEntry *entry,
+ const GConfValue *val)
+ {
++ g_return_if_fail (entry != NULL);
+ gconf_entry_set_value_nocopy (entry,
+ val ? gconf_value_copy (val) : NULL);
+ }
diff --git a/gnome-base/gconf/files/gconf-3.2.6-gsettings-data-convert-paths.patch b/gnome-base/gconf/files/gconf-3.2.6-gsettings-data-convert-paths.patch
new file mode 100644
index 00000000000..dc6c66b1c64
--- /dev/null
+++ b/gnome-base/gconf/files/gconf-3.2.6-gsettings-data-convert-paths.patch
@@ -0,0 +1,41 @@
+From 405f865c07261a95c8c9a09a84ab679c6dd0a330 Mon Sep 17 00:00:00 2001
+From: Colin Walters <walters@verbum.org>
+Date: Thu, 24 Oct 2013 16:27:24 -0400
+Subject: gsettings-data-convert: Warn (and fix) invalid schema paths
+
+See https://bugzilla.gnome.org/show_bug.cgi?id=704802
+
+https://bugzilla.gnome.org/show_bug.cgi?id=710836
+
+diff --git a/gsettings/gsettings-data-convert.c b/gsettings/gsettings-data-convert.c
+index 9b2d1d0..160ed41 100644
+--- a/gsettings/gsettings-data-convert.c
++++ b/gsettings/gsettings-data-convert.c
+@@ -182,7 +182,23 @@ handle_file (const gchar *filename)
+ }
+
+ if (schema_path[1] != NULL)
+- settings = g_settings_new_with_path (schema_path[0], schema_path[1]);
++ {
++ char *compat_path_alloced = NULL;
++ char *compat_path;
++ /* Work around broken .convert files:
++ https://bugzilla.gnome.org/show_bug.cgi?id=704802
++ */
++ if (!g_str_has_suffix (schema_path[1], "/"))
++ {
++ g_warning ("Schema file '%s' has missing trailing / in '%s'",
++ filename, schema_path[1]);
++ compat_path = compat_path_alloced = g_strconcat (schema_path[1], "/", NULL);
++ }
++ else
++ compat_path = schema_path[1];
++ settings = g_settings_new_with_path (schema_path[0], compat_path);
++ g_free (compat_path_alloced);
++ }
+ else
+ settings = g_settings_new (schema_path[0]);
+
+--
+cgit v0.10.1
+
diff --git a/gnome-base/gconf/files/gconf-3.2.6-mconvert-crasher.patch b/gnome-base/gconf/files/gconf-3.2.6-mconvert-crasher.patch
new file mode 100644
index 00000000000..54681bcb0e8
--- /dev/null
+++ b/gnome-base/gconf/files/gconf-3.2.6-mconvert-crasher.patch
@@ -0,0 +1,45 @@
+From 98ff7acca7595f508b094506195aeffaf2e8b74c Mon Sep 17 00:00:00 2001
+From: Stefan Sauer <ensonic@users.sf.net>
+Date: Wed, 23 Jan 2013 08:11:18 +0100
+Subject: mconvert: enable recursive scheme lookup and fix a crasher
+
+The recursive scheme lookup is needed to scan the whole settings path. The crash
+would happen in the case of a misconfiguration (e.g. building gconf from source
+and running uninstalled while the configure settings don't match the one used to
+create the installed package).
+
+diff --git a/gsettings/gsettings-data-convert.c b/gsettings/gsettings-data-convert.c
+index a8af942..9b2d1d0 100644
+--- a/gsettings/gsettings-data-convert.c
++++ b/gsettings/gsettings-data-convert.c
+@@ -22,6 +22,7 @@
+ #include <string.h>
+ #include <sys/types.h>
+ #include <sys/stat.h>
++#include <stdlib.h>
+ #include <unistd.h>
+ #include <errno.h>
+
+@@ -90,6 +91,10 @@ get_writable_client (void)
+ GSList *addresses;
+
+ addresses = get_writable_source_path ();
++ if (!addresses) {
++ g_printf("No writable gconf locations found\n");
++ exit (1);
++ }
+ engine = gconf_engine_get_local_for_addresses (addresses, NULL);
+ gconf_address_list_free (addresses);
+
+@@ -155,7 +160,7 @@ handle_file (const gchar *filename)
+
+ schema_path = g_strsplit (groups[i], ":", 2);
+
+- schema = g_settings_schema_source_lookup (source, schema_path[0], FALSE);
++ schema = g_settings_schema_source_lookup (source, schema_path[0], TRUE);
+ if (schema == NULL)
+ {
+ if (verbose)
+--
+cgit v0.10.1
+
diff --git a/gnome-base/gconf/files/gconf-3.2.6-spew-console-error.patch b/gnome-base/gconf/files/gconf-3.2.6-spew-console-error.patch
new file mode 100644
index 00000000000..26503f7216e
--- /dev/null
+++ b/gnome-base/gconf/files/gconf-3.2.6-spew-console-error.patch
@@ -0,0 +1,83 @@
+From b0895e1998ebc83ab030ec0f17c0685439f5b404 Mon Sep 17 00:00:00 2001
+From: Ray Strode <rstrode@redhat.com>
+Date: Mon, 15 Apr 2013 09:57:34 -0400
+Subject: dbus: Don't spew to console when unable to connect to dbus daemon
+
+Instead pass the error up for the caller to decide what to do.
+
+This prevent untrappable warning messages from showing up at the
+console if gconftool --makefile-install-rule is called.
+
+diff --git a/gconf/gconf-dbus.c b/gconf/gconf-dbus.c
+index 5610fcf..048e3ea 100644
+--- a/gconf/gconf-dbus.c
++++ b/gconf/gconf-dbus.c
+@@ -105,7 +105,7 @@ static GHashTable *engines_by_db = NULL;
+ static GHashTable *engines_by_address = NULL;
+ static gboolean dbus_disconnected = FALSE;
+
+-static gboolean ensure_dbus_connection (void);
++static gboolean ensure_dbus_connection (GError **error);
+ static gboolean ensure_service (gboolean start_if_not_found,
+ GError **err);
+ static gboolean ensure_database (GConfEngine *conf,
+@@ -383,7 +383,7 @@ gconf_engine_detach (GConfEngine *conf)
+ }
+
+ static gboolean
+-ensure_dbus_connection (void)
++ensure_dbus_connection (GError **err)
+ {
+ DBusError error;
+
+@@ -392,7 +392,9 @@ ensure_dbus_connection (void)
+
+ if (dbus_disconnected)
+ {
+- g_warning ("The connection to DBus was broken. Can't reinitialize it.");
++ g_set_error (err, GCONF_ERROR,
++ GCONF_ERROR_NO_SERVER,
++ "The connection to DBus was broken. Can't reinitialize it.");
+ return FALSE;
+ }
+
+@@ -402,7 +404,10 @@ ensure_dbus_connection (void)
+
+ if (!global_conn)
+ {
+- g_warning ("Client failed to connect to the D-BUS daemon:\n%s", error.message);
++ g_set_error (err, GCONF_ERROR,
++ GCONF_ERROR_NO_SERVER,
++ "Client failed to connect to the D-BUS daemon:\n%s",
++ error.message);
+
+ dbus_error_free (&error);
+ return FALSE;
+@@ -431,13 +436,8 @@ ensure_service (gboolean start_if_not_found,
+
+ if (global_conn == NULL)
+ {
+- if (!ensure_dbus_connection ())
+- {
+- g_set_error (err, GCONF_ERROR,
+- GCONF_ERROR_NO_SERVER,
+- _("No D-BUS daemon running\n"));
+- return FALSE;
+- }
++ if (!ensure_dbus_connection (err))
++ return FALSE;
+
+ g_assert (global_conn != NULL);
+ }
+@@ -2512,7 +2512,7 @@ gconf_ping_daemon (void)
+ {
+ if (global_conn == NULL)
+ {
+- if (!ensure_dbus_connection ())
++ if (!ensure_dbus_connection (NULL))
+ {
+ return FALSE;
+ }
+--
+cgit v0.10.1
+
diff --git a/gnome-base/gconf/gconf-3.2.6-r3.ebuild b/gnome-base/gconf/gconf-3.2.6-r3.ebuild
new file mode 100644
index 00000000000..560dd2485a5
--- /dev/null
+++ b/gnome-base/gconf/gconf-3.2.6-r3.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME_ORG_MODULE="GConf"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="xml"
+
+inherit eutils gnome2 multilib-minimal python-r1
+
+DESCRIPTION="GNOME configuration system and daemon"
+HOMEPAGE="http://projects.gnome.org/gconf/"
+
+LICENSE="LGPL-2+"
+SLOT="2"
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~arm-linux ~x86-linux"
+IUSE="debug +introspection ldap policykit"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+ >=dev-libs/dbus-glib-0.100.2:=[${MULTILIB_USEDEP}]
+ >=sys-apps/dbus-1.6.18-r1:=[${MULTILIB_USEDEP}]
+ >=dev-libs/libxml2-2.9.1-r4:2[${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-0.9.5:= )
+ ldap? ( >=net-nds/openldap-2.4.38-r1:=[${MULTILIB_USEDEP}] )
+ policykit? ( sys-auth/polkit:= )
+"
+DEPEND="${RDEPEND}
+ dev-libs/libxslt
+ dev-util/gtk-doc-am
+ >=dev-util/intltool-0.35
+ >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+"
+RDEPEND="${RDEPEND}
+ abi_x86_32? (
+ !<=app-emulation/emul-linux-x86-gtklibs-20140508-r1
+ !app-emulation/emul-linux-x86-gtklibs[-abi_x86_32(-)]
+ )"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+pkg_setup() {
+ kill_gconf
+}
+
+src_prepare() {
+ # Do not start gconfd when installing schemas, fix bug #238276, upstream #631983
+ epatch "${FILESDIR}/${PN}-2.24.0-no-gconfd.patch"
+
+ # Do not crash in gconf_entry_set_value() when entry pointer is NULL, upstream #631985
+ epatch "${FILESDIR}/${PN}-2.28.0-entry-set-value-sigsegv.patch"
+
+ # From 'master'
+ # mconvert: enable recursive scheme lookup and fix a crasher
+ epatch "${FILESDIR}/${P}-mconvert-crasher.patch"
+
+ # dbus: Don't spew to console when unable to connect to dbus daemon
+ epatch "${FILESDIR}/${P}-spew-console-error.patch"
+
+ # gsettings-data-convert: Warn (and fix) invalid schema paths
+ epatch "${FILESDIR}/${P}-gsettings-data-convert-paths.patch"
+
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ --disable-static \
+ --enable-gsettings-backend \
+ --with-gtk=3.0 \
+ --disable-orbit \
+ $(multilib_native_use_enable introspection) \
+ $(use_with ldap openldap) \
+ $(multilib_native_use_enable policykit defaults-service)
+
+ if multilib_is_native_abi; then
+ ln -s "${S}"/doc/gconf/html doc/gconf/html || die
+ fi
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+multilib_src_install_all() {
+ python_replicate_script "${ED}"/usr/bin/gsettings-schema-convert
+
+ keepdir /etc/gconf/gconf.xml.mandatory
+ keepdir /etc/gconf/gconf.xml.defaults
+ # Make sure this directory exists, bug #268070, upstream #572027
+ keepdir /etc/gconf/gconf.xml.system
+
+ echo "CONFIG_PROTECT_MASK=\"/etc/gconf\"" > 50gconf
+ echo 'GSETTINGS_BACKEND="gconf"' >> 50gconf
+ doenvd 50gconf
+ dodir /root/.gconfd
+}
+
+pkg_preinst() {
+ kill_gconf
+}
+
+pkg_postinst() {
+ kill_gconf
+
+ # change the permissions to avoid some gconf bugs
+ einfo "changing permissions for gconf dirs"
+ find "${EPREFIX}"/etc/gconf/ -type d -exec chmod ugo+rx "{}" \;
+
+ einfo "changing permissions for gconf files"
+ find "${EPREFIX}"/etc/gconf/ -type f -exec chmod ugo+r "{}" \;
+}
+
+kill_gconf() {
+ # This function will kill all running gconfd-2 that could be causing troubles
+ if [ -x "${EPREFIX}"/usr/bin/gconftool-2 ]
+ then
+ "${EPREFIX}"/usr/bin/gconftool-2 --shutdown
+ fi
+
+ return 0
+}
diff --git a/gnome-base/gconf/metadata.xml b/gnome-base/gconf/metadata.xml
new file mode 100644
index 00000000000..40c5d90d727
--- /dev/null
+++ b/gnome-base/gconf/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+<use>
+ <flag name="ldap">Build backend which enables default mail accounts,
+ addressbooks and calendars for Evolution to be configured using each
+ user's LDAP entry."</flag>
+</use>
+</pkgmetadata>
diff --git a/gnome-base/gdm/Manifest b/gnome-base/gdm/Manifest
new file mode 100644
index 00000000000..fef25283a3c
--- /dev/null
+++ b/gnome-base/gdm/Manifest
@@ -0,0 +1,4 @@
+DIST gdm-3.14.2.tar.xz 1490544 SHA256 e20eb61496161ad95b1058dbf8aea9b7b004df4d0ea6b0fab4401397d9db5930 SHA512 c9c0785a197da3313dc1879e325d5728ebec16934fa9adbe969beb09bea76666bcadfb3d1e9e56cfc614f553a2f23d258621463c0f97123a2b632c7d696dd866 WHIRLPOOL ba13de133df37c9858d01af43d551fa535921b656d31816e7bf4a45ffe11bea0c04adcef34d861e00a9071511fd737d0aa711036d1f5ac625fa3576d7008991c
+DIST gdm-3.16.1.1.tar.xz 1538676 SHA256 2d2409fdc0a53b080377730a7775bc3239f8584829ff327d3465def0b20433db SHA512 188fb1babdeb65790fb44a11f93f5606d08aafb0c2c66f9188d6408684054e88a098caa38724c4c3d58387f45bd3952c30a4d5498032481103acc11a228ff3d3 WHIRLPOOL 7c2003c895727268fe028c38581859f0fa9dea2197508cbaa606ab2becbfde1afa048cd33f2f291b323d7cbc2543b640448e84105e15d2c0610e59999ac02c4b
+DIST gdm-3.16.2.tar.xz 1526872 SHA256 c32ee80745424da10b94b7216efc2ef1257e2ca63d7f003edc1801f1111e1b56 SHA512 e6ea44843035676f4516a51e447fcf79b445709408ca315e423fa24e447d5bd8142aba3bb3999b5da07a70bcb4e6b3f8abdf8fc560bcdda4d70d2e8f5e1a2b29 WHIRLPOOL 63830f03254253807b7805cc61e88dcdc9eb84d0db27b3c82297f5397204abb6b1203d6d28f7c0a8cca96d44e8071af9b4460ec76a21b388bbc3e1c5725fd926
+DIST tango-gentoo-v1.1.tar.gz 29322 SHA256 518efa4257c8e689488399db23397a89f4dcd5990ce537ef6215860ad5606eb0 SHA512 87d47ddab68361db6d99866c51705dcb3e198f8345a1096859acf2c6cca5099dd23c7fb30d124f52c4933ea38fd45fadffbbe6ecbdfa84f5b60938a4824f9045 WHIRLPOOL 9e1635a505ea48f4fe8bdb3b8b3b43cfb9cf99e3204194c51361b198886e719921cfacbc15f9f6407aa7d0c4af178e24c74b998fc370fa2329040e5be1baf153
diff --git a/gnome-base/gdm/files/49-keychain-r1 b/gnome-base/gdm/files/49-keychain-r1
new file mode 100644
index 00000000000..51a1ca87905
--- /dev/null
+++ b/gnome-base/gdm/files/49-keychain-r1
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+# source keychain variables
+
+keychain="`which keychain 2>/dev/null`"
+if [ -n "$keychain" ] && [ -x "$keychain" ] && [ -f "$HOME/.bash_profile" ]
+then
+ . "${HOME}/.bash_profile"
+fi
diff --git a/gnome-base/gdm/files/50-ssh-agent-r1 b/gnome-base/gdm/files/50-ssh-agent-r1
new file mode 100644
index 00000000000..4d94fb04a14
--- /dev/null
+++ b/gnome-base/gdm/files/50-ssh-agent-r1
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# add ssh-agent if found
+
+sshagent="`which ssh-agent 2>/dev/null`"
+if [ -n "$sshagent" ] && [ -x "$sshagent" ] && [ -z "$SSH_AUTH_SOCK" ]; then
+ command="$sshagent -- $command"
+elif [ -z "$sshagent" ] ; then
+ echo "$0: ssh-agent not found!"
+fi
diff --git a/gnome-base/gdm/files/gdm-2.32.0-xinitrc-ssh-agent.patch b/gnome-base/gdm/files/gdm-2.32.0-xinitrc-ssh-agent.patch
new file mode 100644
index 00000000000..bfd8398af2b
--- /dev/null
+++ b/gnome-base/gdm/files/gdm-2.32.0-xinitrc-ssh-agent.patch
@@ -0,0 +1,32 @@
+From c0581264d5e2b412aa27dc30623512b461024e4f Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Tue, 2 Nov 2010 23:19:31 +0100
+Subject: [PATCH 2/4] ssh-agent handling must be done at xinitrc.d
+
+Gentoo bug: #220603
+---
+ data/Xsession.in | 8 --------
+ 1 file changed, 8 deletions(-)
+
+diff --git a/data/Xsession.in b/data/Xsession.in
+index 201be92..88f1fd9 100755
+--- a/data/Xsession.in
++++ b/data/Xsession.in
+@@ -191,14 +191,6 @@ if [ -d /etc/X11/xinit/xinitrc.d ]; then
+ done
+ fi
+
+-# add ssh-agent if found
+-sshagent="`gdmwhich ssh-agent`"
+-if [ -n "$sshagent" ] && [ -x "$sshagent" ] && [ -z "$SSH_AUTH_SOCK" ]; then
+- command="$sshagent -- $command"
+-elif [ -z "$sshagent" ] ; then
+- echo "$0: ssh-agent not found!"
+-fi
+-
+ echo "$0: Setup done, will execute: $command"
+
+ eval exec $command
+--
+1.8.5.1
+
diff --git a/gnome-base/gdm/files/gdm-3.2.1.1-custom-session.patch b/gnome-base/gdm/files/gdm-3.2.1.1-custom-session.patch
new file mode 100644
index 00000000000..c27f8fd39e2
--- /dev/null
+++ b/gnome-base/gdm/files/gdm-3.2.1.1-custom-session.patch
@@ -0,0 +1,51 @@
+From e61ece2b42b270dd3f68718fef291be7b7f44aa6 Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Tue, 2 Nov 2010 23:19:07 +0100
+Subject: [PATCH 1/4] make custom session work
+
+Gentoo bug: #216984
+
+fix custom sessions not doing sourcing in the proper order.
+---
+ data/Xsession.in | 18 +++++++++---------
+ 1 file changed, 9 insertions(+), 9 deletions(-)
+
+diff --git a/data/Xsession.in b/data/Xsession.in
+index 118518c..201be92 100755
+--- a/data/Xsession.in
++++ b/data/Xsession.in
+@@ -155,15 +155,6 @@ fi
+
+ xhost +si:localuser:`id -un` || :
+
+-# run all system xinitrc shell scripts.
+-if [ -d /etc/X11/xinit/xinitrc.d ]; then
+- for i in /etc/X11/xinit/xinitrc.d/* ; do
+- if [ -x "$i" -a ! -d "$i" ]; then
+- . "$i"
+- fi
+- done
+-fi
+-
+ if [ "x$command" = "xcustom" ] ; then
+ if [ -x "$HOME/.xsession" ]; then
+ command="$HOME/.xsession"
+@@ -191,6 +182,15 @@ if [ "x$command" = "xdefault" ] ; then
+ fi
+ fi
+
++# run all system xinitrc shell scripts.
++if [ -d /etc/X11/xinit/xinitrc.d ]; then
++ for i in /etc/X11/xinit/xinitrc.d/* ; do
++ if [ -x "$i" -a ! -d "$i" ]; then
++ . "$i"
++ fi
++ done
++fi
++
+ # add ssh-agent if found
+ sshagent="`gdmwhich ssh-agent`"
+ if [ -n "$sshagent" ] && [ -x "$sshagent" ] && [ -z "$SSH_AUTH_SOCK" ]; then
+--
+1.8.5.1
+
diff --git a/gnome-base/gdm/files/gdm-3.8.4-fingerprint-auth.patch b/gnome-base/gdm/files/gdm-3.8.4-fingerprint-auth.patch
new file mode 100644
index 00000000000..cd19077a5f1
--- /dev/null
+++ b/gnome-base/gdm/files/gdm-3.8.4-fingerprint-auth.patch
@@ -0,0 +1,29 @@
+From 75fe02c2b383b27b202940bdedd7d8d2c64169fb Mon Sep 17 00:00:00 2001
+From: Alexandre Rostovtsev <tetromino@gentoo.org>
+Date: Tue, 30 Jul 2013 22:56:30 -0400
+Subject: [PATCH 3/4] Gentoo does not have a fingerprint-auth pam stack
+
+---
+ data/pam-exherbo/gdm-fingerprint.pam | 7 ++++++-
+ 1 file changed, 6 insertions(+), 1 deletion(-)
+
+diff --git a/data/pam-exherbo/gdm-fingerprint.pam b/data/pam-exherbo/gdm-fingerprint.pam
+index 41639ec..d9633fb 100644
+--- a/data/pam-exherbo/gdm-fingerprint.pam
++++ b/data/pam-exherbo/gdm-fingerprint.pam
+@@ -1,6 +1,11 @@
+ account include system-login
+
+-auth substack fingerprint-auth
++auth optional pam_env.so
++auth required pam_tally2.so onerr=succeed
++auth required pam_shells.so
++auth required pam_nologin.so
++auth required pam_fprintd.so
++auth required pam_permit.so
+ auth optional pam_gnome_keyring.so
+
+ password required pam_deny.so
+--
+1.8.5.1
+
diff --git a/gnome-base/gdm/files/gdm-3.8.4-logo.patch b/gnome-base/gdm/files/gdm-3.8.4-logo.patch
new file mode 100644
index 00000000000..151d4bc77f4
--- /dev/null
+++ b/gnome-base/gdm/files/gdm-3.8.4-logo.patch
@@ -0,0 +1,25 @@
+From bcc651df77a429a6bf9b13892f71fedb1b87a069 Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Wed, 11 Dec 2013 22:46:58 +0100
+Subject: [PATCH 4/4] Apply Gentoo branding
+
+---
+ data/org.gnome.login-screen.gschema.xml.in | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/data/org.gnome.login-screen.gschema.xml.in b/data/org.gnome.login-screen.gschema.xml.in
+index 03da374..5e81bc0 100644
+--- a/data/org.gnome.login-screen.gschema.xml.in
++++ b/data/org.gnome.login-screen.gschema.xml.in
+@@ -31,7 +31,7 @@
+ </_description>
+ </key>
+ <key name="logo" type="s">
+- <default>''</default>
++ <default>'/usr/share/pixmaps/gentoo-gdm.svg'</default>
+ <_summary>
+ Path to small image at top of user list
+ </_summary>
+--
+1.8.5.1
+
diff --git a/gnome-base/gdm/gdm-3.14.2.ebuild b/gnome-base/gdm/gdm-3.14.2.ebuild
new file mode 100644
index 00000000000..992e31e491e
--- /dev/null
+++ b/gnome-base/gdm/gdm-3.14.2.ebuild
@@ -0,0 +1,224 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools eutils gnome2 pam readme.gentoo systemd user
+
+DESCRIPTION="GNOME Display Manager for managing graphical display servers and user logins"
+HOMEPAGE="https://wiki.gnome.org/Projects/GDM"
+
+SRC_URI="${SRC_URI}
+ branding? ( http://www.mail-archive.com/tango-artists@lists.freedesktop.org/msg00043/tango-gentoo-v1.1.tar.gz )
+"
+
+LICENSE="
+ GPL-2+
+ branding? ( CC-Sampling-Plus-1.0 )
+"
+
+SLOT="0"
+IUSE="accessibility audit branding fprint +introspection ipv6 plymouth selinux smartcard +systemd tcpd test wayland xinerama"
+REQUIRED_USE="wayland? ( systemd )"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc x86"
+
+# NOTE: x11-base/xorg-server dep is for X_SERVER_PATH etc, bug #295686
+# nspr used by smartcard extension
+# dconf, dbus and g-s-d are needed at install time for dconf update
+# We need either systemd or >=openrc-0.12 to restart gdm properly, bug #463784
+COMMON_DEPEND="
+ app-text/iso-codes
+ >=dev-libs/glib-2.36:2
+ >=x11-libs/gtk+-2.91.1:3
+ >=gnome-base/dconf-0.20
+ >=gnome-base/gnome-settings-daemon-3.1.4
+ gnome-base/gsettings-desktop-schemas
+ >=media-libs/fontconfig-2.5.0
+ >=media-libs/libcanberra-0.4[gtk3]
+ sys-apps/dbus
+ >=sys-apps/accountsservice-0.6.12
+
+ x11-apps/sessreg
+ x11-base/xorg-server
+ x11-libs/libXi
+ x11-libs/libXau
+ x11-libs/libX11
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libXft
+ x11-libs/libXrandr
+ >=x11-misc/xdg-utils-1.0.2-r3
+
+ virtual/pam
+ systemd? ( >=sys-apps/systemd-186:0=[pam] )
+ !systemd? (
+ >=x11-base/xorg-server-1.14.3-r1
+ >=sys-auth/consolekit-0.4.5_p20120320-r2
+ !<sys-apps/openrc-0.12
+ )
+ sys-auth/pambase[systemd?]
+
+ audit? ( sys-process/audit )
+ introspection? ( >=dev-libs/gobject-introspection-0.9.12 )
+ plymouth? ( sys-boot/plymouth )
+ selinux? ( sys-libs/libselinux )
+ tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
+ xinerama? ( x11-libs/libXinerama )
+"
+# XXX: These deps are from session and desktop files in data/ directory
+# fprintd is used via dbus by gdm-fingerprint-extension
+# gnome-session-3.6 needed to avoid freezing with orca
+RDEPEND="${COMMON_DEPEND}
+ >=gnome-base/gnome-session-3.6
+ >=gnome-base/gnome-shell-3.1.90
+ gnome-extra/polkit-gnome:0
+ x11-apps/xhost
+ x11-themes/gnome-icon-theme-symbolic
+
+ accessibility? (
+ >=app-accessibility/orca-3.10
+ app-accessibility/caribou
+ gnome-extra/mousetweaks )
+ fprint? (
+ sys-auth/fprintd
+ sys-auth/pam_fprint )
+
+ !gnome-extra/fast-user-switch-applet
+"
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-xml-dtd:4.1.2
+ dev-util/gdbus-codegen
+ >=dev-util/intltool-0.40.0
+ virtual/pkgconfig
+ x11-proto/inputproto
+ x11-proto/randrproto
+ test? ( >=dev-libs/check-0.9.4 )
+ xinerama? ( x11-proto/xineramaproto )
+"
+
+DOC_CONTENTS="
+ To make GDM start at boot, run:\n
+ # systemctl enable gdm.service\n
+ \n
+ For passwordless login to unlock your keyring, you need to install
+ sys-auth/pambase with USE=gnome-keyring and set an empty password
+ on your keyring. Use app-crypt/seahorse for that.\n
+ \n
+ You may need to install app-crypt/coolkey and sys-auth/pam_pkcs11
+ for smartcard support
+"
+
+pkg_setup() {
+ enewgroup gdm
+ enewgroup video # Just in case it hasn't been created yet
+ enewuser gdm -1 -1 /var/lib/gdm gdm,video
+
+ # For compatibility with certain versions of nvidia-drivers, etc., need to
+ # ensure that gdm user is in the video group
+ if ! egetent group video | grep -q gdm; then
+ # FIXME XXX: is this at all portable, ldap-safe, etc.?
+ # XXX: egetent does not have a 1-argument form, so we can't use it to
+ # get the list of gdm's groups
+ local g=$(groups gdm)
+ elog "Adding user gdm to video group"
+ usermod -G video,${g// /,} gdm || die "Adding user gdm to video group failed"
+ fi
+}
+
+src_prepare() {
+ # make custom session work, bug #216984, upstream bug #737578
+ epatch "${FILESDIR}/${PN}-3.2.1.1-custom-session.patch"
+
+ # ssh-agent handling must be done at xinitrc.d, bug #220603
+ epatch "${FILESDIR}/${PN}-2.32.0-xinitrc-ssh-agent.patch"
+
+ # Gentoo does not have a fingerprint-auth pam stack
+ epatch "${FILESDIR}/${PN}-3.8.4-fingerprint-auth.patch"
+
+ # Show logo when branding is enabled
+ use branding && epatch "${FILESDIR}/${PN}-3.8.4-logo.patch"
+
+ eautoreconf
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ local myconf
+ # PAM is the only auth scheme supported
+ # even though configure lists shadow and crypt
+ # they don't have any corresponding code.
+ # --with-at-spi-registryd-directory= needs to be passed explicitly because
+ # of https://bugzilla.gnome.org/show_bug.cgi?id=607643#c4
+ # Xevie is obsolete, bug #482304
+ # --with-initial-vt=7 conflicts with plymouth, bug #453392
+ ! use plymouth && myconf="${myconf} --with-initial-vt=7"
+
+ gnome2_src_configure \
+ --with-run-dir=/run/gdm \
+ --localstatedir="${EPREFIX}"/var \
+ --disable-static \
+ --with-xdmcp=yes \
+ --enable-authentication-scheme=pam \
+ --with-default-pam-config=exherbo \
+ --with-at-spi-registryd-directory="${EPREFIX}"/usr/libexec \
+ --with-consolekit-directory="${EPREFIX}"/usr/lib/ConsoleKit \
+ --without-xevie \
+ $(use_with audit libaudit) \
+ $(use_enable ipv6) \
+ $(use_with plymouth) \
+ $(use_with selinux) \
+ $(use_with systemd) \
+ $(use_with !systemd console-kit) \
+ $(use_enable systemd systemd-journal) \
+ $(systemd_with_unitdir) \
+ $(use_with tcpd tcp-wrappers) \
+ $(use_enable wayland wayland-support) \
+ $(use_with xinerama) \
+ ITSTOOL=$(type -P true) \
+ ${myconf}
+}
+
+src_install() {
+ gnome2_src_install
+
+ if ! use accessibility ; then
+ rm "${ED}"/usr/share/gdm/greeter/autostart/orca-autostart.desktop || die
+ fi
+
+ exeinto /etc/X11/xinit/xinitrc.d
+ newexe "${FILESDIR}/49-keychain-r1" 49-keychain
+ newexe "${FILESDIR}/50-ssh-agent-r1" 50-ssh-agent
+
+ # gdm user's home directory
+ keepdir /var/lib/gdm
+ fowners gdm:gdm /var/lib/gdm
+
+ # install XDG_DATA_DIRS gdm changes
+ echo 'XDG_DATA_DIRS="/usr/share/gdm"' > 99xdg-gdm
+ doenvd 99xdg-gdm
+
+ use branding && newicon "${WORKDIR}/tango-gentoo-v1.1/scalable/gentoo.svg" gentoo-gdm.svg
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ local d ret
+
+ gnome2_pkg_postinst
+
+ # bug #436456; gdm crashes if /var/lib/gdm subdirs are not owned by gdm:gdm
+ ret=0
+ ebegin "Fixing "${EROOT}"var/lib/gdm ownership"
+ chown gdm:gdm "${EROOT}var/lib/gdm" || ret=1
+ for d in "${EROOT}var/lib/gdm/"{.cache,.config,.local}; do
+ [[ ! -e "${d}" ]] || chown -R gdm:gdm "${d}" || ret=1
+ done
+ eend ${ret}
+
+ readme.gentoo_print_elog
+}
diff --git a/gnome-base/gdm/gdm-3.16.1.1.ebuild b/gnome-base/gdm/gdm-3.16.1.1.ebuild
new file mode 100644
index 00000000000..63bc860fa8c
--- /dev/null
+++ b/gnome-base/gdm/gdm-3.16.1.1.ebuild
@@ -0,0 +1,229 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools eutils gnome2 pam readme.gentoo systemd user versionator
+
+DESCRIPTION="GNOME Display Manager for managing graphical display servers and user logins"
+HOMEPAGE="https://wiki.gnome.org/Projects/GDM"
+
+SRC_URI="${SRC_URI}
+ branding? ( http://www.mail-archive.com/tango-artists@lists.freedesktop.org/msg00043/tango-gentoo-v1.1.tar.gz )
+"
+
+LICENSE="
+ GPL-2+
+ branding? ( CC-Sampling-Plus-1.0 )
+"
+
+SLOT="0"
+
+IUSE="accessibility audit branding fprint +introspection ipv6 plymouth selinux smartcard +systemd tcpd test wayland xinerama"
+REQUIRED_USE="wayland? ( systemd )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86"
+
+# NOTE: x11-base/xorg-server dep is for X_SERVER_PATH etc, bug #295686
+# nspr used by smartcard extension
+# dconf, dbus and g-s-d are needed at install time for dconf update
+# We need either systemd or >=openrc-0.12 to restart gdm properly, bug #463784
+COMMON_DEPEND="
+ app-text/iso-codes
+ >=dev-libs/glib-2.36:2[dbus]
+ >=x11-libs/gtk+-2.91.1:3
+ >=gnome-base/dconf-0.20
+ >=gnome-base/gnome-settings-daemon-3.1.4
+ gnome-base/gsettings-desktop-schemas
+ >=media-libs/fontconfig-2.5.0
+ >=media-libs/libcanberra-0.4[gtk3]
+ sys-apps/dbus
+ >=sys-apps/accountsservice-0.6.12
+
+ x11-apps/sessreg
+ x11-base/xorg-server
+ x11-libs/libXi
+ x11-libs/libXau
+ x11-libs/libX11
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libXft
+ >=x11-misc/xdg-utils-1.0.2-r3
+
+ virtual/pam
+ systemd? ( >=sys-apps/systemd-186:0=[pam] )
+ !systemd? (
+ >=x11-base/xorg-server-1.14.3-r1
+ >=sys-auth/consolekit-0.4.5_p20120320-r2
+ !<sys-apps/openrc-0.12
+ )
+ sys-auth/pambase[systemd?]
+
+ audit? ( sys-process/audit )
+ introspection? ( >=dev-libs/gobject-introspection-0.9.12:= )
+ plymouth? ( sys-boot/plymouth )
+ selinux? ( sys-libs/libselinux )
+ tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
+ xinerama? ( x11-libs/libXinerama )
+"
+# XXX: These deps are from session and desktop files in data/ directory
+# fprintd is used via dbus by gdm-fingerprint-extension
+# gnome-session-3.6 needed to avoid freezing with orca
+RDEPEND="${COMMON_DEPEND}
+ >=gnome-base/gnome-session-3.6
+ >=gnome-base/gnome-shell-3.1.90
+ gnome-extra/polkit-gnome:0
+ x11-apps/xhost
+ x11-themes/gnome-icon-theme-symbolic
+
+ accessibility? (
+ >=app-accessibility/orca-3.10
+ gnome-extra/mousetweaks )
+ fprint? (
+ sys-auth/fprintd
+ sys-auth/pam_fprint )
+
+ !gnome-extra/fast-user-switch-applet
+"
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-xml-dtd:4.1.2
+ dev-util/gdbus-codegen
+ >=dev-util/intltool-0.40.0
+ dev-util/itstool
+ virtual/pkgconfig
+ x11-proto/inputproto
+ x11-proto/randrproto
+ test? ( >=dev-libs/check-0.9.4 )
+ xinerama? ( x11-proto/xineramaproto )
+"
+
+DOC_CONTENTS="
+ To make GDM start at boot, run:\n
+ # systemctl enable gdm.service\n
+ \n
+ For passwordless login to unlock your keyring, you need to install
+ sys-auth/pambase with USE=gnome-keyring and set an empty password
+ on your keyring. Use app-crypt/seahorse for that.\n
+ \n
+ You may need to install app-crypt/coolkey and sys-auth/pam_pkcs11
+ for smartcard support
+"
+
+pkg_setup() {
+ enewgroup gdm
+ enewgroup video # Just in case it hasn't been created yet
+ enewuser gdm -1 -1 /var/lib/gdm gdm,video
+
+ # For compatibility with certain versions of nvidia-drivers, etc., need to
+ # ensure that gdm user is in the video group
+ if ! egetent group video | grep -q gdm; then
+ # FIXME XXX: is this at all portable, ldap-safe, etc.?
+ # XXX: egetent does not have a 1-argument form, so we can't use it to
+ # get the list of gdm's groups
+ local g=$(groups gdm)
+ elog "Adding user gdm to video group"
+ usermod -G video,${g// /,} gdm || die "Adding user gdm to video group failed"
+ fi
+}
+
+src_prepare() {
+ # make custom session work, bug #216984, upstream bug #737578
+ epatch "${FILESDIR}/${PN}-3.2.1.1-custom-session.patch"
+
+ # ssh-agent handling must be done at xinitrc.d, bug #220603
+ epatch "${FILESDIR}/${PN}-2.32.0-xinitrc-ssh-agent.patch"
+
+ # Gentoo does not have a fingerprint-auth pam stack
+ epatch "${FILESDIR}/${PN}-3.8.4-fingerprint-auth.patch"
+
+ # Show logo when branding is enabled
+ use branding && epatch "${FILESDIR}/${PN}-3.8.4-logo.patch"
+
+ eautoreconf
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ local myconf
+ # PAM is the only auth scheme supported
+ # even though configure lists shadow and crypt
+ # they don't have any corresponding code.
+ # --with-at-spi-registryd-directory= needs to be passed explicitly because
+ # of https://bugzilla.gnome.org/show_bug.cgi?id=607643#c4
+ # Xevie is obsolete, bug #482304
+ # --with-initial-vt=7 conflicts with plymouth, bug #453392
+ ! use plymouth && myconf="${myconf} --with-initial-vt=7"
+
+ gnome2_src_configure \
+ --with-run-dir=/run/gdm \
+ --localstatedir="${EPREFIX}"/var \
+ --disable-static \
+ --with-xdmcp=yes \
+ --enable-authentication-scheme=pam \
+ --with-default-pam-config=exherbo \
+ --with-at-spi-registryd-directory="${EPREFIX}"/usr/libexec \
+ --with-consolekit-directory="${EPREFIX}"/usr/lib/ConsoleKit \
+ --without-xevie \
+ $(use_with audit libaudit) \
+ $(use_enable ipv6) \
+ $(use_with plymouth) \
+ $(use_with selinux) \
+ $(use_with systemd) \
+ $(use_with !systemd console-kit) \
+ $(use_enable systemd systemd-journal) \
+ $(systemd_with_unitdir) \
+ $(use_with tcpd tcp-wrappers) \
+ $(use_enable wayland wayland-support) \
+ $(use_with xinerama) \
+ ${myconf}
+}
+
+src_install() {
+ gnome2_src_install
+
+ if ! use accessibility ; then
+ rm "${ED}"/usr/share/gdm/greeter/autostart/orca-autostart.desktop || die
+ fi
+
+ exeinto /etc/X11/xinit/xinitrc.d
+ newexe "${FILESDIR}/49-keychain-r1" 49-keychain
+ newexe "${FILESDIR}/50-ssh-agent-r1" 50-ssh-agent
+
+ # gdm user's home directory
+ keepdir /var/lib/gdm
+ fowners gdm:gdm /var/lib/gdm
+
+ # install XDG_DATA_DIRS gdm changes
+ echo 'XDG_DATA_DIRS="/usr/share/gdm"' > 99xdg-gdm
+ doenvd 99xdg-gdm
+
+ use branding && newicon "${WORKDIR}/tango-gentoo-v1.1/scalable/gentoo.svg" gentoo-gdm.svg
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ local d ret
+
+ gnome2_pkg_postinst
+
+ # bug #436456; gdm crashes if /var/lib/gdm subdirs are not owned by gdm:gdm
+ ret=0
+ ebegin "Fixing "${EROOT}"var/lib/gdm ownership"
+ chown gdm:gdm "${EROOT}var/lib/gdm" || ret=1
+ for d in "${EROOT}var/lib/gdm/"{.cache,.config,.local}; do
+ [[ ! -e "${d}" ]] || chown -R gdm:gdm "${d}" || ret=1
+ done
+ eend ${ret}
+
+ readme.gentoo_print_elog
+
+ if ! version_is_at_least 3.16.0 ${REPLACING_VERSIONS}; then
+ ewarn "GDM will now use a new TTY per logged user as explained at:"
+ ewarn "https://wiki.gentoo.org/wiki/Project:GNOME/GNOME3-Troubleshooting#GDM_.3E.3D_3.16_opens_one_graphical_session_per_user"
+ fi
+}
diff --git a/gnome-base/gdm/gdm-3.16.2.ebuild b/gnome-base/gdm/gdm-3.16.2.ebuild
new file mode 100644
index 00000000000..63bc860fa8c
--- /dev/null
+++ b/gnome-base/gdm/gdm-3.16.2.ebuild
@@ -0,0 +1,229 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools eutils gnome2 pam readme.gentoo systemd user versionator
+
+DESCRIPTION="GNOME Display Manager for managing graphical display servers and user logins"
+HOMEPAGE="https://wiki.gnome.org/Projects/GDM"
+
+SRC_URI="${SRC_URI}
+ branding? ( http://www.mail-archive.com/tango-artists@lists.freedesktop.org/msg00043/tango-gentoo-v1.1.tar.gz )
+"
+
+LICENSE="
+ GPL-2+
+ branding? ( CC-Sampling-Plus-1.0 )
+"
+
+SLOT="0"
+
+IUSE="accessibility audit branding fprint +introspection ipv6 plymouth selinux smartcard +systemd tcpd test wayland xinerama"
+REQUIRED_USE="wayland? ( systemd )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86"
+
+# NOTE: x11-base/xorg-server dep is for X_SERVER_PATH etc, bug #295686
+# nspr used by smartcard extension
+# dconf, dbus and g-s-d are needed at install time for dconf update
+# We need either systemd or >=openrc-0.12 to restart gdm properly, bug #463784
+COMMON_DEPEND="
+ app-text/iso-codes
+ >=dev-libs/glib-2.36:2[dbus]
+ >=x11-libs/gtk+-2.91.1:3
+ >=gnome-base/dconf-0.20
+ >=gnome-base/gnome-settings-daemon-3.1.4
+ gnome-base/gsettings-desktop-schemas
+ >=media-libs/fontconfig-2.5.0
+ >=media-libs/libcanberra-0.4[gtk3]
+ sys-apps/dbus
+ >=sys-apps/accountsservice-0.6.12
+
+ x11-apps/sessreg
+ x11-base/xorg-server
+ x11-libs/libXi
+ x11-libs/libXau
+ x11-libs/libX11
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libXft
+ >=x11-misc/xdg-utils-1.0.2-r3
+
+ virtual/pam
+ systemd? ( >=sys-apps/systemd-186:0=[pam] )
+ !systemd? (
+ >=x11-base/xorg-server-1.14.3-r1
+ >=sys-auth/consolekit-0.4.5_p20120320-r2
+ !<sys-apps/openrc-0.12
+ )
+ sys-auth/pambase[systemd?]
+
+ audit? ( sys-process/audit )
+ introspection? ( >=dev-libs/gobject-introspection-0.9.12:= )
+ plymouth? ( sys-boot/plymouth )
+ selinux? ( sys-libs/libselinux )
+ tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
+ xinerama? ( x11-libs/libXinerama )
+"
+# XXX: These deps are from session and desktop files in data/ directory
+# fprintd is used via dbus by gdm-fingerprint-extension
+# gnome-session-3.6 needed to avoid freezing with orca
+RDEPEND="${COMMON_DEPEND}
+ >=gnome-base/gnome-session-3.6
+ >=gnome-base/gnome-shell-3.1.90
+ gnome-extra/polkit-gnome:0
+ x11-apps/xhost
+ x11-themes/gnome-icon-theme-symbolic
+
+ accessibility? (
+ >=app-accessibility/orca-3.10
+ gnome-extra/mousetweaks )
+ fprint? (
+ sys-auth/fprintd
+ sys-auth/pam_fprint )
+
+ !gnome-extra/fast-user-switch-applet
+"
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-xml-dtd:4.1.2
+ dev-util/gdbus-codegen
+ >=dev-util/intltool-0.40.0
+ dev-util/itstool
+ virtual/pkgconfig
+ x11-proto/inputproto
+ x11-proto/randrproto
+ test? ( >=dev-libs/check-0.9.4 )
+ xinerama? ( x11-proto/xineramaproto )
+"
+
+DOC_CONTENTS="
+ To make GDM start at boot, run:\n
+ # systemctl enable gdm.service\n
+ \n
+ For passwordless login to unlock your keyring, you need to install
+ sys-auth/pambase with USE=gnome-keyring and set an empty password
+ on your keyring. Use app-crypt/seahorse for that.\n
+ \n
+ You may need to install app-crypt/coolkey and sys-auth/pam_pkcs11
+ for smartcard support
+"
+
+pkg_setup() {
+ enewgroup gdm
+ enewgroup video # Just in case it hasn't been created yet
+ enewuser gdm -1 -1 /var/lib/gdm gdm,video
+
+ # For compatibility with certain versions of nvidia-drivers, etc., need to
+ # ensure that gdm user is in the video group
+ if ! egetent group video | grep -q gdm; then
+ # FIXME XXX: is this at all portable, ldap-safe, etc.?
+ # XXX: egetent does not have a 1-argument form, so we can't use it to
+ # get the list of gdm's groups
+ local g=$(groups gdm)
+ elog "Adding user gdm to video group"
+ usermod -G video,${g// /,} gdm || die "Adding user gdm to video group failed"
+ fi
+}
+
+src_prepare() {
+ # make custom session work, bug #216984, upstream bug #737578
+ epatch "${FILESDIR}/${PN}-3.2.1.1-custom-session.patch"
+
+ # ssh-agent handling must be done at xinitrc.d, bug #220603
+ epatch "${FILESDIR}/${PN}-2.32.0-xinitrc-ssh-agent.patch"
+
+ # Gentoo does not have a fingerprint-auth pam stack
+ epatch "${FILESDIR}/${PN}-3.8.4-fingerprint-auth.patch"
+
+ # Show logo when branding is enabled
+ use branding && epatch "${FILESDIR}/${PN}-3.8.4-logo.patch"
+
+ eautoreconf
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ local myconf
+ # PAM is the only auth scheme supported
+ # even though configure lists shadow and crypt
+ # they don't have any corresponding code.
+ # --with-at-spi-registryd-directory= needs to be passed explicitly because
+ # of https://bugzilla.gnome.org/show_bug.cgi?id=607643#c4
+ # Xevie is obsolete, bug #482304
+ # --with-initial-vt=7 conflicts with plymouth, bug #453392
+ ! use plymouth && myconf="${myconf} --with-initial-vt=7"
+
+ gnome2_src_configure \
+ --with-run-dir=/run/gdm \
+ --localstatedir="${EPREFIX}"/var \
+ --disable-static \
+ --with-xdmcp=yes \
+ --enable-authentication-scheme=pam \
+ --with-default-pam-config=exherbo \
+ --with-at-spi-registryd-directory="${EPREFIX}"/usr/libexec \
+ --with-consolekit-directory="${EPREFIX}"/usr/lib/ConsoleKit \
+ --without-xevie \
+ $(use_with audit libaudit) \
+ $(use_enable ipv6) \
+ $(use_with plymouth) \
+ $(use_with selinux) \
+ $(use_with systemd) \
+ $(use_with !systemd console-kit) \
+ $(use_enable systemd systemd-journal) \
+ $(systemd_with_unitdir) \
+ $(use_with tcpd tcp-wrappers) \
+ $(use_enable wayland wayland-support) \
+ $(use_with xinerama) \
+ ${myconf}
+}
+
+src_install() {
+ gnome2_src_install
+
+ if ! use accessibility ; then
+ rm "${ED}"/usr/share/gdm/greeter/autostart/orca-autostart.desktop || die
+ fi
+
+ exeinto /etc/X11/xinit/xinitrc.d
+ newexe "${FILESDIR}/49-keychain-r1" 49-keychain
+ newexe "${FILESDIR}/50-ssh-agent-r1" 50-ssh-agent
+
+ # gdm user's home directory
+ keepdir /var/lib/gdm
+ fowners gdm:gdm /var/lib/gdm
+
+ # install XDG_DATA_DIRS gdm changes
+ echo 'XDG_DATA_DIRS="/usr/share/gdm"' > 99xdg-gdm
+ doenvd 99xdg-gdm
+
+ use branding && newicon "${WORKDIR}/tango-gentoo-v1.1/scalable/gentoo.svg" gentoo-gdm.svg
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ local d ret
+
+ gnome2_pkg_postinst
+
+ # bug #436456; gdm crashes if /var/lib/gdm subdirs are not owned by gdm:gdm
+ ret=0
+ ebegin "Fixing "${EROOT}"var/lib/gdm ownership"
+ chown gdm:gdm "${EROOT}var/lib/gdm" || ret=1
+ for d in "${EROOT}var/lib/gdm/"{.cache,.config,.local}; do
+ [[ ! -e "${d}" ]] || chown -R gdm:gdm "${d}" || ret=1
+ done
+ eend ${ret}
+
+ readme.gentoo_print_elog
+
+ if ! version_is_at_least 3.16.0 ${REPLACING_VERSIONS}; then
+ ewarn "GDM will now use a new TTY per logged user as explained at:"
+ ewarn "https://wiki.gentoo.org/wiki/Project:GNOME/GNOME3-Troubleshooting#GDM_.3E.3D_3.16_opens_one_graphical_session_per_user"
+ fi
+}
diff --git a/gnome-base/gdm/metadata.xml b/gnome-base/gdm/metadata.xml
new file mode 100644
index 00000000000..78fb7ea43f0
--- /dev/null
+++ b/gnome-base/gdm/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+<use>
+ <flag name="audit">Enable support for <pkg>sys-process/audit</pkg></flag>
+ <flag name="fprint">Enables experimental fingerprint authentication using
+ <pkg>sys-auth/fprintd</pkg></flag>
+ <flag name="plymouth">Enable support for smooth transition from
+ <pkg>sys-boot/plymouth</pkg></flag>
+</use>
+</pkgmetadata>
diff --git a/gnome-base/gnome-common/Manifest b/gnome-base/gnome-common/Manifest
new file mode 100644
index 00000000000..ef21b5dba1a
--- /dev/null
+++ b/gnome-base/gnome-common/Manifest
@@ -0,0 +1,2 @@
+DIST gnome-common-3.12.0.tar.xz 153060 SHA256 18712bc2df6b2dd88a11b9f7f874096d1c0c6e7ebc9cfc0686ef963bd590e1d8 SHA512 997e6cd4e3d92f02adc24f001479488ef18d46a432b0ebb740635eafa5bbe9fd5377553e944489bc9d70b83156a07bc20429ccc8a5b3b0acb60107bbc1cc3b2c WHIRLPOOL 7ab7bd709dff5d992677015d4e7f09963575b3ab8a2086d1962d7bf30be8a4bbf6a54569c64029d4ca465186b70a3274ab8d63cca2e8a54dbd3a08ca1189a144
+DIST gnome-common-3.14.0.tar.xz 156320 SHA256 4c00242f781bb441289f49dd80ed1d895d84de0c94bfc2c6818a104c9e39262c SHA512 19f00278827fcd7f81a2ea7c198bd270b58f5308f2bb1857f59151c9743c3d968c3f8a7c9885a1b3d50e0e60719b835b0ec2dfc64cc76f00df7b1856822dd695 WHIRLPOOL fa9c553ed816dfa6b72a52d052c839eb626ef68ae306b8647e0ca8db84d44653c922b85ddb258d98af96755693ab0ef1d175654a201884cb2e19add56621855a
diff --git a/gnome-base/gnome-common/gnome-common-3.12.0.ebuild b/gnome-base/gnome-common/gnome-common-3.12.0.ebuild
new file mode 100644
index 00000000000..d7a61e85dda
--- /dev/null
+++ b/gnome-base/gnome-common/gnome-common-3.12.0.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit gnome.org
+
+DESCRIPTION="Common files for development of Gnome packages"
+HOMEPAGE="http://git.gnome.org/browse/gnome-common"
+
+LICENSE="GPL-3"
+SLOT="3"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+src_install() {
+ default
+ mv doc-build/README README.doc-build || die "renaming doc-build/README failed"
+ dodoc ChangeLog README* doc/usage.txt
+}
diff --git a/gnome-base/gnome-common/gnome-common-3.14.0-r1.ebuild b/gnome-base/gnome-common/gnome-common-3.14.0-r1.ebuild
new file mode 100644
index 00000000000..b4a2306fac8
--- /dev/null
+++ b/gnome-base/gnome-common/gnome-common-3.14.0-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit gnome.org
+
+DESCRIPTION="Common files for development of Gnome packages"
+HOMEPAGE="http://git.gnome.org/browse/gnome-common"
+
+LICENSE="GPL-3"
+SLOT="3"
+KEYWORDS="alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="+autoconf-archive"
+
+RDEPEND="autoconf-archive? ( >=sys-devel/autoconf-archive-2015.02.04 )
+ !autoconf-archive? ( !>=sys-devel/autoconf-archive-2015.02.04 )
+"
+DEPEND=""
+
+src_install() {
+ default
+ if use autoconf-archive; then
+ # do not install macros owned by autoconf-archive, bug #540138
+ rm "${ED}"/usr/share/aclocal/ax_{check_enable_debug,code_coverage}.m4 || die "removing macros failed"
+ fi
+ mv doc-build/README README.doc-build || die "renaming doc-build/README failed"
+ dodoc ChangeLog README*
+}
diff --git a/gnome-base/gnome-common/gnome-common-3.14.0.ebuild b/gnome-base/gnome-common/gnome-common-3.14.0.ebuild
new file mode 100644
index 00000000000..33f77dfd75e
--- /dev/null
+++ b/gnome-base/gnome-common/gnome-common-3.14.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit gnome.org
+
+DESCRIPTION="Common files for development of Gnome packages"
+HOMEPAGE="http://git.gnome.org/browse/gnome-common"
+
+LICENSE="GPL-3"
+SLOT="3"
+KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND="!>=sys-devel/autoconf-archive-2015.02.04"
+DEPEND=""
+
+src_install() {
+ default
+ mv doc-build/README README.doc-build || die "renaming doc-build/README failed"
+ dodoc ChangeLog README*
+}
diff --git a/gnome-base/gnome-common/metadata.xml b/gnome-base/gnome-common/metadata.xml
new file mode 100644
index 00000000000..4a4731d98a3
--- /dev/null
+++ b/gnome-base/gnome-common/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+<use>
+ <flag name="autoconf-archive">Pull in <pkg>sys-devel/autoconf-archive</pkg> for ax_*.m4 files
+ instead of installing them from the gnome-common tarball</flag>
+</use>
+</pkgmetadata>
diff --git a/gnome-base/gnome-control-center/Manifest b/gnome-base/gnome-control-center/Manifest
new file mode 100644
index 00000000000..a5d6744f3e3
--- /dev/null
+++ b/gnome-base/gnome-control-center/Manifest
@@ -0,0 +1,3 @@
+DIST gnome-control-center-3.14.2.tar.xz 6938572 SHA256 b15e188b3d45c86d71f4d8cb297829cf190be81f22ce76dc74c7b4232bd0652a SHA512 c5bcdcae87f32cf4b0f9d99709dfe7fcb48e5086945d1685ce94c3996022ff5bf4c82994bbec28e0cf91c9c85309638225536e1dcca06b96cdbaf1ff38f2ae6b WHIRLPOOL 3188ff540a8a01a6479c529f4fe629d2b695b185f762291691a6aefd0f815af382afca2ed8c4ff56e4e5161b3cabe751d507625e4638856034982d2e408000a5
+DIST gnome-control-center-3.14.5.tar.xz 6984452 SHA256 66ffaf4b1eb0a745a2928035bc1b1e1eac7ea3775941e3a06bfb68ae4c1404c4 SHA512 ef9fa7a8d95bf37bce4e67521db7c35145f9de7bc9e5a9428d1aa0b0031698e38706529b509534e68dbc4cc8c54ba3482cf439e386fe64f3374432efa637512d WHIRLPOOL 15a83613f80cc3e236fd602d5c84a9a844a236de6556b742ee25147ccecfe207914cb2e4c1ac4029065a6bf19bd81ff8257cbd26163ad7df757849c2e0865f38
+DIST gnome-control-center-3.16.2.tar.xz 7027220 SHA256 2c2636af27a07a064669abdf79a8b0580a9a611fa4f108900167100473028a3d SHA512 29c7b87ac2f713a46e20e596f69b343e9d98991c3449e79eb3f77e5d0b14f5250902caa2e481192d6da77f22a309bb7ab5fe4e4eb3c2a9e92d8b672c6b99bb09 WHIRLPOOL e1deb4f228058d5d49c9592a9d4f219190bd8909cccf803a45df767311f3d38bf79d56893f2628475a9d807ef68d57176c89972ec4b63aa81c6d0a35b9d25d60
diff --git a/gnome-base/gnome-control-center/files/gnome-control-center-3.10.2-gentoo-paths.patch b/gnome-base/gnome-control-center/files/gnome-control-center-3.10.2-gentoo-paths.patch
new file mode 100644
index 00000000000..8ef4033492a
--- /dev/null
+++ b/gnome-base/gnome-control-center/files/gnome-control-center-3.10.2-gentoo-paths.patch
@@ -0,0 +1,119 @@
+From 6ce180eace2bb3b9954d0b9ca74c7108e772ad68 Mon Sep 17 00:00:00 2001
+From: Alexandre Rostovtsev <tetromino@gentoo.org>
+Date: Sun, 8 Dec 2013 23:44:56 +0100
+Subject: [PATCH 2/2] Fix some absolute paths to be appropriate for Gentoo
+
+---
+ panels/datetime/Makefile.am | 1 +
+ panels/datetime/test-endianess.c | 4 ++--
+ panels/datetime/test-timezone.c | 2 +-
+ panels/datetime/tz.h | 4 ++--
+ panels/printers/Makefile.am | 3 +++
+ panels/printers/cc-printers-panel.c | 4 ++--
+ panels/printers/pp-host.c | 2 +-
+ 7 files changed, 12 insertions(+), 8 deletions(-)
+
+diff --git a/panels/datetime/Makefile.am b/panels/datetime/Makefile.am
+index fc85592..133845f 100644
+--- a/panels/datetime/Makefile.am
++++ b/panels/datetime/Makefile.am
+@@ -24,6 +24,7 @@ AM_CPPFLAGS = \
+ $(DATETIME_PANEL_CFLAGS) \
+ -DGNOMELOCALEDIR="\"$(datadir)/locale\"" \
+ -DGNOMECC_DATA_DIR="\"$(pkgdatadir)\"" \
++ -DREALDATADIR="\"$(datadir)\"" \
+ $(NULL)
+
+ noinst_PROGRAMS = test-timezone-gfx test-endianess test-timezone
+diff --git a/panels/datetime/test-endianess.c b/panels/datetime/test-endianess.c
+index 490df17..b43fc87 100644
+--- a/panels/datetime/test-endianess.c
++++ b/panels/datetime/test-endianess.c
+@@ -38,11 +38,11 @@ int main (int argc, char **argv)
+ return 0;
+ }
+
+- dir = g_dir_open ("/usr/share/i18n/locales/", 0, NULL);
++ dir = g_dir_open (REALDATADIR "/i18n/locales/", 0, NULL);
+ if (dir == NULL) {
+ /* Try with /usr/share/locale/
+ * https://bugzilla.gnome.org/show_bug.cgi?id=646780 */
+- dir = g_dir_open ("/usr/share/locale/", 0, NULL);
++ dir = g_dir_open (REALDATADIR "/locale/", 0, NULL);
+ if (dir == NULL) {
+ return 1;
+ }
+diff --git a/panels/datetime/test-timezone.c b/panels/datetime/test-timezone.c
+index 5667657..8483b87 100644
+--- a/panels/datetime/test-timezone.c
++++ b/panels/datetime/test-timezone.c
+@@ -1,7 +1,7 @@
+ #include <gtk/gtk.h>
+ #include "cc-timezone-map.h"
+
+-#define TZ_DIR "/usr/share/zoneinfo/"
++#define TZ_DIR REALDATADIR "/zoneinfo/"
+
+ static GList *
+ get_timezone_list (GList *tzs,
+diff --git a/panels/datetime/tz.h b/panels/datetime/tz.h
+index 71c1c23..ca4b3c4 100644
+--- a/panels/datetime/tz.h
++++ b/panels/datetime/tz.h
+@@ -29,9 +29,9 @@
+ #include <glib.h>
+
+ #ifndef __sun
+-# define TZ_DATA_FILE "/usr/share/zoneinfo/zone.tab"
++# define TZ_DATA_FILE REALDATADIR "/zoneinfo/zone.tab"
+ #else
+-# define TZ_DATA_FILE "/usr/share/lib/zoneinfo/tab/zone_sun.tab"
++# define TZ_DATA_FILE REALDATADIR "/lib/zoneinfo/tab/zone_sun.tab"
+ #endif
+
+ typedef struct _TzDB TzDB;
+diff --git a/panels/printers/Makefile.am b/panels/printers/Makefile.am
+index 63a33b4..12e2e45 100644
+--- a/panels/printers/Makefile.am
++++ b/panels/printers/Makefile.am
+@@ -7,6 +7,9 @@ INCLUDES = \
+ $(SMBCLIENT_CFLAGS) \
+ -I$(top_srcdir)/shell/ \
+ -DGNOMELOCALEDIR="\"$(datadir)/locale\"" \
++ -DREALDATADIR="\"$(datadir)\"" \
++ -DPREFIX="\"$(prefix)\"" \
++ -DLIBEXECDIR="\"$(libexecdir)\"" \
+ $(NULL)
+
+ noinst_LTLIBRARIES = libprinters.la
+diff --git a/panels/printers/cc-printers-panel.c b/panels/printers/cc-printers-panel.c
+index 29b8173..24bcdf8 100644
+--- a/panels/printers/cc-printers-panel.c
++++ b/panels/printers/cc-printers-panel.c
+@@ -2428,8 +2428,8 @@ test_page_cb (GtkButton *button,
+
+ if (printer_name)
+ {
+- const gchar *const dirs[] = { "/usr/share/cups",
+- "/usr/local/share/cups",
++ const gchar *const dirs[] = { REALDATADIR "/cups",
++ PREFIX "/local/share/cups",
+ NULL };
+ const gchar *testprint[] = { "%s/data/testprint",
+ "%s/data/testprint.ps",
+diff --git a/panels/printers/pp-host.c b/panels/printers/pp-host.c
+index a994a61..51efe50 100644
+--- a/panels/printers/pp-host.c
++++ b/panels/printers/pp-host.c
+@@ -251,7 +251,7 @@ _pp_host_get_snmp_devices_thread (GSimpleAsyncResult *res,
+ data->devices->devices = NULL;
+
+ argv = g_new0 (gchar *, 3);
+- argv[0] = g_strdup ("/usr/lib/cups/backend/snmp");
++ argv[0] = g_strdup (LIBEXECDIR "/cups/backend/snmp");
+ argv[1] = g_strdup (priv->hostname);
+
+ /* Use SNMP to get printer's informations */
+--
+1.8.3.2
+
diff --git a/gnome-base/gnome-control-center/files/gnome-control-center-3.14.0-optional.patch b/gnome-base/gnome-control-center/files/gnome-control-center-3.14.0-optional.patch
new file mode 100644
index 00000000000..a16165882e3
--- /dev/null
+++ b/gnome-base/gnome-control-center/files/gnome-control-center-3.14.0-optional.patch
@@ -0,0 +1,537 @@
+From af4a143d8e0ee51b1a81807d82598101663b1034 Mon Sep 17 00:00:00 2001
+From: Alexandre Rostovtsev <tetromino@gentoo.org>
+Date: Fri, 25 Apr 2014 22:17:24 +0200
+Subject: [PATCH 1/2] Make bluetooth/colord/goa/kerberos/wacom optional
+
+Upstream is not interested in any part of this patch:
+
+https://bugzilla.gnome.org/show_bug.cgi?id=686840
+https://bugzilla.gnome.org/show_bug.cgi?id=697478
+https://bugzilla.gnome.org/show_bug.cgi?id=700145
+
+Dropped mm from this revision of the patch since it appears more
+complicated than ever to split it from the network panel.
+
+Signed-Off: Gilles Dartiguelongue <eva@gentoo.org>
+---
+ configure.ac | 157 ++++++++++++++++++++++++++------
+ panels/Makefile.am | 10 +-
+ panels/background/Makefile.am | 8 +-
+ panels/background/bg-pictures-source.c | 20 ++++
+ panels/user-accounts/um-realm-manager.c | 9 ++
+ shell/Makefile.am | 10 +-
+ shell/cc-panel-loader.c | 8 ++
+ 7 files changed, 186 insertions(+), 36 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index fe723d5..f882e23 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -119,10 +119,6 @@ LIBGD_INIT([_view-common notification static])
+ PKG_CHECK_MODULES(LIBLANGUAGE, $COMMON_MODULES gnome-desktop-3.0 fontconfig)
+ PKG_CHECK_MODULES(LIBSHORTCUTS, $COMMON_MODULES x11)
+ PKG_CHECK_MODULES(SHELL, $COMMON_MODULES x11 polkit-gobject-1 >= $POLKIT_REQUIRED_VERSION)
+-PKG_CHECK_MODULES(BACKGROUND_PANEL, $COMMON_MODULES cairo-gobject libxml-2.0 gnome-desktop-3.0
+- gdk-pixbuf-2.0 >= $GDKPIXBUF_REQUIRED_VERSION
+- goa-1.0 >= $GOA_REQUIRED_VERSION
+- grilo-0.2 >= $GRILO_REQUIRED_VERSION)
+ PKG_CHECK_MODULES(DATETIME_PANEL, $COMMON_MODULES
+ gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION
+ polkit-gobject-1 >= $POLKIT_REQUIRED_VERSION
+@@ -139,14 +135,65 @@ PKG_CHECK_MODULES(MOUSE_PANEL, $COMMON_MODULES xi >= 1.2
+ gnome-settings-daemon >= $GSD_REQUIRED_VERSION x11)
+ PKG_CHECK_MODULES(NETWORK_PANEL, $COMMON_MODULES gmodule-2.0)
+ PKG_CHECK_MODULES(NOTIFICATIONS_PANEL, $COMMON_MODULES)
+-PKG_CHECK_MODULES(ONLINE_ACCOUNTS_PANEL, $COMMON_MODULES goa-1.0 goa-backend-1.0 >= $GOA_REQUIRED_VERSION)
++
++build_online_accounts=false
++background_online_accounts=
++AC_ARG_ENABLE(goa,
++ AC_HELP_STRING([--disable-goa],
++ [disable online accounts management panel]),
++ [case "${enableval}" in
++ yes) WANT_ONLINE_ACCOUNTS=yes ;;
++ no) WANT_ONLINE_ACCOUNTS=no ;;
++ *) AC_MSG_ERROR(bad value ${enableval} for --disable-goa) ;;
++ esac],
++ [WANT_ONLINE_ACCOUNTS=yes]) dnl Default value
++
++if test x$WANT_ONLINE_ACCOUNTS = xyes; then
++ PKG_CHECK_MODULES(ONLINE_ACCOUNTS_PANEL, $COMMON_MODULES goa-1.0 goa-backend-1.0 >= $GOA_REQUIRED_VERSION)
++ build_online_accounts=true
++ background_online_accounts="goa-1.0 >= $GOA_REQUIRED_VERSION grilo-0.2 >= $GRILO_REQUIRED_VERSION"
++fi
++if test "x$build_online_accounts" = xtrue ; then
++ AC_DEFINE(BUILD_ONLINE_ACCOUNTS, 1, [Define to 1 to build the Online Accounts panel])
++fi
++AM_CONDITIONAL(BUILD_ONLINE_ACCOUNTS, test "x$build_online_accounts" = "xtrue")
++AC_SUBST(ONLINE_ACCOUNTS_PANEL_CFLAGS)
++AC_SUBST(ONLINE_ACCOUNTS_PANEL_LIBS)
++
++PKG_CHECK_MODULES(BACKGROUND_PANEL, $COMMON_MODULES libxml-2.0 gnome-desktop-3.0
++ gdk-pixbuf-2.0 >= $GDKPIXBUF_REQUIRED_VERSION
++ $background_online_accounts)
++
+ PKG_CHECK_MODULES(POWER_PANEL, $COMMON_MODULES upower-glib >= 0.99.0
+ gnome-settings-daemon >= $GSD_REQUIRED_VERSION)
+-PKG_CHECK_MODULES(COLOR_PANEL, $COMMON_MODULES
+- colord >= $COLORD_REQUIRED_VERSION
+- colord-gtk >= $COLORD_GTK_REQUIRED_VERSION
+- libsoup-2.4
+- gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION)
++
++build_color=false
++AC_ARG_ENABLE(color,
++ AC_HELP_STRING([--disable-color],
++ [disable color management panel]),
++ [case "${enableval}" in
++ yes) WANT_COLOR=yes ;;
++ no) WANT_COLOR=no ;;
++ *) AC_MSG_ERROR(bad value ${enableval} for --disable-color) ;;
++ esac],
++ [WANT_COLOR=yes]) dnl Default value
++
++if test x$WANT_COLOR = xyes; then
++
++ PKG_CHECK_MODULES(COLOR_PANEL, $COMMON_MODULES
++ colord >= $COLORD_REQUIRED_VERSION
++ colord-gtk >= $COLORD_GTK_REQUIRED_VERSION
++ libsoup-2.4
++ gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION)
++ build_color=true
++fi
++if test "x$build_color" = xtrue ; then
++ AC_DEFINE(BUILD_COLOR, 1, [Define to 1 to build the Color panel])
++fi
++AM_CONDITIONAL(BUILD_COLOR, test "x$build_color" = "xtrue")
++AC_SUBST(COLOR_PANEL_CFLAGS)
++AC_SUBST(COLOR_PANEL_LIBS)
++
+ PKG_CHECK_MODULES(PRINTERS_PANEL, $COMMON_MODULES
+ polkit-gobject-1 >= $POLKIT_REQUIRED_VERSION)
+ PKG_CHECK_MODULES(PRIVACY_PANEL, $COMMON_MODULES)
+@@ -206,8 +253,25 @@ fi
+ AM_CONDITIONAL(HAVE_NM_UNSTABLE, [test x$nm_unstable = xyes])
+
+ # Check for gnome-bluetooth
+-PKG_CHECK_MODULES(BLUETOOTH, $COMMON_MODULES gnome-bluetooth-1.0 >= 3.11.1,
+- [have_bluetooth=yes], have_bluetooth=no)
++have_bluetooth=no
++AC_ARG_ENABLE(bluetooth,
++ AC_HELP_STRING([--disable-bluetooth],
++ [disable bluetooth management panel]),
++ [case "${enableval}" in
++ yes) WANT_BLUETOOTH=yes ;;
++ no) WANT_BLUETOOTH=no ;;
++ *) AC_MSG_ERROR(bad value ${enableval} for --disable-bluetooth) ;;
++ esac],
++ [WANT_BLUETOOTH=yes]) dnl Default value
++
++if test x$WANT_BLUETOOTH = xyes; then
++ # Check for gnome-bluetooth
++ PKG_CHECK_MODULES(BLUETOOTH, $COMMON_MODULES gnome-bluetooth-1.0 >= 3.11.1,
++ [have_bluetooth=yes], have_bluetooth=no)
++ have_bluetooth=yes
++fi
++
++
+ if test "x$have_bluetooth" = xyes ; then
+ AC_DEFINE(BUILD_BLUETOOTH, 1, [Define to 1 to build the Bluetooth panel])
+ fi
+@@ -292,15 +356,27 @@ case $host_os in
+ if test "$host_cpu" = s390 -o "$host_cpu" = s390x; then
+ have_wacom=no
+ else
+- PKG_CHECK_MODULES(WACOM_PANEL, $COMMON_MODULES
+- gnome-settings-daemon >= $GSD_REQUIRED_VERSION
+- xi >= 1.2 x11 libwacom >= $LIBWACOM_REQUIRED_VERSION
+- gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION
+- clutter-gtk-1.0
+- clutter-1.0 >= $CLUTTER_REQUIRED_VERSION)
+- have_wacom=yes
+- AC_DEFINE(BUILD_WACOM, 1, [Define to 1 to build the Wacom panel])
+- AC_DEFINE(HAVE_WACOM, 1, [Define to 1 is Wacom is supportted])
++ AC_ARG_ENABLE(wacom,
++ AC_HELP_STRING([--disable-wacom],
++ [disable wacom management panel]),
++ [case "${enableval}" in
++ yes) WANT_WACOM=yes ;;
++ no) WANT_WACOM=no ;;
++ *) AC_MSG_ERROR(bad value ${enableval} for --disable-wacom) ;;
++ esac],
++ [WANT_WACOM=yes]) dnl Default value
++
++ if test x$WANT_WACOM = xyes; then
++ PKG_CHECK_MODULES(WACOM_PANEL, $COMMON_MODULES
++ gnome-settings-daemon >= $GSD_REQUIRED_VERSION
++ xi >= 1.2 x11 libwacom >= $LIBWACOM_REQUIRED_VERSION
++ gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION
++ clutter-gtk-1.0
++ clutter-1.0 >= $CLUTTER_REQUIRED_VERSION)
++ have_wacom=yes
++ AC_DEFINE(BUILD_WACOM, 1, [Define to 1 to build the Wacom panel])
++ AC_DEFINE(HAVE_WACOM, 1, [Define to 1 is Wacom is supportted])
++ fi
+ fi
+ ;;
+ *)
+@@ -310,16 +386,22 @@ esac
+ AM_CONDITIONAL(BUILD_WACOM, [test x${have_wacom} = xyes])
+
+ # Kerberos kerberos support
+-AC_PATH_PROG(KRB5_CONFIG, krb5-config, no)
+-if test "$KRB5_CONFIG" = "no"; then
+- AC_MSG_ERROR([krb5-config executable not found in your path - should be installed with the kerberos libraries])
+-fi
+-
+-AC_MSG_CHECKING(for krb5 libraries and flags)
+-KRB5_CFLAGS="`$KRB5_CONFIG --cflags`"
+-KRB5_LIBS="`$KRB5_CONFIG --libs`"
+-AC_MSG_RESULT($KRB5_CFLAGS $KRB5_LIBS)
++AC_ARG_ENABLE([kerberos],
++ AS_HELP_STRING([--disable-kerberos], [disable kerberos support (default: enabled)]),,
++ [enable_kerberos=yes])
++
++if test x"$enable_kerberos" != x"no" ; then
++ AC_PATH_PROG(KRB5_CONFIG, krb5-config, no)
++ if test "$KRB5_CONFIG" = "no"; then
++ AC_MSG_ERROR([krb5-config executable not found in your path - should be installed with the kerberos libraries])
++ fi
+
++ AC_MSG_CHECKING(for krb5 libraries and flags)
++ KRB5_CFLAGS="`$KRB5_CONFIG --cflags`"
++ KRB5_LIBS="`$KRB5_CONFIG --libs`"
++ AC_MSG_RESULT($KRB5_CFLAGS $KRB5_LIBS)
++ AC_DEFINE(HAVE_KERBEROS, 1, [defined if krb5 is available])
++fi
+ AC_SUBST(KRB5_CFLAGS)
+ AC_SUBST(KRB5_LIBS)
+
+@@ -538,6 +620,11 @@ if test "x$have_bluetooth" = "xyes"; then
+ else
+ AC_MSG_NOTICE([ Bluetooth panel disabled])
+ fi
++if test "x$build_color" = "xtrue"; then
++ AC_MSG_NOTICE([** colord (Color panel)])
++else
++ AC_MSG_NOTICE([ Color panel disabled])
++fi
+ if test "x$enable_cups" = "xyes"; then
+ AC_MSG_NOTICE([** CUPS (Printers panel)])
+ else
+@@ -548,6 +635,16 @@ if test "x$have_cheese" = "xyes"; then
+ else
+ AC_MSG_NOTICE([ Users panel webcam support disabled])
+ fi
++if test "x$build_online_accounts" = "xtrue"; then
++ AC_MSG_NOTICE([** gnome-online-accounts (Online Accounts panel)])
++else
++ AC_MSG_NOTICE([ Online Accounts panel disabled])
++fi
++if test "x$build_wacom" = "xtrue"; then
++ AC_MSG_NOTICE([** libwacom (Wacom Graphics Tablet panel)])
++else
++ AC_MSG_NOTICE([ Wacom Graphics Tablet panel disabled])
++fi
+ if test "x$have_wacom" = "xyes"; then
+ AC_MSG_NOTICE([** wacom (Wacom tablet panel)])
+ else
+diff --git a/panels/Makefile.am b/panels/Makefile.am
+index 9961c25..0c54622 100644
+--- a/panels/Makefile.am
++++ b/panels/Makefile.am
+@@ -2,11 +2,9 @@ SUBDIRS= \
+ common \
+ background \
+ power \
+- color \
+ display \
+ mouse \
+ notifications \
+- online-accounts \
+ region \
+ info \
+ sound \
+@@ -18,6 +16,10 @@ SUBDIRS= \
+ privacy \
+ sharing
+
++if BUILD_COLOR
++SUBDIRS += color
++endif
++
+ if BUILD_WACOM
+ SUBDIRS += wacom
+ endif
+@@ -34,4 +36,8 @@ if BUILD_BLUETOOTH
+ SUBDIRS += bluetooth
+ endif
+
++if BUILD_ONLINE_ACCOUNTS
++SUBDIRS += online-accounts
++endif
++
+ -include $(top_srcdir)/git.mk
+diff --git a/panels/background/Makefile.am b/panels/background/Makefile.am
+index ccb8017..bde4cdf 100644
+--- a/panels/background/Makefile.am
++++ b/panels/background/Makefile.am
+@@ -27,8 +27,6 @@ libbackground_chooser_la_SOURCES = \
+ $(BUILT_SOURCES) \
+ cc-background-chooser-dialog.c \
+ cc-background-chooser-dialog.h \
+- cc-background-grilo-miner.c \
+- cc-background-grilo-miner.h \
+ cc-background-item.c \
+ cc-background-item.h \
+ cc-background-xml.c \
+@@ -42,6 +40,12 @@ libbackground_chooser_la_SOURCES = \
+ bg-colors-source.c \
+ bg-colors-source.h
+
++if BUILD_ONLINE_ACCOUNTS
++libbackground_chooser_la_SOURCES += \
++ cc-background-grilo-miner.c \
++ cc-background-grilo-miner.h
++endif
++
+ libbackground_chooser_la_LIBADD = $(PANEL_LIBS) $(BACKGROUND_PANEL_LIBS)
+
+ libbackground_la_SOURCES = \
+diff --git a/panels/background/bg-pictures-source.c b/panels/background/bg-pictures-source.c
+index c165fa3..78ef4a5 100644
+--- a/panels/background/bg-pictures-source.c
++++ b/panels/background/bg-pictures-source.c
+@@ -23,13 +23,17 @@
+
+ #include "bg-pictures-source.h"
+
++#ifdef BUILD_ONLINE_ACCOUNTS
+ #include "cc-background-grilo-miner.h"
++#endif
+ #include "cc-background-item.h"
+
+ #include <string.h>
+ #include <cairo-gobject.h>
+ #include <gio/gio.h>
++#ifdef BUILD_ONLINE_ACCOUNTS
+ #include <grilo.h>
++#endif
+ #include <libgnome-desktop/gnome-desktop-thumbnail.h>
+ #include <gdesktop-enums.h>
+
+@@ -46,7 +50,9 @@ struct _BgPicturesSourcePrivate
+ {
+ GCancellable *cancellable;
+
++#ifdef BUILD_ONLINE_ACCOUNTS
+ CcBackgroundGriloMiner *grl_miner;
++#endif
+
+ GnomeDesktopThumbnailFactory *thumb_factory;
+
+@@ -84,7 +90,9 @@ bg_pictures_source_dispose (GObject *object)
+ g_clear_object (&priv->cancellable);
+ }
+
++#ifdef BUILD_ONLINE_ACCOUNTS
+ g_clear_object (&priv->grl_miner);
++#endif
+ g_clear_object (&priv->thumb_factory);
+
+ G_OBJECT_CLASS (bg_pictures_source_parent_class)->dispose (object);
+@@ -414,7 +422,11 @@ add_single_file (BgPicturesSource *bg_source,
+ gboolean needs_download;
+ gboolean retval = FALSE;
+ GFile *pictures_dir, *cache_dir;
++#ifdef BUILD_ONLINE_ACCOUNTS
+ GrlMedia *media;
++#else
++ gpointer media = NULL;
++#endif
+
+ /* find png and jpeg files */
+ if (!content_type)
+@@ -473,7 +485,9 @@ add_single_file (BgPicturesSource *bg_source,
+
+ read_file:
+
++#ifdef BUILD_ONLINE_ACCOUNTS
+ media = g_object_get_data (G_OBJECT (file), "grl-media");
++#endif
+ if (media == NULL)
+ {
+ g_object_set_data_full (G_OBJECT (file), "item", g_object_ref (item), g_object_unref);
+@@ -556,6 +570,7 @@ add_single_file_from_info (BgPicturesSource *bg_source,
+ return add_single_file (bg_source, file, content_type, mtime, ret_row_ref);
+ }
+
++#ifdef BUILD_ONLINE_ACCOUNTS
+ static gboolean
+ add_single_file_from_media (BgPicturesSource *bg_source,
+ GFile *file,
+@@ -575,6 +590,7 @@ add_single_file_from_media (BgPicturesSource *bg_source,
+
+ return add_single_file (bg_source, file, content_type, (guint64) mtime_unix, NULL);
+ }
++#endif /* BUILD_ONLINE_ACCOUNTS */
+
+ gboolean
+ bg_pictures_source_add (BgPicturesSource *bg_source,
+@@ -885,6 +901,7 @@ files_changed_cb (GFileMonitor *monitor,
+ }
+ }
+
++#ifdef BUILD_ONLINE_ACCOUNTS
+ static void
+ media_found_cb (BgPicturesSource *self, GrlMedia *media)
+ {
+@@ -896,6 +913,7 @@ media_found_cb (BgPicturesSource *self, GrlMedia *media)
+ g_object_set_data_full (G_OBJECT (file), "grl-media", g_object_ref (media), g_object_unref);
+ add_single_file_from_media (self, file, media);
+ }
++#endif /* BUILD_ONLINE_ACCOUNTS */
+
+ static void
+ bg_pictures_source_init (BgPicturesSource *self)
+@@ -962,9 +980,11 @@ bg_pictures_source_init (BgPicturesSource *self)
+
+ g_object_unref (dir);
+
++#ifdef BUILD_ONLINE_ACCOUNTS
+ priv->grl_miner = cc_background_grilo_miner_new ();
+ g_signal_connect_swapped (priv->grl_miner, "media-found", G_CALLBACK (media_found_cb), self);
+ cc_background_grilo_miner_start (priv->grl_miner);
++#endif /* BUILD_ONLINE_ACCOUNTS */
+
+ priv->thumb_factory =
+ gnome_desktop_thumbnail_factory_new (GNOME_DESKTOP_THUMBNAIL_SIZE_LARGE);
+diff --git a/panels/user-accounts/um-realm-manager.c b/panels/user-accounts/um-realm-manager.c
+index 0849160..58d50a6 100644
+--- a/panels/user-accounts/um-realm-manager.c
++++ b/panels/user-accounts/um-realm-manager.c
+@@ -22,7 +22,9 @@
+
+ #include "um-realm-manager.h"
+
++#ifdef HAVE_KERBEROS
+ #include <krb5/krb5.h>
++#endif
+
+ #include <glib.h>
+ #include <glib/gi18n.h>
+@@ -696,6 +698,7 @@ login_closure_free (gpointer data)
+ g_slice_free (LoginClosure, login);
+ }
+
++#ifdef HAVE_KERBEROS
+ static krb5_error_code
+ login_perform_kinit (krb5_context k5,
+ const gchar *realm,
+@@ -759,12 +762,14 @@ login_perform_kinit (krb5_context k5,
+
+ return code;
+ }
++#endif /* HAVE_KERBEROS */
+
+ static void
+ kinit_thread_func (GSimpleAsyncResult *async,
+ GObject *object,
+ GCancellable *cancellable)
+ {
++#ifdef HAVE_KERBEROS
+ LoginClosure *login = g_simple_async_result_get_op_res_gpointer (async);
+ krb5_context k5 = NULL;
+ krb5_error_code code;
+@@ -842,6 +847,10 @@ kinit_thread_func (GSimpleAsyncResult *async,
+
+ if (k5)
+ krb5_free_context (k5);
++#else /* HAVE_KERBEROS */
++ g_simple_async_result_set_error (async, UM_REALM_ERROR, UM_REALM_ERROR_GENERIC,
++ _("gnome-control-center was built without kerberos support"));
++#endif
+ }
+
+ void
+diff --git a/shell/Makefile.am b/shell/Makefile.am
+index c0cb91a..0b820fd 100644
+--- a/shell/Makefile.am
++++ b/shell/Makefile.am
+@@ -55,14 +55,12 @@ gnome_control_center_LDADD = \
+ $(top_builddir)/libgd/libgd.la \
+ $(top_builddir)/panels/common/liblanguage.la \
+ $(top_builddir)/panels/background/libbackground.la \
+- $(top_builddir)/panels/color/libcolor.la \
+ $(top_builddir)/panels/datetime/libdate_time.la \
+ $(top_builddir)/panels/display/libdisplay.la \
+ $(top_builddir)/panels/info/libinfo.la \
+ $(top_builddir)/panels/keyboard/libkeyboard.la \
+ $(top_builddir)/panels/mouse/libmouse-properties.la \
+ $(top_builddir)/panels/notifications/libnotifications.la \
+- $(top_builddir)/panels/online-accounts/libonline-accounts.la \
+ $(top_builddir)/panels/power/libpower.la \
+ $(top_builddir)/panels/privacy/libprivacy.la \
+ $(top_builddir)/panels/region/libregion.la \
+@@ -88,6 +86,14 @@ if BUILD_BLUETOOTH
+ gnome_control_center_LDADD += $(top_builddir)/panels/bluetooth/libbluetooth.la
+ endif
+
++if BUILD_COLOR
++gnome_control_center_LDADD += $(top_builddir)/panels/color/libcolor.la
++endif
++
++if BUILD_ONLINE_ACCOUNTS
++gnome_control_center_LDADD += $(top_builddir)/panels/online-accounts/libonline-accounts.la
++endif
++
+ # Dbus service file
+ servicefiledir = $(datadir)/dbus-1/services
+ servicefile_in_files = org.gnome.ControlCenter.service.in
+diff --git a/shell/cc-panel-loader.c b/shell/cc-panel-loader.c
+index 26576dc..8a92f95 100644
+--- a/shell/cc-panel-loader.c
++++ b/shell/cc-panel-loader.c
+@@ -33,7 +33,9 @@ extern GType cc_background_panel_get_type (void);
+ #ifdef BUILD_BLUETOOTH
+ extern GType cc_bluetooth_panel_get_type (void);
+ #endif /* BUILD_BLUETOOTH */
++#ifdef BUILD_COLOR
+ extern GType cc_color_panel_get_type (void);
++#endif /* BUILD_COLOR */
+ extern GType cc_date_time_panel_get_type (void);
+ extern GType cc_display_panel_get_type (void);
+ extern GType cc_info_panel_get_type (void);
+@@ -43,7 +45,9 @@ extern GType cc_mouse_panel_get_type (void);
+ extern GType cc_network_panel_get_type (void);
+ #endif /* BUILD_NETWORK */
+ extern GType cc_notifications_panel_get_type (void);
++#ifdef BUILD_ONLINE_ACCOUNTS
+ extern GType cc_goa_panel_get_type (void);
++#endif /* BUILD_ONLINE_ACCOUNTS */
+ extern GType cc_power_panel_get_type (void);
+ #ifdef BUILD_PRINTERS
+ extern GType cc_printers_panel_get_type (void);
+@@ -77,7 +81,9 @@ static struct {
+ #ifdef BUILD_BLUETOOTH
+ PANEL_TYPE("bluetooth", cc_bluetooth_panel_get_type ),
+ #endif
++#ifdef BUILD_COLOR
+ PANEL_TYPE("color", cc_color_panel_get_type ),
++#endif
+ PANEL_TYPE("datetime", cc_date_time_panel_get_type ),
+ PANEL_TYPE("display", cc_display_panel_get_type ),
+ PANEL_TYPE("info", cc_info_panel_get_type ),
+@@ -87,7 +93,9 @@ static struct {
+ PANEL_TYPE("network", cc_network_panel_get_type ),
+ #endif
+ PANEL_TYPE("notifications", cc_notifications_panel_get_type),
++#ifdef BUILD_ONLINE_ACCOUNTS
+ PANEL_TYPE("online-accounts", cc_goa_panel_get_type ),
++#endif
+ PANEL_TYPE("power", cc_power_panel_get_type ),
+ #ifdef BUILD_PRINTERS
+ PANEL_TYPE("printers", cc_printers_panel_get_type ),
+--
+2.1.2
+
diff --git a/gnome-base/gnome-control-center/files/gnome-control-center-3.14.2-networkmanager-version.patch b/gnome-base/gnome-control-center/files/gnome-control-center-3.14.2-networkmanager-version.patch
new file mode 100644
index 00000000000..40f09d89bf0
--- /dev/null
+++ b/gnome-base/gnome-control-center/files/gnome-control-center-3.14.2-networkmanager-version.patch
@@ -0,0 +1,63 @@
+From fa8d6a13747ed3e586e139b79b63280bd951d10b Mon Sep 17 00:00:00 2001
+From: Bastien Nocera <hadess@hadess.net>
+Date: Thu, 18 Dec 2014 08:04:00 +0100
+Subject: [PATCH] network: Also work with NM 1.0
+
+Remove the NetworkManager version checking altogether. The code was made
+to check for now very old versions of NetworkManager, and anything newer
+than ancient should degrade gracefully if we support newer features.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=741661
+---
+ panels/network/cc-network-panel.c | 19 +++----------------
+ 1 file changed, 3 insertions(+), 16 deletions(-)
+
+diff --git a/panels/network/cc-network-panel.c b/panels/network/cc-network-panel.c
+index 90b265e..28f6158 100644
+--- a/panels/network/cc-network-panel.c
++++ b/panels/network/cc-network-panel.c
+@@ -1321,30 +1321,17 @@ static gboolean
+ panel_check_network_manager_version (CcNetworkPanel *panel)
+ {
+ const gchar *version;
+- gchar **split = NULL;
+- guint major = 0;
+- guint micro = 0;
+- guint minor = 0;
+ gboolean ret = TRUE;
+
+ /* parse running version */
+ version = nm_client_get_version (panel->priv->client);
+- if (version != NULL) {
+- split = g_strsplit (version, ".", -1);
+- major = atoi (split[0]);
+- minor = atoi (split[1]);
+- micro = atoi (split[2]);
+- }
+-
+- /* is it too new or old */
+- if (major > 0 || minor > 9 || (minor <= 8 && micro < 992)) {
++ if (version == NULL) {
+ ret = FALSE;
+
+ /* do modal dialog in idle so we don't block startup */
+ panel->priv->nm_warning_idle = g_idle_add ((GSourceFunc)display_version_warning_idle, panel);
+ }
+
+- g_strfreev (split);
+ return ret;
+ }
+
+@@ -1391,8 +1378,8 @@ on_toplevel_map (GtkWidget *widget,
+ {
+ gboolean ret;
+
+- /* is the user compiling against a new version, but running an
+- * old daemon version? */
++ /* is the user compiling against a new version, but not running
++ * the daemon? */
+ ret = panel_check_network_manager_version (panel);
+ if (ret) {
+ manager_running (panel->priv->client, NULL, panel);
+--
+2.1.0 \ No newline at end of file
diff --git a/gnome-base/gnome-control-center/files/gnome-control-center-3.16.0-keep-panels-optional.patch b/gnome-base/gnome-control-center/files/gnome-control-center-3.16.0-keep-panels-optional.patch
new file mode 100644
index 00000000000..c991dc618ca
--- /dev/null
+++ b/gnome-base/gnome-control-center/files/gnome-control-center-3.16.0-keep-panels-optional.patch
@@ -0,0 +1,39 @@
+From 3b51af7de7bfe7b69bbb1a96dbbc184311281704 Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Mon, 11 May 2015 23:59:03 +0200
+Subject: [PATCH 1/3] Optional gotta be optional
+
+---
+ configure.ac | 16 ----------------
+ 1 file changed, 16 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 9713256..bc239de 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -508,22 +508,6 @@ else
+ AC_MSG_RESULT(no)
+ fi
+
+-case $host_os in
+- linux*)
+- if test "$host_cpu" = s390 -o "$host_cpu" = s390x; then
+- # Nothing
+- echo "USB-related panels disabled on S390"
+- else
+- if test "x$have_networkmanager" != "xyes" -o
+- "x$have_bluetooth" != "xyes" -o
+- "x$enable_cups" != "xyes" -o
+- "x$have_wacom" != "xyes"; then
+- AC_MSG_ERROR([The Network, Bluetooth, Printers and Wacom panels are not optional on Linux systems])
+- fi
+- fi
+- ;;
+-esac
+-
+ AC_CONFIG_FILES([
+ Makefile
+ panels/Makefile
+--
+2.3.6
+
diff --git a/gnome-base/gnome-control-center/files/gnome-control-center-3.16.0-make-wayland-optional.patch b/gnome-base/gnome-control-center/files/gnome-control-center-3.16.0-make-wayland-optional.patch
new file mode 100644
index 00000000000..38d4ccd30e4
--- /dev/null
+++ b/gnome-base/gnome-control-center/files/gnome-control-center-3.16.0-make-wayland-optional.patch
@@ -0,0 +1,44 @@
+From 95420469407223898564425b7622ac66e7ed70d5 Mon Sep 17 00:00:00 2001
+From: Ole Reifschneider <tranquility@gentoo.org>
+Date: Sat, 25 Apr 2015 22:22:09 +0200
+Subject: [PATCH] Make wayland support optional
+
+---
+ configure.ac | 21 +++++++++++++++------
+ 1 file changed, 15 insertions(+), 6 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 9713256..6b34962 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -231,12 +231,21 @@ if test "x$have_udev" = xyes ; then
+ fi
+ AM_CONDITIONAL(HAVE_UDEV, [test "x$have_udev" = "xyes"])
+
+-PKG_CHECK_MODULES(WAYLAND, gdk-wayland-3.0, have_wayland=yes, have_wayland=no)
+-if test "x$have_wayland" = xyes ; then
+- if test "x$have_udev" != xyes ; then
+- AC_MSG_ERROR([udev is required for Wayland support])
+- fi
+-fi
++AC_ARG_ENABLE(
++ [wayland],
++ AS_HELP_STRING([--disable-wayland], [disable wayland support]),
++ [],
++ enable_wayland=auto
++)
++
++AS_IF([test "$enable_wayland" != "no"],
++ [
++ AS_IF([test "x$have_udev" = xno],
++ [AC_MSG_ERROR([udev is required for Wayland support])],
++ [AC_DEFINE(HAVE_UDEV, 1, [System has udev])])
++
++ PKG_CHECK_MODULES(WAYLAND, gdk-wayland-3.0)
++])
+
+ PKG_CHECK_MODULES(NETWORK_MANAGER, NetworkManager >= $NETWORK_MANAGER_REQUIRED_VERSION
+ libnm-glib >= $NETWORK_MANAGER_REQUIRED_VERSION
+--
+2.0.5
+
diff --git a/gnome-base/gnome-control-center/files/gnome-control-center-3.16.0-networkmanager.patch b/gnome-base/gnome-control-center/files/gnome-control-center-3.16.0-networkmanager.patch
new file mode 100644
index 00000000000..8f704ac988e
--- /dev/null
+++ b/gnome-base/gnome-control-center/files/gnome-control-center-3.16.0-networkmanager.patch
@@ -0,0 +1,83 @@
+From 763cc368b529c879050ffb98340779148e152b29 Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Tue, 12 May 2015 00:32:11 +0200
+Subject: [PATCH 3/3] Make network panel optional
+
+---
+ configure.ac | 60 ++++++++++++++++++++++++++++++++++--------------------------
+ 1 file changed, 34 insertions(+), 26 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 7816942..13e8f45 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -247,32 +247,40 @@ AS_IF([test "$enable_wayland" != "no"],
+ PKG_CHECK_MODULES(WAYLAND, gdk-wayland-3.0)
+ ])
+
+-PKG_CHECK_MODULES(NETWORK_MANAGER, NetworkManager >= $NETWORK_MANAGER_REQUIRED_VERSION
+- libnm-glib >= $NETWORK_MANAGER_REQUIRED_VERSION
+- libnm-glib-vpn >= $NETWORK_MANAGER_REQUIRED_VERSION
+- libnm-util >= $NETWORK_MANAGER_REQUIRED_VERSION
+- libnm-gtk >= $NETWORK_MANAGER_APPLET_REQUIRED_VERSION
+- mm-glib >= $MODEM_MANAGER_REQUIRED_VERSION,
+- [have_networkmanager=yes], have_networkmanager=no)
+-if test "x$have_networkmanager" = xno ; then
+- AC_MSG_WARN(*** Network panel will not be built (NetworkManager or ModemManager not found) ***)
+-else
+- AC_DEFINE(BUILD_NETWORK, 1, [Define to 1 to build the Network panel])
+-fi
+-AM_CONDITIONAL(BUILD_NETWORK, [test x$have_networkmanager = xyes])
+-if test x${have_networkmanager} = xyes; then
+- AC_DEFINE(HAVE_NETWORK_MANAGER, 1, [Define to 1 if NetworkManager is available])
+- NM_VPN_CONFIG_DIR=`$PKG_CONFIG --variable configdir NetworkManager`/VPN
+- NM_VPN_MODULE_DIR=`$PKG_CONFIG --variable plugindir NetworkManager`
+- AC_SUBST(NM_VPN_CONFIG_DIR)
+- AC_SUBST(NM_VPN_MODULE_DIR)
+-fi
+-
+-# Work-around for https://bugzilla.gnome.org/show_bug.cgi?id=723769
+-PKG_CHECK_MODULES(NM_UNSTABLE_CHECK, libnm-util >= 0.9.9.0, nm_unstable=yes, nm_unstable=no)
+-if test x$nm_unstable = xyes; then
+- AC_DEFINE(HAVE_NM_UNSTABLE, 1, [Define to 1 if NetworkManager is available])
+-fi
++AC_ARG_ENABLE([networkmanager],
++ AS_HELP_STRING([--disable-networkmanager], [Disable network panel]),
++ [], [enable_networkmanager=auto])
++AS_IF([test "$enable_networkmanager" != "no"],
++ [
++ PKG_CHECK_MODULES(NETWORK_MANAGER, NetworkManager >= $NETWORK_MANAGER_REQUIRED_VERSION
++ libnm-glib >= $NETWORK_MANAGER_REQUIRED_VERSION
++ libnm-glib-vpn >= $NETWORK_MANAGER_REQUIRED_VERSION
++ libnm-util >= $NETWORK_MANAGER_REQUIRED_VERSION
++ libnm-gtk >= $NETWORK_MANAGER_APPLET_REQUIRED_VERSION
++ mm-glib >= $MODEM_MANAGER_REQUIRED_VERSION,
++ [have_networkmanager=yes], have_networkmanager=no)
++
++ AS_IF([test "$have_networkmanager" = "no"],
++ [
++ AC_MSG_WARN([*** Network panel will not be built (NetworkManager or ModemManager not found) ***])
++ ], [
++ AC_DEFINE(BUILD_NETWORK, 1, [Define to 1 to build the Network panel])
++ AC_DEFINE(HAVE_NETWORK_MANAGER, 1, [Define to 1 if NetworkManager is available])
++ NM_VPN_CONFIG_DIR=`$PKG_CONFIG --variable configdir NetworkManager`/VPN
++ NM_VPN_MODULE_DIR=`$PKG_CONFIG --variable plugindir NetworkManager`
++ AC_SUBST([NM_VPN_CONFIG_DIR])
++ AC_SUBST([NM_VPN_MODULE_DIR])
++ ])
++
++ # Work-around for https://bugzilla.gnome.org/show_bug.cgi?id=723769
++ PKG_CHECK_MODULES(NM_UNSTABLE_CHECK, [libnm-util >= 0.9.9.0],
++ [
++ nm_unstable=yes
++ AC_DEFINE(HAVE_NM_UNSTABLE, 1, [Define to 1 if NetworkManager is available])
++ ],
++ [nm_unstable=no])
++ ])
++AM_CONDITIONAL(BUILD_NETWORK, [test "$have_networkmanager" = "yes"])
+ AM_CONDITIONAL(HAVE_NM_UNSTABLE, [test x$nm_unstable = xyes])
+
+ # Check for gnome-bluetooth
+--
+2.3.6
+
diff --git a/gnome-base/gnome-control-center/gnome-control-center-3.14.2-r1.ebuild b/gnome-base/gnome-control-center/gnome-control-center-3.14.2-r1.ebuild
new file mode 100644
index 00000000000..5dc401d3e31
--- /dev/null
+++ b/gnome-base/gnome-control-center/gnome-control-center-3.14.2-r1.ebuild
@@ -0,0 +1,166 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes" # gmodule is used, which uses dlopen
+
+inherit autotools bash-completion-r1 eutils gnome2
+
+DESCRIPTION="GNOME's main interface to configure various aspects of the desktop"
+HOMEPAGE="https://git.gnome.org/browse/gnome-control-center/"
+
+LICENSE="GPL-2+"
+SLOT="2"
+IUSE="+bluetooth +colord +cups +gnome-online-accounts +i18n input_devices_wacom kerberos v4l"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+
+# False positives caused by nested configure scripts
+QA_CONFIGURE_OPTIONS=".*"
+
+# gnome-session-2.91.6-r1 is needed so that 10-user-dirs-update is run at login
+# g-s-d[policykit] needed for bug #403527
+#
+# kerberos unfortunately means mit-krb5; build fails with heimdal
+
+# FIXME: modemmanager is not optional
+# networkmanager is not optional
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.39.91:2
+ >=x11-libs/gdk-pixbuf-2.23.0:2
+ >=x11-libs/gtk+-3.13:3
+ >=gnome-base/gsettings-desktop-schemas-3.13.91
+ >=gnome-base/gnome-desktop-3.11.3:3=
+ >=gnome-base/gnome-settings-daemon-3.8.3[colord?,policykit]
+
+ >=dev-libs/libpwquality-1.2.2
+ dev-libs/libxml2:2
+ gnome-base/libgtop:2=
+ media-libs/fontconfig
+
+ >=media-libs/libcanberra-0.13[gtk3]
+ >=media-sound/pulseaudio-2[glib]
+ >=sys-auth/polkit-0.97
+ >=sys-power/upower-0.99:=
+ >=x11-libs/libnotify-0.7.3:0=
+
+ >=gnome-extra/nm-applet-0.9.7.995
+ >=net-misc/networkmanager-0.9.8[modemmanager]
+ >=net-misc/modemmanager-0.7.990
+
+ virtual/opengl
+ x11-apps/xmodmap
+ x11-libs/cairo
+ x11-libs/libX11
+ x11-libs/libXxf86misc
+ >=x11-libs/libXi-1.2
+
+ bluetooth? ( >=net-wireless/gnome-bluetooth-3.11.1:= )
+ colord? (
+ net-libs/libsoup:2.4
+ >=x11-misc/colord-0.1.34:0=
+ >=x11-libs/colord-gtk-0.1.24 )
+ cups? (
+ >=net-print/cups-1.4[dbus]
+ || ( >=net-fs/samba-3.6.14-r1[smbclient] >=net-fs/samba-4.0.0[client] ) )
+ gnome-online-accounts? (
+ >=media-libs/grilo-0.2.6:0.2
+ >=net-libs/gnome-online-accounts-3.9.90 )
+ i18n? ( >=app-i18n/ibus-1.5.2 )
+ kerberos? ( app-crypt/mit-krb5 )
+ v4l? (
+ media-libs/gstreamer:1.0
+ media-libs/clutter-gtk:1.0
+ >=media-video/cheese-3.5.91 )
+ input_devices_wacom? (
+ >=dev-libs/libwacom-0.7
+ >=media-libs/clutter-1.11.3:1.0
+ media-libs/clutter-gtk:1.0
+ >=x11-libs/libXi-1.2 )
+"
+# <gnome-color-manager-3.1.2 has file collisions with g-c-c-3.1.x
+# libgnomekbd needed only for gkbd-keyboard-display tool
+RDEPEND="${COMMON_DEPEND}
+ || ( ( app-admin/openrc-settingsd sys-auth/consolekit ) >=sys-apps/systemd-31 )
+ >=sys-apps/accountsservice-0.6.30
+ x11-themes/gnome-icon-theme-symbolic
+ colord? ( >=gnome-extra/gnome-color-manager-3 )
+ cups? (
+ app-admin/system-config-printer
+ net-print/cups-pk-helper )
+ input_devices_wacom? ( gnome-base/gnome-settings-daemon[input_devices_wacom] )
+ i18n? ( >=gnome-base/libgnomekbd-3 )
+
+ !<gnome-base/gdm-2.91.94
+ !<gnome-extra/gnome-color-manager-3.1.2
+ !gnome-extra/gnome-media[pulseaudio]
+ !<gnome-extra/gnome-media-2.32.0-r300
+ !<net-wireless/gnome-bluetooth-3.3.2
+"
+# PDEPEND to avoid circular dependency
+PDEPEND=">=gnome-base/gnome-session-2.91.6-r1"
+
+DEPEND="${COMMON_DEPEND}
+ x11-proto/xproto
+ x11-proto/xf86miscproto
+ x11-proto/kbproto
+
+ dev-libs/libxml2:2
+ dev-libs/libxslt
+ >=dev-util/intltool-0.40.1
+ >=sys-devel/gettext-0.17
+ virtual/pkgconfig
+
+ cups? ( sys-apps/sed )
+
+ gnome-base/gnome-common
+"
+# Needed for autoreconf
+# gnome-base/gnome-common
+
+src_prepare() {
+ # Gentoo handles completions in a different directory, bugs #465094 and #477390
+ sed -i "s|^completiondir =.*|completiondir = $(get_bashcompdir)|" \
+ shell/Makefile.am || die "sed completiondir failed"
+
+ # Make some panels and dependencies optional; requires eautoreconf
+ # https://bugzilla.gnome.org/686840, 697478, 700145
+ epatch "${FILESDIR}"/${PN}-3.14.0-optional.patch
+
+ # Fix some absolute paths to be appropriate for Gentoo
+ epatch "${FILESDIR}"/${PN}-3.10.2-gentoo-paths.patch
+
+ # Fix NM version checking, bug #536224 (from 3.14 branch)
+ epatch "${FILESDIR}"/${PN}-3.14.2-networkmanager-version.patch
+
+ epatch_user
+
+ eautoreconf
+
+ # panels/datetime/Makefile.am gets touched by "gentoo-paths" patch.
+ # We need to touch timedated{c,h} to prevent them from being
+ # regenerated (bug #415901)
+ # Upstream think they should be removed, preventing compilation errors too
+ # (https://bugzilla.gnome.org/704822)
+ [[ -f panels/datetime/timedated.h ]] && rm -f panels/datetime/timedated.h
+ [[ -f panels/datetime/timedated.c ]] && rm -f panels/datetime/timedated.c
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-update-mimedb \
+ --disable-static \
+ --enable-documentation \
+ $(use_enable bluetooth) \
+ $(use_enable colord color) \
+ $(use_enable cups) \
+ $(use_enable gnome-online-accounts goa) \
+ $(use_enable i18n ibus) \
+ $(use_enable kerberos) \
+ $(use_with v4l cheese) \
+ $(use_enable input_devices_wacom wacom)
+}
diff --git a/gnome-base/gnome-control-center/gnome-control-center-3.14.5.ebuild b/gnome-base/gnome-control-center/gnome-control-center-3.14.5.ebuild
new file mode 100644
index 00000000000..726db5a68b8
--- /dev/null
+++ b/gnome-base/gnome-control-center/gnome-control-center-3.14.5.ebuild
@@ -0,0 +1,146 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools bash-completion-r1 eutils gnome2
+
+DESCRIPTION="GNOME's main interface to configure various aspects of the desktop"
+HOMEPAGE="https://git.gnome.org/browse/gnome-control-center/"
+
+LICENSE="GPL-2+"
+SLOT="2"
+IUSE="+bluetooth +colord +cups +gnome-online-accounts +i18n input_devices_wacom kerberos v4l"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+
+# False positives caused by nested configure scripts
+QA_CONFIGURE_OPTIONS=".*"
+
+# gnome-session-2.91.6-r1 is needed so that 10-user-dirs-update is run at login
+# g-s-d[policykit] needed for bug #403527
+COMMON_DEPEND="
+ >=dev-libs/glib-2.39.91:2[dbus]
+ >=x11-libs/gdk-pixbuf-2.23.0:2
+ >=x11-libs/gtk+-3.13:3
+ >=gnome-base/gsettings-desktop-schemas-3.13.91
+ >=gnome-base/gnome-desktop-3.11.3:3=
+ >=gnome-base/gnome-settings-daemon-3.8.3[colord?,policykit]
+
+ >=dev-libs/libpwquality-1.2.2
+ dev-libs/libxml2:2
+ gnome-base/libgtop:2=
+ media-libs/fontconfig
+
+ >=media-libs/libcanberra-0.13[gtk3]
+ >=media-sound/pulseaudio-2[glib]
+ >=sys-auth/polkit-0.97
+ >=sys-power/upower-0.99:=
+ >=x11-libs/libnotify-0.7.3:0=
+
+ >=gnome-extra/nm-applet-0.9.7.995
+ >=net-misc/networkmanager-0.9.8[modemmanager]
+ >=net-misc/modemmanager-0.7.990
+
+ virtual/opengl
+ x11-apps/xmodmap
+ x11-libs/cairo
+ x11-libs/libX11
+ x11-libs/libXxf86misc
+ >=x11-libs/libXi-1.2
+
+ bluetooth? ( >=net-wireless/gnome-bluetooth-3.11.1:= )
+ colord? (
+ net-libs/libsoup:2.4
+ >=x11-misc/colord-0.1.34:0=
+ >=x11-libs/colord-gtk-0.1.24 )
+ cups? (
+ >=net-print/cups-1.4[dbus]
+ || ( >=net-fs/samba-3.6.14-r1[smbclient] >=net-fs/samba-4.0.0[client] ) )
+ gnome-online-accounts? (
+ >=media-libs/grilo-0.2.6:0.2
+ >=net-libs/gnome-online-accounts-3.9.90 )
+ i18n? ( >=app-i18n/ibus-1.5.2 )
+ kerberos? ( app-crypt/mit-krb5 )
+ v4l? (
+ media-libs/gstreamer:1.0
+ media-libs/clutter-gtk:1.0
+ >=media-video/cheese-3.5.91 )
+ input_devices_wacom? (
+ >=dev-libs/libwacom-0.7
+ >=media-libs/clutter-1.11.3:1.0
+ media-libs/clutter-gtk:1.0
+ >=x11-libs/libXi-1.2 )
+"
+# <gnome-color-manager-3.1.2 has file collisions with g-c-c-3.1.x
+# libgnomekbd needed only for gkbd-keyboard-display tool
+RDEPEND="${COMMON_DEPEND}
+ || ( ( app-admin/openrc-settingsd sys-auth/consolekit ) >=sys-apps/systemd-31 )
+ >=sys-apps/accountsservice-0.6.33
+ x11-themes/gnome-icon-theme-symbolic
+ colord? ( >=gnome-extra/gnome-color-manager-3 )
+ cups? (
+ app-admin/system-config-printer
+ net-print/cups-pk-helper )
+ input_devices_wacom? ( gnome-base/gnome-settings-daemon[input_devices_wacom] )
+ i18n? ( >=gnome-base/libgnomekbd-3 )
+
+ !<gnome-base/gdm-2.91.94
+ !<gnome-extra/gnome-color-manager-3.1.2
+ !gnome-extra/gnome-media[pulseaudio]
+ !<gnome-extra/gnome-media-2.32.0-r300
+ !<net-wireless/gnome-bluetooth-3.3.2
+"
+# PDEPEND to avoid circular dependency
+PDEPEND=">=gnome-base/gnome-session-2.91.6-r1"
+
+DEPEND="${COMMON_DEPEND}
+ x11-proto/xproto
+ x11-proto/xf86miscproto
+ x11-proto/kbproto
+
+ dev-libs/libxml2:2
+ dev-libs/libxslt
+ >=dev-util/intltool-0.40.1
+ >=sys-devel/gettext-0.17
+ virtual/pkgconfig
+
+ gnome-base/gnome-common
+"
+# Needed for autoreconf
+# gnome-base/gnome-common
+
+src_prepare() {
+ # Make some panels and dependencies optional; requires eautoreconf
+ # https://bugzilla.gnome.org/686840, 697478, 700145
+ epatch "${FILESDIR}"/${PN}-3.14.0-optional.patch
+
+ # Fix some absolute paths to be appropriate for Gentoo
+ epatch "${FILESDIR}"/${PN}-3.10.2-gentoo-paths.patch
+
+ epatch_user
+
+ eautoreconf
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-update-mimedb \
+ --disable-static \
+ --enable-documentation \
+ $(use_enable bluetooth) \
+ $(use_enable colord color) \
+ $(use_enable cups) \
+ $(use_enable gnome-online-accounts goa) \
+ $(use_enable i18n ibus) \
+ $(use_enable kerberos) \
+ $(use_with v4l cheese) \
+ $(use_enable input_devices_wacom wacom)
+}
+
+src_install() {
+ gnome2_src_install completiondir="$(get_bashcompdir)"
+}
diff --git a/gnome-base/gnome-control-center/gnome-control-center-3.16.2.ebuild b/gnome-base/gnome-control-center/gnome-control-center-3.16.2.ebuild
new file mode 100644
index 00000000000..3a1e15987ff
--- /dev/null
+++ b/gnome-base/gnome-control-center/gnome-control-center-3.16.2.ebuild
@@ -0,0 +1,158 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools bash-completion-r1 eutils gnome2
+
+DESCRIPTION="GNOME's main interface to configure various aspects of the desktop"
+HOMEPAGE="https://git.gnome.org/browse/gnome-control-center/"
+
+LICENSE="GPL-2+"
+SLOT="2"
+IUSE="+bluetooth +colord +cups +gnome-online-accounts +i18n input_devices_wacom kerberos networkmanager v4l wayland"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+
+# False positives caused by nested configure scripts
+QA_CONFIGURE_OPTIONS=".*"
+
+# gnome-session-2.91.6-r1 is needed so that 10-user-dirs-update is run at login
+# g-s-d[policykit] needed for bug #403527
+
+# kerberos unfortunately means mit-krb5; build fails with heimdal
+
+# udev could be made optional, only conditions gsd-device-panel
+# (mouse, keyboards, touchscreen, etc)
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.39.91:2[dbus]
+ >=x11-libs/gdk-pixbuf-2.23.0:2
+ >=x11-libs/gtk+-3.15:3[X,wayland?]
+ >=gnome-base/gsettings-desktop-schemas-3.15.4
+ >=gnome-base/gnome-desktop-3.11.3:3=
+ >=gnome-base/gnome-settings-daemon-3.8.3[colord?,policykit]
+
+ >=dev-libs/libpwquality-1.2.2
+ dev-libs/libxml2:2
+ gnome-base/libgtop:2=
+ media-libs/fontconfig
+
+ >=media-libs/libcanberra-0.13[gtk3]
+ >=media-sound/pulseaudio-2[glib]
+ >=sys-auth/polkit-0.97
+ >=sys-power/upower-0.99:=
+ >=x11-libs/libnotify-0.7.3:0=
+
+ virtual/libgudev
+ virtual/opengl
+ x11-apps/xmodmap
+ x11-libs/cairo
+ x11-libs/libX11
+ x11-libs/libXxf86misc
+ >=x11-libs/libXi-1.2
+
+ bluetooth? ( >=net-wireless/gnome-bluetooth-3.11.1:= )
+ colord? (
+ net-libs/libsoup:2.4
+ >=x11-misc/colord-0.1.34:0=
+ >=x11-libs/colord-gtk-0.1.24 )
+ cups? (
+ >=net-print/cups-1.4[dbus]
+ || ( >=net-fs/samba-3.6.14-r1[smbclient] >=net-fs/samba-4.0.0[client] ) )
+ gnome-online-accounts? (
+ >=media-libs/grilo-0.2.6:0.2
+ >=net-libs/gnome-online-accounts-3.15.1 )
+ i18n? ( >=app-i18n/ibus-1.5.2 )
+ kerberos? ( app-crypt/mit-krb5 )
+ networkmanager? (
+ >=gnome-extra/nm-applet-0.9.7.995
+ >=net-misc/networkmanager-0.9.8[modemmanager]
+ >=net-misc/modemmanager-0.7.990 )
+ v4l? (
+ media-libs/gstreamer:1.0
+ media-libs/clutter-gtk:1.0
+ >=media-video/cheese-3.5.91 )
+ input_devices_wacom? (
+ >=dev-libs/libwacom-0.7
+ >=media-libs/clutter-1.11.3:1.0
+ media-libs/clutter-gtk:1.0
+ >=x11-libs/libXi-1.2 )
+"
+# <gnome-color-manager-3.1.2 has file collisions with g-c-c-3.1.x
+# libgnomekbd needed only for gkbd-keyboard-display tool
+RDEPEND="${COMMON_DEPEND}
+ || ( ( app-admin/openrc-settingsd sys-auth/consolekit ) >=sys-apps/systemd-31 )
+ >=sys-apps/accountsservice-0.6.39
+ x11-themes/gnome-icon-theme-symbolic
+ colord? ( >=gnome-extra/gnome-color-manager-3 )
+ cups? (
+ app-admin/system-config-printer
+ net-print/cups-pk-helper )
+ input_devices_wacom? ( gnome-base/gnome-settings-daemon[input_devices_wacom] )
+ i18n? ( >=gnome-base/libgnomekbd-3 )
+
+ !<gnome-base/gdm-2.91.94
+ !<gnome-extra/gnome-color-manager-3.1.2
+ !gnome-extra/gnome-media[pulseaudio]
+ !<gnome-extra/gnome-media-2.32.0-r300
+ !<net-wireless/gnome-bluetooth-3.3.2
+"
+# PDEPEND to avoid circular dependency
+PDEPEND=">=gnome-base/gnome-session-2.91.6-r1"
+
+DEPEND="${COMMON_DEPEND}
+ x11-proto/xproto
+ x11-proto/xf86miscproto
+ x11-proto/kbproto
+
+ dev-libs/libxml2:2
+ dev-libs/libxslt
+ >=dev-util/intltool-0.40.1
+ >=sys-devel/gettext-0.17
+ virtual/pkgconfig
+
+ gnome-base/gnome-common
+"
+# Needed for autoreconf
+# gnome-base/gnome-common
+
+src_prepare() {
+ # Make some panels and dependencies optional; requires eautoreconf
+ # https://bugzilla.gnome.org/686840, 697478, 700145
+ epatch "${FILESDIR}"/${PN}-3.14.0-optional.patch
+ epatch "${FILESDIR}"/${PN}-3.16.0-make-wayland-optional.patch
+ epatch "${FILESDIR}"/${PN}-3.16.0-keep-panels-optional.patch
+ epatch "${FILESDIR}"/${PN}-3.16.0-networkmanager.patch
+
+ # Fix some absolute paths to be appropriate for Gentoo
+ epatch "${FILESDIR}"/${PN}-3.10.2-gentoo-paths.patch
+
+ epatch_user
+
+ eautoreconf
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-update-mimedb \
+ --disable-static \
+ --enable-documentation \
+ $(use_enable bluetooth) \
+ $(use_enable colord color) \
+ $(use_enable cups) \
+ $(use_enable gnome-online-accounts goa) \
+ $(use_enable i18n ibus) \
+ $(use_enable kerberos) \
+ $(use_enable networkmanager) \
+ $(use_with v4l cheese) \
+ $(use_enable input_devices_wacom wacom) \
+ $(use_enable wayland)
+}
+
+src_install() {
+ gnome2_src_install completiondir="$(get_bashcompdir)"
+}
diff --git a/gnome-base/gnome-control-center/metadata.xml b/gnome-base/gnome-control-center/metadata.xml
new file mode 100644
index 00000000000..2865903805b
--- /dev/null
+++ b/gnome-base/gnome-control-center/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnome</herd>
+ <use>
+ <flag name="colord">Support color management using
+ <pkg>x11-misc/colord</pkg></flag>
+ <flag name="gnome-online-accounts">Enable configuration panel for
+ <pkg>net-libs/gnome-online-accounts</pkg> accounts</flag>
+ <flag name="i18n">Enable support for enhanced input methods through
+ <pkg>app-i18n/ibus</pkg></flag>
+ </use>
+</pkgmetadata>
diff --git a/gnome-base/gnome-core-apps/gnome-core-apps-3.14.0.ebuild b/gnome-base/gnome-core-apps/gnome-core-apps-3.14.0.ebuild
new file mode 100644
index 00000000000..7c66e1d8899
--- /dev/null
+++ b/gnome-base/gnome-core-apps/gnome-core-apps-3.14.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DESCRIPTION="Sub-meta package for the core applications integrated with GNOME 3"
+HOMEPAGE="http://www.gnome.org/"
+LICENSE="metapackage"
+SLOT="3.0"
+IUSE="+bluetooth +cdr cups"
+
+# when unmasking for an arch
+# double check none of the deps are still masked !
+KEYWORDS="amd64 ~arm ~ia64 ~ppc ~ppc64 x86"
+
+# Note to developers:
+# This is a wrapper for the core apps tightly integrated with GNOME 3
+# gtk-engines:2 is still around because it's needed for gtk2 apps
+RDEPEND="
+ >=gnome-base/gnome-core-libs-${PV}[cups?]
+
+ >=gnome-base/gnome-session-${PV}
+ >=gnome-base/gnome-menus-3.10.1:3
+ >=gnome-base/gnome-settings-daemon-${PV}[cups?]
+ >=gnome-base/gnome-control-center-${PV}[cups?]
+
+ >=app-crypt/gcr-${PV}
+ >=gnome-base/nautilus-${PV}
+ >=gnome-base/gnome-keyring-${PV}
+ >=gnome-extra/evolution-data-server-3.12.9
+
+ >=app-crypt/seahorse-${PV}
+ >=app-editors/gedit-${PV}
+ >=app-text/evince-${PV}
+ >=gnome-extra/gnome-contacts-${PV}
+ >=media-gfx/eog-${PV}
+ >=media-video/totem-${PV}
+ >=net-im/empathy-3.12.7
+ >=x11-terms/gnome-terminal-${PV}
+
+ >=gnome-extra/gnome-user-docs-${PV}
+ >=gnome-extra/yelp-${PV}
+
+ >=x11-themes/adwaita-icon-theme-${PV}
+ >=x11-themes/gnome-themes-standard-${PV}
+
+ bluetooth? ( >=net-wireless/gnome-bluetooth-${PV} )
+ cdr? ( >=app-cdr/brasero-3.12.0 )
+
+ !gnome-base/gnome-applets
+"
+DEPEND=""
+
+S="${WORKDIR}"
diff --git a/gnome-base/gnome-core-apps/gnome-core-apps-3.16.0.ebuild b/gnome-base/gnome-core-apps/gnome-core-apps-3.16.0.ebuild
new file mode 100644
index 00000000000..b32d6cf7fa6
--- /dev/null
+++ b/gnome-base/gnome-core-apps/gnome-core-apps-3.16.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DESCRIPTION="Sub-meta package for the core applications integrated with GNOME 3"
+HOMEPAGE="http://www.gnome.org/"
+LICENSE="metapackage"
+SLOT="3.0"
+IUSE="+bluetooth +cdr cups"
+
+# when unmasking for an arch
+# double check none of the deps are still masked !
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86"
+
+# Note to developers:
+# This is a wrapper for the core apps tightly integrated with GNOME 3
+# gtk-engines:2 is still around because it's needed for gtk2 apps
+RDEPEND="
+ >=gnome-base/gnome-core-libs-${PV}[cups?]
+
+ >=gnome-base/gnome-session-${PV}
+ >=gnome-base/gnome-menus-3.10.1:3
+ >=gnome-base/gnome-settings-daemon-${PV}[cups?]
+ >=gnome-base/gnome-control-center-${PV}[cups?]
+
+ >=app-crypt/gcr-${PV}
+ >=gnome-base/nautilus-${PV}
+ >=gnome-base/gnome-keyring-${PV}
+ >=gnome-extra/evolution-data-server-3.16
+
+ >=app-crypt/seahorse-${PV}
+ >=app-editors/gedit-${PV}
+ >=app-text/evince-${PV}
+ >=gnome-extra/gnome-contacts-${PV}
+ >=media-gfx/eog-${PV}
+ >=media-video/totem-${PV}
+ >=net-im/empathy-3.12.10
+ >=x11-terms/gnome-terminal-${PV}
+
+ >=gnome-extra/gnome-user-docs-${PV}
+ >=gnome-extra/yelp-${PV}
+
+ >=x11-themes/adwaita-icon-theme-${PV}
+ >=x11-themes/gnome-themes-standard-${PV}
+
+ bluetooth? ( >=net-wireless/gnome-bluetooth-${PV} )
+ cdr? ( >=app-cdr/brasero-3.12.1 )
+
+ !gnome-base/gnome-applets
+"
+DEPEND=""
+
+S="${WORKDIR}"
diff --git a/gnome-base/gnome-core-apps/metadata.xml b/gnome-base/gnome-core-apps/metadata.xml
new file mode 100644
index 00000000000..da6fd63d008
--- /dev/null
+++ b/gnome-base/gnome-core-apps/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/gnome-base/gnome-core-libs/gnome-core-libs-3.14.0.ebuild b/gnome-base/gnome-core-libs/gnome-core-libs-3.14.0.ebuild
new file mode 100644
index 00000000000..185da639cd2
--- /dev/null
+++ b/gnome-base/gnome-core-libs/gnome-core-libs-3.14.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DESCRIPTION="Sub-meta package for the core libraries of GNOME 3"
+HOMEPAGE="http://www.gnome.org/"
+LICENSE="metapackage"
+SLOT="3.0"
+IUSE="cups python"
+
+# when unmasking for an arch
+# double check none of the deps are still masked !
+KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86"
+
+# Note to developers:
+# This is a wrapper for the core libraries used by GNOME 3
+RDEPEND="
+ >=dev-libs/glib-2.42.0:2
+ >=x11-libs/gdk-pixbuf-2.30.8:2
+ >=x11-libs/pango-1.36.8
+ >=media-libs/clutter-1.20.0:1.0
+ >=x11-libs/gtk+-${PV}:3[cups?]
+ >=dev-libs/atk-2.14
+ >=x11-libs/libwnck-3.14:3
+ >=gnome-base/librsvg-2.40.2
+ >=gnome-base/gnome-desktop-${PV}:3
+ >=x11-libs/startup-notification-0.12
+
+ >=gnome-base/gvfs-1.22.1
+ >=gnome-base/dconf-0.22.0
+
+ || (
+ >=media-libs/gstreamer-0.10.36:0.10
+ >=media-libs/gstreamer-1.2.3:1.0 )
+ || (
+ >=media-libs/gst-plugins-base-0.10.36:0.10
+ >=media-libs/gst-plugins-base-1.2.3:1.0 )
+ || (
+ >=media-libs/gst-plugins-good-0.10.31:0.10
+ >=media-libs/gst-plugins-good-1.2.3:1.0 )
+
+ python? ( >=dev-python/pygobject-${PV}:3 )
+"
+DEPEND=""
+
+S="${WORKDIR}"
diff --git a/gnome-base/gnome-core-libs/gnome-core-libs-3.16.0.ebuild b/gnome-base/gnome-core-libs/gnome-core-libs-3.16.0.ebuild
new file mode 100644
index 00000000000..55533b5f042
--- /dev/null
+++ b/gnome-base/gnome-core-libs/gnome-core-libs-3.16.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DESCRIPTION="Sub-meta package for the core libraries of GNOME 3"
+HOMEPAGE="http://www.gnome.org/"
+LICENSE="metapackage"
+SLOT="3.0"
+IUSE="cups python"
+
+# when unmasking for an arch
+# double check none of the deps are still masked !
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+# Note to developers:
+# This is a wrapper for the core libraries used by GNOME 3
+RDEPEND="
+ >=dev-libs/glib-2.44:2
+ >=x11-libs/gdk-pixbuf-2.30.8:2
+ >=x11-libs/pango-1.36.8
+ >=media-libs/clutter-1.22:1.0
+ >=x11-libs/gtk+-${PV}:3[cups?]
+ >=dev-libs/atk-2.16
+ >=x11-libs/libwnck-3.14:3
+ >=gnome-base/librsvg-2.40.2
+ >=gnome-base/gnome-desktop-${PV}:3
+ >=x11-libs/startup-notification-0.12
+
+ >=gnome-base/gvfs-1.24
+ >=gnome-base/dconf-0.24
+
+ || (
+ >=media-libs/gstreamer-0.10.36:0.10
+ >=media-libs/gstreamer-1.4.5:1.0 )
+ || (
+ >=media-libs/gst-plugins-base-0.10.36:0.10
+ >=media-libs/gst-plugins-base-1.4.5:1.0 )
+ || (
+ >=media-libs/gst-plugins-good-0.10.31:0.10
+ >=media-libs/gst-plugins-good-1.4.5:1.0 )
+
+ python? ( >=dev-python/pygobject-${PV}:3 )
+"
+DEPEND=""
+
+S="${WORKDIR}"
diff --git a/gnome-base/gnome-core-libs/metadata.xml b/gnome-base/gnome-core-libs/metadata.xml
new file mode 100644
index 00000000000..da6fd63d008
--- /dev/null
+++ b/gnome-base/gnome-core-libs/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/gnome-base/gnome-desktop/Manifest b/gnome-base/gnome-desktop/Manifest
new file mode 100644
index 00000000000..1a87b3c9845
--- /dev/null
+++ b/gnome-base/gnome-desktop/Manifest
@@ -0,0 +1,3 @@
+DIST gnome-desktop-2.32.1.tar.bz2 1633847 SHA256 55cbecf67efe1fa1e57ac966520a7c46d799c8ba3c652a1219f60cafccb3739d SHA512 b8084d08366dab661a7ee369cd03ba62beddbdfa9a36b988b7d13d207b33d6916f7fa8691717fba7b6a70d8276779e35360b1dc385e6ec876f30ea7b8b373c28 WHIRLPOOL 0889e79b1b3956b0ef1330f661676b77bdb40e8110657ea7f4035618ea023fc4b35364629d68741f042c0b971db9fa4c7731065717612486f7546e07fe048a0d
+DIST gnome-desktop-3.14.2.tar.xz 1105916 SHA256 3c284378fd4d5c9aba1ef98b8bab78d0f7fe514964f9dfcfc3b1591328d6b873 SHA512 f6b07219cd99f2b891d6a887380f05c5775a85bac74f545ab94fa1c1758aee2a9839aaa10d313f8b3806e36a0e554ef336cf5176c424618d79e954c892cf1ac3 WHIRLPOOL 122c7bd2bd7d06b278a034ddc413b61188603b36c9880788226fd9f8394a80d7f88aed1c8c880388a024c60bd0f46514a597fc163f5a8445d41a6770b7f84864
+DIST gnome-desktop-3.16.2.tar.xz 1078328 SHA256 3a8f196b46eb9dbd3ba2afb8fb5fef6a8825539d449a02181311242e22227bd0 SHA512 0b82cfd19fb38926313c5bb92061770a4242da87b0da4281d23d5bf7e566c3470f42c71f5d05b6913e16594d3ced331131fe7076e4fcd13319ef139a5265246c WHIRLPOOL 342b988422c7bbdc1d442e238e50f6e61bb18b5fc3ea03dc3fa326badda41d8ee6a917edc9a5e4d90b056ac3bc9a4b8dc0ce616e0b2b570727199a86efad971c
diff --git a/gnome-base/gnome-desktop/files/gnome-desktop-2.32.1-gold.patch b/gnome-base/gnome-desktop/files/gnome-desktop-2.32.1-gold.patch
new file mode 100644
index 00000000000..2e845da46e5
--- /dev/null
+++ b/gnome-base/gnome-desktop/files/gnome-desktop-2.32.1-gold.patch
@@ -0,0 +1,16 @@
+ libgnome-desktop/Makefile.in | 2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/libgnome-desktop/Makefile.in b/libgnome-desktop/Makefile.in
+index 39209f6..a57b09e 100644
+--- a/libgnome-desktop/Makefile.in
++++ b/libgnome-desktop/Makefile.in
+@@ -388,7 +388,7 @@ libgnome_desktop_2_la_SOURCES = \
+
+ libgnome_desktop_2_la_LIBADD = \
+ $(XLIB_LIBS) \
+- $(GNOME_DESKTOP_LIBS)
++ $(GNOME_DESKTOP_LIBS) -lm
+
+ libgnome_desktop_2_la_LDFLAGS = \
+ -version-info $(LT_VERSION) \
diff --git a/gnome-base/gnome-desktop/files/gnome-desktop-2.32.1-thumbnails.patch b/gnome-base/gnome-desktop/files/gnome-desktop-2.32.1-thumbnails.patch
new file mode 100644
index 00000000000..583d7274379
--- /dev/null
+++ b/gnome-base/gnome-desktop/files/gnome-desktop-2.32.1-thumbnails.patch
@@ -0,0 +1,118 @@
+Originally from https://github.com/mate-desktop/mate-desktop/commit/fcede97471263b7f145ceeb988f569d4aa9129b8
+Ported to gnome-desktop by Matthew Turnbull <sparky@bluefang-logic.com>
+
+Fixes nautilus-2 thumbnailing with >=glib-2.34
+
+https://bugs.gentoo.org/show_bug.cgi?id=450930
+
+diff -rupN a/libgnome-desktop/gnome-desktop-thumbnail.c b/libgnome-desktop/gnome-desktop-thumbnail.c
+--- a/libgnome-desktop/gnome-desktop-thumbnail.c
++++ b/libgnome-desktop/gnome-desktop-thumbnail.c
+@@ -526,8 +526,13 @@ gnome_desktop_thumbnail_factory_lookup (
+
+ file = g_strconcat (g_checksum_get_string (checksum), ".png", NULL);
+
++#if GLIB_CHECK_VERSION (2, 34, 0)
++ path = g_build_filename (g_get_user_cache_dir (),
++ "thumbnails",
++#else
+ path = g_build_filename (g_get_home_dir (),
+ ".thumbnails",
++#endif
+ (priv->size == GNOME_DESKTOP_THUMBNAIL_SIZE_NORMAL)?"normal":"large",
+ file,
+ NULL);
+@@ -587,8 +592,13 @@ gnome_desktop_thumbnail_factory_has_vali
+
+ file = g_strconcat (g_checksum_get_string (checksum), ".png", NULL);
+
++#if GLIB_CHECK_VERSION (2, 34, 0)
++ path = g_build_filename (g_get_user_cache_dir (),
++ "thumbnails/fail",
++#else
+ path = g_build_filename (g_get_home_dir (),
+ ".thumbnails/fail",
++#endif
+ appname,
+ file,
+ NULL);
+@@ -917,12 +927,17 @@ make_thumbnail_dirs (GnomeDesktopThumbna
+
+ res = FALSE;
+
++#if GLIB_CHECK_VERSION (2, 34, 0)
++ thumbnail_dir = g_build_filename (g_get_user_cache_dir (),
++ "thumbnails",
++#else
+ thumbnail_dir = g_build_filename (g_get_home_dir (),
+ ".thumbnails",
++#endif
+ NULL);
+ if (!g_file_test (thumbnail_dir, G_FILE_TEST_IS_DIR))
+ {
+- g_mkdir (thumbnail_dir, 0700);
++ g_mkdir_with_parents (thumbnail_dir, 0700);
+ res = TRUE;
+ }
+
+@@ -951,12 +966,17 @@ make_thumbnail_fail_dirs (GnomeDesktopTh
+
+ res = FALSE;
+
++#if GLIB_CHECK_VERSION (2, 34, 0)
++ thumbnail_dir = g_build_filename (g_get_user_cache_dir (),
++ "thumbnails",
++#else
+ thumbnail_dir = g_build_filename (g_get_home_dir (),
+ ".thumbnails",
++#endif
+ NULL);
+ if (!g_file_test (thumbnail_dir, G_FILE_TEST_IS_DIR))
+ {
+- g_mkdir (thumbnail_dir, 0700);
++ g_mkdir_with_parents (thumbnail_dir, 0700);
+ res = TRUE;
+ }
+
+@@ -1025,8 +1045,13 @@ gnome_desktop_thumbnail_factory_save_thu
+
+ file = g_strconcat (g_checksum_get_string (checksum), ".png", NULL);
+
++#if GLIB_CHECK_VERSION (2, 34, 0)
++ path = g_build_filename (g_get_user_cache_dir (),
++ "thumbnails",
++#else
+ path = g_build_filename (g_get_home_dir (),
+ ".thumbnails",
++#endif
+ (priv->size == GNOME_DESKTOP_THUMBNAIL_SIZE_NORMAL)?"normal":"large",
+ file,
+ NULL);
+@@ -1129,8 +1154,13 @@ gnome_desktop_thumbnail_factory_create_f
+
+ file = g_strconcat (g_checksum_get_string (checksum), ".png", NULL);
+
++#if GLIB_CHECK_VERSION (2, 34, 0)
++ path = g_build_filename (g_get_user_cache_dir (),
++ "thumbnails/fail",
++#else
+ path = g_build_filename (g_get_home_dir (),
+ ".thumbnails/fail",
++#endif
+ appname,
+ file,
+ NULL);
+@@ -1221,8 +1251,13 @@ gnome_desktop_thumbnail_path_for_uri (co
+ file = g_strconcat (md5, ".png", NULL);
+ g_free (md5);
+
++#if GLIB_CHECK_VERSION (2, 34, 0)
++ path = g_build_filename (g_get_user_cache_dir (),
++ "thumbnails",
++#else
+ path = g_build_filename (g_get_home_dir (),
+ ".thumbnails",
++#endif
+ (size == GNOME_DESKTOP_THUMBNAIL_SIZE_NORMAL)?"normal":"large",
+ file,
+ NULL);
diff --git a/gnome-base/gnome-desktop/gnome-desktop-2.32.1-r2.ebuild b/gnome-base/gnome-desktop/gnome-desktop-2.32.1-r2.ebuild
new file mode 100644
index 00000000000..f1e03e35cc7
--- /dev/null
+++ b/gnome-base/gnome-desktop/gnome-desktop-2.32.1-r2.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
+GNOME_TARBALL_SUFFIX="bz2"
+PYTHON_COMPAT=( python2_7 )
+
+inherit gnome2 python-r1
+
+DESCRIPTION="Libraries for the gnome desktop that are not part of the UI"
+HOMEPAGE="http://www.gnome.org/"
+
+LICENSE="GPL-2+ FDL-1.1+ LGPL-2+"
+SLOT="2"
+KEYWORDS="alpha amd64 arm ia64 ppc ppc64 ~sh sparc x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="license-docs"
+
+# Note: gnome-desktop:2 and :3 install identical files in /usr/share/gnome/help
+# and /usr/share/omf when --enable-desktop-docs is passed to configure. To avoid
+# file conflict and pointless duplication, gnome-desktop:2[doc] will simply use
+# the files that are installed by :3[doc]
+# Note: depend on glib-2.34 to make sure users upgrade glib before gnome-desktop
+# to get a fix for bug #450930
+RDEPEND=">=x11-libs/gtk+-2.18:2
+ >=dev-libs/glib-2.34:2
+ >=x11-libs/libXrandr-1.2
+ >=gnome-base/gconf-2:2
+ >=x11-libs/startup-notification-0.5
+ ${PYTHON_DEPS}
+"
+DEPEND="${RDEPEND}
+ dev-util/gtk-doc-am
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig
+ >=app-text/gnome-doc-utils-0.3.2
+ ~app-text/docbook-xml-dtd-4.1.2
+ x11-proto/xproto
+ >=x11-proto/randrproto-1.2
+"
+PDEPEND=">=dev-python/pygtk-2.8:2[${PYTHON_USEDEP}]
+ >=dev-python/pygobject-2.14:2[${PYTHON_USEDEP}]
+ license-docs? ( gnome-base/gnome-desktop:3[doc(+)] )
+"
+
+# Includes X11/Xatom.h in libgnome-desktop/gnome-bg.c which comes from xproto
+# Includes X11/extensions/Xrandr.h that includes randr.h from randrproto (and
+# eventually libXrandr shouldn't RDEPEND on randrproto)
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-gold.patch
+ epatch "${FILESDIR}"/${P}-thumbnails.patch #450930
+ gnome2_src_prepare
+}
+
+src_configure() {
+ python_export_best
+ gnome2_src_configure \
+ --with-gnome-distributor=Gentoo \
+ --disable-scrollkeeper \
+ --disable-static \
+ --disable-deprecations \
+ --disable-desktop-docs
+ # desktop-docs will be built by gnome-desktop:3
+}
+
+src_install() {
+ DOCS="AUTHORS ChangeLog HACKING NEWS README"
+ gnome2_src_install
+ # python-r1.eclass doesn't like versioned python shebangs
+ sed -e 's@#!\(.*python.*\)@#!/usr/bin/env python@' -i gnome-about/gnome-about
+ python_doscript gnome-about/gnome-about
+}
diff --git a/gnome-base/gnome-desktop/gnome-desktop-3.14.2.ebuild b/gnome-base/gnome-desktop/gnome-desktop-3.14.2.ebuild
new file mode 100644
index 00000000000..491d0f2a1c5
--- /dev/null
+++ b/gnome-base/gnome-desktop/gnome-desktop-3.14.2.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+
+inherit gnome2 virtualx
+
+DESCRIPTION="Libraries for the gnome desktop that are not part of the UI"
+HOMEPAGE="https://git.gnome.org/browse/gnome-desktop"
+
+LICENSE="GPL-2+ FDL-1.1+ LGPL-2+"
+SLOT="3/10" # subslot = libgnome-desktop-3 soname version
+IUSE="+introspection"
+KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~x86-solaris"
+
+# cairo[X] needed for gnome-bg
+COMMON_DEPEND="
+ app-text/iso-codes
+ >=dev-libs/glib-2.38:2
+ >=x11-libs/gdk-pixbuf-2.21.3:2[introspection?]
+ >=x11-libs/gtk+-3.3.6:3[introspection?]
+ >=x11-libs/libXext-1.1
+ >=x11-libs/libXrandr-1.3
+ x11-libs/cairo:=[X]
+ x11-libs/libX11
+ x11-misc/xkeyboard-config
+ >=gnome-base/gsettings-desktop-schemas-3.5.91
+ introspection? ( >=dev-libs/gobject-introspection-0.9.7 )
+"
+RDEPEND="${COMMON_DEPEND}
+ !<gnome-base/gnome-desktop-2.32.1-r1:2[doc]
+"
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-xml-dtd:4.1.2
+ dev-util/gdbus-codegen
+ >=dev-util/gtk-doc-am-1.4
+ >=dev-util/intltool-0.40.6
+ sys-devel/gettext
+ x11-proto/xproto
+ >=x11-proto/randrproto-1.2
+ virtual/pkgconfig
+"
+
+# Includes X11/Xatom.h in libgnome-desktop/gnome-bg.c which comes from xproto
+# Includes X11/extensions/Xrandr.h that includes randr.h from randrproto (and
+# eventually libXrandr shouldn't RDEPEND on randrproto)
+
+src_configure() {
+ DOCS="AUTHORS ChangeLog HACKING NEWS README"
+ # Note: do *not* use "--with-pnp-ids-path" argument. Otherwise, the pnp.ids
+ # file (needed by other packages such as >=gnome-settings-daemon-3.1.2)
+ # will not get installed in ${pnpdatadir} (/usr/share/libgnome-desktop-3.0).
+ gnome2_src_configure \
+ --disable-static \
+ --with-gnome-distributor=Gentoo \
+ --enable-desktop-docs \
+ $(use_enable introspection) \
+ ITSTOOL=$(type -P true)
+}
+
+src_test() {
+ # Makes unittest fail without this locale installed
+ rm "${S}"/tests/he_IL* || die
+
+ Xemake check
+}
diff --git a/gnome-base/gnome-desktop/gnome-desktop-3.16.2.ebuild b/gnome-base/gnome-desktop/gnome-desktop-3.16.2.ebuild
new file mode 100644
index 00000000000..1ce011cb4a5
--- /dev/null
+++ b/gnome-base/gnome-desktop/gnome-desktop-3.16.2.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+
+inherit gnome2 virtualx
+
+DESCRIPTION="Libraries for the gnome desktop that are not part of the UI"
+HOMEPAGE="https://git.gnome.org/browse/gnome-desktop"
+
+LICENSE="GPL-2+ FDL-1.1+ LGPL-2+"
+SLOT="3/10" # subslot = libgnome-desktop-3 soname version
+IUSE="+introspection"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~x86-solaris"
+
+# cairo[X] needed for gnome-bg
+COMMON_DEPEND="
+ app-text/iso-codes
+ >=dev-libs/glib-2.38:2
+ >=x11-libs/gdk-pixbuf-2.21.3:2[introspection?]
+ >=x11-libs/gtk+-3.3.6:3[introspection?]
+ >=x11-libs/libXext-1.1
+ >=x11-libs/libXrandr-1.3
+ x11-libs/cairo:=[X]
+ x11-libs/libX11
+ x11-misc/xkeyboard-config
+ >=gnome-base/gsettings-desktop-schemas-3.5.91
+ introspection? ( >=dev-libs/gobject-introspection-0.9.7 )
+"
+RDEPEND="${COMMON_DEPEND}
+ !<gnome-base/gnome-desktop-2.32.1-r1:2[doc]
+"
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-xml-dtd:4.1.2
+ dev-util/gdbus-codegen
+ >=dev-util/gtk-doc-am-1.14
+ >=dev-util/intltool-0.40.6
+ sys-devel/gettext
+ x11-proto/xproto
+ >=x11-proto/randrproto-1.2
+ virtual/pkgconfig
+"
+
+# Includes X11/Xatom.h in libgnome-desktop/gnome-bg.c which comes from xproto
+# Includes X11/extensions/Xrandr.h that includes randr.h from randrproto (and
+# eventually libXrandr shouldn't RDEPEND on randrproto)
+
+src_configure() {
+ DOCS="AUTHORS ChangeLog HACKING NEWS README"
+ # Note: do *not* use "--with-pnp-ids-path" argument. Otherwise, the pnp.ids
+ # file (needed by other packages such as >=gnome-settings-daemon-3.1.2)
+ # will not get installed in ${pnpdatadir} (/usr/share/libgnome-desktop-3.0).
+ gnome2_src_configure \
+ --disable-static \
+ --with-gnome-distributor=Gentoo \
+ --enable-desktop-docs \
+ $(use_enable introspection) \
+ ITSTOOL=$(type -P true)
+}
+
+src_test() {
+ Xemake check
+}
diff --git a/gnome-base/gnome-desktop/metadata.xml b/gnome-base/gnome-desktop/metadata.xml
new file mode 100644
index 00000000000..683680a1275
--- /dev/null
+++ b/gnome-base/gnome-desktop/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnome</herd>
+ <use>
+ <flag name="license-docs">Install help files documenting GNOME's
+ licenses</flag>
+ </use>
+</pkgmetadata>
diff --git a/gnome-base/gnome-extra-apps/gnome-extra-apps-3.14.0-r1.ebuild b/gnome-base/gnome-extra-apps/gnome-extra-apps-3.14.0-r1.ebuild
new file mode 100644
index 00000000000..bc56c1727e2
--- /dev/null
+++ b/gnome-base/gnome-extra-apps/gnome-extra-apps-3.14.0-r1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DESCRIPTION="Sub-meta package for the applications of GNOME 3"
+HOMEPAGE="http://www.gnome.org/"
+LICENSE="metapackage"
+SLOT="3.0"
+IUSE="+games +share +shotwell +tracker"
+
+# when unmasking for an arch
+# double check none of the deps are still masked !
+KEYWORDS="amd64 x86"
+
+# Note to developers:
+# This is a wrapper for the extra apps integrated with GNOME 3
+# New package
+RDEPEND="
+ >=gnome-base/gnome-core-libs-${PV}
+
+ >=app-admin/gnome-system-log-3.9.90
+ >=app-arch/file-roller-${PV}
+ >=app-dicts/gnome-dictionary-${PV}
+ >=gnome-extra/gconf-editor-3
+ >=gnome-extra/gnome-calculator-${PV}
+ >=gnome-extra/gnome-power-manager-${PV}
+ >=gnome-extra/gnome-search-tool-3.6
+ >=gnome-extra/gnome-system-monitor-${PV}
+ >=gnome-extra/gnome-tweak-tool-${PV}
+ >=gnome-extra/gnome-weather-${PV}
+ >=gnome-extra/gucharmap-${PV}:2.90
+ >=gnome-extra/nautilus-sendto-3.8.2
+ >=gnome-extra/sushi-3.12.0
+ >=mail-client/evolution-3.12.9
+ >=media-gfx/gnome-font-viewer-${PV}
+ >=media-gfx/gnome-screenshot-${PV}
+ >=media-sound/sound-juicer-${PV}
+ >=media-video/cheese-${PV}
+ >=net-analyzer/gnome-nettool-3.8
+ >=net-misc/vinagre-${PV}
+ >=net-misc/vino-${PV}
+ >=sys-apps/baobab-${PV}
+ >=sys-apps/gnome-disk-utility-${PV}
+ >=www-client/epiphany-3.12
+
+ games? (
+ >=games-arcade/gnome-nibbles-${PV}
+ >=games-arcade/gnome-robots-${PV}
+ >=games-board/four-in-a-row-${PV}
+ >=games-board/gnome-chess-${PV}
+ >=games-board/gnome-mahjongg-${PV}
+ >=games-board/gnome-mines-${PV}
+ >=games-board/iagno-${PV}
+ >=games-board/tali-${PV}
+ >=games-puzzle/five-or-more-${PV}
+ >=games-puzzle/gnome-klotski-${PV}
+ >=games-puzzle/gnome-sudoku-${PV}
+ >=games-puzzle/gnome-tetravex-${PV}
+ >=games-puzzle/hitori-${PV}
+ >=games-puzzle/lightsoff-${PV}
+ >=games-puzzle/quadrapassel-${PV}
+ >=games-puzzle/swell-foop-${PV} )
+ share? ( >=gnome-extra/gnome-user-share-${PV} )
+ shotwell? ( >=media-gfx/shotwell-0.20 )
+ tracker? (
+ >=app-misc/tracker-1.2
+ >=gnome-extra/gnome-documents-${PV}
+ >=media-gfx/gnome-photos-${PV}
+ >=media-sound/gnome-music-${PV} )
+"
+DEPEND=""
+S=${WORKDIR}
diff --git a/gnome-base/gnome-extra-apps/gnome-extra-apps-3.16.0.ebuild b/gnome-base/gnome-extra-apps/gnome-extra-apps-3.16.0.ebuild
new file mode 100644
index 00000000000..0064db2ca2e
--- /dev/null
+++ b/gnome-base/gnome-extra-apps/gnome-extra-apps-3.16.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DESCRIPTION="Sub-meta package for the applications of GNOME 3"
+HOMEPAGE="http://www.gnome.org/"
+LICENSE="metapackage"
+SLOT="3.0"
+IUSE="+games +share +shotwell +tracker"
+
+# when unmasking for an arch
+# double check none of the deps are still masked !
+KEYWORDS="~amd64 ~x86"
+
+# Note to developers:
+# This is a wrapper for the extra apps integrated with GNOME 3
+# New package
+RDEPEND="
+ >=gnome-base/gnome-core-libs-${PV}
+
+ >=app-admin/gnome-system-log-3.9.90
+ >=app-arch/file-roller-${PV}
+ >=app-dicts/gnome-dictionary-${PV}
+ >=gnome-base/dconf-editor-${PV}
+ >=gnome-extra/gconf-editor-3
+ >=gnome-extra/gnome-calculator-${PV}
+ >=gnome-extra/gnome-power-manager-${PV}
+ >=gnome-extra/gnome-search-tool-3.6
+ >=gnome-extra/gnome-system-monitor-${PV}
+ >=gnome-extra/gnome-tweak-tool-${PV}
+ >=gnome-extra/gnome-weather-${PV}
+ >=gnome-extra/gucharmap-${PV}:2.90
+ >=gnome-extra/nautilus-sendto-3.8.2
+ >=gnome-extra/sushi-${PV}
+ >=mail-client/evolution-3.16
+ >=media-gfx/gnome-font-viewer-${PV}
+ >=media-gfx/gnome-screenshot-${PV}
+ >=media-sound/sound-juicer-${PV}
+ >=media-video/cheese-${PV}
+ >=net-analyzer/gnome-nettool-3.8
+ >=net-misc/vinagre-${PV}
+ >=net-misc/vino-${PV}
+ >=sys-apps/baobab-${PV}
+ >=sys-apps/gnome-disk-utility-${PV}
+ >=www-client/epiphany-${PV}
+
+ games? (
+ >=games-arcade/gnome-nibbles-${PV}
+ >=games-arcade/gnome-robots-${PV}
+ >=games-board/four-in-a-row-${PV}
+ >=games-board/gnome-chess-${PV}
+ >=games-board/gnome-mahjongg-${PV}
+ >=games-board/gnome-mines-${PV}
+ >=games-board/iagno-${PV}
+ >=games-board/tali-${PV}
+ >=games-puzzle/five-or-more-${PV}
+ >=games-puzzle/gnome-klotski-${PV}
+ >=games-puzzle/gnome-sudoku-${PV}
+ >=games-puzzle/gnome-taquin-${PV}
+ >=games-puzzle/gnome-tetravex-${PV}
+ >=games-puzzle/hitori-${PV}
+ >=games-puzzle/lightsoff-${PV}
+ >=games-puzzle/quadrapassel-${PV}
+ >=games-puzzle/swell-foop-${PV} )
+ share? ( >=gnome-extra/gnome-user-share-3.14 )
+ shotwell? ( >=media-gfx/shotwell-0.22 )
+ tracker? (
+ >=app-misc/tracker-1.4
+ >=gnome-extra/gnome-documents-${PV}
+ >=media-gfx/gnome-photos-${PV}
+ >=media-sound/gnome-music-${PV} )
+"
+DEPEND=""
+S=${WORKDIR}
diff --git a/gnome-base/gnome-extra-apps/metadata.xml b/gnome-base/gnome-extra-apps/metadata.xml
new file mode 100644
index 00000000000..502f705dcf1
--- /dev/null
+++ b/gnome-base/gnome-extra-apps/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+<use>
+ <flag name="games">Install Gnome Games</flag>
+ <flag name="share">Install the <pkg>gnome-extra/gnome-user-share</pkg> personal file sharing tool</flag>
+ <flag name="shotwell">Install the <pkg>media-gfx/shotwell</pkg> photo manager</flag>
+ <flag name="tracker">Install the <pkg>app-misc/tracker</pkg> indexer and the GNOME packages that require it</flag>
+</use>
+</pkgmetadata>
diff --git a/gnome-base/gnome-keyring/Manifest b/gnome-base/gnome-keyring/Manifest
new file mode 100644
index 00000000000..489cfec45e6
--- /dev/null
+++ b/gnome-base/gnome-keyring/Manifest
@@ -0,0 +1,3 @@
+DIST gnome-keyring-3.12.2.tar.xz 1170560 SHA256 3bc39a42d445b82d24247a8c39eeb0eef7ecb1c8ebb8e6ec62671868be93fd4c SHA512 e8e095904e63f589cdc30818ecab7938e42750054880f1fc01dfbb39375ae56a4497158309717b726594e54ad2604eaeedd8a8ed73697b4c348185f32af17457 WHIRLPOOL cb5b0dcff8d5d5d1e7633f835f242cad2c1f4a383717dd75fdf5e5d9e22c8e0b4966a50e2cb34c5fff39d50a42a92b7647335263677dd277bbf9fbfeccb7ca16
+DIST gnome-keyring-3.14.0.tar.xz 1172092 SHA256 c7059516cc47192e8bc5f1095e8e57cd3388825a4584ea8ad67a97763b7c9040 SHA512 5f8e1cd636e6293efe2b70e981efe80adc22152531530ace8d704fc2f7596c3502ff8a8ffdb1b15fa69d642d04eabd875761588f13269847116fd72416596be8 WHIRLPOOL b6913bd252697cf8822c51a93aef2501c32ed5d128947e137730d7a16722f4806e0dcefc5b452ff01a55d26a4e53126dfdba368a093f106cb13ec97ebdb58723
+DIST gnome-keyring-3.16.0.tar.xz 1179776 SHA256 15a3bb8c53855a4ff0dbbdfbe4ec3df206c32048f50bdc76a51f8e3e14ece1f5 SHA512 eeb5c614395dda0e046056899f9eb6f962253b48d6b668bb966328e75863010c1f653ba2d8f7ca60bdd8ff5c43f77604396f0e4c448236c5b010dd0c61ffa069 WHIRLPOOL dae5b7294b8274623cd0ccebd57b348b8b73e58bd88f32b12f982f1e0413a042e72adf69a36a21619c34c4726965031e1a5aec476d143f99315a4132bc19df8a
diff --git a/gnome-base/gnome-keyring/gnome-keyring-3.12.2-r1.ebuild b/gnome-base/gnome-keyring/gnome-keyring-3.12.2-r1.ebuild
new file mode 100644
index 00000000000..506c3faaac7
--- /dev/null
+++ b/gnome-base/gnome-keyring/gnome-keyring-3.12.2-r1.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes" # Not gnome macro but similar
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 )
+
+inherit fcaps gnome2 pam python-any-r1 versionator virtualx
+
+DESCRIPTION="Password and keyring managing daemon"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeKeyring"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="+caps debug pam selinux +ssh-agent"
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+
+RDEPEND="
+ >=app-crypt/gcr-3.5.3:=[gtk]
+ >=dev-libs/glib-2.38:2
+ app-misc/ca-certificates
+ >=dev-libs/libgcrypt-1.2.2:0=
+ >=sys-apps/dbus-1.1.1
+ caps? ( sys-libs/libcap-ng )
+ pam? ( virtual/pam )
+"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ app-text/docbook-xml-dtd:4.3
+ dev-libs/libxslt
+ >=dev-util/intltool-0.35
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ # Disable stupid CFLAGS
+ sed -e 's/CFLAGS="$CFLAGS -g"//' \
+ -e 's/CFLAGS="$CFLAGS -O0"//' \
+ -i configure.ac configure || die
+
+ # FIXME: some tests write to /tmp (instead of TMPDIR)
+ # Disable failing tests
+ sed -e 's|\(g_test_add.*/gkm/data-asn1/integers.*;\)|/*\1*/|' \
+ -i "${S}"/pkcs11/gkm/test-data-asn1.c || die
+ sed -e 's|\(g_test_add.*/gkm/timer/cancel.*;\)|/*\1*/|' \
+ -i "${S}"/pkcs11/gkm/test-timer.c || die
+ # For some reason all pam tests make the testsuite retun 77
+ # which is considered an error but the test framework,
+ # but all tests are successful, upstream bug #731030
+ sed -e '558,595 d' -i "${S}"/pam/test-pam.c || die
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ $(use_with caps libcap-ng) \
+ $(use_enable pam) \
+ $(use_with pam pam-dir $(getpam_mod_dir)) \
+ $(use_enable selinux) \
+ $(use_enable ssh-agent) \
+ --enable-doc \
+ --enable-gpg-agent
+}
+
+src_test() {
+ # FIXME: this should be handled at eclass level
+ "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/schema" || die
+
+ unset DBUS_SESSION_BUS_ADDRESS
+ GSETTINGS_SCHEMA_DIR="${S}/schema" Xemake check
+}
+
+pkg_postinst() {
+ # cap_ipc_lock only needed if building --with-libcap-ng
+ # Never install as suid root, this breaks dbus activation, see bug #513870
+ use caps && fcaps -m 755 cap_ipc_lock usr/bin/gnome-keyring-daemon
+ gnome2_pkg_postinst
+}
diff --git a/gnome-base/gnome-keyring/gnome-keyring-3.14.0.ebuild b/gnome-base/gnome-keyring/gnome-keyring-3.14.0.ebuild
new file mode 100644
index 00000000000..1f64da03660
--- /dev/null
+++ b/gnome-base/gnome-keyring/gnome-keyring-3.14.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes" # Not gnome macro but similar
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 )
+
+inherit fcaps gnome2 pam python-any-r1 versionator virtualx
+
+DESCRIPTION="Password and keyring managing daemon"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeKeyring"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="+caps debug pam selinux +ssh-agent test"
+KEYWORDS="alpha amd64 arm ~arm64 ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+
+RDEPEND="
+ >=app-crypt/gcr-3.5.3:=[gtk]
+ >=dev-libs/glib-2.38:2
+ app-misc/ca-certificates
+ >=dev-libs/libgcrypt-1.2.2:0=
+ >=sys-apps/dbus-1.1.1
+ caps? ( sys-libs/libcap-ng )
+ pam? ( virtual/pam )
+"
+DEPEND="${RDEPEND}
+ app-text/docbook-xml-dtd:4.3
+ dev-libs/libxslt
+ >=dev-util/intltool-0.35
+ sys-devel/gettext
+ virtual/pkgconfig
+ test? ( ${PYTHON_DEPS} )
+"
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ # Disable stupid CFLAGS
+ sed -e 's/CFLAGS="$CFLAGS -g"//' \
+ -e 's/CFLAGS="$CFLAGS -O0"//' \
+ -i configure.ac configure || die
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ $(use_with caps libcap-ng) \
+ $(use_enable pam) \
+ $(use_with pam pam-dir $(getpam_mod_dir)) \
+ $(use_enable selinux) \
+ $(use_enable ssh-agent) \
+ --enable-doc \
+ --enable-gpg-agent
+}
+
+src_test() {
+ # FIXME: this should be handled at eclass level
+ "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/schema" || die
+
+ unset DBUS_SESSION_BUS_ADDRESS
+ GSETTINGS_SCHEMA_DIR="${S}/schema" Xemake check
+}
+
+pkg_postinst() {
+ # cap_ipc_lock only needed if building --with-libcap-ng
+ # Never install as suid root, this breaks dbus activation, see bug #513870
+ use caps && fcaps -m 755 cap_ipc_lock usr/bin/gnome-keyring-daemon
+ gnome2_pkg_postinst
+}
diff --git a/gnome-base/gnome-keyring/gnome-keyring-3.16.0-r1.ebuild b/gnome-base/gnome-keyring/gnome-keyring-3.16.0-r1.ebuild
new file mode 100644
index 00000000000..856f9f2838b
--- /dev/null
+++ b/gnome-base/gnome-keyring/gnome-keyring-3.16.0-r1.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes" # Not gnome macro but similar
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 )
+
+inherit fcaps gnome2 pam python-any-r1 versionator virtualx
+
+DESCRIPTION="Password and keyring managing daemon"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeKeyring"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="+caps debug pam selinux +ssh-agent test"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+
+# Replace gkd gpg-agent with pinentry[gnome-keyring] one, bug #547456
+COMMON_DEPEND="
+ >=app-crypt/gcr-3.5.3:=[gtk]
+ >=dev-libs/glib-2.38:2
+ app-misc/ca-certificates
+ >=dev-libs/libgcrypt-1.2.2:0=
+ >=sys-apps/dbus-1.1.1
+ caps? ( sys-libs/libcap-ng )
+ pam? ( virtual/pam )
+
+ >=app-crypt/gnupg-2.0.28
+"
+RDEPEND="${COMMON_DEPEND}
+ app-crypt/pinentry[gnome-keyring]
+"
+DEPEND="${COMMON_DEPEND}
+ >=app-eselect/eselect-pinentry-0.5
+ app-text/docbook-xml-dtd:4.3
+ dev-libs/libxslt
+ >=dev-util/intltool-0.35
+ sys-devel/gettext
+ virtual/pkgconfig
+ test? ( ${PYTHON_DEPS} )
+"
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ # Disable stupid CFLAGS
+ sed -e 's/CFLAGS="$CFLAGS -g"//' \
+ -e 's/CFLAGS="$CFLAGS -O0"//' \
+ -i configure.ac configure || die
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # --disable-gpg-agent, bug #547456
+ gnome2_src_configure \
+ $(use_with caps libcap-ng) \
+ $(use_enable pam) \
+ $(use_with pam pam-dir $(getpam_mod_dir)) \
+ $(use_enable selinux) \
+ $(use_enable ssh-agent) \
+ --enable-doc \
+ --disable-gpg-agent
+}
+
+src_test() {
+ # FIXME: this should be handled at eclass level
+ "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/schema" || die
+
+ unset DBUS_SESSION_BUS_ADDRESS
+ GSETTINGS_SCHEMA_DIR="${S}/schema" Xemake check
+}
+
+pkg_postinst() {
+ # cap_ipc_lock only needed if building --with-libcap-ng
+ # Never install as suid root, this breaks dbus activation, see bug #513870
+ use caps && fcaps -m 755 cap_ipc_lock usr/bin/gnome-keyring-daemon
+ gnome2_pkg_postinst
+
+ if ! [[ $(eselect pinentry show | grep "pinentry-gnome3") ]] ; then
+ ewarn "Please select pinentry-gnome3 as default pinentry provider:"
+ ewarn " # eselect pinentry set pinentry-gnome3"
+ fi
+}
diff --git a/gnome-base/gnome-keyring/gnome-keyring-3.16.0.ebuild b/gnome-base/gnome-keyring/gnome-keyring-3.16.0.ebuild
new file mode 100644
index 00000000000..56f289499ed
--- /dev/null
+++ b/gnome-base/gnome-keyring/gnome-keyring-3.16.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes" # Not gnome macro but similar
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 )
+
+inherit fcaps gnome2 pam python-any-r1 versionator virtualx
+
+DESCRIPTION="Password and keyring managing daemon"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeKeyring"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="+caps debug pam selinux +ssh-agent test"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+
+RDEPEND="
+ >=app-crypt/gcr-3.5.3:=[gtk]
+ >=dev-libs/glib-2.38:2
+ app-misc/ca-certificates
+ >=dev-libs/libgcrypt-1.2.2:0=
+ >=sys-apps/dbus-1.1.1
+ caps? ( sys-libs/libcap-ng )
+ pam? ( virtual/pam )
+"
+DEPEND="${RDEPEND}
+ app-text/docbook-xml-dtd:4.3
+ dev-libs/libxslt
+ >=dev-util/intltool-0.35
+ sys-devel/gettext
+ virtual/pkgconfig
+ test? ( ${PYTHON_DEPS} )
+"
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ # Disable stupid CFLAGS
+ sed -e 's/CFLAGS="$CFLAGS -g"//' \
+ -e 's/CFLAGS="$CFLAGS -O0"//' \
+ -i configure.ac configure || die
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ $(use_with caps libcap-ng) \
+ $(use_enable pam) \
+ $(use_with pam pam-dir $(getpam_mod_dir)) \
+ $(use_enable selinux) \
+ $(use_enable ssh-agent) \
+ --enable-doc \
+ --enable-gpg-agent
+}
+
+src_test() {
+ # FIXME: this should be handled at eclass level
+ "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/schema" || die
+
+ unset DBUS_SESSION_BUS_ADDRESS
+ GSETTINGS_SCHEMA_DIR="${S}/schema" Xemake check
+}
+
+pkg_postinst() {
+ # cap_ipc_lock only needed if building --with-libcap-ng
+ # Never install as suid root, this breaks dbus activation, see bug #513870
+ use caps && fcaps -m 755 cap_ipc_lock usr/bin/gnome-keyring-daemon
+ gnome2_pkg_postinst
+}
diff --git a/gnome-base/gnome-keyring/metadata.xml b/gnome-base/gnome-keyring/metadata.xml
new file mode 100644
index 00000000000..1ab41809609
--- /dev/null
+++ b/gnome-base/gnome-keyring/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnome</herd>
+ <longdescription lang="en">
+ GNOME Keyring is a collection of components in GNOME that store
+ secrets, passwords, keys, certificates and make them available to
+ applications. It is integrated with the user's login, so that
+ their secret storage can be unlocked when the user logins into their
+ session. It is based around a standard called PKCS#11, which is a
+ standard way for applications to manage certificates and keys on
+ smart cards or secure storage.
+ </longdescription>
+ <use>
+ <flag name="ssh-agent">Use GNOME Keyring to unlock SSH keys.
+ Recommended unless you are using ECDSA or Ed25519 keys.</flag>
+ </use>
+</pkgmetadata>
diff --git a/gnome-base/gnome-light/gnome-light-3.14.0.ebuild b/gnome-base/gnome-light/gnome-light-3.14.0.ebuild
new file mode 100644
index 00000000000..d7f877efee0
--- /dev/null
+++ b/gnome-base/gnome-light/gnome-light-3.14.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DESCRIPTION="Meta package for GNOME-Light, merge this package to install"
+HOMEPAGE="http://www.gnome.org/"
+LICENSE="metapackage"
+SLOT="2.0"
+IUSE="cups +gnome-shell"
+
+# when unmasking for an arch
+# double check none of the deps are still masked !
+KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86"
+
+# XXX: Note to developers:
+# This is a wrapper for the 'light' GNOME 3 desktop, and should only consist of
+# the bare minimum of libs/apps needed. It is basically gnome-base/gnome without
+# any apps, but shouldn't be used by users unless they know what they are doing.
+RDEPEND="!gnome-base/gnome
+ >=gnome-base/gnome-core-libs-${PV}[cups?]
+
+ >=gnome-base/gnome-session-${PV}
+ >=gnome-base/gnome-menus-3.10.1:3
+ >=gnome-base/gnome-settings-daemon-${PV}[cups?]
+ >=gnome-base/gnome-control-center-${PV}[cups?]
+
+ >=gnome-base/nautilus-${PV}
+
+ gnome-shell? (
+ >=x11-wm/mutter-${PV}
+ >=gnome-base/gnome-shell-${PV} )
+
+ >=x11-themes/adwaita-icon-theme-${PV}
+ >=x11-themes/gnome-themes-standard-${PV}
+ >=x11-themes/gnome-backgrounds-${PV}
+
+ >=x11-terms/gnome-terminal-${PV}
+"
+DEPEND=""
+PDEPEND=">=gnome-base/gvfs-1.22.0"
+S="${WORKDIR}"
+
+pkg_pretend() {
+ if ! use gnome-shell; then
+ # Users probably want to use e16, sawfish, etc
+ ewarn "You're installing neither GNOME Shell"
+ ewarn "You will have to install and manage a window manager by yourself"
+ fi
+}
diff --git a/gnome-base/gnome-light/gnome-light-3.16.0.ebuild b/gnome-base/gnome-light/gnome-light-3.16.0.ebuild
new file mode 100644
index 00000000000..59eeef8822e
--- /dev/null
+++ b/gnome-base/gnome-light/gnome-light-3.16.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DESCRIPTION="Meta package for GNOME-Light, merge this package to install"
+HOMEPAGE="http://www.gnome.org/"
+LICENSE="metapackage"
+SLOT="2.0"
+IUSE="cups +gnome-shell"
+
+# when unmasking for an arch
+# double check none of the deps are still masked !
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+# XXX: Note to developers:
+# This is a wrapper for the 'light' GNOME 3 desktop, and should only consist of
+# the bare minimum of libs/apps needed. It is basically gnome-base/gnome without
+# any apps, but shouldn't be used by users unless they know what they are doing.
+RDEPEND="!gnome-base/gnome
+ >=gnome-base/gnome-core-libs-${PV}[cups?]
+
+ >=gnome-base/gnome-session-${PV}
+ >=gnome-base/gnome-menus-3.10.1:3
+ >=gnome-base/gnome-settings-daemon-${PV}[cups?]
+ >=gnome-base/gnome-control-center-${PV}[cups?]
+
+ >=gnome-base/nautilus-${PV}
+
+ gnome-shell? (
+ >=x11-wm/mutter-${PV}
+ >=gnome-base/gnome-shell-${PV} )
+
+ >=x11-themes/adwaita-icon-theme-${PV}
+ >=x11-themes/gnome-themes-standard-${PV}
+ >=x11-themes/gnome-backgrounds-${PV}
+
+ >=x11-terms/gnome-terminal-${PV}
+"
+DEPEND=""
+PDEPEND=">=gnome-base/gvfs-1.24.0"
+S="${WORKDIR}"
+
+pkg_pretend() {
+ if ! use gnome-shell; then
+ # Users probably want to use e16, sawfish, etc
+ ewarn "You're installing neither GNOME Shell"
+ ewarn "You will have to install and manage a window manager by yourself"
+ fi
+}
+
+pkg_postinst() {
+ # Remember people where to find our project information
+ elog "Please remember to look at https://wiki.gentoo.org/wiki/Project:GNOME"
+ elog "for information about the project and documentation."
+}
diff --git a/gnome-base/gnome-light/metadata.xml b/gnome-base/gnome-light/metadata.xml
new file mode 100644
index 00000000000..bda1c542456
--- /dev/null
+++ b/gnome-base/gnome-light/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+<use>
+ <flag name="gnome-shell">Install <pkg>gnome-base/gnome-shell</pkg> and
+ <pkg>x11-wm/mutter</pkg> for the standard GNOME 3 desktop mode</flag>
+</use>
+</pkgmetadata>
diff --git a/gnome-base/gnome-menus/Manifest b/gnome-base/gnome-menus/Manifest
new file mode 100644
index 00000000000..99999b05a3b
--- /dev/null
+++ b/gnome-base/gnome-menus/Manifest
@@ -0,0 +1,3 @@
+DIST gnome-menus-3.10.1-patches.tar.xz 5708 SHA256 fd97cd902aac72ca8aa783c65ae1664842bcf2227262848662e93e1c44e9f6ac SHA512 bfdca2ba70525b71059262d4d19a2567c3d74c7f255ff823e5c24e631b764ab05be954ec16630729220a22f2425f8d2a8ecb1b22641346f53d5af9d9f90feebc WHIRLPOOL 01942eb7cf017ffa42d1c4189320ec7be9a8e25127074151b0a929b22f8d66b43a257f7c96506cdcf28aee35ffdf009f4f20f30ac38faa0aee59b99149618a8e
+DIST gnome-menus-3.10.1.tar.xz 423052 SHA256 46950aba274c1ad58234374fa9b235258650737307f3bc396af48eb983668a71 SHA512 e6f0fe223e60f6c33a2ed2cd958035e5560d4063fbe7485263c4ad0eba82e18948d19f7dbe84dd0db5c339e94366759a0f98da533e2798c3ed9cc9a87f73c7e0 WHIRLPOOL f4d4266c7d3d06a4551b3a4aaa987c5e3d8ecf867afa5ea6c7c41de4675d4973e2a87dd80a604acfbcc29f14c0f1e70156faa93d13429f33218bf5e790eee1d0
+DIST gnome-menus-3.13.3.tar.xz 404664 SHA256 7c446eb8ff381df52b8ba04e5886497595e84d1bc46caf7af764d894736c654e SHA512 d631eb17ddc1b33227d0e5862a9344a8605ee1e9ebc1f12ce4ac98895adaf8a82ef2a49415d99bc194a02f30f30c3d6d49759f280fbc246c9e482711fd5021d2 WHIRLPOOL fda219f4fd24b4c05059acc156609b3a5c002d34ba2d1a0bd3bd14f3a93e867974068195ebb4717385550548ada9e9d182a30a028d26320db9364dd6939ad2d0
diff --git a/gnome-base/gnome-menus/files/gnome-menus-3.8.0-ignore_kde_standalone.patch b/gnome-base/gnome-menus/files/gnome-menus-3.8.0-ignore_kde_standalone.patch
new file mode 100755
index 00000000000..ab6cb92d7dd
--- /dev/null
+++ b/gnome-base/gnome-menus/files/gnome-menus-3.8.0-ignore_kde_standalone.patch
@@ -0,0 +1,37 @@
+From bf91222f05076f32c0a21aa22f8629dc6ce19eb4 Mon Sep 17 00:00:00 2001
+From: Sobhan Mohammadpour <sobhanmohammadpour1@yahoo.fr>
+Date: Mon, 25 Feb 2013 16:36:44 +0330
+Subject: [PATCH] gnome-menus-3.7.90-ignore_kde_standalone
+
+---
+ layout/gnome-applications.menu | 14 +++++++++++++-
+ 1 file changed, 13 insertions(+), 1 deletion(-)
+
+diff --git a/layout/gnome-applications.menu b/layout/gnome-applications.menu
+index 9242eff..94ea6d4 100644
+--- a/layout/gnome-applications.menu
++++ b/layout/gnome-applications.menu
+@@ -277,7 +277,19 @@
+ <And>
+ <Not><Category>Core</Category></Not>
+ <Not><Category>Screensaver</Category></Not>
+-
++ <Not><Category>X-KDE-settings-accessibility</Category></Not>
++ <Not><Category>X-KDE-settings-components</Category></Not>
++ <Not><Category>X-KDE-settings-desktop</Category></Not>
++ <Not><Category>X-KDE-settings-looknfeel</Category></Not>
++ <Not><Category>X-KDE-settings-network</Category></Not>
++ <Not><Category>X-KDE-settings-webbrowsing</Category></Not>
++ <Not><Category>X-KDE-settings-peripherals</Category></Not>
++ <Not><Category>X-KDE-settings-hardware</Category></Not>
++ <Not><Category>X-KDE-settings-power</Category></Not>
++ <Not><Category>X-KDE-settings-security</Category></Not>
++ <Not><Category>X-KDE-settings-sound</Category></Not>
++ <Not><Category>X-KDE-settings-system</Category></Not>
++ <Not><Category>X-KDE-information</Category></Not>
+ <!-- Really Fedora ??? -->
+ <Not><Filename>gnome-eog.desktop</Filename></Not>
+ <Not><Filename>gnome-file-roller.desktop</Filename></Not>
+--
+1.8.1.2
+
diff --git a/gnome-base/gnome-menus/gnome-menus-3.10.1-r1.ebuild b/gnome-base/gnome-menus/gnome-menus-3.10.1-r1.ebuild
new file mode 100644
index 00000000000..3c28a21659b
--- /dev/null
+++ b/gnome-base/gnome-menus/gnome-menus-3.10.1-r1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit eutils gnome2
+
+DESCRIPTION="Library for the Desktop Menu fd.o specification"
+HOMEPAGE="https://git.gnome.org/browse/gnome-menus"
+SRC_URI="${SRC_URI}
+ http://dev.gentoo.org/~tetromino/distfiles/${PN}/${PN}-3.10.1-patches.tar.xz"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="3"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+
+IUSE="debug +introspection test"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.29.15:2
+ introspection? ( >=dev-libs/gobject-introspection-0.9.5 )
+"
+# Older versions of slot 0 install the menu editor and the desktop directories
+
+RDEPEND="${COMMON_DEPEND}
+ !<gnome-base/gnome-menus-3.0.1-r1:0
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/intltool-0.40
+ sys-devel/gettext
+ virtual/pkgconfig
+ test? ( dev-libs/gjs )
+"
+
+src_prepare() {
+ # Don't show KDE standalone settings desktop files in GNOME others menu
+ epatch "${FILESDIR}/${PN}-3.8.0-ignore_kde_standalone.patch"
+
+ # Fixes for crashes and memory leaks from upstream git master
+ epatch ../"${PN}-3.10.1-patches"/*.patch
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ DOCS="AUTHORS ChangeLog HACKING NEWS README"
+
+ # Do NOT compile with --disable-debug/--enable-debug=no
+ # It disables api usage checks
+ gnome2_src_configure \
+ $(usex debug --enable-debug=yes --enable-debug=minimum) \
+ $(use_enable introspection) \
+ --disable-static
+}
diff --git a/gnome-base/gnome-menus/gnome-menus-3.13.3.ebuild b/gnome-base/gnome-menus/gnome-menus-3.13.3.ebuild
new file mode 100644
index 00000000000..62c90b044a8
--- /dev/null
+++ b/gnome-base/gnome-menus/gnome-menus-3.13.3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+
+inherit eutils gnome2
+
+DESCRIPTION="Library for the Desktop Menu fd.o specification"
+HOMEPAGE="https://git.gnome.org/browse/gnome-menus"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="3"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+
+IUSE="+introspection test"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.29.15:2
+ introspection? ( >=dev-libs/gobject-introspection-0.9.5:= )
+"
+# Older versions of slot 0 install the menu editor and the desktop directories
+RDEPEND="${COMMON_DEPEND}
+ !<gnome-base/gnome-menus-3.0.1-r1:0
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/intltool-0.40
+ sys-devel/gettext
+ virtual/pkgconfig
+ test? ( dev-libs/gjs )
+"
+
+src_prepare() {
+ # Don't show KDE standalone settings desktop files in GNOME others menu
+ epatch "${FILESDIR}/${PN}-3.8.0-ignore_kde_standalone.patch"
+ gnome2_src_prepare
+}
+
+src_configure() {
+ DOCS="AUTHORS ChangeLog HACKING NEWS README"
+
+ # Do NOT compile with --disable-debug/--enable-debug=no
+ # It disables api usage checks
+ gnome2_src_configure \
+ $(use_enable introspection) \
+ --disable-static
+}
diff --git a/gnome-base/gnome-menus/metadata.xml b/gnome-base/gnome-menus/metadata.xml
new file mode 100644
index 00000000000..da6fd63d008
--- /dev/null
+++ b/gnome-base/gnome-menus/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/gnome-base/gnome-mime-data/Manifest b/gnome-base/gnome-mime-data/Manifest
new file mode 100644
index 00000000000..1fc7b98941f
--- /dev/null
+++ b/gnome-base/gnome-mime-data/Manifest
@@ -0,0 +1 @@
+DIST gnome-mime-data-2.18.0.tar.bz2 607012 SHA256 37196b5b37085bbcd45c338c36e26898fe35dd5975295f69f48028b1e8436fd7 SHA512 132996786254799341eeaa7894749cf4a95e391e31d985b1527b2f3dfeeeb01e7cc000753fc21d559db07fcc92018f4839f170eb149cb457fe06058ad3d986d5 WHIRLPOOL 3364d3fb129a617a4be27cf7816d2365f42d9ff681ce812b2fa0206c5c05c75991e8482657f6aa53c8d4cd4123afe0805291d00b4b1f27b125b73bff6e1ba19a
diff --git a/gnome-base/gnome-mime-data/gnome-mime-data-2.18.0.ebuild b/gnome-base/gnome-mime-data/gnome-mime-data-2.18.0.ebuild
new file mode 100644
index 00000000000..b7ef5a8dd43
--- /dev/null
+++ b/gnome-base/gnome-mime-data/gnome-mime-data-2.18.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME_TARBALL_SUFFIX="bz2"
+
+inherit gnome2
+
+DESCRIPTION="MIME data for Gnome"
+HOMEPAGE="http://www.gnome.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND=""
+DEPEND="
+ virtual/pkgconfig
+ >=dev-util/intltool-0.35
+"
+
+src_prepare() {
+ intltoolize --force || die "intltoolize failed"
+ gnome2_src_prepare
+}
diff --git a/gnome-base/gnome-mime-data/metadata.xml b/gnome-base/gnome-mime-data/metadata.xml
new file mode 100644
index 00000000000..da6fd63d008
--- /dev/null
+++ b/gnome-base/gnome-mime-data/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/gnome-base/gnome-session/Manifest b/gnome-base/gnome-session/Manifest
new file mode 100644
index 00000000000..3cd2f940a17
--- /dev/null
+++ b/gnome-base/gnome-session/Manifest
@@ -0,0 +1,2 @@
+DIST gnome-session-3.14.0.tar.xz 736128 SHA256 b1e6e805478b863eda58e61ecd0e13961f63dd76e2d49692affc5a1d00f2c184 SHA512 7a1b1bd229e38963d5e104fd9b649ab597b4026a59b87820c8517699e63cb066f2aa52b74eb30a052dc4017c30eb16dc16a779a14580af9c1e876edcdd9bd020 WHIRLPOOL a756904a53c7e84dee6d85a2066fe8993f338021e1c07d65c025b1cbae03fedaa169fd19c02203dfc962b69b99d8d3926c17324f15e62e7b6c7e633927140cfa
+DIST gnome-session-3.16.0.tar.xz 764808 SHA256 9b546d455edd9d681070a61c98a4164557f89ebbd66367a2aa528d807dfea99d SHA512 4f02e73ab632ce0c2b961f1d88d93ef62fb6ebfa39d98bf12e672ca7cd9680d07aeffcd3c8792eddcbd9b5e13b0ef87d064352d8f209b3befd8445c1ba17e485 WHIRLPOOL 18ae75ccf4c3b67dfb8b941552317f5739a9ac54d9e8ef2c220e388f2f91687bee05127dcdbd132137b8f7996585ce1ba2a82877cc00eb787d7c5e24d032faf2
diff --git a/gnome-base/gnome-session/files/10-user-dirs-update-gnome-r1 b/gnome-base/gnome-session/files/10-user-dirs-update-gnome-r1
new file mode 100755
index 00000000000..61fd08c5114
--- /dev/null
+++ b/gnome-base/gnome-session/files/10-user-dirs-update-gnome-r1
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# Create various XDG directories, and write ~/.config/user-dirs.dirs, etc.
+# That file is read by glib to get XDG_PICTURES_DIR, etc
+
+if [ "$DESKTOP_SESSION" = "gnome" -o "$DESKTOP_SESSION" = "cinnamon" ]; then
+ if type xdg-user-dirs-update &>/dev/null; then
+ xdg-user-dirs-update
+ fi
+fi
diff --git a/gnome-base/gnome-session/files/15-xdg-data-gnome-r1 b/gnome-base/gnome-session/files/15-xdg-data-gnome-r1
new file mode 100644
index 00000000000..5eaa6985d9d
--- /dev/null
+++ b/gnome-base/gnome-session/files/15-xdg-data-gnome-r1
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if [ "$DESKTOP_SESSION" = "gnome" -o "$DESKTOP_SESSION" = "cinnamon" ]; then
+ if [ -z "$XDG_DATA_DIRS" ]; then
+ export XDG_DATA_DIRS=/usr/share/gnome:/usr/local/share/:/usr/share/
+ else
+ export XDG_DATA_DIRS=/usr/share/gnome:"$XDG_DATA_DIRS"
+ fi
+fi
diff --git a/gnome-base/gnome-session/files/90-xcursor-theme-gnome b/gnome-base/gnome-session/files/90-xcursor-theme-gnome
new file mode 100644
index 00000000000..13bc453c785
--- /dev/null
+++ b/gnome-base/gnome-session/files/90-xcursor-theme-gnome
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+if [ "$DESKTOP_SESSION" = "gnome" -o "$DESKTOP_SESSION" = "cinnamon" ]; then
+ XCURSOR_THEME=`dconf read /org/gnome/desktop/interface/cursor-theme` 2> /dev/null
+ if [ x"$XCURSOR_THEME" = "x" ]; then
+ export XCURSOR_THEME="Adwaita"
+ else
+ # 'dconf read' wraps string output in single quotes
+ eval export "XCURSOR_THEME=$XCURSOR_THEME"
+ fi
+fi
diff --git a/gnome-base/gnome-session/files/Gnome b/gnome-base/gnome-session/files/Gnome
new file mode 100644
index 00000000000..55d39b63325
--- /dev/null
+++ b/gnome-base/gnome-session/files/Gnome
@@ -0,0 +1,109 @@
+#!/bin/sh
+#
+# This file has bitrotted badly. Someone needs to clean this up.
+#
+
+if [ -f /etc/xdg/menus/gnome-applications.menu ] ; then
+ export XDG_MENU_PREFIX=gnome-
+fi
+
+for errfile in "$HOME/.gnomerc-errors" "${TMPDIR-/tmp}/gnomerc-$USER" "/tmp/gnomerc-$USER"
+do
+ if ( cp /dev/null "$errfile" 2> /dev/null )
+ then
+ chmod 600 "$errfile"
+ exec > "$errfile" 2>&1
+ break
+ fi
+done
+#
+# Distributors:
+# You should modify the paths here to fit your distro
+# If you need to do so, send me (jirka@5z.com) a patch
+# and I'll try to make the script detect the distro stuff
+#
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+userxkbmap=$HOME/.Xkbmap
+
+sysresources=/etc/X11/Xresources
+sysmodmap=/etc/X11/Xmodmap
+sysxkbmap=/etc/X11/Xkbmap
+
+rh6sysresources=/etc/X11/xinit/Xresources
+rh6sysmodmap=/etc/X11/xinit/Xmodmap
+
+if [ -x "$HOME/.gnomerc" ]; then
+ command="$HOME/.gnomerc"
+elif [ -x /etc/X11/gdm/gnomerc ]; then
+ command="/etc/X11/gdm/gnomerc"
+else
+ # as fallback in case the config is screwed
+ command=`which gnome-session`
+fi
+
+# merge in defaults
+if [ -f "$rh6sysresources" ]; then
+ xrdb -merge "$rh6sysresources"
+fi
+
+if [ -f "$sysresources" ]; then
+ xrdb -merge "$sysresources"
+fi
+
+if [ -f "$userresources" ]; then
+ xrdb -merge "$userresources"
+fi
+
+# merge in keymaps
+if [ -f "$sysxkbmap" ]; then
+ setxkbmap `cat "$sysxkbmap"`
+ XKB_IN_USE=yes
+fi
+
+if [ -f "$userxkbmap" ]; then
+ setxkbmap `cat "$userxkbmap"`
+ XKB_IN_USE=yes
+fi
+
+#
+# Eeek, this seems like too much magic here
+#
+if [ -z "$XKB_IN_USE" ] && [ ! -L /etc/X11/X ]; then
+ if grep '^exec.*/Xsun' /etc/X11/X > /dev/null 2>&1 && [ -f /etc/X11/XF86Config ]; then
+ xkbsymbols=`sed -n -e 's/^[ ]*XkbSymbols[ ]*"\(.*\)".*$/\1/p' /etc/X11/XF86Config`
+ if [ -n "$xkbsymbols" ]; then
+ setxkbmap -symbols "$xkbsymbols"
+ XKB_IN_USE=yes
+ fi
+ fi
+fi
+
+# xkb and xmodmap don't play nice together
+if [ -z "$XKB_IN_USE" ]; then
+ if [ -f "$rh6sysmodmap" ]; then
+ xmodmap "$rh6sysmodmap"
+ fi
+
+ if [ -f "$sysmodmap" ]; then
+ xmodmap "$sysmodmap"
+ fi
+
+ if [ -f "$usermodmap" ]; then
+ xmodmap "$usermodmap"
+ fi
+fi
+
+unset XKB_IN_USE
+
+# run all system xinitrc shell scripts.
+if [ -d /etc/X11/xinit/xinitrc.d ]; then
+ for i in /etc/X11/xinit/xinitrc.d/* ; do
+ if [ -x "$i" ]; then
+ . "$i"
+ fi
+ done
+fi
+
+exec $command
diff --git a/gnome-base/gnome-session/files/defaults.list-r3 b/gnome-base/gnome-session/files/defaults.list-r3
new file mode 100644
index 00000000000..6c62e32910c
--- /dev/null
+++ b/gnome-base/gnome-session/files/defaults.list-r3
@@ -0,0 +1,334 @@
+[Default Applications]
+application/rtf=abiword.desktop;libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/x-abiword=abiword.desktop;
+text/abiword=abiword.desktop;
+text/richtext=abiword.desktop;libreoffice-writer.desktop;openoffice.org-writer.desktop;
+text/rtf=abiword.desktop;libreoffice-writer.desktop;openoffice.org-writer.desktop;
+text/x-abiword=abiword.desktop;
+text/x-xml-abiword=abiword.desktop;
+x-content/blank-bd=brasero-org.gnome.Nautilus.desktop;
+x-content/blank-dvd=brasero-org.gnome.Nautilus.desktop;
+x-content/blank-cd=brasero-org.gnome.Nautilus.desktop;
+x-content/blank-hddvd=brasero-org.gnome.Nautilus.desktop;
+application/x-dia-diagram=dia.desktop;
+image/bmp=eog.desktop;
+image/gif=eog.desktop;
+image/jpeg=eog.desktop;
+image/jpg=eog.desktop;
+image/pjpeg=eog.desktop;
+image/png=eog.desktop;
+image/svg+xml=eog.desktop;
+image/svg+xml-compressed=eog.desktop;
+image/x-bmp=eog.desktop;
+image/x-gray=eog.desktop;
+image/x-icb=eog.desktop;
+image/x-ico=eog.desktop;
+image/x-pcx=eog.desktop;
+image/x-png=eog.desktop;
+image/x-portable-anymap=eog.desktop;
+image/x-portable-bitmap=eog.desktop;
+image/x-portable-graymap=eog.desktop;
+image/x-portable-pixmap=eog.desktop;
+image/x-xbitmap=eog.desktop;
+image/x-xpixmap=eog.desktop;
+image/vnd.wap.wbmp=eog.desktop;
+image/g3fax=gimp.desktop;
+image/x-compressed-xcf=gimp.desktop;
+image/x-fits=gimp.desktop;
+image/x-icon=gimp.desktop;
+image/x-psd=gimp.desktop;
+image/x-sgi=gimp.desktop;
+image/x-sun-raster=gimp.desktop;
+image/x-tga=gimp.desktop;
+image/x-xcf=gimp.desktop;
+image/x-xwindowdump=gimp.desktop;
+application/xhtml+xml=firefox.desktop;chromium-browser-chromium.desktop;epiphany.desktop;
+text/html=firefox.desktop;chromium-browser-chromium.desktop;epiphany.desktop;
+application/pdf=evince.desktop;
+application/x-bzpdf=evince.desktop;
+application/x-gzpdf=evince.desktop;
+application/postscript=evince.desktop;
+application/x-bzpostscript=evince.desktop;
+application/x-gzpostscript=evince.desktop;
+image/x-eps=evince.desktop;
+image/x-bzeps=evince.desktop;
+image/x-gzeps=evince.desktop;
+application/x-dvi=evince.desktop;
+application/x-bzdvi=evince.desktop;
+application/x-gzdvi=evince.desktop;
+image/vnd.djvu=evince.desktop;
+image/tiff=evince.desktop;
+application/x-cbr=evince.desktop;
+application/x-cbz=evince.desktop;
+application/x-cb7=evince.desktop;
+application/x-7z-compressed=org.gnome.FileRoller.desktop;
+application/x-7z-compressed-tar=org.gnome.FileRoller.desktop;
+application/x-ace=org.gnome.FileRoller.desktop;
+application/x-alz=org.gnome.FileRoller.desktop;
+application/x-ar=org.gnome.FileRoller.desktop;
+application/x-arj=org.gnome.FileRoller.desktop;
+application/x-bzip=org.gnome.FileRoller.desktop;
+application/x-bzip-compressed-tar=org.gnome.FileRoller.desktop;
+application/x-bzip1=org.gnome.FileRoller.desktop;
+application/x-bzip1-compressed-tar=org.gnome.FileRoller.desktop;
+application/x-cabinet=org.gnome.FileRoller.desktop;
+application/x-cd-image=org.gnome.FileRoller.desktop;
+application/x-compress=org.gnome.FileRoller.desktop;
+application/x-compressed-tar=org.gnome.FileRoller.desktop;
+application/x-cpio=org.gnome.FileRoller.desktop;
+application/x-deb=org.gnome.FileRoller.desktop;
+application/x-ear=org.gnome.FileRoller.desktop;
+application/x-gtar=org.gnome.FileRoller.desktop;
+application/x-gzip=org.gnome.FileRoller.desktop;
+application/x-java-archive=org.gnome.FileRoller.desktop;
+application/x-lha=org.gnome.FileRoller.desktop;
+application/x-lhz=org.gnome.FileRoller.desktop;
+application/x-lzip=org.gnome.FileRoller.desktop;
+application/x-lzip-compressed-tar=org.gnome.FileRoller.desktop;
+application/x-lzma=org.gnome.FileRoller.desktop;
+application/x-lzma-compressed-tar=org.gnome.FileRoller.desktop;
+application/x-lzop=org.gnome.FileRoller.desktop;
+application/x-lzop-compressed-tar=org.gnome.FileRoller.desktop;
+application/x-rar=org.gnome.FileRoller.desktop;
+application/x-rar-compressed=org.gnome.FileRoller.desktop;
+application/x-rpm=org.gnome.FileRoller.desktop;
+application/x-rzip=org.gnome.FileRoller.desktop;
+application/x-tar=org.gnome.FileRoller.desktop;
+application/x-tarz=org.gnome.FileRoller.desktop;
+application/x-stuffit=org.gnome.FileRoller.desktop;
+application/x-war=org.gnome.FileRoller.desktop;
+application/x-xz=org.gnome.FileRoller.desktop;
+application/x-xz-compressed-tar=org.gnome.FileRoller.desktop;
+application/x-zip=org.gnome.FileRoller.desktop;
+application/x-zip-compressed=org.gnome.FileRoller.desktop;
+application/x-zoo=org.gnome.FileRoller.desktop;
+application/zip=org.gnome.FileRoller.desktop;
+multipart/x-zip=org.gnome.FileRoller.desktop;
+text/plain=org.gnome.gedit.desktop;
+text/css=org.gnome.gedit.desktop;
+text/javascript=org.gnome.gedit.desktop;
+text/mathml=org.gnome.gedit.desktop;
+text/x-csrc=org.gnome.gedit.desktop;
+text/x-chdr=org.gnome.gedit.desktop;
+text/x-dtd=org.gnome.gedit.desktop;
+text/x-java=org.gnome.gedit.desktop;
+text/x-javascript=org.gnome.gedit.desktop;
+text/x-patch=org.gnome.gedit.desktop;
+text/x-perl=gedit.destkop
+text/x-php=gedit.destkop
+text/x-python=gedit.destkop
+text/x-sql=org.gnome.gedit.desktop;
+text/xml=org.gnome.gedit.desktop;
+application/javascript=gedit.destkop
+application/x-cgi=org.gnome.gedit.desktop;
+application/x-javascript=org.gnome.gedit.desktop;
+application/x-perl=org.gnome.gedit.desktop;
+application/x-php=org.gnome.gedit.desktop;
+application/x-python=org.gnome.gedit.desktop;
+application/xml=org.gnome.gedit.desktop;
+application/xml-dtd=org.gnome.gedit.desktop;
+application/x-font-ttf=org.gnome.font-viewer.desktop;
+application/x-font-pcf=org.gnome.font-viewer.desktop;
+application/x-font-type1=org.gnome.font-viewer.desktop;
+application/x-font-otf=org.gnome.font-viewer.desktop;
+application/csv=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/excel=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/msexcel=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/tab-separated-values=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/vnd.lotus-1-2-3=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/vnd.ms-excel=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/x-123=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/x-applix-spreadsheet=gnumeric.desktop;
+application/x-dbase=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/x-dbf=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/x-dos_ms_excel=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/x-excel=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/x-gnumeric=gnumeric.desktop;
+application/x-mps=gnumeric.desktop;
+application/x-ms-excel=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/x-msexcel=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/x-oleo=gnumeric.desktop;
+application/x-planperfect=gnumeric.desktop;
+application/x-quattropro=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/x-sc=gnumeric.desktop;
+application/x-sylk=gnumeric.desktop;
+application/x-xbase=gnumeric.desktop;
+application/x-xls=gnumeric.desktop;
+application/xls=gnumeric.desktop;
+text/comma-separated-values=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+text/csv=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+text/spreadsheet=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+text/tab-separated-values=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+text/x-comma-separated-values=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+text/x-csv=gnumeric.desktop;libreoffice-calc.desktop;openoffice.org-calc.desktop;
+zz-application/zz-winassoc-xls=gnumeric.desktop;
+x-content/software=nautilus-autorun-software.desktop;
+x-content/unix-software=nautilus-autorun-software.desktop;
+x-directory/gnome-default-handler=nautilus-folder-handler.desktop;org.gnome.Nautilus.desktop;
+x-directory/normal=nautilus-folder-handler.desktop;org.gnome.Nautilus.desktop;
+inode/directory=nautilus-folder-handler.desktop;org.gnome.Nautilus.desktop;
+application/x-gnome-saved-search=nautilus-folder-handler.desktop;org.gnome.Nautilus.desktop;
+application/vnd.oasis.opendocument.spreadsheet=libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/vnd.oasis.opendocument.spreadsheet-template=libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/vnd.sun.xml.calc=libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/vnd.sun.xml.calc.template=libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/vnd.stardivision.calc=libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/vnd.stardivision.chart=libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/vnd.openxmlformats-officedocument.spreadsheetml.sheet=libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/vnd.ms-excel.sheet.macroenabled.12=libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/vnd.openxmlformats-officedocument.spreadsheetml.template=libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/vnd.ms-excel.template.macroenabled.12=libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/vnd.ms-excel.sheet.binary.macroenabled.12=libreoffice-calc.desktop;openoffice.org-calc.desktop;
+application/vnd.oasis.opendocument.graphics=libreoffice-draw.desktop;openoffice.org-draw.desktop;
+application/vnd.oasis.opendocument.graphics-template=libreoffice-draw.desktop;openoffice.org-draw.desktop;
+application/vnd.sun.xml.draw=libreoffice-draw.desktop;openoffice.org-draw.desktop;
+application/vnd.sun.xml.draw.template=libreoffice-draw.desktop;openoffice.org-draw.desktop;
+application/vnd.stardivision.draw=libreoffice-draw.desktop;openoffice.org-draw.desktop;
+application/vnd.oasis.opendocument.presentation=libreoffice-impress.desktop;openoffice.org-impress.desktop;
+application/vnd.oasis.opendocument.presentation-template=libreoffice-impress.desktop;openoffice.org-impress.desktop;
+application/vnd.sun.xml.impress=libreoffice-impress.desktop;openoffice.org-impress.desktop;
+application/vnd.sun.xml.impress.template=libreoffice-impress.desktop;openoffice.org-impress.desktop;
+application/vnd.stardivision.impress=libreoffice-impress.desktop;openoffice.org-impress.desktop;
+application/mspowerpoint=libreoffice-impress.desktop;openoffice.org-impress.desktop;
+application/vnd.ms-powerpoint=libreoffice-impress.desktop;openoffice.org-impress.desktop;
+application/vnd.openxmlformats-officedocument.presentationml.presentation=libreoffice-impress.desktop;openoffice.org-impress.desktop;
+application/vnd.ms-powerpoint.presentation.macroenabled.12=libreoffice-impress.desktop;openoffice.org-impress.desktop;
+application/vnd.openxmlformats-officedocument.presentationml.template=libreoffice-impress.desktop;openoffice.org-impress.desktop;
+application/vnd.ms-powerpoint.template.macroenabled.12=libreoffice-impress.desktop;openoffice.org-impress.desktop;
+application/vnd.oasis.opendocument.formula=libreoffice-math.desktop;openoffice.org-math.desktop;
+application/vnd.sun.xml.math=libreoffice-math.desktop;openoffice.org-math.desktop;
+application/vnd.stardivision.math=libreoffice-math.desktop;openoffice.org-math.desktop;
+application/vnd.oasis.opendocument.text=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/vnd.oasis.opendocument.text-template=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/vnd.oasis.opendocument.text-web=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/vnd.oasis.opendocument.text-master=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/vnd.sun.xml.writer=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/vnd.sun.xml.writer.template=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/vnd.sun.xml.writer.global=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/vnd.stardivision.writer=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/msword=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/vnd.ms-word=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/x-doc=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/vnd.wordperfect=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/wordperfect=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/vnd.openxmlformats-officedocument.wordprocessingml.document=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/vnd.ms-word.document.macroenabled.12=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/vnd.openxmlformats-officedocument.wordprocessingml.template=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+application/vnd.ms-word.template.macroenabled.12=libreoffice-writer.desktop;openoffice.org-writer.desktop;
+x-content/audio-player=rhythmbox.desktop;
+x-content/audio-cdda=sound-juicer.desktop;
+application/x-shockwave-flash=swfdec-player.desktop;firefox.desktop;chromium-browser-chromium.desktop;
+application/futuresplash=swfdec-player.desktop;firefox.desktop;chromium-browser-chromium.desktop;
+application/mxf=org.gnome.Totem.desktop;
+application/ogg=org.gnome.Totem.desktop;
+application/ram=org.gnome.Totem.desktop;
+application/sdp=org.gnome.Totem.desktop;
+application/smil=org.gnome.Totem.desktop;
+application/smil+xml=org.gnome.Totem.desktop;
+application/vnd.ms-wpl=org.gnome.Totem.desktop;
+application/vnd.rn-realmedia=org.gnome.Totem.desktop;
+application/x-extension-m4a=org.gnome.Totem.desktop;
+application/x-extension-mp4=org.gnome.Totem.desktop;
+application/x-flac=org.gnome.Totem.desktop;
+application/x-flash-video=org.gnome.Totem.desktop;
+application/x-matroska=org.gnome.Totem.desktop;
+application/x-netshow-channel=org.gnome.Totem.desktop;
+application/x-ogg=org.gnome.Totem.desktop;
+application/x-quicktime-media-link=org.gnome.Totem.desktop;
+application/x-quicktimeplayer=org.gnome.Totem.desktop;
+application/x-shorten=org.gnome.Totem.desktop;
+application/x-smil=org.gnome.Totem.desktop;
+application/xspf+xml=org.gnome.Totem.desktop;
+audio/3gpp=org.gnome.Totem.desktop;
+audio/ac3=org.gnome.Totem.desktop;
+audio/AMR=org.gnome.Totem.desktop;
+audio/AMR-WB=org.gnome.Totem.desktop;
+audio/basic=org.gnome.Totem.desktop;
+audio/midi=org.gnome.Totem.desktop;
+audio/mp4=org.gnome.Totem.desktop;
+audio/mpeg=org.gnome.Totem.desktop;
+audio/mpegurl=org.gnome.Totem.desktop;
+audio/ogg=org.gnome.Totem.desktop;
+audio/prs.sid=org.gnome.Totem.desktop;
+audio/vnd.rn-realaudio=org.gnome.Totem.desktop;
+audio/x-ape=org.gnome.Totem.desktop;
+audio/x-flac=org.gnome.Totem.desktop;
+audio/x-gsm=org.gnome.Totem.desktop;
+audio/x-it=org.gnome.Totem.desktop;
+audio/x-m4a=org.gnome.Totem.desktop;
+audio/x-matroska=org.gnome.Totem.desktop;
+audio/x-mod=org.gnome.Totem.desktop;
+audio/x-mp3=org.gnome.Totem.desktop;
+audio/x-mpeg=org.gnome.Totem.desktop;
+audio/x-mpegurl=org.gnome.Totem.desktop;
+audio/x-ms-asf=org.gnome.Totem.desktop;
+audio/x-ms-asx=org.gnome.Totem.desktop;
+audio/x-ms-wax=org.gnome.Totem.desktop;
+audio/x-ms-wma=org.gnome.Totem.desktop;
+audio/x-musepack=org.gnome.Totem.desktop;
+audio/x-pn-aiff=org.gnome.Totem.desktop;
+audio/x-pn-au=org.gnome.Totem.desktop;
+audio/x-pn-realaudio=org.gnome.Totem.desktop;
+audio/x-pn-realaudio-plugin=org.gnome.Totem.desktop;
+audio/x-pn-wav=org.gnome.Totem.desktop;
+audio/x-pn-windows-acm=org.gnome.Totem.desktop;
+audio/x-realaudio=org.gnome.Totem.desktop;
+audio/x-real-audio=org.gnome.Totem.desktop;
+audio/x-sbc=org.gnome.Totem.desktop;
+audio/x-scpls=org.gnome.Totem.desktop;
+audio/x-speex=org.gnome.Totem.desktop;
+audio/x-tta=org.gnome.Totem.desktop;
+audio/x-vorbis=org.gnome.Totem.desktop;
+audio/x-vorbis+ogg=org.gnome.Totem.desktop;
+audio/x-wav=org.gnome.Totem.desktop;
+audio/x-wavpack=org.gnome.Totem.desktop;
+audio/x-xm=org.gnome.Totem.desktop;
+image/vnd.rn-realpix=org.gnome.Totem.desktop;
+image/x-pict=org.gnome.Totem.desktop;
+misc/ultravox=org.gnome.Totem.desktop;
+text/google-video-pointer=org.gnome.Totem.desktop;
+text/x-google-video-pointer=org.gnome.Totem.desktop;
+video/3gpp=org.gnome.Totem.desktop;
+video/dv=org.gnome.Totem.desktop;
+video/fli=org.gnome.Totem.desktop;
+video/flv=org.gnome.Totem.desktop;
+video/mp2t=org.gnome.Totem.desktop;
+video/mp4=org.gnome.Totem.desktop;
+video/mp4v-es=org.gnome.Totem.desktop;
+video/mpeg=org.gnome.Totem.desktop;
+video/msvideo=org.gnome.Totem.desktop;
+video/ogg=org.gnome.Totem.desktop;
+video/quicktime=org.gnome.Totem.desktop;
+video/vivo=org.gnome.Totem.desktop;
+video/vnd.divx=org.gnome.Totem.desktop;
+video/vnd.rn-realvideo=org.gnome.Totem.desktop;
+video/vnd.vivo=org.gnome.Totem.desktop;
+video/webm=org.gnome.Totem.desktop;
+video/x-anim=org.gnome.Totem.desktop;
+video/x-avi=org.gnome.Totem.desktop;
+video/x-flc=org.gnome.Totem.desktop;
+video/x-fli=org.gnome.Totem.desktop;
+video/x-flic=org.gnome.Totem.desktop;
+video/x-flv=org.gnome.Totem.desktop;
+video/x-m4v=org.gnome.Totem.desktop;
+video/x-matroska=org.gnome.Totem.desktop;
+video/x-mpeg=org.gnome.Totem.desktop;
+video/x-ms-asf=org.gnome.Totem.desktop;
+video/x-ms-asx=org.gnome.Totem.desktop;
+video/x-msvideo=org.gnome.Totem.desktop;
+video/x-ms-wm=org.gnome.Totem.desktop;
+video/x-ms-wmv=org.gnome.Totem.desktop;
+video/x-ms-wmx=org.gnome.Totem.desktop;
+video/x-ms-wvx=org.gnome.Totem.desktop;
+video/x-nsv=org.gnome.Totem.desktop;
+video/x-ogm+ogg=org.gnome.Totem.desktop;
+video/x-theora+ogg=org.gnome.Totem.desktop;
+video/x-totem-stream=org.gnome.Totem.desktop;
+x-content/video-dvd=org.gnome.Totem.desktop;
+x-content/video-vcd=org.gnome.Totem.desktop;
+x-content/video-svcd=org.gnome.Totem.desktop;
+x-scheme-handler/ghelp=yelp.desktop;
+x-scheme-handler/help=yelp.desktop;
+x-scheme-handler/http=firefox.desktop;chromium-browser-chromium.desktop;epiphany.desktop;
+x-scheme-handler/https=firefox.desktop;chromium-browser-chromium.desktop;epiphany.desktop;
+x-scheme-handler/mailto=evolution.desktop;
diff --git a/gnome-base/gnome-session/files/gnome-session-3.14.0-validate-autostart.patch b/gnome-base/gnome-session/files/gnome-session-3.14.0-validate-autostart.patch
new file mode 100644
index 00000000000..eec1484ca19
--- /dev/null
+++ b/gnome-base/gnome-session/files/gnome-session-3.14.0-validate-autostart.patch
@@ -0,0 +1,74 @@
+From 3442740ad4808f91fb857fb2dda3c24992f0bbdf Mon Sep 17 00:00:00 2001
+From: Matthias Clasen <mclasen@redhat.com>
+Date: Fri, 14 Nov 2014 09:49:21 -0500
+Subject: autostart: validate autostart condition gsettings key
+
+gnome-session will crash if fed a desktop file with an
+autostart condition that references an invalid key for
+a given schema.
+
+This commit validates that the key associated with the
+autostart condition is defined in the schema and defined
+to have a boolean type.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=740119
+
+diff --git a/gnome-session/gsm-autostart-app.c b/gnome-session/gsm-autostart-app.c
+index 21a6004..437fb0c 100644
+--- a/gnome-session/gsm-autostart-app.c
++++ b/gnome-session/gsm-autostart-app.c
+@@ -337,12 +337,16 @@ setup_gsettings_condition_monitor (GsmAutostartApp *app,
+ GSettingsSchemaSource *source;
+ GSettingsSchema *schema;
+ GSettings *settings;
++ GSettingsSchemaKey *schema_key;
++ const GVariantType *key_type;
+ char **elems;
+ gboolean retval = FALSE;
+ char *signal;
+
+ retval = FALSE;
+
++ schema = NULL;
++
+ elems = g_strsplit (key, " ", 2);
+
+ if (elems == NULL)
+@@ -358,9 +362,24 @@ setup_gsettings_condition_monitor (GsmAutostartApp *app,
+ if (schema == NULL)
+ goto out;
+
++ if (!g_settings_schema_has_key (schema, elems[1]))
++ goto out;
++
++ schema_key = g_settings_schema_get_key (schema, elems[1]);
++
++ g_assert (schema_key != NULL);
++
++ key_type = g_settings_schema_key_get_value_type (schema_key);
++
++ g_settings_schema_key_unref (schema_key);
++
++ g_assert (key_type != NULL);
++
++ if (!g_variant_type_equal (key_type, G_VARIANT_TYPE_BOOLEAN))
++ goto out;
++
+ settings = g_settings_new_full (schema, NULL, NULL);
+ retval = g_settings_get_boolean (settings, elems[1]);
+- g_settings_schema_unref (schema);
+
+ signal = g_strdup_printf ("changed::%s", elems[1]);
+ g_signal_connect (G_OBJECT (settings), signal,
+@@ -370,6 +389,8 @@ setup_gsettings_condition_monitor (GsmAutostartApp *app,
+ app->priv->condition_settings = settings;
+
+ out:
++ if (schema)
++ g_settings_schema_unref (schema);
+ g_strfreev (elems);
+
+ return retval;
+--
+cgit v0.10.1
+
diff --git a/gnome-base/gnome-session/gnome-session-3.14.0-r1.ebuild b/gnome-base/gnome-session/gnome-session-3.14.0-r1.ebuild
new file mode 100644
index 00000000000..29afbb81454
--- /dev/null
+++ b/gnome-base/gnome-session/gnome-session-3.14.0-r1.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+
+inherit gnome2
+
+DESCRIPTION="Gnome session manager"
+HOMEPAGE="https://git.gnome.org/browse/gnome-session"
+
+LICENSE="GPL-2 LGPL-2 FDL-1.1"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="doc elibc_FreeBSD gconf ipv6 systemd"
+
+# x11-misc/xdg-user-dirs{,-gtk} are needed to create the various XDG_*_DIRs, and
+# create .config/user-dirs.dirs which is read by glib to get G_USER_DIRECTORY_*
+# xdg-user-dirs-update is run during login (see 10-user-dirs-update-gnome below).
+# gdk-pixbuf used in the inhibit dialog
+COMMON_DEPEND="
+ >=dev-libs/glib-2.40.0:2
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-2.90.7:3
+ >=dev-libs/json-glib-0.10
+ >=dev-libs/dbus-glib-0.76
+ >=gnome-base/gnome-desktop-3.9.91:3=
+ elibc_FreeBSD? ( dev-libs/libexecinfo )
+
+ virtual/opengl
+ x11-libs/libSM
+ x11-libs/libICE
+ x11-libs/libXau
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXext
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-misc/xdg-user-dirs
+ x11-misc/xdg-user-dirs-gtk
+ x11-apps/xdpyinfo
+
+ gconf? ( >=gnome-base/gconf-2:2 )
+ systemd? ( >=sys-apps/systemd-183:0= )
+"
+# Pure-runtime deps from the session files should *NOT* be added here
+# Otherwise, things like gdm pull in gnome-shell
+# gnome-themes-standard is needed for the failwhale dialog themeing
+# sys-apps/dbus[X] is needed for session management
+RDEPEND="${COMMON_DEPEND}
+ gnome-base/gnome-settings-daemon
+ >=gnome-base/gsettings-desktop-schemas-0.1.7
+ >=x11-themes/gnome-themes-standard-2.91.92
+ sys-apps/dbus[X]
+ !systemd? ( sys-auth/consolekit )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-lang/perl-5
+ >=sys-devel/gettext-0.10.40
+ dev-libs/libxslt
+ >=dev-util/intltool-0.40.6
+ virtual/pkgconfig
+ !<gnome-base/gdm-2.20.4
+ doc? (
+ app-text/xmlto
+ dev-libs/libxslt )
+"
+# gnome-common needed for eautoreconf
+# gnome-base/gdm does not provide gnome.desktop anymore
+
+src_prepare() {
+ # Validate autostart condition gsettings key (from '3.14')
+ epatch "${FILESDIR}"/${P}-validate-autostart.patch
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # 1. Avoid automagic on old upower releases
+ # 2. xsltproc is always checked due to man configure
+ # switch, even if USE=-doc
+ gnome2_src_configure \
+ --disable-deprecation-flags \
+ --enable-session-selector \
+ $(use_enable doc docbook-docs) \
+ $(use_enable gconf) \
+ $(use_enable ipv6) \
+ $(use_enable systemd) \
+ UPOWER_CFLAGS="" \
+ UPOWER_LIBS=""
+ # gnome-session-selector pre-generated man page is missing
+ #$(usex !doc XSLTPROC=$(type -P true))
+}
+
+src_install() {
+ gnome2_src_install
+
+ dodir /etc/X11/Sessions
+ exeinto /etc/X11/Sessions
+ doexe "${FILESDIR}/Gnome"
+
+ insinto /usr/share/applications
+ newins "${FILESDIR}/defaults.list-r3" gnome-mimeapps.list
+
+ dodir /etc/X11/xinit/xinitrc.d/
+ exeinto /etc/X11/xinit/xinitrc.d/
+ newexe "${FILESDIR}/15-xdg-data-gnome-r1" 15-xdg-data-gnome
+
+ # This should be done here as discussed in bug #270852
+ newexe "${FILESDIR}/10-user-dirs-update-gnome-r1" 10-user-dirs-update-gnome
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! has_version gnome-base/gdm && ! has_version kde-base/kdm; then
+ ewarn "If you use a custom .xinitrc for your X session,"
+ ewarn "make sure that the commands in the xinitrc.d scripts are run."
+ fi
+}
diff --git a/gnome-base/gnome-session/gnome-session-3.14.0-r2.ebuild b/gnome-base/gnome-session/gnome-session-3.14.0-r2.ebuild
new file mode 100644
index 00000000000..3ce88e5b81b
--- /dev/null
+++ b/gnome-base/gnome-session/gnome-session-3.14.0-r2.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+
+inherit gnome2
+
+DESCRIPTION="Gnome session manager"
+HOMEPAGE="https://git.gnome.org/browse/gnome-session"
+
+LICENSE="GPL-2 LGPL-2 FDL-1.1"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="doc elibc_FreeBSD gconf ipv6 systemd"
+
+# x11-misc/xdg-user-dirs{,-gtk} are needed to create the various XDG_*_DIRs, and
+# create .config/user-dirs.dirs which is read by glib to get G_USER_DIRECTORY_*
+# xdg-user-dirs-update is run during login (see 10-user-dirs-update-gnome below).
+# gdk-pixbuf used in the inhibit dialog
+COMMON_DEPEND="
+ >=dev-libs/glib-2.40.0:2
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-2.90.7:3
+ >=dev-libs/json-glib-0.10
+ >=dev-libs/dbus-glib-0.76
+ >=gnome-base/gnome-desktop-3.9.91:3=
+ elibc_FreeBSD? ( dev-libs/libexecinfo )
+
+ virtual/opengl
+ x11-libs/libSM
+ x11-libs/libICE
+ x11-libs/libXau
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXext
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-misc/xdg-user-dirs
+ x11-misc/xdg-user-dirs-gtk
+ x11-apps/xdpyinfo
+
+ gconf? ( >=gnome-base/gconf-2:2 )
+ systemd? ( >=sys-apps/systemd-183:0= )
+"
+# Pure-runtime deps from the session files should *NOT* be added here
+# Otherwise, things like gdm pull in gnome-shell
+# gnome-themes-standard is needed for the failwhale dialog themeing
+# sys-apps/dbus[X] is needed for session management
+RDEPEND="${COMMON_DEPEND}
+ gnome-base/gnome-settings-daemon
+ >=gnome-base/gsettings-desktop-schemas-0.1.7
+ >=x11-themes/gnome-themes-standard-2.91.92
+ sys-apps/dbus[X]
+ !systemd? ( sys-auth/consolekit )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-lang/perl-5
+ >=sys-devel/gettext-0.10.40
+ dev-libs/libxslt
+ >=dev-util/intltool-0.40.6
+ virtual/pkgconfig
+ !<gnome-base/gdm-2.20.4
+ doc? (
+ app-text/xmlto
+ dev-libs/libxslt )
+"
+# gnome-common needed for eautoreconf
+# gnome-base/gdm does not provide gnome.desktop anymore
+
+src_prepare() {
+ # Validate autostart condition gsettings key (from '3.14')
+ epatch "${FILESDIR}"/${P}-validate-autostart.patch
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # 1. Avoid automagic on old upower releases
+ # 2. xsltproc is always checked due to man configure
+ # switch, even if USE=-doc
+ gnome2_src_configure \
+ --disable-deprecation-flags \
+ --enable-session-selector \
+ $(use_enable doc docbook-docs) \
+ $(use_enable gconf) \
+ $(use_enable ipv6) \
+ $(use_enable systemd) \
+ UPOWER_CFLAGS="" \
+ UPOWER_LIBS=""
+ # gnome-session-selector pre-generated man page is missing
+ #$(usex !doc XSLTPROC=$(type -P true))
+}
+
+src_install() {
+ gnome2_src_install
+
+ dodir /etc/X11/Sessions
+ exeinto /etc/X11/Sessions
+ doexe "${FILESDIR}/Gnome"
+
+ insinto /usr/share/applications
+ newins "${FILESDIR}/defaults.list-r3" gnome-mimeapps.list
+
+ dodir /etc/X11/xinit/xinitrc.d/
+ exeinto /etc/X11/xinit/xinitrc.d/
+ newexe "${FILESDIR}/15-xdg-data-gnome-r1" 15-xdg-data-gnome
+
+ # This should be done here as discussed in bug #270852
+ newexe "${FILESDIR}/10-user-dirs-update-gnome-r1" 10-user-dirs-update-gnome
+
+ # Set XCURSOR_THEME from current dconf setting instead of installing
+ # default cursor symlink globally and affecting other DEs (bug #543488)
+ # https://bugzilla.gnome.org/show_bug.cgi?id=711703
+ newexe "${FILESDIR}/90-xcursor-theme-gnome" 90-xcursor-theme-gnome
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! has_version gnome-base/gdm && ! has_version kde-base/kdm; then
+ ewarn "If you use a custom .xinitrc for your X session,"
+ ewarn "make sure that the commands in the xinitrc.d scripts are run."
+ fi
+}
diff --git a/gnome-base/gnome-session/gnome-session-3.16.0.ebuild b/gnome-base/gnome-session/gnome-session-3.16.0.ebuild
new file mode 100644
index 00000000000..4de1d8aa8e3
--- /dev/null
+++ b/gnome-base/gnome-session/gnome-session-3.16.0.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+
+inherit gnome2
+
+DESCRIPTION="Gnome session manager"
+HOMEPAGE="https://git.gnome.org/browse/gnome-session"
+
+LICENSE="GPL-2 LGPL-2 FDL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="doc elibc_FreeBSD gconf ipv6 systemd"
+
+# x11-misc/xdg-user-dirs{,-gtk} are needed to create the various XDG_*_DIRs, and
+# create .config/user-dirs.dirs which is read by glib to get G_USER_DIRECTORY_*
+# xdg-user-dirs-update is run during login (see 10-user-dirs-update-gnome below).
+# gdk-pixbuf used in the inhibit dialog
+COMMON_DEPEND="
+ >=dev-libs/glib-2.40.0:2
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-2.90.7:3
+ >=dev-libs/json-glib-0.10
+ >=gnome-base/gnome-desktop-3.9.91:3=
+ elibc_FreeBSD? ( dev-libs/libexecinfo )
+
+ virtual/opengl
+ x11-libs/libSM
+ x11-libs/libICE
+ x11-libs/libXau
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXext
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-misc/xdg-user-dirs
+ x11-misc/xdg-user-dirs-gtk
+ x11-apps/xdpyinfo
+
+ gconf? ( >=gnome-base/gconf-2:2 )
+ systemd? ( >=sys-apps/systemd-183:0= )
+"
+# Pure-runtime deps from the session files should *NOT* be added here
+# Otherwise, things like gdm pull in gnome-shell
+# gnome-themes-standard is needed for the failwhale dialog themeing
+# sys-apps/dbus[X] is needed for session management
+RDEPEND="${COMMON_DEPEND}
+ gnome-base/gnome-settings-daemon
+ >=gnome-base/gsettings-desktop-schemas-0.1.7
+ >=x11-themes/gnome-themes-standard-2.91.92
+ sys-apps/dbus[X]
+ !systemd? (
+ sys-auth/consolekit
+ >=dev-libs/dbus-glib-0.76
+ )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-lang/perl-5
+ >=sys-devel/gettext-0.10.40
+ dev-libs/libxslt
+ >=dev-util/intltool-0.40.6
+ virtual/pkgconfig
+ !<gnome-base/gdm-2.20.4
+ doc? (
+ app-text/xmlto
+ dev-libs/libxslt )
+"
+# gnome-common needed for eautoreconf
+# gnome-base/gdm does not provide gnome.desktop anymore
+
+src_configure() {
+ # 1. Avoid automagic on old upower releases
+ # 2. xsltproc is always checked due to man configure
+ # switch, even if USE=-doc
+ gnome2_src_configure \
+ --disable-deprecation-flags \
+ --enable-session-selector \
+ $(use_enable doc docbook-docs) \
+ $(use_enable gconf) \
+ $(use_enable ipv6) \
+ $(use_enable systemd) \
+ $(use_enable !systemd consolekit) \
+ UPOWER_CFLAGS="" \
+ UPOWER_LIBS=""
+ # gnome-session-selector pre-generated man page is missing
+ #$(usex !doc XSLTPROC=$(type -P true))
+}
+
+src_install() {
+ gnome2_src_install
+
+ dodir /etc/X11/Sessions
+ exeinto /etc/X11/Sessions
+ doexe "${FILESDIR}/Gnome"
+
+ insinto /usr/share/applications
+ newins "${FILESDIR}/defaults.list-r3" gnome-mimeapps.list
+
+ dodir /etc/X11/xinit/xinitrc.d/
+ exeinto /etc/X11/xinit/xinitrc.d/
+ newexe "${FILESDIR}/15-xdg-data-gnome-r1" 15-xdg-data-gnome
+
+ # This should be done here as discussed in bug #270852
+ newexe "${FILESDIR}/10-user-dirs-update-gnome-r1" 10-user-dirs-update-gnome
+
+ # Set XCURSOR_THEME from current dconf setting instead of installing
+ # default cursor symlink globally and affecting other DEs (bug #543488)
+ # https://bugzilla.gnome.org/show_bug.cgi?id=711703
+ newexe "${FILESDIR}/90-xcursor-theme-gnome" 90-xcursor-theme-gnome
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! has_version gnome-base/gdm && ! has_version kde-base/kdm; then
+ ewarn "If you use a custom .xinitrc for your X session,"
+ ewarn "make sure that the commands in the xinitrc.d scripts are run."
+ fi
+}
diff --git a/gnome-base/gnome-session/metadata.xml b/gnome-base/gnome-session/metadata.xml
new file mode 100644
index 00000000000..5aa7016e05a
--- /dev/null
+++ b/gnome-base/gnome-session/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+<use>
+ <flag name="gconf">Optional support for <pkg>gnome-base/gconf</pkg>
+ configuration storage system</flag>
+</use>
+</pkgmetadata>
diff --git a/gnome-base/gnome-settings-daemon/Manifest b/gnome-base/gnome-settings-daemon/Manifest
new file mode 100644
index 00000000000..8f36769b8b2
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/Manifest
@@ -0,0 +1,3 @@
+DIST gnome-settings-daemon-3.14.2.tar.xz 1612184 SHA256 066bc8ed751c5f6b5a9590911a0fb2b51b0c3436ae1caccfa42e0791c34fedee SHA512 3cd125ed89d47b03439f473df861d41696f6281c9df84218f3fe29d86570fbcd13dd2bedb3f63b354e06043d7d8fda0d1304e03a6ca39b9bcbd369a908d88ba2 WHIRLPOOL 157195486a9ed8db18fe851ea8a567d2c53beeaf3cfc6d21f5e25a876f2e5b6847ccb6e848bae6accdd3861c96b16a0bfd5642f8e0fce3f8c3d4923599d49260
+DIST gnome-settings-daemon-3.14.4.tar.xz 1650276 SHA256 ce4453f83a19328e4f031251430325cb6ae832b83fa9fce80a8cde1d4bb0a2a5 SHA512 c6c62f7e13f93fd3dcff7990571289e10c9ef341ebb9d6deab67adf705a32a13142b7e8aebccd4a71d39f191a472d427fdea5acebc5fcf6f6106c641af320a32 WHIRLPOOL 145e694c74364f6fec6543976cf1e0abb6049f8a13c8f0c8b95a481d849a94255f68ade1a4926f0207c19cdbc8927f55edbcae68b01e7ef95046c3786cb07cbb
+DIST gnome-settings-daemon-3.16.2.tar.xz 1602508 SHA256 d8d536584ebb8fb1403050eb65e7ee3328eba14b123542369ff1917e727fa69a SHA512 04f62429b6f3edf6d7c11b0fbe8b5b74a3be3d6309ec7a9019dc77d2f8557ad26242a210bcfb36b393b99d93c33590c595c6d7dca9c1272f04bdf5cfc7144076 WHIRLPOOL 95f69752b3a9ad7d22489123555cd84dffb6c0ac4872dd5febbfb444013eb2417a0f50f53b311f640cc3d4ac8b662c0b2a102fbe3e32de0614161ed9cf646579
diff --git a/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.12.0-optional.patch b/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.12.0-optional.patch
new file mode 100644
index 00000000000..cb117d70e44
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.12.0-optional.patch
@@ -0,0 +1,82 @@
+diff --git a/configure.ac b/configure.ac
+index dd95dd4..03d651c 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -248,7 +248,20 @@ dnl ---------------------------------------------------------------------------
+ dnl - color
+ dnl ---------------------------------------------------------------------------
+
+-PKG_CHECK_MODULES(COLOR, [colord >= 1.0.2 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION libcanberra-gtk3])
++AC_ARG_ENABLE([color],
++ AS_HELP_STRING([--disable-color],
++ [turn off color plugin]),
++ [with_color=$enableval],
++ [with_color=yes]) dnl Default value
++
++if test x$with_color = xyes; then
++ PKG_CHECK_MODULES(COLOR, [colord >= 1.0.2 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION libcanberra-gtk3])
++ AC_DEFINE(HAVE_COLOR, 1, [Define if color plugin is enabled])
++fi
++AM_CONDITIONAL(WITH_COLOR, test "x$with_color" = "xyes")
++
++AC_SUBST(COLOR_CFLAGS)
++AC_SUBST(COLOR_LIBS)
+
+ dnl ---------------------------------------------------------------------------
+ dnl - datetime
+@@ -279,15 +292,25 @@ case $host_os in
+ if test "$host_cpu" = s390 -o "$host_cpu" = s390x; then
+ have_wacom=no
+ else
++ have_wacom=no
+ if test x$enable_gudev != xno; then
+- PKG_CHECK_MODULES(LIBWACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION])
+- PKG_CHECK_MODULES(WACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION x11 xi xtst gudev-1.0 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION xorg-wacom librsvg-2.0 >= $LIBRSVG_REQUIRED_VERSION libnotify >= $LIBNOTIFY_REQUIRED_VERSION pango >= $PANGO_REQUIRED_VERSION])
+- PKG_CHECK_MODULES(WACOM_OLED, [gudev-1.0])
++ AC_ARG_ENABLE([wacom],
++ AS_HELP_STRING([--disable-wacom],
++ [turn off wacom plugin]),
++ [with_wacom=$enableval],
++ [with_wacom=no]) dnl Default value
++ if test x$with_wacom = xyes; then
++ PKG_CHECK_MODULES(LIBWACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION])
++ PKG_CHECK_MODULES(WACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION x11 xi xtst gudev-1.0 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION xorg-wacom librsvg-2.0 >= $LIBRSVG_REQUIRED_VERSION libnotify >= $LIBNOTIFY_REQUIRED_VERSION pango >= $PANGO_REQUIRED_VERSION])
++ PKG_CHECK_MODULES(WACOM_OLED, [gudev-1.0])
++ have_wacom=yes
++ AC_DEFINE_UNQUOTED(HAVE_WACOM, 1, [Define to 1 if wacom support is available])
++ fi
++ AC_SUBST(WACOM_CFLAGS)
++ AC_SUBST(WACOM_LIBS)
+ else
+ AC_MSG_ERROR([GUdev is necessary to compile Wacom support])
+ fi
+- AC_DEFINE_UNQUOTED(HAVE_WACOM, 1, [Define to 1 if wacom support is available])
+- have_wacom=yes
+ fi
+ ;;
+ *)
+diff --git a/plugins/Makefile.am b/plugins/Makefile.am
+index 04f8e2a..55ed94c 100644
+--- a/plugins/Makefile.am
++++ b/plugins/Makefile.am
+@@ -4,7 +4,6 @@ enabled_plugins = \
+ a11y-keyboard \
+ a11y-settings \
+ clipboard \
+- color \
+ cursor \
+ datetime \
+ dummy \
+@@ -21,6 +20,12 @@ enabled_plugins = \
+
+ disabled_plugins = $(NULL)
+
++if WITH_COLOR
++enabled_plugins += color
++else
++disabled_plugins += color
++endif
++
+ if HAVE_PACKAGEKIT
+ enabled_plugins += updates
+ else
diff --git a/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.14.0-optional.patch b/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.14.0-optional.patch
new file mode 100644
index 00000000000..a7a56b00f4a
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.14.0-optional.patch
@@ -0,0 +1,95 @@
+From b9515b8ef35915fd1a9721e2eb6ca4e1272d0f47 Mon Sep 17 00:00:00 2001
+From: Sobhan Mohammadpour <sobhanmohammadpour1@yahoo.fr>
+Date: Tue, 10 Dec 2013 00:27:27 +0100
+Subject: [PATCH] Make colord and wacom support optional
+
+---
+ configure.ac | 35 +++++++++++++++++++++++++++++------
+ plugins/Makefile.am | 7 ++++++-
+ 2 files changed, 35 insertions(+), 7 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index c42ea8b..26ccd36 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -225,7 +225,20 @@ dnl ---------------------------------------------------------------------------
+ dnl - color
+ dnl ---------------------------------------------------------------------------
+
+-PKG_CHECK_MODULES(COLOR, [colord >= 1.0.2 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION libcanberra-gtk3])
++AC_ARG_ENABLE([color],
++ AS_HELP_STRING([--disable-color],
++ [turn off color plugin]),
++ [with_color=$enableval],
++ [with_color=yes]) dnl Default value
++
++if test x$with_color = xyes; then
++ PKG_CHECK_MODULES(COLOR, [colord >= 1.0.2 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION libcanberra-gtk3])
++ AC_DEFINE(HAVE_COLOR, 1, [Define if color plugin is enabled])
++fi
++AM_CONDITIONAL(WITH_COLOR, test "x$with_color" = "xyes")
++
++AC_SUBST(COLOR_CFLAGS)
++AC_SUBST(COLOR_LIBS)
+
+ dnl ---------------------------------------------------------------------------
+ dnl - datetime
+@@ -256,15 +269,25 @@ case $host_os in
+ if test "$host_cpu" = s390 -o "$host_cpu" = s390x; then
+ have_wacom=no
+ else
++ have_wacom=no
+ if test x$enable_gudev != xno; then
+- PKG_CHECK_MODULES(LIBWACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION])
+- PKG_CHECK_MODULES(WACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION x11 xi xtst gudev-1.0 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION xorg-wacom librsvg-2.0 >= $LIBRSVG_REQUIRED_VERSION libnotify >= $LIBNOTIFY_REQUIRED_VERSION pango >= $PANGO_REQUIRED_VERSION])
+- PKG_CHECK_MODULES(WACOM_OLED, [gudev-1.0])
++ AC_ARG_ENABLE([wacom],
++ AS_HELP_STRING([--disable-wacom],
++ [turn off wacom plugin]),
++ [with_wacom=$enableval],
++ [with_wacom=no]) dnl Default value
++ if test x$with_wacom = xyes; then
++ PKG_CHECK_MODULES(LIBWACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION])
++ PKG_CHECK_MODULES(WACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION x11 xi xtst gudev-1.0 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION xorg-wacom librsvg-2.0 >= $LIBRSVG_REQUIRED_VERSION libnotify >= $LIBNOTIFY_REQUIRED_VERSION pango >= $PANGO_REQUIRED_VERSION])
++ PKG_CHECK_MODULES(WACOM_OLED, [gudev-1.0])
++ have_wacom=yes
++ AC_DEFINE_UNQUOTED(HAVE_WACOM, 1, [Define to 1 if wacom support is available])
++ fi
++ AC_SUBST(WACOM_CFLAGS)
++ AC_SUBST(WACOM_LIBS)
+ else
+ AC_MSG_ERROR([GUdev is necessary to compile Wacom support])
+ fi
+- AC_DEFINE_UNQUOTED(HAVE_WACOM, 1, [Define to 1 if wacom support is available])
+- have_wacom=yes
+ fi
+ ;;
+ *)
+diff --git a/plugins/Makefile.am b/plugins/Makefile.am
+index 7bb01f0..7cc3655 100644
+--- a/plugins/Makefile.am
++++ b/plugins/Makefile.am
+@@ -4,7 +4,6 @@ enabled_plugins = \
+ a11y-keyboard \
+ a11y-settings \
+ clipboard \
+- color \
+ cursor \
+ datetime \
+ dummy \
+@@ -22,6 +21,12 @@ enabled_plugins = \
+
+ disabled_plugins = $(NULL)
+
++if WITH_COLOR
++enabled_plugins += color
++else
++disabled_plugins += color
++endif
++
+ if SMARTCARD_SUPPORT
+ enabled_plugins += smartcard
+ else
+--
+2.1.2
+
diff --git a/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.16.0-optional.patch b/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.16.0-optional.patch
new file mode 100644
index 00000000000..46d97392b9e
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.16.0-optional.patch
@@ -0,0 +1,95 @@
+From 8b526c757f0e977eeda9285762e137deba0a31f4 Mon Sep 17 00:00:00 2001
+From: Ole Reifschneider <mail@ole-reifschneider.de>
+Date: Sat, 11 Apr 2015 23:10:21 +0200
+Subject: [PATCH] Make colord and wacom support optional
+
+---
+ configure.ac | 35 +++++++++++++++++++++++++++++------
+ plugins/Makefile.am | 7 ++++++-
+ 2 files changed, 35 insertions(+), 7 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 50a6bb1..a42ec20 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -236,7 +236,20 @@ dnl ---------------------------------------------------------------------------
+ dnl - color
+ dnl ---------------------------------------------------------------------------
+
+-PKG_CHECK_MODULES(COLOR, [colord >= 1.0.2 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION libcanberra-gtk3])
++AC_ARG_ENABLE([color],
++ AS_HELP_STRING([--disable-color],
++ [turn off color plugin]),
++ [with_color=$enableval],
++ [with_color=yes]) dnl Default value
++
++if test x$with_color = xyes; then
++ PKG_CHECK_MODULES(COLOR, [colord >= 1.0.2 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION libcanberra-gtk3])
++ AC_DEFINE(HAVE_COLOR, 1, [Define if color plugin is enabled])
++fi
++AM_CONDITIONAL(WITH_COLOR, test "x$with_color" = "xyes")
++
++AC_SUBST(COLOR_CFLAGS)
++AC_SUBST(COLOR_LIBS)
+
+ dnl ---------------------------------------------------------------------------
+ dnl - datetime
+@@ -267,15 +280,25 @@ case $host_os in
+ if test "$host_cpu" = s390 -o "$host_cpu" = s390x; then
+ have_wacom=no
+ else
++ have_wacom=no
+ if test x$enable_gudev != xno; then
+- PKG_CHECK_MODULES(LIBWACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION])
+- PKG_CHECK_MODULES(WACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION x11 xi xtst gudev-1.0 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION xorg-wacom librsvg-2.0 >= $LIBRSVG_REQUIRED_VERSION libnotify >= $LIBNOTIFY_REQUIRED_VERSION pango >= $PANGO_REQUIRED_VERSION])
+- PKG_CHECK_MODULES(WACOM_OLED, [gudev-1.0])
++ AC_ARG_ENABLE([wacom],
++ AS_HELP_STRING([--disable-wacom],
++ [turn off wacom plugin]),
++ [with_wacom=$enableval],
++ [with_wacom=no]) dnl Default value
++ if test x$with_wacom = xyes; then
++ PKG_CHECK_MODULES(LIBWACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION])
++ PKG_CHECK_MODULES(WACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION x11 xi xtst gudev-1.0 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION xorg-wacom librsvg-2.0 >= $LIBRSVG_REQUIRED_VERSION libnotify >= $LIBNOTIFY_REQUIRED_VERSION pango >= $PANGO_REQUIRED_VERSION])
++ PKG_CHECK_MODULES(WACOM_OLED, [gudev-1.0])
++ have_wacom=yes
++ AC_DEFINE_UNQUOTED(HAVE_WACOM, 1, [Define to 1 if wacom support is available])
++ fi
++ AC_SUBST(WACOM_CFLAGS)
++ AC_SUBST(WACOM_LIBS)
+ else
+ AC_MSG_ERROR([GUdev is necessary to compile Wacom support])
+ fi
+- AC_DEFINE_UNQUOTED(HAVE_WACOM, 1, [Define to 1 if wacom support is available])
+- have_wacom=yes
+ fi
+ ;;
+ *)
+diff --git a/plugins/Makefile.am b/plugins/Makefile.am
+index 7365953..779b5d9 100644
+--- a/plugins/Makefile.am
++++ b/plugins/Makefile.am
+@@ -4,7 +4,6 @@ enabled_plugins = \
+ a11y-keyboard \
+ a11y-settings \
+ clipboard \
+- color \
+ datetime \
+ dummy \
+ power \
+@@ -21,6 +20,12 @@ enabled_plugins = \
+
+ disabled_plugins = $(NULL)
+
++if WITH_COLOR
++enabled_plugins += color
++else
++disabled_plugins += color
++endif
++
+ if SMARTCARD_SUPPORT
+ enabled_plugins += smartcard
+ else
+--
+2.0.5
+
diff --git a/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.16.2-settings_set_display.patch b/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.16.2-settings_set_display.patch
new file mode 100644
index 00000000000..a8116b6d017
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.16.2-settings_set_display.patch
@@ -0,0 +1,47 @@
+From 804a75e86c8aafa46ff3c99933d1c8cd54ba7fcc Mon Sep 17 00:00:00 2001
+From: Alexandre Rostovtsev <tetromino@gentoo.org>
+Date: Mon, 25 May 2015 12:35:13 -0400
+Subject: [PATCH] common: settings_set_display(): fix segfault when output ==
+ NULL
+
+If settings_set_display() was called with output == NULL, edid remained
+initialized to NULLs, but an array of NULLs is an illegal value for
+KEY_DISPLAY settings, which has type "as".
+
+https://bugzilla.gnome.org/show_bug.cgi?id=749844
+---
+ plugins/common/gsd-device-mapper.c | 11 +++++++----
+ 1 file changed, 7 insertions(+), 4 deletions(-)
+
+diff --git a/plugins/common/gsd-device-mapper.c b/plugins/common/gsd-device-mapper.c
+index ce70fd0..c8a1a1a 100644
+--- a/plugins/common/gsd-device-mapper.c
++++ b/plugins/common/gsd-device-mapper.c
+@@ -365,7 +365,8 @@ static void
+ settings_set_display (GSettings *settings,
+ GnomeRROutput *output)
+ {
+- gchar **prev, *edid[4] = { NULL, NULL, NULL, NULL };
++ /* KEY_DISPLAY is type "as", so edid[0..2] must not be NULL */
++ gchar **prev, *edid[4] = { "", "", "", NULL };
+ GVariant *value;
+ gsize nvalues;
+
+@@ -384,9 +385,11 @@ settings_set_display (GSettings *settings,
+ g_settings_set_value (settings, KEY_DISPLAY, value);
+ }
+
+- g_free (edid[0]);
+- g_free (edid[1]);
+- g_free (edid[2]);
++ if (output) {
++ g_free (edid[0]);
++ g_free (edid[1]);
++ g_free (edid[2]);
++ }
+ g_strfreev (prev);
+ }
+
+--
+2.4.1
+
diff --git a/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.7.90-short-touchpad-timeout.patch b/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.7.90-short-touchpad-timeout.patch
new file mode 100755
index 00000000000..7dc410f28d4
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.7.90-short-touchpad-timeout.patch
@@ -0,0 +1,25 @@
+From bc0f7c1da87b17839ebf71dc102c19b7d7b6c65a Mon Sep 17 00:00:00 2001
+From: Sobhan Mohammadpour <sobhanmohammadpour1@yahoo.fr>
+Date: Mon, 25 Feb 2013 17:24:25 +0330
+Subject: [PATCH] gnome-settings-daemon-3.7.90-short-touchpad-timeout
+
+---
+ plugins/mouse/gsd-mouse-manager.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/plugins/mouse/gsd-mouse-manager.c b/plugins/mouse/gsd-mouse-manager.c
+index a62800a..e7d39e1 100644
+--- a/plugins/mouse/gsd-mouse-manager.c
++++ b/plugins/mouse/gsd-mouse-manager.c
+@@ -583,7 +583,7 @@ set_disable_w_typing (GsdMouseManager *manager, gboolean state)
+
+ g_ptr_array_add (args, "syndaemon");
+ g_ptr_array_add (args, "-i");
+- g_ptr_array_add (args, "1.0");
++ g_ptr_array_add (args, "0.5");
+ g_ptr_array_add (args, "-t");
+ g_ptr_array_add (args, "-K");
+ g_ptr_array_add (args, "-R");
+--
+1.8.1.2
+
diff --git a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.14.2.ebuild b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.14.2.ebuild
new file mode 100644
index 00000000000..d7aa15555c9
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.14.2.ebuild
@@ -0,0 +1,152 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit autotools eutils gnome2 python-r1 systemd udev virtualx
+
+DESCRIPTION="Gnome Settings Daemon"
+HOMEPAGE="https://git.gnome.org/browse/gnome-settings-daemon"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="+colord +cups debug input_devices_wacom -openrc-force networkmanager policykit +short-touchpad-timeout smartcard test +udev wayland"
+REQUIRED_USE="
+ input_devices_wacom? ( udev )
+ smartcard? ( udev )
+ test? ( ${PYTHON_REQUIRED_USE} )
+"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.37.7:2
+ >=x11-libs/gtk+-3.7.8:3
+ >=gnome-base/gnome-desktop-3.11.1:3=
+ >=gnome-base/gsettings-desktop-schemas-3.9.91.1
+ >=gnome-base/librsvg-2.36.2
+ media-fonts/cantarell
+ media-libs/fontconfig
+ >=media-libs/lcms-2.2:2
+ media-libs/libcanberra[gtk3]
+ >=media-sound/pulseaudio-2
+ >=sys-power/upower-0.99:=
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/libnotify-0.7.3:=
+ x11-libs/libX11
+ x11-libs/libxkbfile
+ x11-libs/libXi
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXtst
+ x11-libs/libXxf86misc
+ x11-misc/xkeyboard-config
+
+ >=app-misc/geoclue-2.1.2:2.0
+ >=dev-libs/libgweather-3.9.5:2
+ >=sci-geosciences/geocode-glib-3.10
+ >=sys-auth/polkit-0.103
+
+ colord? ( >=x11-misc/colord-1.0.2:= )
+ cups? ( >=net-print/cups-1.4[dbus] )
+ input_devices_wacom? (
+ >=dev-libs/libwacom-0.7
+ >=x11-libs/pango-1.20
+ x11-drivers/xf86-input-wacom
+ virtual/libgudev:= )
+ networkmanager? ( >=net-misc/networkmanager-0.9.9.1 )
+ smartcard? ( >=dev-libs/nss-3.11.2 )
+ udev? ( virtual/libgudev:= )
+ wayland? ( dev-libs/wayland )
+"
+# Themes needed by g-s-d, gnome-shell, gtk+:3 apps to work properly
+# <gnome-color-manager-3.1.1 has file collisions with g-s-d-3.1.x
+# <gnome-power-manager-3.1.3 has file collisions with g-s-d-3.1.x
+# systemd needed for power and session management, bug #464944
+RDEPEND="${COMMON_DEPEND}
+ gnome-base/dconf
+ !openrc-force? ( sys-apps/systemd )
+ >=x11-themes/gnome-themes-standard-2.91
+ >=x11-themes/gnome-icon-theme-2.91
+ >=x11-themes/gnome-icon-theme-symbolic-2.91
+ !<gnome-base/gnome-control-center-2.22
+ !<gnome-extra/gnome-color-manager-3.1.1
+ !<gnome-extra/gnome-power-manager-3.1.3
+"
+# xproto-7.0.15 needed for power plugin
+DEPEND="${COMMON_DEPEND}
+ cups? ( sys-apps/sed )
+ test? (
+ ${PYTHON_DEPS}
+ dev-python/pygobject[${PYTHON_USEDEP}] )
+ dev-libs/libxml2:2
+ sys-devel/gettext
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig
+ x11-proto/inputproto
+ x11-proto/xf86miscproto
+ >=x11-proto/xproto-7.0.15
+"
+
+src_prepare() {
+ # https://bugzilla.gnome.org/show_bug.cgi?id=621836
+ # Apparently this change severely affects touchpad usability for some
+ # people, so revert it if USE=short-touchpad-timeout.
+ # Revisit if/when upstream adds a setting for customizing the timeout.
+ use short-touchpad-timeout &&
+ epatch "${FILESDIR}"/${PN}-3.7.90-short-touchpad-timeout.patch
+
+ # Make colord and wacom optional; requires eautoreconf
+ epatch "${FILESDIR}"/${PN}-3.14.0-optional.patch
+
+ epatch_user
+ eautoreconf
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-static \
+ --enable-man \
+ $(use_enable colord color) \
+ $(use_enable cups) \
+ $(use_enable debug) \
+ $(use_enable debug more-warnings) \
+ $(use_enable networkmanager network-manager) \
+ $(use_enable smartcard smartcard-support) \
+ $(use_enable udev gudev) \
+ $(use_enable input_devices_wacom wacom) \
+ $(use_enable wayland)
+}
+
+src_test() {
+ python_export_best
+ Xemake check
+}
+
+src_install() {
+ gnome2_src_install udevrulesdir="$(get_udevdir)"/rules.d #509484
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! systemd_is_booted; then
+ ewarn "${PN} needs Systemd to be *running* for working"
+ ewarn "properly. Please follow the this guide to migrate:"
+ ewarn "http://wiki.gentoo.org/wiki/Systemd"
+ fi
+
+ if use openrc-force; then
+ ewarn "You are enabling 'openrc-force' USE flag to skip systemd requirement,"
+ ewarn "this can lead to unexpected problems and is not supported neither by"
+ ewarn "upstream neither by Gnome Gentoo maintainers. If you suffer any problem,"
+ ewarn "you will need to disable this USE flag system wide and retest before"
+ ewarn "opening any bug report."
+ fi
+}
diff --git a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.14.4.ebuild b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.14.4.ebuild
new file mode 100644
index 00000000000..705ed94ecad
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.14.4.ebuild
@@ -0,0 +1,152 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit autotools eutils gnome2 python-r1 systemd udev virtualx
+
+DESCRIPTION="Gnome Settings Daemon"
+HOMEPAGE="https://git.gnome.org/browse/gnome-settings-daemon"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="+colord +cups debug input_devices_wacom -openrc-force networkmanager policykit +short-touchpad-timeout smartcard test +udev wayland"
+REQUIRED_USE="
+ input_devices_wacom? ( udev )
+ smartcard? ( udev )
+ test? ( ${PYTHON_REQUIRED_USE} )
+"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.37.7:2[dbus]
+ >=x11-libs/gtk+-3.7.8:3
+ >=gnome-base/gnome-desktop-3.11.1:3=
+ >=gnome-base/gsettings-desktop-schemas-3.9.91.1
+ >=gnome-base/librsvg-2.36.2
+ media-fonts/cantarell
+ media-libs/fontconfig
+ >=media-libs/lcms-2.2:2
+ media-libs/libcanberra[gtk3]
+ >=media-sound/pulseaudio-2
+ >=sys-power/upower-0.99:=
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/libnotify-0.7.3:=
+ x11-libs/libX11
+ x11-libs/libxkbfile
+ x11-libs/libXi
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXtst
+ x11-libs/libXxf86misc
+ x11-misc/xkeyboard-config
+
+ >=app-misc/geoclue-2.1.2:2.0
+ >=dev-libs/libgweather-3.9.5:2
+ >=sci-geosciences/geocode-glib-3.10
+ >=sys-auth/polkit-0.103
+
+ colord? ( >=x11-misc/colord-1.0.2:= )
+ cups? ( >=net-print/cups-1.4[dbus] )
+ input_devices_wacom? (
+ >=dev-libs/libwacom-0.7
+ >=x11-libs/pango-1.20
+ x11-drivers/xf86-input-wacom
+ virtual/libgudev:= )
+ networkmanager? ( >=net-misc/networkmanager-0.9.9.1 )
+ smartcard? ( >=dev-libs/nss-3.11.2 )
+ udev? ( virtual/libgudev:= )
+ wayland? ( dev-libs/wayland )
+"
+# Themes needed by g-s-d, gnome-shell, gtk+:3 apps to work properly
+# <gnome-color-manager-3.1.1 has file collisions with g-s-d-3.1.x
+# <gnome-power-manager-3.1.3 has file collisions with g-s-d-3.1.x
+# systemd needed for power and session management, bug #464944
+RDEPEND="${COMMON_DEPEND}
+ gnome-base/dconf
+ !openrc-force? ( sys-apps/systemd )
+ >=x11-themes/gnome-themes-standard-2.91
+ >=x11-themes/gnome-icon-theme-2.91
+ >=x11-themes/gnome-icon-theme-symbolic-2.91
+ !<gnome-base/gnome-control-center-2.22
+ !<gnome-extra/gnome-color-manager-3.1.1
+ !<gnome-extra/gnome-power-manager-3.1.3
+"
+# xproto-7.0.15 needed for power plugin
+DEPEND="${COMMON_DEPEND}
+ cups? ( sys-apps/sed )
+ test? (
+ ${PYTHON_DEPS}
+ dev-python/pygobject[${PYTHON_USEDEP}] )
+ dev-libs/libxml2:2
+ sys-devel/gettext
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig
+ x11-proto/inputproto
+ x11-proto/xf86miscproto
+ >=x11-proto/xproto-7.0.15
+"
+
+src_prepare() {
+ # https://bugzilla.gnome.org/show_bug.cgi?id=621836
+ # Apparently this change severely affects touchpad usability for some
+ # people, so revert it if USE=short-touchpad-timeout.
+ # Revisit if/when upstream adds a setting for customizing the timeout.
+ use short-touchpad-timeout &&
+ epatch "${FILESDIR}"/${PN}-3.7.90-short-touchpad-timeout.patch
+
+ # Make colord and wacom optional; requires eautoreconf
+ epatch "${FILESDIR}"/${PN}-3.14.0-optional.patch
+
+ epatch_user
+ eautoreconf
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-static \
+ --enable-man \
+ $(use_enable colord color) \
+ $(use_enable cups) \
+ $(use_enable debug) \
+ $(use_enable debug more-warnings) \
+ $(use_enable networkmanager network-manager) \
+ $(use_enable smartcard smartcard-support) \
+ $(use_enable udev gudev) \
+ $(use_enable input_devices_wacom wacom) \
+ $(use_enable wayland)
+}
+
+src_test() {
+ python_export_best
+ Xemake check
+}
+
+src_install() {
+ gnome2_src_install udevrulesdir="$(get_udevdir)"/rules.d #509484
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! systemd_is_booted; then
+ ewarn "${PN} needs Systemd to be *running* for working"
+ ewarn "properly. Please follow the this guide to migrate:"
+ ewarn "http://wiki.gentoo.org/wiki/Systemd"
+ fi
+
+ if use openrc-force; then
+ ewarn "You are enabling 'openrc-force' USE flag to skip systemd requirement,"
+ ewarn "this can lead to unexpected problems and is not supported neither by"
+ ewarn "upstream neither by Gnome Gentoo maintainers. If you suffer any problem,"
+ ewarn "you will need to disable this USE flag system wide and retest before"
+ ewarn "opening any bug report."
+ fi
+}
diff --git a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.16.2-r1.ebuild b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.16.2-r1.ebuild
new file mode 100644
index 00000000000..da875f9f725
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.16.2-r1.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit autotools eutils gnome2 python-r1 systemd udev virtualx
+
+DESCRIPTION="Gnome Settings Daemon"
+HOMEPAGE="https://git.gnome.org/browse/gnome-settings-daemon"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="+colord +cups debug input_devices_wacom -openrc-force networkmanager policykit +short-touchpad-timeout smartcard test +udev wayland"
+REQUIRED_USE="
+ input_devices_wacom? ( udev )
+ smartcard? ( udev )
+ test? ( ${PYTHON_REQUIRED_USE} )
+"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.37.7:2[dbus]
+ >=x11-libs/gtk+-3.15.3:3
+ >=gnome-base/gnome-desktop-3.11.1:3=
+ >=gnome-base/gsettings-desktop-schemas-3.15.4
+ >=gnome-base/librsvg-2.36.2
+ media-fonts/cantarell
+ media-libs/fontconfig
+ >=media-libs/lcms-2.2:2
+ media-libs/libcanberra[gtk3]
+ >=media-sound/pulseaudio-2
+ >=sys-power/upower-0.99:=
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/libnotify-0.7.3:=
+ x11-libs/libX11
+ x11-libs/libxkbfile
+ x11-libs/libXi
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXtst
+ x11-libs/libXxf86misc
+ x11-misc/xkeyboard-config
+
+ >=app-misc/geoclue-2.1.2:2.0
+ >=dev-libs/libgweather-3.9.5:2
+ >=sci-geosciences/geocode-glib-3.10
+ >=sys-auth/polkit-0.103
+
+ colord? ( >=x11-misc/colord-1.0.2:= )
+ cups? ( >=net-print/cups-1.4[dbus] )
+ input_devices_wacom? (
+ >=dev-libs/libwacom-0.7
+ >=x11-libs/pango-1.20
+ x11-drivers/xf86-input-wacom
+ virtual/libgudev:= )
+ networkmanager? ( >=net-misc/networkmanager-0.9.9.1 )
+ smartcard? ( >=dev-libs/nss-3.11.2 )
+ udev? ( virtual/libgudev:= )
+ wayland? ( dev-libs/wayland )
+"
+# Themes needed by g-s-d, gnome-shell, gtk+:3 apps to work properly
+# <gnome-color-manager-3.1.1 has file collisions with g-s-d-3.1.x
+# <gnome-power-manager-3.1.3 has file collisions with g-s-d-3.1.x
+# systemd needed for power and session management, bug #464944
+RDEPEND="${COMMON_DEPEND}
+ gnome-base/dconf
+ !openrc-force? ( sys-apps/systemd )
+ >=x11-themes/gnome-themes-standard-2.91
+ >=x11-themes/gnome-icon-theme-2.91
+ >=x11-themes/gnome-icon-theme-symbolic-2.91
+ !<gnome-base/gnome-control-center-2.22
+ !<gnome-extra/gnome-color-manager-3.1.1
+ !<gnome-extra/gnome-power-manager-3.1.3
+"
+# xproto-7.0.15 needed for power plugin
+DEPEND="${COMMON_DEPEND}
+ cups? ( sys-apps/sed )
+ test? (
+ ${PYTHON_DEPS}
+ dev-python/pygobject[${PYTHON_USEDEP}] )
+ dev-libs/libxml2:2
+ sys-devel/gettext
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig
+ x11-proto/inputproto
+ x11-proto/xf86miscproto
+ >=x11-proto/xproto-7.0.15
+"
+
+src_prepare() {
+ # https://bugzilla.gnome.org/show_bug.cgi?id=621836
+ # Apparently this change severely affects touchpad usability for some
+ # people, so revert it if USE=short-touchpad-timeout.
+ # Revisit if/when upstream adds a setting for customizing the timeout.
+ use short-touchpad-timeout &&
+ epatch "${FILESDIR}"/${PN}-3.7.90-short-touchpad-timeout.patch
+
+ # Make colord and wacom optional; requires eautoreconf
+ epatch "${FILESDIR}"/${PN}-3.16.0-optional.patch
+
+ # Fix segfault, https://bugzilla.gnome.org/show_bug.cgi?id=749844
+ epatch "${FILESDIR}"/${PN}-3.16.2-settings_set_display.patch
+
+ epatch_user
+ eautoreconf
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-static \
+ --enable-man \
+ $(use_enable colord color) \
+ $(use_enable cups) \
+ $(use_enable debug) \
+ $(use_enable debug more-warnings) \
+ $(use_enable networkmanager network-manager) \
+ $(use_enable smartcard smartcard-support) \
+ $(use_enable udev gudev) \
+ $(use_enable input_devices_wacom wacom) \
+ $(use_enable wayland)
+}
+
+src_test() {
+ python_export_best
+ Xemake check
+}
+
+src_install() {
+ gnome2_src_install udevrulesdir="$(get_udevdir)"/rules.d #509484
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! systemd_is_booted; then
+ ewarn "${PN} needs Systemd to be *running* for working"
+ ewarn "properly. Please follow the this guide to migrate:"
+ ewarn "http://wiki.gentoo.org/wiki/Systemd"
+ fi
+
+ if use openrc-force; then
+ ewarn "You are enabling 'openrc-force' USE flag to skip systemd requirement,"
+ ewarn "this can lead to unexpected problems and is not supported neither by"
+ ewarn "upstream neither by Gnome Gentoo maintainers. If you suffer any problem,"
+ ewarn "you will need to disable this USE flag system wide and retest before"
+ ewarn "opening any bug report."
+ fi
+}
diff --git a/gnome-base/gnome-settings-daemon/metadata.xml b/gnome-base/gnome-settings-daemon/metadata.xml
new file mode 100644
index 00000000000..4bfad259997
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnome</herd>
+ <use>
+ <flag name="colord">Support color management using
+ <pkg>x11-misc/colord</pkg></flag>
+ <flag name="openrc-force">Skip systemd dependency (#480336),
+ enabling this flag will become your setup to be fully
+ unsupported by upstream and downstream Gnome team. Do not
+ try to enable it unless completely needed</flag>
+ <flag name="short-touchpad-timeout">Change the touchpad timeout so that
+ it's effective for fast typists</flag>
+ </use>
+</pkgmetadata>
diff --git a/gnome-base/gnome-shell/Manifest b/gnome-base/gnome-shell/Manifest
new file mode 100644
index 00000000000..a76f704ed7b
--- /dev/null
+++ b/gnome-base/gnome-shell/Manifest
@@ -0,0 +1,3 @@
+DIST gnome-shell-3.14.4.tar.xz 1597744 SHA256 43336da7edece72bf298f1749510abb8470b625585e551c8b45258981435fd80 SHA512 254536cc3362d968bc624d2e87a5dbfe0471a7dbfb9c43a13e8913a3c097adaa22010bca6fc3fab90106519902d1997b4fa4f9ec6f325667dc3222f06614dc52 WHIRLPOOL 25bb0a0bc5227742e55912082157692d9f71bcf90ff6a3ed7a0b731470cb0a4adba70ba703a302f678746d6cc7263b8ca2fec3b77dae6bcfdd15d694262792a0
+DIST gnome-shell-3.16.2.tar.xz 1592496 SHA256 90b7aeac7673f05f0bf7de39444ac458900c943fa8fd22e5374c047aa54d1838 SHA512 54b9e5c0bcc484e286c6de508c8698452ec00fdcf4dbfc82c812989d69f7adcf5964f93d7284b75dde8f4542538cb7ea6e157f0cb5404fae2dc560474573f6cd WHIRLPOOL 125c645d4ac4f262caee325d76c2666e8bac3ab807074fc7115375d2e0882b6f4f178cd4e63bbfb033eea35d9ce93bfe88e1c4136e3773d811729dc6300718fb
+DIST gnome-shell-3.16.3.tar.xz 1593148 SHA256 227eff19fdf50fd7ac605e8068454a6a6bc6d1bd73281b28305c3cd8a91190cb SHA512 72be3bb435d0a8c4c5b1cb20dbd10697c54110ead4d5b55e88bf4c23ec7ec0e2169cbe2c357f002dcec17330d346e9efc6c8d284627d0407de25365142713e5e WHIRLPOOL 9d8c037a723b17f2a102ebe3a5f734a4df1ba88302b6240a4645629b0d51a6006bbda8de9c67e7b23730ee16e97c7691ecf950ec77d32fb63cf19bcdbc88724f
diff --git a/gnome-base/gnome-shell/files/gnome-shell-3.12-bluetooth-flag.patch b/gnome-base/gnome-shell/files/gnome-shell-3.12-bluetooth-flag.patch
new file mode 100644
index 00000000000..2fa93af25cd
--- /dev/null
+++ b/gnome-base/gnome-shell/files/gnome-shell-3.12-bluetooth-flag.patch
@@ -0,0 +1,50 @@
+From 3c9c3b19fcb212171036e1e57e749411b5fd7d65 Mon Sep 17 00:00:00 2001
+From: Sobhan Mohammadpour <sobhanmohammadpour1@yahoo.fr>
+Date: Thu, 28 Feb 2013 18:48:32 +0330
+Subject: [PATCH 2/3] Make bluetooth support optional
+
+https://bugs.gentoo.org/show_bug.cgi?id=398145
+
+Ed Catmur 2012-01-08 13:46:22 UTC
+libgnome-bluetooth-applet is a private library so they shouldn't be linking
+against it anyway. I tried to work out how to tell libtool to add it to rpath
+but got totally lost.
+
+I'll see if I can work out how to fix the automagic gnome-bluetooth dependency
+so I can at least merge USE=-bluetooth.
+---
+ configure.ac | 16 +++++++++++++---
+ 1 file changed, 13 insertions(+), 3 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 9a30e65..aa710f0 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -138,11 +138,21 @@ AS_IF([test x$enable_browser_plugin = xyes], [
+ ])
+ AM_CONDITIONAL(BUILD_BROWSER_PLUGIN, test x$enable_browser_plugin = xyes)
+
++AC_MSG_CHECKING([for bluetooth support])
++AC_ARG_WITH([bluetooth],
++ AS_HELP_STRING([--without-bluetooth],
++ [Build without gnome-bluetooth library (default: auto)]))
++AS_IF([test "x$with_bluetooth" != "xno"], [
+ PKG_CHECK_MODULES(BLUETOOTH, gnome-bluetooth-1.0 >= 3.9.0,
+- [AC_DEFINE([HAVE_BLUETOOTH],[1],[Define if you have libgnome-bluetooth-applet])
+- AC_SUBST([HAVE_BLUETOOTH],[1])],
++ [AC_DEFINE([HAVE_BLUETOOTH],[1],[Define if you have libgnome-bluetooth-applet])
++ AC_SUBST([HAVE_BLUETOOTH],[1])
++ AC_MSG_RESULT([yes])],
+ [AC_DEFINE([HAVE_BLUETOOTH],[0])
+- AC_SUBST([HAVE_BLUETOOTH],[0])])
++ AC_SUBST([HAVE_BLUETOOTH],[0])
++ AC_MSG_RESULT([no])])
++], [AC_DEFINE([HAVE_BLUETOOTH],[0])
++ AC_SUBST([HAVE_BLUETOOTH],[0])
++ AC_MSG_RESULT([no])])
+
+ PKG_CHECK_MODULES(CALENDAR_SERVER, libecal-1.2 >= $LIBECAL_MIN_VERSION libedataserver-1.2 >= $LIBEDATASERVER_MIN_VERSION gio-2.0)
+ AC_SUBST(CALENDAR_SERVER_CFLAGS)
+--
+1.9.0
+
diff --git a/gnome-base/gnome-shell/files/gnome-shell-3.14.0-bluetooth-gold.patch b/gnome-base/gnome-shell/files/gnome-shell-3.14.0-bluetooth-gold.patch
new file mode 100644
index 00000000000..cc2b2e6584d
--- /dev/null
+++ b/gnome-base/gnome-shell/files/gnome-shell-3.14.0-bluetooth-gold.patch
@@ -0,0 +1,31 @@
+From 6b43368c9b10ba112e4272f66c507a0da9cf7e13 Mon Sep 17 00:00:00 2001
+From: Alexandre Rostovtsev <tetromino@gentoo.org>
+Date: Sat, 15 Mar 2014 17:48:41 -0400
+Subject: [PATCH 3/3] build: Add BLUETOOTH_LIBS to libgnome-shell's libadd for
+ ld.gold
+
+For ld.gold, adding BLUETOOTH_LIBS to gnome_shell_LDADD has no effect:
+the libgnome-bluetooth-applet must be linked to the binary that actually
+uses a function from libgnome-bluetooth-applet, i.e. to libgnome-shell.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=726435
+---
+ src/Makefile.am | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/Makefile.am b/src/Makefile.am
+index a73eaae..c8fd46f 100644
+--- a/src/Makefile.am
++++ b/src/Makefile.am
+@@ -315,7 +315,7 @@ libgnome_shell_base_la_LIBADD = $(libgnome_shell_libadd)
+ libgnome_shell_base_la_CPPFLAGS = $(gnome_shell_cflags)
+
+ libgnome_shell_la_LDFLAGS = $(libgnome_shell_ldflags)
+-libgnome_shell_la_LIBADD = $(GNOME_SHELL_LIBS) $(MUTTER_LIBS) libgnome-shell-base.la
++libgnome_shell_la_LIBADD = $(GNOME_SHELL_LIBS) $(MUTTER_LIBS) $(BLUETOOTH_LIBS) libgnome-shell-base.la
+ libgnome_shell_la_CPPFLAGS = $(MUTTER_CFLAGS) $(gnome_shell_cflags)
+
+ ShellMenu-0.1.gir: libgnome-shell-menu.la
+--
+2.1.2
+
diff --git a/gnome-base/gnome-shell/files/gnome-shell-3.14.0-defaults.patch b/gnome-base/gnome-shell/files/gnome-shell-3.14.0-defaults.patch
new file mode 100644
index 00000000000..b60642253dd
--- /dev/null
+++ b/gnome-base/gnome-shell/files/gnome-shell-3.14.0-defaults.patch
@@ -0,0 +1,25 @@
+From 6b658660e822a550da55c735c826ec75b6c0efee Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Tue, 10 Dec 2013 23:33:51 +0100
+Subject: [PATCH 1/3] Alter list of default applications
+
+---
+ data/org.gnome.shell.gschema.xml.in.in | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/data/org.gnome.shell.gschema.xml.in.in b/data/org.gnome.shell.gschema.xml.in.in
+index 92cef3f..9e783bb 100644
+--- a/data/org.gnome.shell.gschema.xml.in.in
++++ b/data/org.gnome.shell.gschema.xml.in.in
+@@ -31,7 +31,7 @@
+ </_description>
+ </key>
+ <key name="favorite-apps" type="as">
+- <default>[ 'epiphany.desktop', 'evolution.desktop', 'rhythmbox.desktop', 'shotwell.desktop', 'org.gnome.Nautilus.desktop', 'org.gnome.Software.desktop' ]</default>
++ <default>[ 'chromium-browser-chromium.desktop', 'firefox.desktop', 'firefox-bin.desktop', 'evolution.desktop', 'rhythmbox.desktop', 'shotwell.desktop', 'org.gnome.Nautilus.desktop', 'org.gnome.Software.desktop' ]</default>
+ <_summary>List of desktop file IDs for favorite applications</_summary>
+ <_description>
+ The applications corresponding to these identifiers
+--
+2.1.2
+
diff --git a/gnome-base/gnome-shell/gnome-shell-3.14.4.ebuild b/gnome-base/gnome-shell/gnome-shell-3.14.4.ebuild
new file mode 100644
index 00000000000..3e366051f5a
--- /dev/null
+++ b/gnome-base/gnome-shell/gnome-shell-3.14.4.ebuild
@@ -0,0 +1,224 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools eutils gnome2 multilib pax-utils python-r1 systemd
+
+DESCRIPTION="Provides core UI functions for the GNOME 3 desktop"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeShell"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="+bluetooth +i18n +networkmanager -openrc-force"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86"
+
+# libXfixes-5.0 needed for pointer barriers
+# FIXME:
+# * gstreamer support is currently automagic
+COMMON_DEPEND="
+ >=app-accessibility/at-spi2-atk-2.5.3
+ >=dev-libs/atk-2[introspection]
+ >=app-crypt/gcr-3.7.5[introspection]
+ >=dev-libs/glib-2.39.1:2[dbus]
+ >=dev-libs/gjs-1.39
+ >=dev-libs/gobject-introspection-0.10.1:=
+ >=x11-libs/gtk+-3.13.2:3[introspection]
+ >=media-libs/clutter-1.15.90:1.0[introspection]
+ >=dev-libs/json-glib-0.13.2
+ >=dev-libs/libcroco-0.6.8:0.6
+ >=gnome-base/gnome-desktop-3.7.90:3=[introspection]
+ >=gnome-base/gsettings-desktop-schemas-3.14
+ >=gnome-base/gnome-keyring-3.3.90
+ gnome-base/libgnome-keyring
+ >=gnome-extra/evolution-data-server-3.5.3:=
+ >=media-libs/gstreamer-0.11.92:1.0
+ >=net-im/telepathy-logger-0.2.4[introspection]
+ >=net-libs/telepathy-glib-0.19[introspection]
+ >=sys-auth/polkit-0.100[introspection]
+ >=x11-libs/libXfixes-5.0
+ x11-libs/libXtst
+ >=x11-wm/mutter-3.14.4[introspection]
+ <x11-wm/mutter-3.15
+ >=x11-libs/startup-notification-0.11
+
+ ${PYTHON_DEPS}
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+
+ dev-libs/dbus-glib
+ dev-libs/libxml2:2
+ gnome-base/librsvg
+ media-libs/libcanberra[gtk3]
+ media-libs/mesa
+ >=media-sound/pulseaudio-2
+ >=net-libs/libsoup-2.40:2.4[introspection]
+ x11-libs/libX11
+ x11-libs/gdk-pixbuf:2[introspection]
+ x11-libs/pango[introspection]
+ x11-apps/mesa-progs
+
+ bluetooth? ( >=net-wireless/gnome-bluetooth-3.9[introspection] )
+ networkmanager? (
+ app-crypt/libsecret
+ >=gnome-extra/nm-applet-0.9.8
+ >=net-misc/networkmanager-0.9.8[introspection] )
+"
+# Runtime-only deps are probably incomplete and approximate.
+# Introspection deps generated using:
+# grep -roe "imports.gi.*" gnome-shell-* | cut -f2 -d: | sort | uniq
+# Each block:
+# 1. Pull in polkit-0.101 for pretty authorization dialogs
+# 2. Introspection stuff needed via imports.gi.*
+# 3. gnome-session is needed for gnome-session-quit
+# 4. Control shell settings
+# 5. Systemd needed for suspending support
+# 6. xdg-utils needed for xdg-open, used by extension tool
+# 7. gnome-icon-theme-symbolic and dejavu font neeed for various icons & arrows
+# 8. IBus is needed for i18n integration
+# 9. mobile-broadband-provider-info, timezone-data for shell-mobile-providers.c
+RDEPEND="${COMMON_DEPEND}
+ >=sys-auth/polkit-0.101[introspection]
+
+ >=app-accessibility/caribou-0.4.8
+ media-libs/cogl[introspection]
+ >=sys-apps/accountsservice-0.6.14[introspection]
+ >=sys-power/upower-0.99[introspection]
+
+ >=gnome-base/gnome-session-2.91.91
+ >=gnome-base/gnome-settings-daemon-3.8.3
+
+ !openrc-force? ( >=sys-apps/systemd-31 )
+
+ x11-misc/xdg-utils
+
+ media-fonts/dejavu
+ x11-themes/gnome-icon-theme-symbolic
+
+ i18n? ( >=app-i18n/ibus-1.4.99[dconf(+),gtk3,introspection] )
+ networkmanager? (
+ net-misc/mobile-broadband-provider-info
+ sys-libs/timezone-data )
+"
+# avoid circular dependency, see bug #546134
+PDEPEND="
+ >=gnome-base/gdm-3.5[introspection]
+ >=gnome-base/gnome-control-center-3.8.3[bluetooth(+)?]
+"
+DEPEND="${COMMON_DEPEND}
+ dev-libs/libxslt
+ >=dev-util/gtk-doc-am-1.17
+ >=dev-util/intltool-0.40
+ gnome-base/gnome-common
+ virtual/pkgconfig
+ !!=dev-lang/spidermonkey-1.8.2*
+"
+# libmozjs.so is picked up from /usr/lib while compiling, so block at build-time
+# https://bugs.gentoo.org/show_bug.cgi?id=360413
+
+src_prepare() {
+ # Change favorites defaults, bug #479918
+ epatch "${FILESDIR}"/${PN}-3.14.0-defaults.patch
+
+ # Fix automagic gnome-bluetooth dep, bug #398145
+ epatch "${FILESDIR}"/${PN}-3.12-bluetooth-flag.patch
+
+ # Fix silent bluetooth linking failure with ld.gold, bug #503952
+ # https://bugzilla.gnome.org/show_bug.cgi?id=726435
+ epatch "${FILESDIR}"/${PN}-3.14.0-bluetooth-gold.patch
+
+ epatch_user
+
+ eautoreconf
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # Do not error out on warnings
+ gnome2_src_configure \
+ --enable-browser-plugin \
+ --enable-man \
+ $(use_enable !openrc-force systemd) \
+ $(use_with bluetooth) \
+ $(use_enable networkmanager) \
+ BROWSER_PLUGIN_DIR="${EPREFIX}"/usr/$(get_libdir)/nsbrowser/plugins
+}
+
+src_install() {
+ gnome2_src_install
+ python_replicate_script "${ED}/usr/bin/gnome-shell-extension-tool"
+ python_replicate_script "${ED}/usr/bin/gnome-shell-perf-tool"
+
+ # Required for gnome-shell on hardened/PaX, bug #398941
+ # Future-proof for >=spidermonkey-1.8.7 following polkit's example
+ if has_version '<dev-lang/spidermonkey-1.8.7'; then
+ pax-mark mr "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+ elif has_version '>=dev-lang/spidermonkey-1.8.7[jit]'; then
+ pax-mark m "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+ # Required for gnome-shell on hardened/PaX #457146 and #457194
+ # PaX EMUTRAMP need to be on
+ elif has_version '>=dev-libs/libffi-3.0.13[pax_kernel]'; then
+ pax-mark E "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+ else
+ pax-mark m "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+ fi
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! has_version 'media-libs/gst-plugins-good:1.0' || \
+ ! has_version 'media-plugins/gst-plugins-vpx:1.0'; then
+ ewarn "To make use of GNOME Shell's built-in screen recording utility,"
+ ewarn "you need to either install media-libs/gst-plugins-good:1.0"
+ ewarn "and media-plugins/gst-plugins-vpx:1.0, or use dconf-editor to change"
+ ewarn "apps.gnome-shell.recorder/pipeline to what you want to use."
+ fi
+
+ if ! has_version ">=x11-base/xorg-server-1.11"; then
+ ewarn "If you use multiple screens, it is highly recommended that you"
+ ewarn "upgrade to >=x11-base/xorg-server-1.11 to be able to make use of"
+ ewarn "pointer barriers which will make it easier to use hot corners."
+ fi
+
+ if has_version "<x11-drivers/ati-drivers-12"; then
+ ewarn "GNOME Shell has been reported to show graphical corruption under"
+ ewarn "x11-drivers/ati-drivers-11.*; you may want to switch to open-source"
+ ewarn "drivers."
+ fi
+
+ if has_version "media-libs/mesa[video_cards_radeon]" ||
+ has_version "media-libs/mesa[video_cards_r300]" ||
+ has_version "media-libs/mesa[video_cards_r600]"; then
+ elog "GNOME Shell is unstable under classic-mode r300/r600 mesa drivers."
+ elog "Make sure that gallium architecture for r300 and r600 drivers is"
+ elog "selected using 'eselect mesa'."
+ if ! has_version "media-libs/mesa[gallium]"; then
+ ewarn "You will need to emerge media-libs/mesa with USE=gallium."
+ fi
+ fi
+
+ if ! has_version "media-libs/mesa[llvm]"; then
+ elog "llvmpipe is used as fallback when no 3D acceleration"
+ elog "is available. You will need to enable llvm USE for"
+ elog "media-libs/mesa."
+ fi
+
+ if ! systemd_is_booted; then
+ ewarn "${PN} needs Systemd to be *running* for working"
+ ewarn "properly. Please follow this guide to migrate:"
+ ewarn "http://wiki.gentoo.org/wiki/Systemd"
+ fi
+
+ if use openrc-force; then
+ ewarn "You are enabling 'openrc-force' USE flag to skip systemd requirement,"
+ ewarn "this can lead to unexpected problems and is not supported neither by"
+ ewarn "upstream neither by Gnome Gentoo maintainers. If you suffer any problem,"
+ ewarn "you will need to disable this USE flag system wide and retest before"
+ ewarn "opening any bug report."
+ fi
+}
diff --git a/gnome-base/gnome-shell/gnome-shell-3.16.2.ebuild b/gnome-base/gnome-shell/gnome-shell-3.16.2.ebuild
new file mode 100644
index 00000000000..3b81db7931a
--- /dev/null
+++ b/gnome-base/gnome-shell/gnome-shell-3.16.2.ebuild
@@ -0,0 +1,213 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python{3_3,3_4} )
+
+inherit autotools eutils gnome2 multilib pax-utils python-r1 systemd
+
+DESCRIPTION="Provides core UI functions for the GNOME 3 desktop"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeShell"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="+bluetooth +i18n +networkmanager -openrc-force"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+# libXfixes-5.0 needed for pointer barriers
+# FIXME:
+# * gstreamer support is currently automagic
+COMMON_DEPEND="
+ >=app-accessibility/at-spi2-atk-2.5.3
+ >=dev-libs/atk-2[introspection]
+ >=app-crypt/gcr-3.7.5[introspection]
+ >=dev-libs/glib-2.39.1:2[dbus]
+ >=dev-libs/gjs-1.39
+ >=dev-libs/gobject-introspection-0.10.1:=
+ dev-libs/libical:=
+ >=x11-libs/gtk+-3.15.0:3[introspection]
+ >=media-libs/clutter-1.21.5:1.0[introspection]
+ >=dev-libs/json-glib-0.13.2
+ >=dev-libs/libcroco-0.6.8:0.6
+ >=gnome-base/gnome-desktop-3.7.90:3=[introspection]
+ >=gnome-base/gsettings-desktop-schemas-3.14
+ >=gnome-base/gnome-keyring-3.3.90
+ gnome-base/libgnome-keyring
+ >=gnome-extra/evolution-data-server-3.13.90:=
+ >=media-libs/gstreamer-0.11.92:1.0
+ >=net-im/telepathy-logger-0.2.4[introspection]
+ >=net-libs/telepathy-glib-0.19[introspection]
+ >=sys-auth/polkit-0.100[introspection]
+ >=x11-libs/libXfixes-5.0
+ x11-libs/libXtst
+ >=x11-wm/mutter-3.16.0[introspection]
+ >=x11-libs/startup-notification-0.11
+
+ ${PYTHON_DEPS}
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+
+ dev-libs/dbus-glib
+ dev-libs/libxml2:2
+ gnome-base/librsvg
+ media-libs/libcanberra[gtk3]
+ media-libs/mesa
+ >=media-sound/pulseaudio-2
+ >=net-libs/libsoup-2.40:2.4[introspection]
+ x11-libs/libX11
+ x11-libs/gdk-pixbuf:2[introspection]
+ x11-libs/pango[introspection]
+ x11-apps/mesa-progs
+
+ bluetooth? ( >=net-wireless/gnome-bluetooth-3.9[introspection] )
+ networkmanager? (
+ app-crypt/libsecret
+ >=gnome-extra/nm-applet-0.9.8
+ >=net-misc/networkmanager-0.9.8[introspection] )
+"
+# Runtime-only deps are probably incomplete and approximate.
+# Introspection deps generated using:
+# grep -roe "imports.gi.*" gnome-shell-* | cut -f2 -d: | sort | uniq
+# Each block:
+# 1. Pull in polkit-0.101 for pretty authorization dialogs
+# 2. Introspection stuff needed via imports.gi.*
+# 3. gnome-session is needed for gnome-session-quit
+# 4. Control shell settings
+# 5. Systemd needed for suspending support
+# 6. xdg-utils needed for xdg-open, used by extension tool
+# 7. gnome-icon-theme-symbolic and dejavu font neeed for various icons & arrows
+# 8. IBus is needed for i18n integration
+# 9. mobile-broadband-provider-info, timezone-data for shell-mobile-providers.c
+RDEPEND="${COMMON_DEPEND}
+ >=sys-auth/polkit-0.101[introspection]
+
+ >=app-accessibility/caribou-0.4.8
+ media-libs/cogl[introspection]
+ >=sys-apps/accountsservice-0.6.14[introspection]
+ >=sys-power/upower-0.99[introspection]
+
+ >=gnome-base/gnome-session-2.91.91
+ >=gnome-base/gnome-settings-daemon-3.8.3
+
+ !openrc-force? ( >=sys-apps/systemd-31 )
+
+ x11-misc/xdg-utils
+
+ media-fonts/dejavu
+ x11-themes/gnome-icon-theme-symbolic
+
+ i18n? ( >=app-i18n/ibus-1.4.99[dconf(+),gtk3,introspection] )
+ networkmanager? (
+ net-misc/mobile-broadband-provider-info
+ sys-libs/timezone-data )
+"
+# avoid circular dependency, see bug #546134
+PDEPEND="
+ >=gnome-base/gdm-3.5[introspection]
+ >=gnome-base/gnome-control-center-3.8.3[bluetooth(+)?,networkmanager(+)?]
+"
+DEPEND="${COMMON_DEPEND}
+ dev-libs/libxslt
+ >=dev-util/gtk-doc-am-1.17
+ >=dev-util/intltool-0.40
+ gnome-base/gnome-common
+ virtual/pkgconfig
+ !!=dev-lang/spidermonkey-1.8.2*
+"
+# libmozjs.so is picked up from /usr/lib while compiling, so block at build-time
+# https://bugs.gentoo.org/show_bug.cgi?id=360413
+
+src_prepare() {
+ # Change favorites defaults, bug #479918
+ epatch "${FILESDIR}"/${PN}-3.14.0-defaults.patch
+
+ # Fix automagic gnome-bluetooth dep, bug #398145
+ epatch "${FILESDIR}"/${PN}-3.12-bluetooth-flag.patch
+
+ # Fix silent bluetooth linking failure with ld.gold, bug #503952
+ # https://bugzilla.gnome.org/show_bug.cgi?id=726435
+ epatch "${FILESDIR}"/${PN}-3.14.0-bluetooth-gold.patch
+
+ epatch_user
+
+ eautoreconf
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # Do not error out on warnings
+ gnome2_src_configure \
+ --enable-browser-plugin \
+ --enable-man \
+ $(use_enable !openrc-force systemd) \
+ $(use_with bluetooth) \
+ $(use_enable networkmanager) \
+ BROWSER_PLUGIN_DIR="${EPREFIX}"/usr/$(get_libdir)/nsbrowser/plugins
+}
+
+src_install() {
+ gnome2_src_install
+ python_replicate_script "${ED}/usr/bin/gnome-shell-extension-tool"
+ python_replicate_script "${ED}/usr/bin/gnome-shell-perf-tool"
+
+ # Required for gnome-shell on hardened/PaX, bug #398941
+ # Future-proof for >=spidermonkey-1.8.7 following polkit's example
+ if has_version '<dev-lang/spidermonkey-1.8.7'; then
+ pax-mark mr "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+ elif has_version '>=dev-lang/spidermonkey-1.8.7[jit]'; then
+ pax-mark m "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+ # Required for gnome-shell on hardened/PaX #457146 and #457194
+ # PaX EMUTRAMP need to be on
+ elif has_version '>=dev-libs/libffi-3.0.13[pax_kernel]'; then
+ pax-mark E "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+ else
+ pax-mark m "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+ fi
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! has_version 'media-libs/gst-plugins-good:1.0' || \
+ ! has_version 'media-plugins/gst-plugins-vpx:1.0'; then
+ ewarn "To make use of GNOME Shell's built-in screen recording utility,"
+ ewarn "you need to either install media-libs/gst-plugins-good:1.0"
+ ewarn "and media-plugins/gst-plugins-vpx:1.0, or use dconf-editor to change"
+ ewarn "apps.gnome-shell.recorder/pipeline to what you want to use."
+ fi
+
+ if ! has_version ">=x11-base/xorg-server-1.11"; then
+ ewarn "If you use multiple screens, it is highly recommended that you"
+ ewarn "upgrade to >=x11-base/xorg-server-1.11 to be able to make use of"
+ ewarn "pointer barriers which will make it easier to use hot corners."
+ fi
+
+ if has_version "<x11-drivers/ati-drivers-12"; then
+ ewarn "GNOME Shell has been reported to show graphical corruption under"
+ ewarn "x11-drivers/ati-drivers-11.*; you may want to switch to open-source"
+ ewarn "drivers."
+ fi
+
+ if ! has_version "media-libs/mesa[llvm]"; then
+ elog "llvmpipe is used as fallback when no 3D acceleration"
+ elog "is available. You will need to enable llvm USE for"
+ elog "media-libs/mesa."
+ fi
+
+ if ! systemd_is_booted; then
+ ewarn "${PN} needs Systemd to be *running* for working"
+ ewarn "properly. Please follow this guide to migrate:"
+ ewarn "http://wiki.gentoo.org/wiki/Systemd"
+ fi
+
+ if use openrc-force; then
+ ewarn "You are enabling 'openrc-force' USE flag to skip systemd requirement,"
+ ewarn "this can lead to unexpected problems and is not supported neither by"
+ ewarn "upstream neither by Gnome Gentoo maintainers. If you suffer any problem,"
+ ewarn "you will need to disable this USE flag system wide and retest before"
+ ewarn "opening any bug report."
+ fi
+}
diff --git a/gnome-base/gnome-shell/gnome-shell-3.16.3.ebuild b/gnome-base/gnome-shell/gnome-shell-3.16.3.ebuild
new file mode 100644
index 00000000000..3b81db7931a
--- /dev/null
+++ b/gnome-base/gnome-shell/gnome-shell-3.16.3.ebuild
@@ -0,0 +1,213 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python{3_3,3_4} )
+
+inherit autotools eutils gnome2 multilib pax-utils python-r1 systemd
+
+DESCRIPTION="Provides core UI functions for the GNOME 3 desktop"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeShell"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="+bluetooth +i18n +networkmanager -openrc-force"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+# libXfixes-5.0 needed for pointer barriers
+# FIXME:
+# * gstreamer support is currently automagic
+COMMON_DEPEND="
+ >=app-accessibility/at-spi2-atk-2.5.3
+ >=dev-libs/atk-2[introspection]
+ >=app-crypt/gcr-3.7.5[introspection]
+ >=dev-libs/glib-2.39.1:2[dbus]
+ >=dev-libs/gjs-1.39
+ >=dev-libs/gobject-introspection-0.10.1:=
+ dev-libs/libical:=
+ >=x11-libs/gtk+-3.15.0:3[introspection]
+ >=media-libs/clutter-1.21.5:1.0[introspection]
+ >=dev-libs/json-glib-0.13.2
+ >=dev-libs/libcroco-0.6.8:0.6
+ >=gnome-base/gnome-desktop-3.7.90:3=[introspection]
+ >=gnome-base/gsettings-desktop-schemas-3.14
+ >=gnome-base/gnome-keyring-3.3.90
+ gnome-base/libgnome-keyring
+ >=gnome-extra/evolution-data-server-3.13.90:=
+ >=media-libs/gstreamer-0.11.92:1.0
+ >=net-im/telepathy-logger-0.2.4[introspection]
+ >=net-libs/telepathy-glib-0.19[introspection]
+ >=sys-auth/polkit-0.100[introspection]
+ >=x11-libs/libXfixes-5.0
+ x11-libs/libXtst
+ >=x11-wm/mutter-3.16.0[introspection]
+ >=x11-libs/startup-notification-0.11
+
+ ${PYTHON_DEPS}
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+
+ dev-libs/dbus-glib
+ dev-libs/libxml2:2
+ gnome-base/librsvg
+ media-libs/libcanberra[gtk3]
+ media-libs/mesa
+ >=media-sound/pulseaudio-2
+ >=net-libs/libsoup-2.40:2.4[introspection]
+ x11-libs/libX11
+ x11-libs/gdk-pixbuf:2[introspection]
+ x11-libs/pango[introspection]
+ x11-apps/mesa-progs
+
+ bluetooth? ( >=net-wireless/gnome-bluetooth-3.9[introspection] )
+ networkmanager? (
+ app-crypt/libsecret
+ >=gnome-extra/nm-applet-0.9.8
+ >=net-misc/networkmanager-0.9.8[introspection] )
+"
+# Runtime-only deps are probably incomplete and approximate.
+# Introspection deps generated using:
+# grep -roe "imports.gi.*" gnome-shell-* | cut -f2 -d: | sort | uniq
+# Each block:
+# 1. Pull in polkit-0.101 for pretty authorization dialogs
+# 2. Introspection stuff needed via imports.gi.*
+# 3. gnome-session is needed for gnome-session-quit
+# 4. Control shell settings
+# 5. Systemd needed for suspending support
+# 6. xdg-utils needed for xdg-open, used by extension tool
+# 7. gnome-icon-theme-symbolic and dejavu font neeed for various icons & arrows
+# 8. IBus is needed for i18n integration
+# 9. mobile-broadband-provider-info, timezone-data for shell-mobile-providers.c
+RDEPEND="${COMMON_DEPEND}
+ >=sys-auth/polkit-0.101[introspection]
+
+ >=app-accessibility/caribou-0.4.8
+ media-libs/cogl[introspection]
+ >=sys-apps/accountsservice-0.6.14[introspection]
+ >=sys-power/upower-0.99[introspection]
+
+ >=gnome-base/gnome-session-2.91.91
+ >=gnome-base/gnome-settings-daemon-3.8.3
+
+ !openrc-force? ( >=sys-apps/systemd-31 )
+
+ x11-misc/xdg-utils
+
+ media-fonts/dejavu
+ x11-themes/gnome-icon-theme-symbolic
+
+ i18n? ( >=app-i18n/ibus-1.4.99[dconf(+),gtk3,introspection] )
+ networkmanager? (
+ net-misc/mobile-broadband-provider-info
+ sys-libs/timezone-data )
+"
+# avoid circular dependency, see bug #546134
+PDEPEND="
+ >=gnome-base/gdm-3.5[introspection]
+ >=gnome-base/gnome-control-center-3.8.3[bluetooth(+)?,networkmanager(+)?]
+"
+DEPEND="${COMMON_DEPEND}
+ dev-libs/libxslt
+ >=dev-util/gtk-doc-am-1.17
+ >=dev-util/intltool-0.40
+ gnome-base/gnome-common
+ virtual/pkgconfig
+ !!=dev-lang/spidermonkey-1.8.2*
+"
+# libmozjs.so is picked up from /usr/lib while compiling, so block at build-time
+# https://bugs.gentoo.org/show_bug.cgi?id=360413
+
+src_prepare() {
+ # Change favorites defaults, bug #479918
+ epatch "${FILESDIR}"/${PN}-3.14.0-defaults.patch
+
+ # Fix automagic gnome-bluetooth dep, bug #398145
+ epatch "${FILESDIR}"/${PN}-3.12-bluetooth-flag.patch
+
+ # Fix silent bluetooth linking failure with ld.gold, bug #503952
+ # https://bugzilla.gnome.org/show_bug.cgi?id=726435
+ epatch "${FILESDIR}"/${PN}-3.14.0-bluetooth-gold.patch
+
+ epatch_user
+
+ eautoreconf
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # Do not error out on warnings
+ gnome2_src_configure \
+ --enable-browser-plugin \
+ --enable-man \
+ $(use_enable !openrc-force systemd) \
+ $(use_with bluetooth) \
+ $(use_enable networkmanager) \
+ BROWSER_PLUGIN_DIR="${EPREFIX}"/usr/$(get_libdir)/nsbrowser/plugins
+}
+
+src_install() {
+ gnome2_src_install
+ python_replicate_script "${ED}/usr/bin/gnome-shell-extension-tool"
+ python_replicate_script "${ED}/usr/bin/gnome-shell-perf-tool"
+
+ # Required for gnome-shell on hardened/PaX, bug #398941
+ # Future-proof for >=spidermonkey-1.8.7 following polkit's example
+ if has_version '<dev-lang/spidermonkey-1.8.7'; then
+ pax-mark mr "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+ elif has_version '>=dev-lang/spidermonkey-1.8.7[jit]'; then
+ pax-mark m "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+ # Required for gnome-shell on hardened/PaX #457146 and #457194
+ # PaX EMUTRAMP need to be on
+ elif has_version '>=dev-libs/libffi-3.0.13[pax_kernel]'; then
+ pax-mark E "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+ else
+ pax-mark m "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+ fi
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! has_version 'media-libs/gst-plugins-good:1.0' || \
+ ! has_version 'media-plugins/gst-plugins-vpx:1.0'; then
+ ewarn "To make use of GNOME Shell's built-in screen recording utility,"
+ ewarn "you need to either install media-libs/gst-plugins-good:1.0"
+ ewarn "and media-plugins/gst-plugins-vpx:1.0, or use dconf-editor to change"
+ ewarn "apps.gnome-shell.recorder/pipeline to what you want to use."
+ fi
+
+ if ! has_version ">=x11-base/xorg-server-1.11"; then
+ ewarn "If you use multiple screens, it is highly recommended that you"
+ ewarn "upgrade to >=x11-base/xorg-server-1.11 to be able to make use of"
+ ewarn "pointer barriers which will make it easier to use hot corners."
+ fi
+
+ if has_version "<x11-drivers/ati-drivers-12"; then
+ ewarn "GNOME Shell has been reported to show graphical corruption under"
+ ewarn "x11-drivers/ati-drivers-11.*; you may want to switch to open-source"
+ ewarn "drivers."
+ fi
+
+ if ! has_version "media-libs/mesa[llvm]"; then
+ elog "llvmpipe is used as fallback when no 3D acceleration"
+ elog "is available. You will need to enable llvm USE for"
+ elog "media-libs/mesa."
+ fi
+
+ if ! systemd_is_booted; then
+ ewarn "${PN} needs Systemd to be *running* for working"
+ ewarn "properly. Please follow this guide to migrate:"
+ ewarn "http://wiki.gentoo.org/wiki/Systemd"
+ fi
+
+ if use openrc-force; then
+ ewarn "You are enabling 'openrc-force' USE flag to skip systemd requirement,"
+ ewarn "this can lead to unexpected problems and is not supported neither by"
+ ewarn "upstream neither by Gnome Gentoo maintainers. If you suffer any problem,"
+ ewarn "you will need to disable this USE flag system wide and retest before"
+ ewarn "opening any bug report."
+ fi
+}
diff --git a/gnome-base/gnome-shell/metadata.xml b/gnome-base/gnome-shell/metadata.xml
new file mode 100644
index 00000000000..6a29f73453a
--- /dev/null
+++ b/gnome-base/gnome-shell/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+<use>
+ <flag name="i18n">Enable support for enhanced input methods through
+ <pkg>app-i18n/ibus</pkg></flag>
+ <flag name="openrc-force">Skip systemd dependency (#480336),
+ enabling this flag will become your setup to be fully
+ unsupported by upstream and downstream Gnome team. Do not
+ try to enable it unless completely needed</flag>
+</use>
+</pkgmetadata>
diff --git a/gnome-base/gnome-vfs/Manifest b/gnome-base/gnome-vfs/Manifest
new file mode 100644
index 00000000000..7378a95891b
--- /dev/null
+++ b/gnome-base/gnome-vfs/Manifest
@@ -0,0 +1 @@
+DIST gnome-vfs-2.24.4.tar.bz2 1890370 SHA256 62de64b5b804eb04104ff98fcd6a8b7276d510a49fbd9c0feb568f8996444faa SHA512 db4e49f5356647667c4d40c7ce5c299c934cb41069b2086fb89c4e87b2202b5009616d65c1dafeb93e37033a5a68965342c2b18d87b8a3265c4347dec5128581 WHIRLPOOL 53376928ae04cc1d693e57afe18f2b91431b8c8d678cf58eedd057eb23e9f34010294faf83e3085126adf310da5a135076cf085f63f1db0d3a1add21cc0641a9
diff --git a/gnome-base/gnome-vfs/files/gnome-vfs-2.12.0-afs.patch b/gnome-base/gnome-vfs/files/gnome-vfs-2.12.0-afs.patch
new file mode 100644
index 00000000000..cdc88c24b6a
--- /dev/null
+++ b/gnome-base/gnome-vfs/files/gnome-vfs-2.12.0-afs.patch
@@ -0,0 +1,12 @@
+diff -ur gnome-vfs-2.12.0/libgnomevfs/gnome-vfs-filesystem-type.c gnome-vfs-2.12.0-patched/libgnomevfs/gnome-vfs-filesystem-type.c
+--- gnome-vfs-2.12.0/libgnomevfs/gnome-vfs-filesystem-type.c 2005-08-23 01:34:36.000000000 +0800
++++ gnome-vfs-2.12.0-patched/libgnomevfs/gnome-vfs-filesystem-type.c 2005-09-18 20:30:47.000000000 +0800
+@@ -35,7 +35,7 @@
+
+ static struct FSInfo fs_data[] = {
+ { "affs" , N_("AFFS Volume"), 0},
+- { "afs" , N_("AFS Network Volume"), 0 },
++ { "afs" , N_("AFS Network Volume"), 1 },
+ { "auto" , N_("Auto-detected Volume"), 0 },
+ { "cd9660" , N_("CD-ROM Drive"), 0 },
+ { "cdda" , N_("CD Digital Audio"), 0 },
diff --git a/gnome-base/gnome-vfs/files/gnome-vfs-2.15.2-headers-define.patch b/gnome-base/gnome-vfs/files/gnome-vfs-2.15.2-headers-define.patch
new file mode 100644
index 00000000000..f74db8edb1c
--- /dev/null
+++ b/gnome-base/gnome-vfs/files/gnome-vfs-2.15.2-headers-define.patch
@@ -0,0 +1,19 @@
+--- configure.in 2006-06-13 00:36:14.000000000 -0500
++++ configure.in 2006-06-13 00:54:15.000000000 -0500
+@@ -191,6 +191,16 @@
+
+ AC_CHECK_HEADERS(sys/param.h sys/resource.h sys/vfs.h sys/mount.h sys/statfs.h sys/statvfs.h sys/param.h wctype.h sys/poll.h poll.h)
+
++AC_CHECK_HEADERS([pwd.h])
++if test "$ac_cv_header_pwd_h" = "yes"; then
++ AC_DEFINE(HAVE_PWD_H, [1], [pwd.h present])
++fi
++
++AC_CHECK_HEADERS([grp.h])
++if test "$ac_cv_header_grp_h" = "yes"; then
++ AC_DEFINE(HAVE_GRP_H, [1], [grp.h present])
++fi
++
+ dnl
+ dnl file system type member in statfs struct
+ dnl
diff --git a/gnome-base/gnome-vfs/files/gnome-vfs-2.16.0-no-dbus-crash.patch b/gnome-base/gnome-vfs/files/gnome-vfs-2.16.0-no-dbus-crash.patch
new file mode 100644
index 00000000000..6905060a4f7
--- /dev/null
+++ b/gnome-base/gnome-vfs/files/gnome-vfs-2.16.0-no-dbus-crash.patch
@@ -0,0 +1,12 @@
+diff --exclude-from=/home/dang/.diffrc -u -ruN gnome-vfs-2.16.0.orig/libgnomevfs/gnome-vfs-volume-monitor-client.c gnome-vfs-2.16.0/libgnomevfs/gnome-vfs-volume-monitor-client.c
+--- gnome-vfs-2.16.0.orig/libgnomevfs/gnome-vfs-volume-monitor-client.c 2006-07-07 04:46:39.000000000 -0400
++++ gnome-vfs-2.16.0/libgnomevfs/gnome-vfs-volume-monitor-client.c 2006-09-21 11:22:49.000000000 -0400
+@@ -236,6 +236,8 @@
+ gnome_vfs_volume_monitor_client_init (GnomeVFSVolumeMonitorClient *volume_monitor_client)
+ {
+ setup_dbus_connection (volume_monitor_client);
++ if (!volume_monitor_client->dbus_conn)
++ return;
+ read_drives_from_daemon (volume_monitor_client);
+ read_volumes_from_daemon (volume_monitor_client);
+ }
diff --git a/gnome-base/gnome-vfs/files/gnome-vfs-2.20.0-automagic-deps.patch b/gnome-base/gnome-vfs/files/gnome-vfs-2.20.0-automagic-deps.patch
new file mode 100644
index 00000000000..876148b891f
--- /dev/null
+++ b/gnome-base/gnome-vfs/files/gnome-vfs-2.20.0-automagic-deps.patch
@@ -0,0 +1,68 @@
+Index: configure.in
+===================================================================
+--- configure.in (révision 5413)
++++ configure.in (copie de travail)
+@@ -448,9 +448,13 @@
+ dnl GSSAPI
+ dnl Check for Kerberos installation
+ have_gssapi=no
++
++AC_ARG_ENABLE(krb5,
++ AS_HELP_STRING([--enable-krb5],[Enable Kerberos 5 support]),
++ [],[enable_krb5=yes])
+ AC_PATH_PROG([KRB5_CONFIG], krb5-config, none, $PATH:/usr/kerberos/bin)
+-
+-if test "x$KRB5_CONFIG" != "xnone"; then
++
++if test "x$KRB5_CONFIG" != "xnone" -a "x$enable_krb5" = "xyes"; then
+ GSSAPI_LIBS="`${KRB5_CONFIG} --libs gssapi`"
+ GSSAPI_CFLAGS="`${KRB5_CONFIG} --cflags gssapi`"
+
+@@ -481,8 +485,12 @@
+ break
+ ])
+ LIBS="$saved_LIBS"
+- CPPFLAGS="$saved_CPPFLAGS"
+-fi
++ CPPFLAGS="$saved_CPPFLAGS"
++fi
++
++if test "x$KRB5_CONFIG" = "xnone" -a "x$enable_krb5" = "xyes"; then
++ AC_MSG_ERROR([*** kerberos 5 support enabled but krb5-config not found ***])
++fi
+ AC_SUBST(GSSAPI_LIBS)
+ AC_SUBST(GSSAPI_CFLAGS)
+
+@@ -1077,9 +1085,13 @@
+ dnl =====================
+ dnl ACL checks
+ dnl =====================
+-acl_backends=""
++acl_backends="none"
+ ACL_LIBS=""
+
++AC_ARG_ENABLE(acl,
++ AS_HELP_STRING([--disable-acl],[Don't use libacl support]),
++ [],[enable_acl=yes])
++
+ AC_CHECK_LIB(attr,getxattr,[ACL_LIBS="$ACL_LIBS -lattr"])
+ AC_CHECK_LIB(acl,acl_get_file,[ACL_LIBS="$ACL_LIBS -lacl"])
+ AC_CHECK_LIB(sec,acl,[ACL_LIBS="$ACL_LIBS -lsec"])
+@@ -1102,7 +1114,7 @@
+ gvfs_cv_HAVE_POSIX_ACLS=yes, gvfs_cv_HAVE_POSIX_ACLS=no)
+ LIBS=$acl_LIBS])
+
+-if test x"$gvfs_cv_HAVE_SOLARIS_ACLS" = x"yes" ; then
++if test x"$gvfs_cv_HAVE_SOLARIS_ACLS" = x"yes" -a x"$enable_acl" = x"yes"; then
+ have_solaris_acl_support=yes
+ acl_backends="solaris"
+
+@@ -1110,7 +1122,7 @@
+ AC_CHECK_HEADERS([pwd.h grp.h])
+ fi
+
+-if test x"$gvfs_cv_HAVE_POSIX_ACLS" = x"yes" ; then
++if test x"$gvfs_cv_HAVE_POSIX_ACLS" = x"yes" -a x"$enable_acl" = x"yes"; then
+ have_posix_acl_support=yes
+ acl_backends="posix"
+
diff --git a/gnome-base/gnome-vfs/files/gnome-vfs-2.20.1-automagic-deps.patch b/gnome-base/gnome-vfs/files/gnome-vfs-2.20.1-automagic-deps.patch
new file mode 100644
index 00000000000..11ac34c0721
--- /dev/null
+++ b/gnome-base/gnome-vfs/files/gnome-vfs-2.20.1-automagic-deps.patch
@@ -0,0 +1,19 @@
+--- configure.in. 2007-11-30 04:15:01.000000000 +0100
++++ configure.in 2007-11-30 04:16:21.000000000 +0100
+@@ -1102,6 +1102,7 @@
+ AS_HELP_STRING([--disable-acl],[Don't use libacl support]),
+ [],[enable_acl=yes])
+
++if test "x$enable_acl" = "xyes"; then
+ AC_CHECK_LIB(attr,getxattr,[ACL_LIBS="$ACL_LIBS -lattr"])
+ AC_CHECK_LIB(acl,acl_get_file,[ACL_LIBS="$ACL_LIBS -lacl"])
+ AC_CHECK_LIB(sec,acl,[ACL_LIBS="$ACL_LIBS -lsec"])
+@@ -1189,6 +1190,8 @@
+ fi
+
++fi
+ AC_SUBST(ACL_LIBS)
++
+ AM_CONDITIONAL(HAVE_POSIX_ACL, test x"$have_posix_acl_support" = x"yes")
+ AM_CONDITIONAL(HAVE_SOLARIS_ACL, test x"$have_solaris_acl_support" = x"yes")
+
diff --git a/gnome-base/gnome-vfs/files/gnome-vfs-2.24.0-uuid-mount.patch b/gnome-base/gnome-vfs/files/gnome-vfs-2.24.0-uuid-mount.patch
new file mode 100644
index 00000000000..e76a9837136
--- /dev/null
+++ b/gnome-base/gnome-vfs/files/gnome-vfs-2.24.0-uuid-mount.patch
@@ -0,0 +1,77 @@
+From 8427c2daf543353f42b932b5137b6ec590f6589b Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Sat, 2 Oct 2010 00:42:31 +0200
+Subject: [PATCH 7/9] Prevent duplicated volumes, bug #193083
+
+---
+ libgnomevfs/gnome-vfs-unix-mounts.c | 39 +++++++++++++++++++++++++++++++++-
+ 1 files changed, 37 insertions(+), 2 deletions(-)
+
+diff --git a/libgnomevfs/gnome-vfs-unix-mounts.c b/libgnomevfs/gnome-vfs-unix-mounts.c
+index 51a009b..3eee305 100644
+--- a/libgnomevfs/gnome-vfs-unix-mounts.c
++++ b/libgnomevfs/gnome-vfs-unix-mounts.c
+@@ -40,6 +40,10 @@
+ #ifdef HAVE_POLL_H
+ #include <poll.h>
+ #endif
++
++#include <limits.h>
++#include <stdlib.h>
++
+ #include <stdio.h>
+ #include <unistd.h>
+ #include <sys/time.h>
+@@ -290,6 +294,15 @@ _gnome_vfs_get_current_unix_mounts (GList **return_list)
+
+ mount_entry->mount_path = g_strdup (mntent->mnt_dir);
+ mount_entry->device_path = g_strdup (mntent->mnt_fsname);
++
++ if (g_file_test (mntent->mnt_fsname, G_FILE_TEST_IS_SYMLINK)) {
++ char rpath[PATH_MAX];
++ if (realpath (mntent->mnt_fsname, rpath)) {
++ g_free (mount_entry->device_path);
++ mount_entry->device_path = g_strdup (rpath);
++ }
++ }
++
+ mount_entry->filesystem_type = g_strdup (mntent->mnt_type);
+
+ g_hash_table_insert (mounts_hash,
+@@ -571,9 +584,31 @@ _gnome_vfs_get_unix_mount_table (GList **return_list)
+ }
+
+ mount_entry = g_new0 (GnomeVFSUnixMountPoint, 1);
+-
++
++ if(strlen(mntent->mnt_fsname) >= 5 && !strncmp (mntent->mnt_fsname, "UUID=", 5)) {
++ mount_entry->device_path = g_strdup_printf ("/dev/disk/by-uuid/%s", mntent->mnt_fsname+5);
++ }
++ else if(strlen(mntent->mnt_fsname) >= 6 && !strncmp (mntent->mnt_fsname, "LABEL=", 6)) {
++ mount_entry->device_path = g_strdup_printf ("/dev/disk/by-label/%s", mntent->mnt_fsname+6);
++ }
++ else {
++ mount_entry->device_path = g_strdup (mntent->mnt_fsname);
++ }
++
++ if (g_file_test (mount_entry->device_path, G_FILE_TEST_IS_SYMLINK)) {
++ char rpath[PATH_MAX];
++ if (realpath (mount_entry->device_path, rpath)) {
++ g_free (mount_entry->device_path);
++ mount_entry->device_path = g_strdup (rpath);
++ }
++ else {
++ g_free (mount_entry->device_path);
++ g_free (mount_entry);
++ continue;
++ }
++ }
++
+ mount_entry->mount_path = g_strdup (mntent->mnt_dir);
+- mount_entry->device_path = g_strdup (mntent->mnt_fsname);
+ mount_entry->filesystem_type = g_strdup (mntent->mnt_type);
+
+ #ifdef HAVE_HASMNTOPT
+--
+1.7.3
+
diff --git a/gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-automake-1.13.patch b/gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-automake-1.13.patch
new file mode 100644
index 00000000000..69f470a396a
--- /dev/null
+++ b/gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-automake-1.13.patch
@@ -0,0 +1,30 @@
+ configure.in | 2 +-
+ test/Makefile.am | 2 +-
+ 2 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/configure.in b/configure.in
+index 7335451..7817998 100644
+--- a/configure.in
++++ b/configure.in
+@@ -33,7 +33,7 @@ AC_SUBST(LIBGNOMEVFS_REVISION)
+ AC_SUBST(LIBGNOMEVFS_AGE)
+ AC_SUBST(LIBGNOMEVFS_VERSION)
+
+-AM_CONFIG_HEADER(config.h)
++AC_CONFIG_HEADERS(config.h)
+ AM_INIT_AUTOMAKE(gnome-vfs, $LIBGNOMEVFS_VERSION)
+
+ dnl make sure we keep ACLOCAL_FLAGS around for maintainer builds to work
+diff --git a/test/Makefile.am b/test/Makefile.am
+index 5b0992e..626bdec 100644
+--- a/test/Makefile.am
++++ b/test/Makefile.am
+@@ -65,7 +65,7 @@ TESTS = test-acl \
+ test-async-cancel \
+ test-escape \
+ test-uri \
+- $(srcdir)/auto-test
++ auto-test
+
+ libraries = \
+ $(top_builddir)/libgnomevfs/libgnomevfs-2.la \
diff --git a/gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-build-tests-asneeded.patch b/gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-build-tests-asneeded.patch
new file mode 100644
index 00000000000..45ca015573f
--- /dev/null
+++ b/gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-build-tests-asneeded.patch
@@ -0,0 +1,25 @@
+From b7dabab33e00bdbd8b566ca058a1bce7dec2b77d Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Sat, 2 Oct 2010 01:45:21 +0200
+Subject: [PATCH 8/9] Do not build tests unless required
+
+---
+ test/Makefile.am | 2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/test/Makefile.am b/test/Makefile.am
+index 5b0992e..a1aefa0 100644
+--- a/test/Makefile.am
++++ b/test/Makefile.am
+@@ -14,7 +14,7 @@ else
+ platform_only_programs = test-dns-sd test-symlinks test-parse-ls-lga
+ endif
+
+-noinst_PROGRAMS = \
++check_PROGRAMS = \
+ test-acl \
+ test-address \
+ test-async \
+--
+1.7.3
+
diff --git a/gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-disable-test-async-cancel.patch b/gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-disable-test-async-cancel.patch
new file mode 100644
index 00000000000..2684c92ec09
--- /dev/null
+++ b/gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-disable-test-async-cancel.patch
@@ -0,0 +1,24 @@
+From 390c1f6c06917f54cfacd5f85834d02c231cc2ea Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Sat, 2 Oct 2010 01:46:31 +0200
+Subject: [PATCH 9/9] Disable broken test, bug #285706, upstream #618089
+
+---
+ test/Makefile.am | 1 -
+ 1 files changed, 0 insertions(+), 1 deletions(-)
+
+diff --git a/test/Makefile.am b/test/Makefile.am
+index a1aefa0..c18f2e4 100644
+--- a/test/Makefile.am
++++ b/test/Makefile.am
+@@ -62,7 +62,6 @@ TESTS_ENVIRONMENT = GNOME_VFS_MODULE_PATH=$(top_builddir)/modules/.libs \
+ SRCDIR=$(srcdir)
+ TESTS = test-acl \
+ test-address \
+- test-async-cancel \
+ test-escape \
+ test-uri \
+ $(srcdir)/auto-test
+--
+1.7.3
+
diff --git a/gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-gnutls27.patch b/gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-gnutls27.patch
new file mode 100644
index 00000000000..93ebd17c7ef
--- /dev/null
+++ b/gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-gnutls27.patch
@@ -0,0 +1,68 @@
+Debian #529827
+GNOME #574589
+Gentoo #253729
+Patch by Gilles Dartiguelongue, fixed for correctly setting have_ssl
+
+Allow gnome-vfs-2.24 to build with gnutls >= 2.7.0
+Use pkg-config in place of gnutls own macro since it's not present anymore.
+
+As gnome-vfs-ssl.c also directly uses libgcrypt, we need to make sure that
+configure checks for it. Use AM_PATH_LIBGCRYPT macro for that.
+
+
+Index: gnome-vfs-2.24.4/configure.in
+===================================================================
+--- gnome-vfs-2.24.4.orig/configure.in 2011-03-16 14:07:18.901009688 +0100
++++ gnome-vfs-2.24.4/configure.in 2011-03-16 14:16:19.317009687 +0100
+@@ -667,15 +667,14 @@
+ if test "x${OPENSSL_LIBS}" != "x"; then
+ AC_MSG_ERROR([*** Can't use both openssl and gnutls at the same time. Please pick one only. ***])
+ else
+- AC_CHECK_HEADER(gcrypt.h,, AC_MSG_ERROR([*** Need gcrypt.h to compile with GnuTLS support ***]))
+- AM_PATH_LIBGNUTLS(1.0.0, [AC_DEFINE(HAVE_GNUTLS, 1, [Define to 1 if GnuTLS is available])
+- have_ssl=true])
+-
++ AM_PATH_LIBGCRYPT
++ if test "x${LIBGCRYPT_LIBS}" = "x"; then
++ AC_MSG_ERROR([Unable to find LIBGRYPT])
++ fi
++ PKG_CHECK_MODULES(LIBGNUTLS, gnutls >= 1.0.0, [AC_DEFINE(HAVE_GNUTLS, 1, [Define to 1 if GnuTLS is available])
++ have_ssl=true])
+ if test "x${LIBGNUTLS_LIBS}" = "x"; then
+- AM_PATH_LIBGNUTLS(0.5.1, [AC_DEFINE(HAVE_GNUTLS, 1, [Define to 1 if GnuTLS is available])
+- AC_DEFINE(GNUTLS_COMPAT, 1, [FIXME])
+- have_ssl=true],
+- AC_MSG_ERROR([Unable to find GNUTLS]))
++ AC_MSG_ERROR([Unable to find GNUTLS])
+ fi
+ fi
+ fi
+@@ -1045,8 +1044,8 @@
+ dnl ==============================================================================
+
+ PKG_CHECK_MODULES(LIBGNOMEVFS, glib-2.0 >= $GLIB_REQUIRED gmodule-no-export-2.0 >= $GLIB_REQUIRED gthread-2.0 >= $GLIB_REQUIRED gobject-2.0 >= $GLIB_REQUIRED gconf-2.0 >= $GCONF_REQUIRED libxml-2.0 >= $XML_REQUIRED gnome-mime-data-2.0 $dbus_requirement)
+-LIBGNOMEVFS_CFLAGS="$LIBGNOMEVFS_CFLAGS $OPENSSL_CFLAGS $LIBGNUTLS_CFLAGS $HOWL_CFLAGS $AVAHI_CFLAGS"
+-LIBGNOMEVFS_LIBS="$LIBGNOMEVFS_LIBS $OPENSSL_LIBS $LIBGNUTLS_LIBS $HOWL_LIBS $AVAHI_LIBS $RESOLVER_LIBS"
++LIBGNOMEVFS_CFLAGS="$LIBGNOMEVFS_CFLAGS $OPENSSL_CFLAGS $LIBGNUTLS_CFLAGS $LIBGCRYPT_CFLAGS $HOWL_CFLAGS $AVAHI_CFLAGS"
++LIBGNOMEVFS_LIBS="$LIBGNOMEVFS_LIBS $OPENSSL_LIBS $LIBGNUTLS_LIBS $LIBGCRYPT_LIBS $HOWL_LIBS $AVAHI_LIBS $RESOLVER_LIBS"
+ AC_SUBST(LIBGNOMEVFS_CFLAGS)
+ AC_SUBST(LIBGNOMEVFS_LIBS)
+
+Index: gnome-vfs-2.24.4/libgnomevfs/gnome-vfs-ssl.c
+===================================================================
+--- gnome-vfs-2.24.4.orig/libgnomevfs/gnome-vfs-ssl.c 2011-03-16 14:07:18.861009688 +0100
++++ gnome-vfs-2.24.4/libgnomevfs/gnome-vfs-ssl.c 2011-03-16 14:09:17.517009687 +0100
+@@ -61,13 +61,6 @@
+ #endif
+ #endif
+
+-#if defined GNUTLS_COMPAT
+-#define gnutls_certificate_credentials GNUTLS_CERTIFICATE_CREDENTIALS
+-#define gnutls_session GNUTLS_STATE
+-#define gnutls_certificate_free_credentials gnutls_certificate_free_sc
+-#define gnutls_certificate_allocate_credentials gnutls_certificate_allocate_sc
+-#endif
+-
+ typedef struct {
+ #ifdef HAVE_OPENSSL
+ int sockfd;
diff --git a/gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-home_dir_fakeroot.patch b/gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-home_dir_fakeroot.patch
new file mode 100644
index 00000000000..991286aa4de
--- /dev/null
+++ b/gnome-base/gnome-vfs/files/gnome-vfs-2.24.4-home_dir_fakeroot.patch
@@ -0,0 +1,155 @@
+From 01dba45f0d15b7e23f21d19776d64f69879cd27a Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Sat, 2 Oct 2010 00:41:01 +0200
+Subject: [PATCH 5/9] Fix to identify ${HOME} (#200897)
+
+Thanks to debian folks.
+---
+ libgnomevfs/gnome-vfs-application-registry.c | 2 +-
+ libgnomevfs/gnome-vfs-init.c | 3 +-
+ libgnomevfs/gnome-vfs-private-utils.c | 52 ++++++++++++++++++++++++++
+ libgnomevfs/gnome-vfs-private-utils.h | 2 +
+ modules/file-method.c | 6 +-
+ 5 files changed, 60 insertions(+), 5 deletions(-)
+
+diff --git a/libgnomevfs/gnome-vfs-application-registry.c b/libgnomevfs/gnome-vfs-application-registry.c
+index 0b11cc5..051ea44 100644
+--- a/libgnomevfs/gnome-vfs-application-registry.c
++++ b/libgnomevfs/gnome-vfs-application-registry.c
+@@ -965,7 +965,7 @@ gnome_vfs_application_registry_init (void)
+ NULL);
+ gnome_registry_dir.system_dir = TRUE;
+
+- user_registry_dir.dirname = g_build_filename (g_get_home_dir(),
++ user_registry_dir.dirname = g_build_filename (gnome_vfs_get_home_dir(),
+ ".gnome",
+ "application-info",
+ NULL);
+diff --git a/libgnomevfs/gnome-vfs-init.c b/libgnomevfs/gnome-vfs-init.c
+index e3fd5d9..c07cf06 100644
+--- a/libgnomevfs/gnome-vfs-init.c
++++ b/libgnomevfs/gnome-vfs-init.c
+@@ -118,7 +118,8 @@ gnome_vfs_init (void)
+ char *bogus_argv[2] = { "dummy", NULL };
+ */
+
+- if (!ensure_dot_gnome_exists ()) {
++ /* The first call also checks that ~/.gnome2 is writable. */
++ if (!gnome_vfs_get_home_dir ()) {
+ return FALSE;
+ }
+
+diff --git a/libgnomevfs/gnome-vfs-private-utils.c b/libgnomevfs/gnome-vfs-private-utils.c
+index 7fafde3..7ad8fbc 100644
+--- a/libgnomevfs/gnome-vfs-private-utils.c
++++ b/libgnomevfs/gnome-vfs-private-utils.c
+@@ -34,6 +34,7 @@
+ #include "gnome-vfs-uri.h"
+ #include <errno.h>
+ #include <glib.h>
++#include <glib/gstdio.h>
+ #include <gconf/gconf-client.h>
+ #include <stdlib.h>
+ #include <string.h>
+@@ -1085,3 +1086,54 @@ _gnome_vfs_winsock_strerror (int error)
+ }
+ #endif
+
++static gboolean
++ensure_dot_gnome_exists (gchar *home_dir)
++{
++ gboolean retval = TRUE;
++ gchar *dirname;
++
++ dirname = g_build_filename (home_dir, ".gnome2", NULL);
++
++ if (!g_file_test (dirname, G_FILE_TEST_EXISTS)) {
++ if (g_mkdir (dirname, S_IRWXU) != 0) {
++ g_warning ("Unable to create ~/.gnome2 directory: %s",
++ g_strerror (errno));
++ retval = FALSE;
++ }
++ } else if (!g_file_test (dirname, G_FILE_TEST_IS_DIR)) {
++ g_warning ("Error: ~/.gnome2 must be a directory.");
++ retval = FALSE;
++ }
++
++ g_free (dirname);
++ return retval;
++}
++
++/**
++ * gnome_vfs_get_home_dir:
++ *
++ * If ~/.gnome2 is writable, return the home directory
++ * Otherwise, return the contents of the HOME environment variable
++ *
++ * Return value: home directory if successful, NULL otherwise.
++ * Do not free the value returned.
++ */
++const gchar *
++gnome_vfs_get_home_dir (void)
++{
++ static gchar *home = NULL;
++
++ if (home == NULL) {
++ gchar *tmp = g_get_home_dir ();
++ if (ensure_dot_gnome_exists (tmp)) {
++ home = g_strdup (tmp);
++ } else {
++ gchar *tmp2 = g_getenv ("HOME");
++ if (!g_str_equal (tmp, tmp2) && ensure_dot_gnome_exists (tmp2)) {
++ home = g_strdup (tmp2);
++ }
++ }
++ }
++
++ return home;
++}
+diff --git a/libgnomevfs/gnome-vfs-private-utils.h b/libgnomevfs/gnome-vfs-private-utils.h
+index 981c6d9..fe282a2 100644
+--- a/libgnomevfs/gnome-vfs-private-utils.h
++++ b/libgnomevfs/gnome-vfs-private-utils.h
+@@ -124,6 +124,8 @@ const char *_gnome_vfs_winsock_strerror (int error);
+
+ #endif
+
++const gchar *gnome_vfs_get_home_dir (void);
++
+ G_END_DECLS
+
+ #endif /* _GNOME_VFS_PRIVATE_UTILS_H */
+diff --git a/modules/file-method.c b/modules/file-method.c
+index 37e4853..7265e58 100644
+--- a/modules/file-method.c
++++ b/modules/file-method.c
+@@ -1531,7 +1531,7 @@ save_trash_entry_cache (void)
+ GList *p;
+ char *buffer, *escaped_path, *escaped_mount_point;
+
+- cache_file_parent = append_to_path (g_get_home_dir (), TRASH_ENTRY_CACHE_PARENT);
++ cache_file_parent = append_to_path (gnome_vfs_get_home_dir (), TRASH_ENTRY_CACHE_PARENT);
+ cache_file_path = append_to_path (cache_file_parent, TRASH_ENTRY_CACHE_NAME);
+
+ if (mkdir_recursive (cache_file_parent, 0777) != 0) {
+@@ -1670,7 +1670,7 @@ read_saved_cached_trash_entries (void)
+ cached_trash_directories = NULL;
+
+ /* read in the entries from disk */
+- cache_file_path = g_build_filename (g_get_home_dir (),
++ cache_file_path = g_build_filename (gnome_vfs_get_home_dir (),
+ TRASH_ENTRY_CACHE_PARENT,
+ TRASH_ENTRY_CACHE_NAME,
+ NULL);
+@@ -1942,7 +1942,7 @@ do_find_directory (GnomeVFSMethod *method,
+ return GNOME_VFS_ERROR_INVALID_URI;
+
+ /* We will need the URI and the stat structure for the home directory. */
+- home_directory = g_get_home_dir ();
++ home_directory = gnome_vfs_get_home_dir ();
+
+ if (gnome_vfs_context_check_cancellation (context)) {
+ g_free (full_name_near);
+--
+1.7.3
+
diff --git a/gnome-base/gnome-vfs/gnome-vfs-2.24.4-r2.ebuild b/gnome-base/gnome-vfs/gnome-vfs-2.24.4-r2.ebuild
new file mode 100644
index 00000000000..29fbe347fea
--- /dev/null
+++ b/gnome-base/gnome-vfs/gnome-vfs-2.24.4-r2.ebuild
@@ -0,0 +1,158 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+GCONF_DEBUG="no"
+GNOME_TARBALL_SUFFIX="bz2"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools eutils gnome2 multilib-minimal virtualx
+
+DESCRIPTION="Gnome Virtual Filesystem"
+HOMEPAGE="http://www.gnome.org/"
+
+LICENSE="GPL-2 LGPL-2"
+SLOT="2"
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="acl avahi doc fam gnutls ipv6 kerberos samba ssl"
+
+RDEPEND=">=gnome-base/gconf-2.32.4-r1[${MULTILIB_USEDEP}]
+ >=dev-libs/glib-2.34.3[${MULTILIB_USEDEP}]
+ >=dev-libs/libxml2-2.9.1-r4[${MULTILIB_USEDEP}]
+ >=app-arch/bzip2-1.0.6-r4[${MULTILIB_USEDEP}]
+ gnome-base/gnome-mime-data
+ >=x11-misc/shared-mime-info-0.14
+ >=dev-libs/dbus-glib-0.100.2[${MULTILIB_USEDEP}]
+ acl? (
+ >=sys-apps/acl-2.2.52-r1[${MULTILIB_USEDEP}]
+ >=sys-apps/attr-2.4.47-r1[${MULTILIB_USEDEP}] )
+ avahi? ( >=net-dns/avahi-0.6.31-r2[${MULTILIB_USEDEP}] )
+ kerberos? ( >=virtual/krb5-0-r1[${MULTILIB_USEDEP}] )
+ fam? ( >=virtual/fam-0-r1[${MULTILIB_USEDEP}] )
+ samba? ( >=net-fs/samba-3.6.23-r1[${MULTILIB_USEDEP}] )
+ ssl? (
+ gnutls? (
+ >=net-libs/gnutls-2.12.23-r6[${MULTILIB_USEDEP}]
+ !gnome-extra/gnome-vfs-sftp )
+ !gnutls? (
+ >=dev-libs/openssl-1.0.1h-r2[${MULTILIB_USEDEP}]
+ !gnome-extra/gnome-vfs-sftp ) )
+"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ gnome-base/gnome-common
+ >=dev-util/intltool-0.40
+ >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+ >=dev-util/gtk-doc-am-1.13
+ doc? ( >=dev-util/gtk-doc-1 )"
+RDEPEND="${RDEPEND}
+ abi_x86_32? (
+ !<=app-emulation/emul-linux-x86-gtklibs-20140508-r1
+ !app-emulation/emul-linux-x86-gtklibs[-abi_x86_32(-)]
+ )"
+
+src_prepare() {
+ # Allow the Trash on afs filesystems (#106118)
+ epatch "${FILESDIR}"/${PN}-2.12.0-afs.patch
+
+ # Fix compiling with headers missing
+ epatch "${FILESDIR}"/${PN}-2.15.2-headers-define.patch
+
+ # Fix for crashes running programs via sudo
+ epatch "${FILESDIR}"/${PN}-2.16.0-no-dbus-crash.patch
+
+ # Fix automagic dependencies, upstream bug #493475
+ epatch "${FILESDIR}"/${PN}-2.20.0-automagic-deps.patch
+ epatch "${FILESDIR}"/${PN}-2.20.1-automagic-deps.patch
+
+ # Fix to identify ${HOME} (#200897)
+ # thanks to debian folks
+ epatch "${FILESDIR}"/${PN}-2.24.4-home_dir_fakeroot.patch
+
+ # Configure with gnutls-2.7, bug #253729
+ # Fix building with gnutls-2.12, bug #388895
+ epatch "${FILESDIR}"/${PN}-2.24.4-gnutls27.patch
+
+ # Prevent duplicated volumes, bug #193083
+ epatch "${FILESDIR}"/${PN}-2.24.0-uuid-mount.patch
+
+ # Do not build tests with FEATURES="-test", bug #226221
+ epatch "${FILESDIR}"/${PN}-2.24.4-build-tests-asneeded.patch
+
+ # Disable broken test, bug #285706
+ epatch "${FILESDIR}"/${PN}-2.24.4-disable-test-async-cancel.patch
+
+ # Fix for automake-1.13 compatibility, #466944
+ epatch "${FILESDIR}"/${P}-automake-1.13.patch
+
+ # Fix deprecated API disabling in used libraries - this is not future-proof, bug 212163
+ # upstream bug #519632
+ sed -i -e '/DISABLE_DEPRECATED/d' \
+ daemon/Makefile.am daemon/Makefile.in \
+ libgnomevfs/Makefile.am libgnomevfs/Makefile.in \
+ modules/Makefile.am modules/Makefile.in \
+ test/Makefile.am test/Makefile.in || die
+ sed -i -e 's:-DG_DISABLE_DEPRECATED:$(NULL):g' \
+ programs/Makefile.am programs/Makefile.in || die
+
+ sed -e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/" -i configure.in || die
+
+ eautoreconf
+
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ local myconf=(
+ --disable-schemas-install
+ --disable-static
+ --disable-cdda
+ --disable-howl
+ $(use_enable acl)
+ $(use_enable avahi)
+ $(use_enable fam)
+ $(use_enable gnutls)
+ --disable-hal
+ $(use_enable ipv6)
+ $(use_enable kerberos krb5)
+ $(use_enable samba)
+ $(use_enable ssl openssl)
+ # Useless ? --enable-http-neon
+
+ # fix path to krb5-config
+ KRB5_CONFIG=/usr/bin/${CHOST}-krb5-config
+ )
+
+ # this works because of the order of configure parsing
+ # so should always be behind the use_enable options
+ # foser <foser@gentoo.org 19 Apr 2004
+ use gnutls && use ssl && myconf+=( --disable-openssl )
+
+ #bug #519060
+ #configure script is so messed up on res_init on Darwin
+ [[ ${CHOST} == *-darwin* ]] && export LIBS="${LIBS} -lresolv"
+
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure "${myconf[@]}"
+
+ if multilib_is_native_abi; then
+ ln -s "${S}"/doc/html doc/html || die
+ fi
+}
+
+multilib_src_test() {
+ unset DISPLAY
+ # Fix bug #285706
+ unset XAUTHORITY
+ Xemake check || die "tests failed"
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+multilib_src_install_all() {
+ DOCS="AUTHORS ChangeLog HACKING NEWS README TODO"
+ einstalldocs
+}
diff --git a/gnome-base/gnome-vfs/metadata.xml b/gnome-base/gnome-vfs/metadata.xml
new file mode 100644
index 00000000000..da6fd63d008
--- /dev/null
+++ b/gnome-base/gnome-vfs/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/gnome-base/gnome/gnome-3.14.0.ebuild b/gnome-base/gnome/gnome-3.14.0.ebuild
new file mode 100644
index 00000000000..49242728287
--- /dev/null
+++ b/gnome-base/gnome/gnome-3.14.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DESCRIPTION="Meta package for GNOME 3, merge this package to install"
+HOMEPAGE="http://www.gnome.org/"
+
+LICENSE="metapackage"
+SLOT="2.0" # Cannot be installed at the same time as gnome-2
+
+# when unmasking for an arch
+# double check none of the deps are still masked !
+KEYWORDS="amd64 ~arm ~ia64 ~ppc ~ppc64 x86"
+
+IUSE="accessibility +bluetooth +classic +cdr cups +extras"
+
+S=${WORKDIR}
+
+# TODO: check accessibility completeness
+# GDM-3.0 integrates very nicely with GNOME Shell
+RDEPEND="
+ >=gnome-base/gnome-core-libs-${PV}[cups?]
+ >=gnome-base/gnome-core-apps-${PV}[cups?,bluetooth?,cdr?]
+
+ >=gnome-base/gdm-${PV}
+
+ >=x11-wm/mutter-${PV}
+ >=gnome-base/gnome-shell-${PV}[bluetooth?]
+
+ >=x11-themes/gnome-backgrounds-${PV}
+ x11-themes/sound-theme-freedesktop
+
+ accessibility? (
+ >=app-accessibility/at-spi2-atk-2.14.1
+ >=app-accessibility/at-spi2-core-2.14.0
+ >=app-accessibility/caribou-0.4.15
+ >=app-accessibility/orca-${PV}
+ >=gnome-extra/mousetweaks-3.12.0 )
+ classic? ( >=gnome-extra/gnome-shell-extensions-${PV} )
+ extras? ( >=gnome-base/gnome-extra-apps-${PV} )
+"
+
+DEPEND=""
+
+PDEPEND=">=gnome-base/gvfs-1.22.1[udisks]"
diff --git a/gnome-base/gnome/gnome-3.16.0.ebuild b/gnome-base/gnome/gnome-3.16.0.ebuild
new file mode 100644
index 00000000000..93fbe39c73a
--- /dev/null
+++ b/gnome-base/gnome/gnome-3.16.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DESCRIPTION="Meta package for GNOME 3, merge this package to install"
+HOMEPAGE="http://www.gnome.org/"
+
+LICENSE="metapackage"
+SLOT="2.0" # Cannot be installed at the same time as gnome-2
+
+# when unmasking for an arch
+# double check none of the deps are still masked !
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86"
+
+IUSE="accessibility +bluetooth +classic +cdr cups +extras"
+
+S=${WORKDIR}
+
+# TODO: check accessibility completeness
+# GDM-3.0 integrates very nicely with GNOME Shell
+RDEPEND="
+ >=gnome-base/gnome-core-libs-${PV}[cups?]
+ >=gnome-base/gnome-core-apps-${PV}[cups?,bluetooth?,cdr?]
+
+ >=gnome-base/gdm-${PV}
+
+ >=x11-wm/mutter-${PV}
+ >=gnome-base/gnome-shell-${PV}[bluetooth?]
+
+ >=x11-themes/gnome-backgrounds-${PV}
+ x11-themes/sound-theme-freedesktop
+
+ accessibility? (
+ >=app-accessibility/at-spi2-atk-2.16
+ >=app-accessibility/at-spi2-core-2.16
+ >=app-accessibility/caribou-0.4.18
+ >=app-accessibility/orca-${PV}
+ >=gnome-extra/mousetweaks-3.12.0 )
+ classic? ( >=gnome-extra/gnome-shell-extensions-${PV} )
+ extras? ( >=gnome-base/gnome-extra-apps-${PV} )
+"
+
+DEPEND=""
+
+PDEPEND=">=gnome-base/gvfs-1.24[udisks]"
+
+pkg_postinst() {
+ # Remember people where to find our project information
+ elog "Please remember to look at https://wiki.gentoo.org/wiki/Project:GNOME"
+ elog "for information about the project and documentation."
+}
diff --git a/gnome-base/gnome/metadata.xml b/gnome-base/gnome/metadata.xml
new file mode 100644
index 00000000000..1a17b53ee48
--- /dev/null
+++ b/gnome-base/gnome/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+<use>
+ <flag name="classic">Install <pkg>gnome-extra/gnome-shell-extensions</pkg>
+ for the Gnome Shell Classic mode</flag>
+ <flag name="extras">Install additional GNOME applications</flag>
+</use>
+</pkgmetadata>
diff --git a/gnome-base/gsettings-desktop-schemas/Manifest b/gnome-base/gsettings-desktop-schemas/Manifest
new file mode 100644
index 00000000000..1c92eddd097
--- /dev/null
+++ b/gnome-base/gsettings-desktop-schemas/Manifest
@@ -0,0 +1,5 @@
+DIST gsettings-desktop-schemas-3.12.2.tar.xz 480692 SHA256 da75021e9c45a60d0a97ea3486f93444275d0ace86dbd1b97e5d09000d8c4ad1 SHA512 256fa971517c6305b50c91ac00a80f350b833f5527e271eeec0311b360ee5e20820d030403d6caa07c7a11ca551f12320c5c40074722d5249abddbde0e42a970 WHIRLPOOL 093984de3ee789fa3aa777124809c2b9ad1c71d53c5d63d38d590f66bc723a59c9f6d80fa50af7499278f226394aea4dbb8acf3873018bd33a0de842795f9e12
+DIST gsettings-desktop-schemas-3.14.1.tar.xz 495956 SHA256 217eba09f0fb263dcb8ce6efa21c9afaf0504ac1d937732d1af1c6724c05f065 SHA512 0cca1d8a94f760dd49395c090d72a204080a684ba7c1d55ee831ee85e4beeb6ea7891eafef79a6d2905557e1015383524c82b93751bdf8c67ca446b4d2a4fc0c WHIRLPOOL 924685b03a9ca7562dcf52cfc3385a7487b8fcea0b7945ab5debd70103fba5706ec12f605dbfab616594b2769dc6566fca0183564cd918c5d2bdb71bb0643b5a
+DIST gsettings-desktop-schemas-3.14.2.tar.xz 521136 SHA256 9bd1ae0bf2f79f1c5c66937c2fe0af83690ebaa6822ffedd6f5b1cf19bb9b561 SHA512 9b0f869e81b538f0db92ab9fa4977a2096d5d709854dcdff5ea167492a5a6cceb6eecb86d6ad91c3f63cbba83b71222cb5bc3105faf6a0ea4aa19dc4e0be8013 WHIRLPOOL ed4008adb8a8700fdbd17388883d547caa13429703f5284b9441887345756fbd3e18683b839501310d94a8318892c8cd046e2da67e5f8334847d7088011e503d
+DIST gsettings-desktop-schemas-3.16.1.tar.xz 547752 SHA256 74fe9fdad510c8a6666febeceb7ebafc581ef990b3afcc8c1e8b5d90b24b3461 SHA512 1e356dd037dda5fe03f06884e4f1e2fc814717c3836bb696522e7899bc6714dd1c0474546cbdb75f43f71269c7fcec40e560efb9a2024e5067410a8d14b9f2dd WHIRLPOOL 97bcf8e6d0536e51c6342b3f6925bd162d0b6e86fbdcd828727a9c284d4f4fd32d42a9af16c18aeafbed9dc4a44791bae768d584fa0fb1d7db9ab2d747b92dd8
+DIST gsettings-desktop-schemas-3.6.1.tar.xz 384248 SHA256 d9a877d209e668845d6cafcd62663b0f6e6154df5a96f581ff36f999050e67e6 SHA512 dc9d9173f4f89ece2f9b36748784d6832d28e73c5c90dabee3e7a4aa99a9f3e9f36986d85e64c9ddea8905d8de41fd5616b727b1a4b1818a30d37e66cf4ba9c4 WHIRLPOOL 87b756c86fd03ca665ec79819a92d7426190feb8ab07304ca7b7895e2de7fc98ed410bcfa494c18b0b162bd11cafa3929a83d71034dcae6025be1c84c8280788
diff --git a/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.12.2.ebuild b/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.12.2.ebuild
new file mode 100644
index 00000000000..e25551fb663
--- /dev/null
+++ b/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.12.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit gnome2
+
+DESCRIPTION="Collection of GSettings schemas for GNOME desktop"
+HOMEPAGE="https://git.gnome.org/browse/gsettings-desktop-schemas"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="+introspection"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~sparc-solaris ~x86-solaris"
+
+RDEPEND="
+ >=dev-libs/glib-2.31:2
+ introspection? ( >=dev-libs/gobject-introspection-1.31.0 )
+ !<gnome-base/gdm-3.8
+"
+DEPEND="${RDEPEND}
+ >=dev-util/intltool-0.40
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_configure() {
+ DOCS="AUTHORS HACKING NEWS README"
+ gnome2_src_configure $(use_enable introspection)
+}
diff --git a/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.14.1.ebuild b/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.14.1.ebuild
new file mode 100644
index 00000000000..ac99986780f
--- /dev/null
+++ b/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.14.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit gnome2
+
+DESCRIPTION="Collection of GSettings schemas for GNOME desktop"
+HOMEPAGE="https://git.gnome.org/browse/gsettings-desktop-schemas"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="+introspection"
+KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~mips ppc ppc64 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~sparc-solaris ~x86-solaris"
+
+RDEPEND="
+ >=dev-libs/glib-2.31:2
+ introspection? ( >=dev-libs/gobject-introspection-1.31.0 )
+ !<gnome-base/gdm-3.8
+"
+DEPEND="${RDEPEND}
+ >=dev-util/intltool-0.40
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_configure() {
+ DOCS="AUTHORS HACKING NEWS README"
+ gnome2_src_configure $(use_enable introspection)
+}
diff --git a/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.14.2.ebuild b/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.14.2.ebuild
new file mode 100644
index 00000000000..38b86aa6564
--- /dev/null
+++ b/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.14.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit gnome2
+
+DESCRIPTION="Collection of GSettings schemas for GNOME desktop"
+HOMEPAGE="https://git.gnome.org/browse/gsettings-desktop-schemas"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="+introspection"
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~sparc-solaris ~x86-solaris"
+
+RDEPEND="
+ >=dev-libs/glib-2.31:2
+ introspection? ( >=dev-libs/gobject-introspection-1.31.0 )
+ !<gnome-base/gdm-3.8
+"
+DEPEND="${RDEPEND}
+ >=dev-util/intltool-0.40
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_configure() {
+ DOCS="AUTHORS HACKING NEWS README"
+ gnome2_src_configure $(use_enable introspection)
+}
diff --git a/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.16.1.ebuild b/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.16.1.ebuild
new file mode 100644
index 00000000000..6dbfc02cbc6
--- /dev/null
+++ b/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.16.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit gnome2
+
+DESCRIPTION="Collection of GSettings schemas for GNOME desktop"
+HOMEPAGE="https://git.gnome.org/browse/gsettings-desktop-schemas"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="+introspection"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~sparc-solaris ~x86-solaris"
+
+RDEPEND="
+ >=dev-libs/glib-2.31:2
+ introspection? ( >=dev-libs/gobject-introspection-1.31.0 )
+ !<gnome-base/gdm-3.8
+"
+DEPEND="${RDEPEND}
+ >=dev-util/intltool-0.50.1
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_configure() {
+ DOCS="AUTHORS HACKING NEWS README"
+ gnome2_src_configure $(use_enable introspection)
+}
diff --git a/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.6.1.ebuild b/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.6.1.ebuild
new file mode 100644
index 00000000000..ca24b8f2175
--- /dev/null
+++ b/gnome-base/gsettings-desktop-schemas/gsettings-desktop-schemas-3.6.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit gnome2
+
+DESCRIPTION="Collection of GSettings schemas for GNOME desktop"
+HOMEPAGE="http://www.gnome.org/"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="+introspection"
+KEYWORDS="sh"
+
+RDEPEND=">=dev-libs/glib-2.31:2
+ introspection? ( >=dev-libs/gobject-introspection-1.31.0 )"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig"
+
+src_configure() {
+ G2CONF="${G2CONF}
+ $(use_enable introspection)"
+ DOCS="AUTHORS HACKING NEWS README"
+ gnome2_src_configure
+}
diff --git a/gnome-base/gsettings-desktop-schemas/metadata.xml b/gnome-base/gsettings-desktop-schemas/metadata.xml
new file mode 100644
index 00000000000..da6fd63d008
--- /dev/null
+++ b/gnome-base/gsettings-desktop-schemas/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/gnome-base/gvfs/Manifest b/gnome-base/gvfs/Manifest
new file mode 100644
index 00000000000..a1b4a5e447b
--- /dev/null
+++ b/gnome-base/gvfs/Manifest
@@ -0,0 +1,4 @@
+DIST gvfs-1.20.3.tar.xz 1558028 SHA256 646b1906b1c85876fa07299246855f16836080466dde1826003bbbd4b9415cba SHA512 3a975b2014d7d82ec76062624343df4514d46a537cdcb3daf1cee2f77b7e0e06db123d3fb0de44987dc147c4023d2cfa9e46786378b1390d5957c16f4f14155e WHIRLPOOL 90285449626ffc284c798256f965188c3614efee6c1118bbaf1f8e178450e2bd8ddd9ec6d4f3e979ab6a789317848aae1afb3af9e3c3531af8865e99a90438f7
+DIST gvfs-1.22.3.tar.xz 1588072 SHA256 c778342e09a84d8c69b1b7ce7f943f6f2444a995bb0c0754ef1746afa8935182 SHA512 17e79047ce8f979ae15c99423ddc6d50a1d276151d4c0e1cc7e0c4958e0a9ed8bc4c0db8a38272eab50922bad6a51d915a2cd4cf41dfb0873faa49e1a3028ba7 WHIRLPOOL 2de23d3537683fcdb0af2fac42c98e05daf9cf4f5fb0d9e05dfa7b25e03852f2774ba1a1cfbebbd0602bbbbcbdbe36279dd9de6328fb3f495e2209c246b8a70a
+DIST gvfs-1.22.4.tar.xz 1598264 SHA256 57e33faad35aba72be3822099856aca847f391626cf3ec734b42e64ba31f6484 SHA512 5485a46284b62f19f6c289a5e341f4f0a48c3b8b42cdc5e8b4f9070b1b33e781ada8a4fbb718f5305cdeaa287d122718ea2826a52cc4ebae090cbbc519e758d8 WHIRLPOOL f0b6514241616e64ad45d8ce163d2ba2ca293d60a2ab65210cff4f9338f7f37e0d8beb3ae367c73ab2ed8d046dc4788535c00f973fa05df1e2dde8c294509e9c
+DIST gvfs-1.24.1.tar.xz 1624212 SHA256 d38367ce189415c36fd19dca478bc9b80694b495c3458e74fb0f13d1ac9df1f9 SHA512 f4208e38a7a6a9c7c994bde62d6499e9eb327c7b85dd6bec46e22aa5c3423214eb5ff2092c7cc3945e28c7a7d2c1bcb5cc9e29df67c9b601fbf9e7b9092de95f WHIRLPOOL 96f178f91502165fc3f3b5ea800a2cbaa88baad6f692017745fbd6cb81f3c1ad405a0d342641a9a94c567400bfcdf061cd4aa6bac76c29106f5cd30f79b0021e
diff --git a/gnome-base/gvfs/files/gvfs-1.22.4-fix-parallel.patch b/gnome-base/gvfs/files/gvfs-1.22.4-fix-parallel.patch
new file mode 100644
index 00000000000..9e2ed661220
--- /dev/null
+++ b/gnome-base/gvfs/files/gvfs-1.22.4-fix-parallel.patch
@@ -0,0 +1,25 @@
+From 62c4c2af399dba0566ae69353f127472fa3e3364 Mon Sep 17 00:00:00 2001
+From: Ross Lagerwall <rosslagerwall@gmail.com>
+Date: Mon, 16 Mar 2015 00:06:07 +0000
+Subject: completion: Fix parallel installation
+
+Use install-data-hook rather than install-data-local as
+install-data-hook runs after the other install rules have run. This is
+important for a parallel install so that the destination directory
+already exists when the symlinks are created.
+
+diff --git a/programs/completion/Makefile.am b/programs/completion/Makefile.am
+index 06833e5..971e4ee 100644
+--- a/programs/completion/Makefile.am
++++ b/programs/completion/Makefile.am
+@@ -35,6 +35,6 @@ uninstall-symlinks:
+ rm -f $(DESTDIR)$(BASHCOMP_DIR)/$$file; \
+ done
+
+-install-data-local: install-symlinks
++install-data-hook: install-symlinks
+
+ uninstall-local: uninstall-symlinks
+--
+cgit v0.10.2
+
diff --git a/gnome-base/gvfs/gvfs-1.20.3.ebuild b/gnome-base/gvfs/gvfs-1.20.3.ebuild
new file mode 100644
index 00000000000..66b5b709013
--- /dev/null
+++ b/gnome-base/gvfs/gvfs-1.20.3.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools bash-completion-r1 eutils gnome2
+
+DESCRIPTION="Virtual filesystem implementation for gio"
+HOMEPAGE="https://git.gnome.org/browse/gvfs"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+
+IUSE="afp archive avahi bluray cdda fuse gnome-online-accounts gphoto2 gtk +http ios libsecret mtp samba systemd test +udev udisks"
+REQUIRED_USE="
+ cdda? ( udev )
+ mtp? ( udev )
+ udisks? ( udev )
+ systemd? ( udisks )
+"
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+
+# Can use libgphoto-2.5.0 as well. Automagic detection.
+RDEPEND="
+ >=dev-libs/glib-2.37:2
+ sys-apps/dbus
+ dev-libs/libxml2:2
+ net-misc/openssh
+ afp? ( >=dev-libs/libgcrypt-1.2.2:0= )
+ archive? ( app-arch/libarchive:= )
+ avahi? ( >=net-dns/avahi-0.6 )
+ bluray? ( media-libs/libbluray )
+ fuse? ( >=sys-fs/fuse-2.8.0 )
+ gnome-online-accounts? ( >=net-libs/gnome-online-accounts-3.7.1 )
+ gphoto2? ( >=media-libs/libgphoto2-2.4.7:= )
+ gtk? ( >=x11-libs/gtk+-3.0:3 )
+ http? ( >=net-libs/libsoup-2.42:2.4 )
+ ios? (
+ >=app-pda/libimobiledevice-1.1.5:=
+ >=app-pda/libplist-1:= )
+ libsecret? ( app-crypt/libsecret )
+ mtp? ( >=media-libs/libmtp-1.1.6 )
+ samba? ( || ( >=net-fs/samba-3.4.6[smbclient] >=net-fs/samba-4[client] ) )
+ systemd? ( sys-apps/systemd:0= )
+ udev? (
+ cdda? ( || ( dev-libs/libcdio-paranoia <dev-libs/libcdio-0.90[-minimal] ) )
+ virtual/libgudev:=
+ virtual/libudev:= )
+ udisks? ( >=sys-fs/udisks-1.97:2 )
+"
+DEPEND="${RDEPEND}
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig
+ dev-util/gdbus-codegen
+ dev-util/gtk-doc-am
+ test? (
+ >=dev-python/twisted-core-12.3.0
+ || (
+ net-analyzer/netcat
+ net-analyzer/netcat6 ) )
+ !udev? ( >=dev-libs/libgcrypt-1.2.2:0 )
+"
+# libgcrypt.m4, provided by libgcrypt, needed for eautoreconf, bug #399043
+# test dependencies needed per https://bugzilla.gnome.org/700162
+
+# Tests with multiple failures, this is being handled upstream at:
+# https://bugzilla.gnome.org/700162
+RESTRICT="test"
+
+src_prepare() {
+ DOCS="AUTHORS ChangeLog NEWS MAINTAINERS README TODO" # ChangeLog.pre-1.2 README.commits
+
+ if ! use udev; then
+ sed -e 's/gvfsd-burn/ /' \
+ -e 's/burn.mount.in/ /' \
+ -e 's/burn.mount/ /' \
+ -i daemon/Makefile.am || die
+
+ eautoreconf
+ fi
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # --enable-documentation installs man pages
+ # --disable-obexftp, upstream bug #729945
+ gnome2_src_configure \
+ --enable-bash-completion \
+ --with-bash-completion-dir="$(get_bashcompdir)" \
+ --disable-gdu \
+ --disable-hal \
+ --disable-obexftp \
+ --with-dbus-service-dir="${EPREFIX}"/usr/share/dbus-1/services \
+ --enable-documentation \
+ $(use_enable afp) \
+ $(use_enable archive) \
+ $(use_enable avahi) \
+ $(use_enable bluray) \
+ $(use_enable cdda) \
+ $(use_enable fuse) \
+ $(use_enable gnome-online-accounts goa) \
+ $(use_enable gphoto2) \
+ $(use_enable gtk) \
+ $(use_enable ios afc) \
+ $(use_enable mtp libmtp) \
+ $(use_enable udev) \
+ $(use_enable udev gudev) \
+ $(use_enable http) \
+ $(use_enable libsecret keyring) \
+ $(use_enable samba) \
+ $(use_enable systemd libsystemd-login) \
+ $(use_enable udisks udisks2)
+}
diff --git a/gnome-base/gvfs/gvfs-1.22.3.ebuild b/gnome-base/gvfs/gvfs-1.22.3.ebuild
new file mode 100644
index 00000000000..7189d4ff4dd
--- /dev/null
+++ b/gnome-base/gvfs/gvfs-1.22.3.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools bash-completion-r1 eutils gnome2
+
+DESCRIPTION="Virtual filesystem implementation for gio"
+HOMEPAGE="https://git.gnome.org/browse/gvfs"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+
+IUSE="afp archive bluray cdda fuse gnome-online-accounts gphoto2 gtk +http ios libsecret mtp samba systemd test +udev udisks zeroconf"
+REQUIRED_USE="
+ cdda? ( udev )
+ mtp? ( udev )
+ udisks? ( udev )
+ systemd? ( udisks )
+"
+KEYWORDS="~alpha amd64 arm ~ia64 ~mips ppc ppc64 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+
+# Can use libgphoto-2.5.0 as well. Automagic detection.
+RDEPEND="
+ >=dev-libs/glib-2.37:2
+ sys-apps/dbus
+ dev-libs/libxml2:2
+ net-misc/openssh
+ afp? ( >=dev-libs/libgcrypt-1.2.2:0= )
+ archive? ( app-arch/libarchive:= )
+ bluray? ( media-libs/libbluray )
+ fuse? ( >=sys-fs/fuse-2.8.0 )
+ gnome-online-accounts? ( >=net-libs/gnome-online-accounts-3.7.1 )
+ gphoto2? ( >=media-libs/libgphoto2-2.4.7:= )
+ gtk? ( >=x11-libs/gtk+-3.0:3 )
+ http? ( >=net-libs/libsoup-2.42:2.4 )
+ ios? (
+ >=app-pda/libimobiledevice-1.1.5:=
+ >=app-pda/libplist-1:= )
+ libsecret? ( app-crypt/libsecret )
+ mtp? ( >=media-libs/libmtp-1.1.6 )
+ samba? ( || ( >=net-fs/samba-3.4.6[smbclient] >=net-fs/samba-4[client] ) )
+ systemd? ( sys-apps/systemd:0= )
+ udev? (
+ cdda? ( || ( dev-libs/libcdio-paranoia <dev-libs/libcdio-0.90[-minimal] ) )
+ virtual/libgudev:=
+ virtual/libudev:= )
+ udisks? ( >=sys-fs/udisks-1.97:2 )
+ zeroconf? ( >=net-dns/avahi-0.6 )
+"
+DEPEND="${RDEPEND}
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig
+ dev-util/gdbus-codegen
+ dev-util/gtk-doc-am
+ test? (
+ >=dev-python/twisted-core-12.3.0
+ || (
+ net-analyzer/netcat
+ net-analyzer/netcat6 ) )
+ !udev? ( >=dev-libs/libgcrypt-1.2.2:0 )
+"
+# libgcrypt.m4, provided by libgcrypt, needed for eautoreconf, bug #399043
+# test dependencies needed per https://bugzilla.gnome.org/700162
+
+# Tests with multiple failures, this is being handled upstream at:
+# https://bugzilla.gnome.org/700162
+RESTRICT="test"
+
+src_prepare() {
+ DOCS="AUTHORS ChangeLog NEWS MAINTAINERS README TODO" # ChangeLog.pre-1.2 README.commits
+
+ if ! use udev; then
+ sed -e 's/gvfsd-burn/ /' \
+ -e 's/burn.mount.in/ /' \
+ -e 's/burn.mount/ /' \
+ -i daemon/Makefile.am || die
+
+ eautoreconf
+ fi
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # --enable-documentation installs man pages
+ # --disable-obexftp, upstream bug #729945
+ gnome2_src_configure \
+ --enable-bash-completion \
+ --with-bash-completion-dir="$(get_bashcompdir)" \
+ --disable-gdu \
+ --disable-hal \
+ --disable-obexftp \
+ --with-dbus-service-dir="${EPREFIX}"/usr/share/dbus-1/services \
+ --enable-documentation \
+ $(use_enable afp) \
+ $(use_enable archive) \
+ $(use_enable bluray) \
+ $(use_enable cdda) \
+ $(use_enable fuse) \
+ $(use_enable gnome-online-accounts goa) \
+ $(use_enable gphoto2) \
+ $(use_enable gtk) \
+ $(use_enable ios afc) \
+ $(use_enable mtp libmtp) \
+ $(use_enable udev) \
+ $(use_enable udev gudev) \
+ $(use_enable http) \
+ $(use_enable libsecret keyring) \
+ $(use_enable samba) \
+ $(use_enable systemd libsystemd-login) \
+ $(use_enable udisks udisks2) \
+ $(use_enable zeroconf avahi)
+}
diff --git a/gnome-base/gvfs/gvfs-1.22.4.ebuild b/gnome-base/gvfs/gvfs-1.22.4.ebuild
new file mode 100644
index 00000000000..b59111e9fb5
--- /dev/null
+++ b/gnome-base/gvfs/gvfs-1.22.4.ebuild
@@ -0,0 +1,124 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools bash-completion-r1 eutils gnome2
+
+DESCRIPTION="Virtual filesystem implementation for gio"
+HOMEPAGE="https://git.gnome.org/browse/gvfs"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+
+IUSE="afp archive bluray cdda fuse gnome-online-accounts gphoto2 gtk +http ios libsecret mtp samba systemd test +udev udisks zeroconf"
+REQUIRED_USE="
+ cdda? ( udev )
+ mtp? ( udev )
+ udisks? ( udev )
+ systemd? ( udisks )
+"
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+
+# Can use libgphoto-2.5.0 as well. Automagic detection.
+RDEPEND="
+ >=dev-libs/glib-2.37:2
+ sys-apps/dbus
+ dev-libs/libxml2:2
+ net-misc/openssh
+ afp? ( >=dev-libs/libgcrypt-1.2.2:0= )
+ archive? ( app-arch/libarchive:= )
+ bluray? ( media-libs/libbluray )
+ fuse? ( >=sys-fs/fuse-2.8.0 )
+ gnome-online-accounts? ( >=net-libs/gnome-online-accounts-3.7.1 )
+ gphoto2? ( >=media-libs/libgphoto2-2.4.7:= )
+ gtk? ( >=x11-libs/gtk+-3.0:3 )
+ http? ( >=net-libs/libsoup-2.42:2.4 )
+ ios? (
+ >=app-pda/libimobiledevice-1.1.5:=
+ >=app-pda/libplist-1:= )
+ libsecret? ( app-crypt/libsecret )
+ mtp? ( >=media-libs/libmtp-1.1.6 )
+ samba? ( || ( >=net-fs/samba-3.4.6[smbclient] >=net-fs/samba-4[client] ) )
+ systemd? ( sys-apps/systemd:0= )
+ udev? (
+ cdda? ( || ( dev-libs/libcdio-paranoia <dev-libs/libcdio-0.90[-minimal] ) )
+ virtual/libgudev:=
+ virtual/libudev:= )
+ udisks? ( >=sys-fs/udisks-1.97:2 )
+ zeroconf? ( >=net-dns/avahi-0.6 )
+"
+DEPEND="${RDEPEND}
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig
+ dev-util/gdbus-codegen
+ dev-util/gtk-doc-am
+ test? (
+ >=dev-python/twisted-core-12.3.0
+ || (
+ net-analyzer/netcat
+ net-analyzer/netcat6 ) )
+ !udev? ( >=dev-libs/libgcrypt-1.2.2:0 )
+"
+# libgcrypt.m4, provided by libgcrypt, needed for eautoreconf, bug #399043
+# test dependencies needed per https://bugzilla.gnome.org/700162
+
+# Tests with multiple failures, this is being handled upstream at:
+# https://bugzilla.gnome.org/700162
+RESTRICT="test"
+
+src_prepare() {
+ DOCS="AUTHORS ChangeLog NEWS MAINTAINERS README TODO" # ChangeLog.pre-1.2 README.commits
+
+ if ! use udev; then
+ sed -e 's/gvfsd-burn/ /' \
+ -e 's/burn.mount.in/ /' \
+ -e 's/burn.mount/ /' \
+ -i daemon/Makefile.am || die
+
+ # Uncomment when eautoreconf stops being needed always
+ #eautoreconf
+ fi
+
+ # Fix parallel installation, bug #543812 (from 'master')
+ epatch "${FILESDIR}/${PN}-1.22.4-fix-parallel.patch"
+
+ eautoreconf
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # --enable-documentation installs man pages
+ # --disable-obexftp, upstream bug #729945
+ gnome2_src_configure \
+ --enable-bash-completion \
+ --with-bash-completion-dir="$(get_bashcompdir)" \
+ --disable-gdu \
+ --disable-hal \
+ --disable-obexftp \
+ --with-dbus-service-dir="${EPREFIX}"/usr/share/dbus-1/services \
+ --enable-documentation \
+ $(use_enable afp) \
+ $(use_enable archive) \
+ $(use_enable bluray) \
+ $(use_enable cdda) \
+ $(use_enable fuse) \
+ $(use_enable gnome-online-accounts goa) \
+ $(use_enable gphoto2) \
+ $(use_enable gtk) \
+ $(use_enable ios afc) \
+ $(use_enable mtp libmtp) \
+ $(use_enable udev) \
+ $(use_enable udev gudev) \
+ $(use_enable http) \
+ $(use_enable libsecret keyring) \
+ $(use_enable samba) \
+ $(use_enable systemd libsystemd-login) \
+ $(use_enable udisks udisks2) \
+ $(use_enable zeroconf avahi)
+}
diff --git a/gnome-base/gvfs/gvfs-1.24.1.ebuild b/gnome-base/gvfs/gvfs-1.24.1.ebuild
new file mode 100644
index 00000000000..ec36f94d94f
--- /dev/null
+++ b/gnome-base/gvfs/gvfs-1.24.1.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools bash-completion-r1 eutils gnome2
+
+DESCRIPTION="Virtual filesystem implementation for gio"
+HOMEPAGE="https://git.gnome.org/browse/gvfs"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+
+IUSE="afp archive bluray cdda fuse gnome-online-accounts gphoto2 gtk +http ios libsecret mtp nfs samba systemd test +udev udisks zeroconf"
+REQUIRED_USE="
+ cdda? ( udev )
+ mtp? ( udev )
+ udisks? ( udev )
+ systemd? ( udisks )
+"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+
+# Can use libgphoto-2.5.0 as well. Automagic detection.
+RDEPEND="
+ >=dev-libs/glib-2.43.2:2
+ sys-apps/dbus
+ dev-libs/libxml2:2
+ net-misc/openssh
+ afp? ( >=dev-libs/libgcrypt-1.2.2:0= )
+ archive? ( app-arch/libarchive:= )
+ bluray? ( media-libs/libbluray )
+ fuse? ( >=sys-fs/fuse-2.8.0 )
+ gnome-online-accounts? ( >=net-libs/gnome-online-accounts-3.7.1 )
+ gphoto2? ( >=media-libs/libgphoto2-2.4.7:= )
+ gtk? ( >=x11-libs/gtk+-3.0:3 )
+ http? ( >=net-libs/libsoup-2.42:2.4 )
+ ios? (
+ >=app-pda/libimobiledevice-1.1.5:=
+ >=app-pda/libplist-1:= )
+ libsecret? ( app-crypt/libsecret )
+ mtp? ( >=media-libs/libmtp-1.1.6 )
+ nfs? ( >=net-fs/libnfs-1.9.7 )
+ samba? ( || ( >=net-fs/samba-3.4.6[smbclient] >=net-fs/samba-4[client] ) )
+ systemd? ( sys-apps/systemd:0= )
+ udev? (
+ cdda? ( dev-libs/libcdio-paranoia )
+ virtual/libgudev:=
+ virtual/libudev:= )
+ udisks? ( >=sys-fs/udisks-1.97:2 )
+ zeroconf? ( >=net-dns/avahi-0.6 )
+"
+DEPEND="${RDEPEND}
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig
+ dev-util/gdbus-codegen
+ dev-util/gtk-doc-am
+ test? (
+ >=dev-python/twisted-core-12.3.0
+ || (
+ net-analyzer/netcat
+ net-analyzer/netcat6 ) )
+ !udev? ( >=dev-libs/libgcrypt-1.2.2:0 )
+"
+# libgcrypt.m4, provided by libgcrypt, needed for eautoreconf, bug #399043
+# test dependencies needed per https://bugzilla.gnome.org/700162
+
+# Tests with multiple failures, this is being handled upstream at:
+# https://bugzilla.gnome.org/700162
+RESTRICT="test"
+
+src_prepare() {
+ DOCS="AUTHORS ChangeLog NEWS MAINTAINERS README TODO" # ChangeLog.pre-1.2 README.commits
+
+ if ! use udev; then
+ sed -e 's/gvfsd-burn/ /' \
+ -e 's/burn.mount.in/ /' \
+ -e 's/burn.mount/ /' \
+ -i daemon/Makefile.am || die
+
+ # Uncomment when eautoreconf stops being needed always
+ eautoreconf
+ fi
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # --enable-documentation installs man pages
+ # --disable-obexftp, upstream bug #729945
+ gnome2_src_configure \
+ --enable-bash-completion \
+ --with-bash-completion-dir="$(get_bashcompdir)" \
+ --disable-gdu \
+ --disable-hal \
+ --with-dbus-service-dir="${EPREFIX}"/usr/share/dbus-1/services \
+ --enable-documentation \
+ $(use_enable afp) \
+ $(use_enable archive) \
+ $(use_enable bluray) \
+ $(use_enable cdda) \
+ $(use_enable fuse) \
+ $(use_enable gnome-online-accounts goa) \
+ $(use_enable gphoto2) \
+ $(use_enable gtk) \
+ $(use_enable ios afc) \
+ $(use_enable mtp libmtp) \
+ $(use_enable nfs) \
+ $(use_enable udev) \
+ $(use_enable udev gudev) \
+ $(use_enable http) \
+ $(use_enable libsecret keyring) \
+ $(use_enable samba) \
+ $(use_enable systemd libsystemd-login) \
+ $(use_enable udisks udisks2) \
+ $(use_enable zeroconf avahi)
+}
diff --git a/gnome-base/gvfs/metadata.xml b/gnome-base/gvfs/metadata.xml
new file mode 100644
index 00000000000..93e236daeec
--- /dev/null
+++ b/gnome-base/gvfs/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+<longdescription lang="en">
+gvfs is a userspace virtual filesystem designed to work with the i/o
+abstractions of gio (a library availible in glib >= 2.15.1). It
+installs several modules that are automatically used by applications
+using the APIs of libgio. There is also fuse support that allows
+applications not using gio to access the gvfs filesystems.
+</longdescription>
+<use>
+ <flag name='afp'>Enables support for accessing AFP (Apple Filing Protocol) network shares</flag>
+ <flag name='archive'>Enables support for accessing files in archives transparently via <pkg>app-arch/libarchive</pkg></flag>
+ <flag name='bluray'>Enable playback of Blu-ray filesystems using <pkg>media-libs/libbluray</pkg></flag>
+ <flag name='fuse'>Enables fuse mount points in $HOME/.gvfs for legacy application access</flag>
+ <flag name='gnome-online-accounts'>Enable configuration panel for <pkg>net-libs/gnome-online-accounts</pkg> accounts</flag>
+ <flag name='http'>Enable the HTTP/DAV backend using <pkg>net-libs/libsoup-gnome</pkg></flag>
+ <flag name='libsecret'>Enable <pkg>app-crypt/libsecret</pkg> support to store login credentials.</flag>
+ <flag name="nfs">Enable NFS client support via <pkg>net-fs/libnfs</pkg>.</flag>
+ <flag name='udev'>Enable udev base replacement code for cdda feature</flag>
+</use>
+</pkgmetadata>
diff --git a/gnome-base/libbonobo/Manifest b/gnome-base/libbonobo/Manifest
new file mode 100644
index 00000000000..be791df92f7
--- /dev/null
+++ b/gnome-base/libbonobo/Manifest
@@ -0,0 +1 @@
+DIST libbonobo-2.24.3.tar.bz2 1354929 SHA256 5310957fa90691689c0557218b8833f681666cae160bd84e1f2c2705189a4ebe SHA512 c97224ba2d4afc07e520399aa04849487a4ec4dd1b80b56e0472b4c3ebbddd0ce0105ba63ca2f823590788754791127dbe86b49cb39239db0019f8104db25716 WHIRLPOOL f6a2195d6dd2b79038621cca85037c8f490d6b900b180104e922745ebbb6ae23cbc2e7c52b67b14868ded7b0942284d85c60a5caf56a4ee4ac2ea20efc9ac977
diff --git a/gnome-base/libbonobo/libbonobo-2.24.3-r1.ebuild b/gnome-base/libbonobo/libbonobo-2.24.3-r1.ebuild
new file mode 100644
index 00000000000..a17a7ee48b6
--- /dev/null
+++ b/gnome-base/libbonobo/libbonobo-2.24.3-r1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
+GNOME_TARBALL_SUFFIX="bz2"
+
+inherit gnome2
+
+DESCRIPTION="GNOME CORBA framework"
+HOMEPAGE="http://developer.gnome.org/libbonobo/stable/"
+
+LICENSE="LGPL-2.1 GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+IUSE="debug examples test"
+
+RDEPEND="
+ >=dev-libs/glib-2.14:2
+ >=gnome-base/orbit-2.14.0
+ >=dev-libs/libxml2-2.4.20:2
+ >=sys-apps/dbus-1.0.0
+ >=dev-libs/dbus-glib-0.74
+ >=dev-libs/popt-1.5
+ !gnome-base/bonobo-activation
+"
+DEPEND="${RDEPEND}
+ dev-util/gtk-doc-am
+ virtual/yacc
+ sys-devel/flex
+ x11-apps/xrdb
+ virtual/pkgconfig
+ >=dev-util/intltool-0.35
+"
+
+# Tests are broken in several ways as reported in bug #288689 and upstream
+# doesn't take care since libbonobo is deprecated.
+RESTRICT="test"
+
+src_prepare() {
+ # Fix intltoolize broken file, see upstream #577133
+ sed "s:'\^\$\$lang\$\$':\^\$\$lang\$\$:g" -i po/Makefile.in.in || die
+
+ if ! use test; then
+ # don't waste time building tests, bug #226223
+ sed 's/tests//' -i Makefile.am Makefile.in || die
+ fi
+
+ if ! use examples; then
+ sed 's/samples//' -i Makefile.am Makefile.in || die
+ fi
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure $(use_enable debug bonobo-activation-debug)
+}
+
+src_test() {
+ # Pass tests with FEATURES userpriv, see bug #288689
+ unset ORBIT_SOCKETDIR
+ emake check
+}
diff --git a/gnome-base/libbonobo/metadata.xml b/gnome-base/libbonobo/metadata.xml
new file mode 100644
index 00000000000..da6fd63d008
--- /dev/null
+++ b/gnome-base/libbonobo/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/gnome-base/libbonoboui/Manifest b/gnome-base/libbonoboui/Manifest
new file mode 100644
index 00000000000..0b0f79e4f07
--- /dev/null
+++ b/gnome-base/libbonoboui/Manifest
@@ -0,0 +1 @@
+DIST libbonoboui-2.24.5.tar.bz2 976250 SHA256 fab5f2ac6c842d949861c07cb520afe5bee3dce55805151ce9cd01be0ec46fcd SHA512 163a8f39d9dad7fc3f1afc55b1a779961d285abe2988ff74bfcad4376e9dbfb91bb3e8212f96f48f91c54a6aff749ba6e00ea2d9add10c76b650f3072b875100 WHIRLPOOL 3713f466b6ef3e433fa2988654bc4569f87a51d704d007be2f71e02c720f30f17043b2097b6734b6a8d8f46ac45305815b392578753af1c6f62657c7575aea62
diff --git a/gnome-base/libbonoboui/libbonoboui-2.24.5-r1.ebuild b/gnome-base/libbonoboui/libbonoboui-2.24.5-r1.ebuild
new file mode 100644
index 00000000000..ee348678b19
--- /dev/null
+++ b/gnome-base/libbonoboui/libbonoboui-2.24.5-r1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+GNOME_TARBALL_SUFFIX="bz2"
+
+inherit eutils gnome2 virtualx
+
+DESCRIPTION="User Interface part of libbonobo"
+HOMEPAGE="http://library.gnome.org/devel/libbonoboui/"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+IUSE="examples test"
+
+# GTK+ dep due to bug #126565
+RDEPEND="
+ >=gnome-base/libgnomecanvas-1.116
+ >=gnome-base/libbonobo-2.22
+ >=gnome-base/libgnome-2.13.7
+ >=dev-libs/libxml2-2.4.20:2
+ >=gnome-base/gconf-2:2
+ >=x11-libs/gtk+-2.8.12:2
+ >=dev-libs/glib-2.6.0:2
+ >=gnome-base/libglade-1.99.11:2.0
+ >=dev-libs/popt-1.5
+"
+DEPEND="${RDEPEND}
+ dev-util/gtk-doc-am
+ x11-apps/xrdb
+ sys-devel/gettext
+ virtual/pkgconfig
+ >=dev-util/intltool-0.40
+"
+
+src_prepare() {
+ if ! use test; then
+ # don't waste time building tests
+ sed 's/tests//' -i Makefile.am Makefile.in || die "sed 1 failed"
+ fi
+
+ if ! use examples; then
+ sed 's/samples//' -i Makefile.am Makefile.in || die "sed 2 failed"
+ fi
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ addpredict "/root/.gnome2_private"
+ gnome2_src_configure --disable-static
+}
+
+src_test() {
+ addpredict "/root/.gnome2_private"
+ Xemake check
+}
diff --git a/gnome-base/libbonoboui/metadata.xml b/gnome-base/libbonoboui/metadata.xml
new file mode 100644
index 00000000000..da6fd63d008
--- /dev/null
+++ b/gnome-base/libbonoboui/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/gnome-base/libglade/Manifest b/gnome-base/libglade/Manifest
new file mode 100644
index 00000000000..db47e17a67c
--- /dev/null
+++ b/gnome-base/libglade/Manifest
@@ -0,0 +1 @@
+DIST libglade-2.6.4.tar.bz2 356119 SHA256 64361e7647839d36ed8336d992fd210d3e8139882269bed47dc4674980165dec SHA512 b725842febaf4c1f0d305a629ae1c61ea2de24dd6f41937e806c078fada2cea483195ef40f5238ce2045e47130c92559e984f677de667b840dd7fff0f8559735 WHIRLPOOL d416c3c0cb43c59b521abb3f0283061f2d7fae521980cafc95bc5d578b3ef551821f7d88ccf26b48de16f2568b29a1d5610d74ff7302363ea5a173ab189a5878
diff --git a/gnome-base/libglade/files/Makefile.in.am-2.4.2-xmlcatalog.patch b/gnome-base/libglade/files/Makefile.in.am-2.4.2-xmlcatalog.patch
new file mode 100644
index 00000000000..059cdc20f79
--- /dev/null
+++ b/gnome-base/libglade/files/Makefile.in.am-2.4.2-xmlcatalog.patch
@@ -0,0 +1,22 @@
+--- a/Makefile.am 2004-11-11 18:56:13.000000000 +0800
++++ b/Makefile.am 2004-12-06 11:00:24.501734048 +0800
+@@ -24,7 +24,7 @@
+
+ if HAVE_XMLCATALOG
+ install-data-local:
+- -$(XMLCATALOG) --noout --add "system" "http://glade.gnome.org/glade-2.0.dtd" $(xmldir)/glade-2.0.dtd $(XML_CATALOG_FILE)
++# -$(XMLCATALOG) --noout --add "system" "http://glade.gnome.org/glade-2.0.dtd" $(xmldir)/glade-2.0.dtd $(XML_CATALOG_FILE)
+ uninstall-local:
+ -$(XMLCATALOG) --noout --del $(xmldir)/glade-2.0.dtd $(XML_CATALOG_FILE)
+ endif
+--- a/Makefile.in 2004-11-11 19:21:38.000000000 +0800
++++ b/Makefile.in 2004-12-06 11:00:49.786890120 +0800
+@@ -819,7 +819,7 @@
+
+
+ @HAVE_XMLCATALOG_TRUE@install-data-local:
+-@HAVE_XMLCATALOG_TRUE@ -$(XMLCATALOG) --noout --add "system" "http://glade.gnome.org/glade-2.0.dtd" $(xmldir)/glade-2.0.dtd $(XML_CATALOG_FILE)
++@HAVE_XMLCATALOG_TRUE@# -$(XMLCATALOG) --noout --add "system" "http://glade.gnome.org/glade-2.0.dtd" $(xmldir)/glade-2.0.dtd $(XML_CATALOG_FILE)
+ @HAVE_XMLCATALOG_TRUE@uninstall-local:
+ @HAVE_XMLCATALOG_TRUE@ -$(XMLCATALOG) --noout --del $(xmldir)/glade-2.0.dtd $(XML_CATALOG_FILE)
+
diff --git a/gnome-base/libglade/files/libglade-2.6.3-fix_tests-page_size.patch b/gnome-base/libglade/files/libglade-2.6.3-fix_tests-page_size.patch
new file mode 100644
index 00000000000..37c5b69e544
--- /dev/null
+++ b/gnome-base/libglade/files/libglade-2.6.3-fix_tests-page_size.patch
@@ -0,0 +1,11 @@
+--- a/tests/test-libglade-gtk.glade 2008-09-27 16:50:40.164242312 +0300
++++ b/tests/test-libglade-gtk.glade 2008-09-27 16:50:43.460908927 +0300
+@@ -470,7 +470,7 @@
+ <upper>100</upper>
+ <step>1</step>
+ <page>10</page>
+- <page_size>10</page_size>
++ <page_size>0</page_size>
+ <child>
+ <left_attach>1</left_attach>
+ <right_attach>2</right_attach>
diff --git a/gnome-base/libglade/files/libglade-2.6.4-enable-extensions.patch b/gnome-base/libglade/files/libglade-2.6.4-enable-extensions.patch
new file mode 100644
index 00000000000..9be8fb93bf8
--- /dev/null
+++ b/gnome-base/libglade/files/libglade-2.6.4-enable-extensions.patch
@@ -0,0 +1,14 @@
+AC_USE_SYSTEM_EXTENSIONS needed for Solaris
+
+https://bugs.gentoo.org/show_bug.cgi?id=430090
+
+--- a/configure.in
++++ b/configure.in
+@@ -22,6 +22,7 @@
+ fi
+
+ AC_PROG_CC
++AC_USE_SYSTEM_EXTENSIONS
+ AC_ISC_POSIX
+ AC_HEADER_STDC
+
diff --git a/gnome-base/libglade/files/libglade-2.6.4-gold-glib-2.32.patch b/gnome-base/libglade/files/libglade-2.6.4-gold-glib-2.32.patch
new file mode 100644
index 00000000000..0696dce5876
--- /dev/null
+++ b/gnome-base/libglade/files/libglade-2.6.4-gold-glib-2.32.patch
@@ -0,0 +1,17 @@
+ configure.in | 3 ++-
+ 1 files changed, 2 insertions(+), 1 deletions(-)
+
+diff --git a/configure.in b/configure.in
+index e0c52a8..b2a4a4a 100644
+--- a/configure.in
++++ b/configure.in
+@@ -46,7 +46,8 @@ PKG_CHECK_MODULES(LIBGLADE, [dnl
+ libxml-2.0 >= required_libxml_version dnl
+ atk >= required_atk_version dnl
+ gtk+-2.0 >= required_gtk_version dnl
+- glib-2.0 >= required_glib_version])
++ glib-2.0 >= required_glib_version dnl
++ gmodule-no-export-2.0 >= required_glib_version])
+
+ AC_MSG_CHECKING([for native Win32])
+ case "$host" in
diff --git a/gnome-base/libglade/libglade-2.6.4-r2.ebuild b/gnome-base/libglade/libglade-2.6.4-r2.ebuild
new file mode 100644
index 00000000000..fe80065d3b2
--- /dev/null
+++ b/gnome-base/libglade/libglade-2.6.4-r2.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+GCONF_DEBUG="no"
+GNOME_TARBALL_SUFFIX="bz2"
+GNOME2_LA_PUNT="yes"
+
+PYTHON_COMPAT=( python2_7 pypy )
+PYTHON_REQ_USE='xml(+)'
+
+inherit autotools eutils gnome2 multilib-minimal python-single-r1 virtualx
+
+DESCRIPTION="Library to construct graphical interfaces at runtime"
+HOMEPAGE="http://library.gnome.org/devel/libglade/stable/"
+
+LICENSE="LGPL-2"
+SLOT="2.0"
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="static-libs test tools"
+REQUIRED_USE="tools? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND=">=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+ >=x11-libs/gtk+-2.24.23:2[${MULTILIB_USEDEP}]
+ >=dev-libs/atk-2.10.0[${MULTILIB_USEDEP}]
+ >=dev-libs/libxml2-2.9.1-r4[${MULTILIB_USEDEP}]
+ tools? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+ >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]"
+RDEPEND="${RDEPEND}
+ abi_x86_32? (
+ !<=app-emulation/emul-linux-x86-gtklibs-20140508-r2
+ !app-emulation/emul-linux-x86-gtklibs[-abi_x86_32(-)]
+ )"
+
+pkg_setup() {
+ use tools && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ # patch to stop make install installing the xml catalog
+ # because we do it ourselves in postinst()
+ epatch "${FILESDIR}"/Makefile.in.am-2.4.2-xmlcatalog.patch
+
+ # patch to not throw a warning with gtk+-2.14 during tests, as it triggers abort
+ epatch "${FILESDIR}/${PN}-2.6.3-fix_tests-page_size.patch"
+
+ # Fails with gold due to recent changes in glib-2.32's pkg-config files
+ epatch "${FILESDIR}/${P}-gold-glib-2.32.patch"
+
+ # Needed for solaris, else gcc finds a syntax error in /usr/include/signal.h
+ epatch "${FILESDIR}/${P}-enable-extensions.patch"
+
+ sed -i -e 's:-D[A-Z_]*DISABLE_DEPRECATED:$(NULL):g' \
+ glade/Makefile.am glade/Makefile.in || die
+
+ if ! use test; then
+ sed 's/ tests//' -i Makefile.am Makefile.in || die "sed failed"
+ fi
+
+ gnome2_src_prepare
+ AT_NOELIBTOOLIZE=yes eautoreconf
+}
+
+multilib_src_configure() {
+ if ! multilib_is_native_abi || ! use tools; then
+ export am_cv_pathless_PYTHON=none
+ fi
+
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ $(use_enable static-libs static)
+
+ if multilib_is_native_abi; then
+ ln -s "${S}"/doc/html doc/html || die
+ fi
+}
+
+multilib_src_test() {
+ Xemake check || die "make check failed"
+}
+
+multilib_src_install() {
+ dodir /etc/xml
+ gnome2_src_install
+}
+
+multilib_src_install_all() {
+ local DOCS=( AUTHORS ChangeLog NEWS README )
+ einstalldocs
+}
+
+pkg_postinst() {
+ echo ">>> Updating XML catalog"
+ "${EPREFIX}"/usr/bin/xmlcatalog --noout --add "system" \
+ "http://glade.gnome.org/glade-2.0.dtd" \
+ "${EPREFIX}"/usr/share/xml/libglade/glade-2.0.dtd /etc/xml/catalog
+ gnome2_pkg_postinst
+}
+
+pkg_postrm() {
+ gnome2_pkg_postrm
+ echo ">>> removing entries from the XML catalog"
+ "${EPREFIX}"/usr/bin/xmlcatalog --noout --del \
+ "${EPREFIX}"/usr/share/xml/libglade/glade-2.0.dtd /etc/xml/catalog
+}
diff --git a/gnome-base/libglade/metadata.xml b/gnome-base/libglade/metadata.xml
new file mode 100644
index 00000000000..e7f00ddcd50
--- /dev/null
+++ b/gnome-base/libglade/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnome</herd>
+ <use>
+ <flag name='tools'>Install libglade-convert Python script.</flag>
+ </use>
+</pkgmetadata>
diff --git a/gnome-base/libgnome-keyring/Manifest b/gnome-base/libgnome-keyring/Manifest
new file mode 100644
index 00000000000..844e075bdba
--- /dev/null
+++ b/gnome-base/libgnome-keyring/Manifest
@@ -0,0 +1 @@
+DIST libgnome-keyring-3.12.0.tar.xz 435092 SHA256 c4c178fbb05f72acc484d22ddb0568f7532c409b0a13e06513ff54b91e947783 SHA512 dd1777b6e0dd774feb86dbc72d9f2a85f2143e2772a09c438b84aec468ddc5e7ee5ebd534d24f079e5daf4757f2918d0621e26fb671fde0fcef9c74d30f8b9bd WHIRLPOOL 8494913559cf057a77457bdafdff90099075421e88fa247e0215bd0dbb3f79ef41552c5825cfb99857b4f1bf9bc9d677facca779f9d6ed0892eabe9291e0d9a5
diff --git a/gnome-base/libgnome-keyring/libgnome-keyring-3.12.0.ebuild b/gnome-base/libgnome-keyring/libgnome-keyring-3.12.0.ebuild
new file mode 100644
index 00000000000..afd20a1c342
--- /dev/null
+++ b/gnome-base/libgnome-keyring/libgnome-keyring-3.12.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
+VALA_MIN_API_VERSION="0.16"
+VALA_USE_DEPEND="vapigen"
+PYTHON_COMPAT=( python2_7 )
+
+inherit gnome2 python-any-r1 vala
+
+DESCRIPTION="Compatibility library for accessing secrets"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeKeyring"
+
+LICENSE="LGPL-2+ GPL-2+" # tests are GPL-2
+SLOT="0"
+IUSE="debug +introspection test vala"
+REQUIRED_USE="vala? ( introspection )"
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris"
+
+RDEPEND="
+ >=dev-libs/glib-2.16.0:2
+ >=dev-libs/libgcrypt-1.2.2:0=
+ >=sys-apps/dbus-1
+ >=gnome-base/gnome-keyring-3.1.92
+ introspection? ( >=dev-libs/gobject-introspection-1.30.0 )
+"
+DEPEND="${RDEPEND}
+ dev-util/gtk-doc-am
+ >=dev-util/intltool-0.35
+ sys-devel/gettext
+ virtual/pkgconfig
+ test? ( ${PYTHON_DEPS} )
+ vala? ( $(vala_depend) )
+"
+
+src_prepare() {
+ use vala && vala_src_prepare
+ gnome2_src_prepare
+
+ # FIXME: Remove silly CFLAGS, report upstream
+ sed -e 's:CFLAGS="$CFLAGS -g:CFLAGS="$CFLAGS:' \
+ -e 's:CFLAGS="$CFLAGS -O0:CFLAGS="$CFLAGS:' \
+ -i configure.ac configure || die "sed failed"
+}
+
+src_configure() {
+ gnome2_src_configure $(use_enable vala)
+}
+
+src_test() {
+ unset DBUS_SESSION_BUS_ADDRESS
+ dbus-launch emake check || die "tests failed"
+}
diff --git a/gnome-base/libgnome-keyring/metadata.xml b/gnome-base/libgnome-keyring/metadata.xml
new file mode 100644
index 00000000000..c83b6723d9e
--- /dev/null
+++ b/gnome-base/libgnome-keyring/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+<use>
+ <flag name="vala">Enable bindings for <pkg>dev-lang/vala</pkg></flag>
+</use>
+</pkgmetadata>
diff --git a/gnome-base/libgnome/Manifest b/gnome-base/libgnome/Manifest
new file mode 100644
index 00000000000..305a9199188
--- /dev/null
+++ b/gnome-base/libgnome/Manifest
@@ -0,0 +1,2 @@
+DIST gentoo-gdm-theme-r3.tar.bz2 411703 SHA256 c7cbe97757ff93f0ffd42f9d9fb702278a361e830940a03901cda9943f44ba68 SHA512 47485899c698a2f6c3dee540806c0bbdedeab77a31b1f2b191f7f98d0d88a580aeb8dddf16fc33226db0519c21d185112421b5c6e233883ea4f67c844028281a WHIRLPOOL bac9f9ef3e7e88401e605c34deca6e7c31e2d4456af3781252a91f7bc33084af27ecc9e4a74022767b25db23d8f70842a39225c8544f1c02229ad7f7af670d42
+DIST libgnome-2.32.1.tar.bz2 1776006 SHA256 b2c63916866485793b87398266dd7778548c1734923c272a94d84ee011b6f7a4 SHA512 f94e603255a93e73249e0fd9ed5604d732b44ad46f3cc3065afb46fc6162f6cf29304f49440b5c06303b8e68608b6fd16236076813febb5f1cbdcde4bfc3b3e3 WHIRLPOOL b5d04cbbbf7064fdd6ccf6e140ac89285c585a82a66687fc9ce3ec5d74f50ec52d52416fadfa34bb79946c99188aa3bf6aa0b7d597c8d3d526f6938c74f602a6
diff --git a/gnome-base/libgnome/files/libgnome-2.26.0-branding.patch b/gnome-base/libgnome/files/libgnome-2.26.0-branding.patch
new file mode 100644
index 00000000000..2cab351e6b2
--- /dev/null
+++ b/gnome-base/libgnome/files/libgnome-2.26.0-branding.patch
@@ -0,0 +1,12 @@
+diff --exclude-from=/home/dang/.scripts/diffrc -up -ruN libgnome-2.26.0.orig/schemas/desktop_gnome_background.schemas.in.in libgnome-2.26.0/schemas/desktop_gnome_background.schemas.in.in
+--- libgnome-2.26.0.orig/schemas/desktop_gnome_background.schemas.in.in 2009-03-17 10:42:05.000000000 -0400
++++ libgnome-2.26.0/schemas/desktop_gnome_background.schemas.in.in 2009-04-24 14:57:59.000000000 -0400
+@@ -29,7 +29,7 @@
+ <applyto>/desktop/gnome/background/picture_filename</applyto>
+ <owner>gnome</owner>
+ <type>string</type>
+- <default>@datadir@/pixmaps/backgrounds/gnome/background-default.jpg</default>
++ <default>@datadir@/pixmaps/backgrounds/gnome/gentoo/gentoo-emergence.png</default>
+ <locale name="C">
+ <short>Picture Filename</short>
+ <long>File to use for the background image.</long>
diff --git a/gnome-base/libgnome/files/libgnome-2.28.0-menus-have-icons.patch b/gnome-base/libgnome/files/libgnome-2.28.0-menus-have-icons.patch
new file mode 100644
index 00000000000..7249696a730
--- /dev/null
+++ b/gnome-base/libgnome/files/libgnome-2.28.0-menus-have-icons.patch
@@ -0,0 +1,15 @@
+Upstream changed default to no icons for menus. We don't want that. No one wants
+that.
+
+---
+--- schemas/desktop_gnome_interface.schemas.in.in
++++ schemas/desktop_gnome_interface.schemas.in.in
+@@ -65,7 +65,7 @@
+ <applyto>/desktop/gnome/interface/menus_have_icons</applyto>
+ <owner>gnome</owner>
+ <type>bool</type>
+- <default>false</default>
++ <default>true</default>
+ <locale name="C">
+ <short>Menus Have Icons</short>
+ <long>Whether menus may display an icon next to a menu entry.</long>
diff --git a/gnome-base/libgnome/libgnome-2.32.1-r1.ebuild b/gnome-base/libgnome/libgnome-2.32.1-r1.ebuild
new file mode 100644
index 00000000000..1fd6b05a263
--- /dev/null
+++ b/gnome-base/libgnome/libgnome-2.32.1-r1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
+GNOME_TARBALL_SUFFIX="bz2"
+
+inherit gnome2 eutils
+
+DESCRIPTION="Essential Gnome Libraries"
+HOMEPAGE="http://library.gnome.org/devel/libgnome/stable/"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+IUSE="branding"
+
+SRC_URI="${SRC_URI}
+ branding? ( mirror://gentoo/gentoo-gdm-theme-r3.tar.bz2 )"
+
+RDEPEND="
+ >=gnome-base/gconf-2
+ >=dev-libs/glib-2.16:2
+ >=gnome-base/gnome-vfs-2.5.3
+ >=gnome-base/libbonobo-2.13
+ >=dev-libs/popt-1.7
+ media-libs/libcanberra
+"
+DEPEND="${RDEPEND}
+ >=dev-lang/perl-5
+ dev-util/gtk-doc-am
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig
+"
+
+PDEPEND="gnome-base/gvfs"
+
+src_prepare() {
+ # Make sure menus have icons. People don't like change
+ epatch "${FILESDIR}/${PN}-2.28.0-menus-have-icons.patch"
+
+ use branding && epatch "${FILESDIR}"/${PN}-2.26.0-branding.patch
+
+ # Default to Adwaita theme over Clearlooks to proper gtk3 support
+ sed -i -e 's/Clearlooks/Adwaita/' schemas/desktop_gnome_interface.schemas.in.in || die
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-static \
+ --enable-canberra \
+ --disable-esd
+}
+
+src_install() {
+ gnome2_src_install
+
+ if use branding; then
+ # Add gentoo backgrounds
+ dodir /usr/share/pixmaps/backgrounds/gnome/gentoo
+ insinto /usr/share/pixmaps/backgrounds/gnome/gentoo
+ doins "${WORKDIR}"/gentoo-emergence/gentoo-emergence.png
+ doins "${WORKDIR}"/gentoo-cow/gentoo-cow-alpha.png
+ fi
+}
diff --git a/gnome-base/libgnome/metadata.xml b/gnome-base/libgnome/metadata.xml
new file mode 100644
index 00000000000..da6fd63d008
--- /dev/null
+++ b/gnome-base/libgnome/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/gnome-base/libgnomecanvas/Manifest b/gnome-base/libgnomecanvas/Manifest
new file mode 100644
index 00000000000..17fb851f12d
--- /dev/null
+++ b/gnome-base/libgnomecanvas/Manifest
@@ -0,0 +1 @@
+DIST libgnomecanvas-2.30.3.tar.bz2 574139 SHA256 859b78e08489fce4d5c15c676fec1cd79782f115f516e8ad8bed6abcb8dedd40 SHA512 b5bfa2133f5172abd5228d467db4d980dd4ac125cdbf55dcc1d5055dc3330861320c12cccb52ea63ba7f69824504c9d25781cd78001dc7a92b11c6f7e0c550de WHIRLPOOL a39e49ec6789588fec045501b8b9d72b9de16d86f4abf87a120768152edcf3e396f2c9db1c3b2126c3cc6644cda3bd16be099078094563a2ee352a99b9eeb9a8
diff --git a/gnome-base/libgnomecanvas/libgnomecanvas-2.30.3-r1.ebuild b/gnome-base/libgnomecanvas/libgnomecanvas-2.30.3-r1.ebuild
new file mode 100644
index 00000000000..736e2099b79
--- /dev/null
+++ b/gnome-base/libgnomecanvas/libgnomecanvas-2.30.3-r1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME_TARBALL_SUFFIX="bz2"
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 multilib multilib-minimal virtualx
+
+DESCRIPTION="The Gnome 2 Canvas library"
+HOMEPAGE="http://library.gnome.org/devel/libgnomecanvas/stable/"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="glade"
+
+RDEPEND=">=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+ >=x11-libs/gtk+-2.24.23:2[${MULTILIB_USEDEP}]
+ >=media-libs/libart_lgpl-2.3.21-r2[${MULTILIB_USEDEP}]
+ >=x11-libs/pango-1.36.3[${MULTILIB_USEDEP}]
+ glade? ( >=gnome-base/libglade-2.6.4-r1:2.0[${MULTILIB_USEDEP}] )"
+
+DEPEND="${RDEPEND}
+ >=dev-lang/perl-5
+ sys-devel/gettext
+ >=dev-util/intltool-0.35
+ >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]"
+
+src_prepare() {
+ gnome2_src_prepare
+
+ # Fix intltoolize broken file, see upstream #577133
+ sed "s:'\^\$\$lang\$\$':\^\$\$lang\$\$:g" -i po/Makefile.in.in \
+ || die "sed failed"
+
+ # Don't build demos that are not even installed, bug #226299
+ sed 's/^\(SUBDIRS =.*\)demos\(.*\)$/\1\2/' -i Makefile.am Makefile.in \
+ || die "sed 2 failed"
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ $(use_enable glade) \
+ --disable-static
+
+ ln -s "${S}"/docs/reference/html docs/reference/html || die
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+multilib_src_install_all() {
+ DOCS="AUTHORS ChangeLog NEWS README"
+ einstalldocs
+}
+
+multilib_src_test() {
+ Xemake check || die "Test phase failed"
+}
diff --git a/gnome-base/libgnomecanvas/metadata.xml b/gnome-base/libgnomecanvas/metadata.xml
new file mode 100644
index 00000000000..ea5254563c0
--- /dev/null
+++ b/gnome-base/libgnomecanvas/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+<use>
+ <flag name='glade'>Enable glade support</flag>
+</use>
+</pkgmetadata>
diff --git a/gnome-base/libgnomekbd/Manifest b/gnome-base/libgnomekbd/Manifest
new file mode 100644
index 00000000000..7a42ab8505f
--- /dev/null
+++ b/gnome-base/libgnomekbd/Manifest
@@ -0,0 +1 @@
+DIST libgnomekbd-3.6.0.tar.xz 373588 SHA256 c41ea5b0f64da470925ba09f9f1b46b26b82d4e433e594b2c71eab3da8856a09 SHA512 27d0711eeebba91ca0dbed079c17acfec97116153a01f4f6e78cb30044afc534c438f655c6836b74b377acb8116d3b70e1f09578f182bb4fc51d8d05e89c6f17 WHIRLPOOL d64b284471e1ba62f13c06c12a89ccc86548fe77f1ab85dfce6d97d5a4bacccb510f0f0181229a8c8f55e2142362148b7614036520305a1fcad444beaf8863df
diff --git a/gnome-base/libgnomekbd/libgnomekbd-3.6.0.ebuild b/gnome-base/libgnomekbd/libgnomekbd-3.6.0.ebuild
new file mode 100644
index 00000000000..2f96eb77de0
--- /dev/null
+++ b/gnome-base/libgnomekbd/libgnomekbd-3.6.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2
+
+DESCRIPTION="Gnome keyboard configuration library"
+HOMEPAGE="http://www.gnome.org"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="+introspection test"
+
+RDEPEND="
+ >=dev-libs/glib-2.18:2
+ >=x11-libs/gtk+-2.91.7:3[introspection?]
+ >=x11-libs/libxklavier-5.2[introspection?]
+
+ introspection? ( >=dev-libs/gobject-introspection-0.6.7 )
+"
+DEPEND="${RDEPEND}
+ >=dev-util/intltool-0.35
+ virtual/pkgconfig
+"
+
+src_configure() {
+ G2CONF="${G2CONF}
+ --disable-static
+ $(use_enable introspection)
+ $(use_enable test tests)"
+ gnome2_src_configure
+}
diff --git a/gnome-base/libgnomekbd/metadata.xml b/gnome-base/libgnomekbd/metadata.xml
new file mode 100644
index 00000000000..da6fd63d008
--- /dev/null
+++ b/gnome-base/libgnomekbd/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/gnome-base/libgnomeprint/Manifest b/gnome-base/libgnomeprint/Manifest
new file mode 100644
index 00000000000..ad251ddc1d1
--- /dev/null
+++ b/gnome-base/libgnomeprint/Manifest
@@ -0,0 +1 @@
+DIST libgnomeprint-2.18.8.tar.bz2 880489 SHA256 1034ec8651051f84d2424e7a1da61c530422cc20ce5b2d9e107e1e46778d9691 SHA512 eca4f118e918f8db04332c3c6df5370ee45497057b44747457b05f0517c55b38271b24cdf7493b8ba24875b2d53d99b5e64d5d63a04cd7fd895cb02ae1606469 WHIRLPOOL cfe18a12dfa0b3a8e659e8bff07764fcf93d02fc7e28f8d9f52796fe1044a30b257ab15a21b88438696841d7b8a61976c9af64971039141b73fa55ec00537a37
diff --git a/gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-bison3.patch b/gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-bison3.patch
new file mode 100644
index 00000000000..d9fbbdd84fb
--- /dev/null
+++ b/gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-bison3.patch
@@ -0,0 +1,39 @@
+http://git.pld-linux.org/gitweb.cgi?p=packages/libgnomeprint.git;a=blob;f=bison3.patch
+
+--- libgnomeprint-2.18.8/libgnomeprint/grammar.y.orig 2010-02-09 13:32:51.000000000 +0100
++++ libgnomeprint-2.18.8/libgnomeprint/grammar.y 2013-11-03 21:44:59.859877696 +0100
+@@ -6,8 +6,6 @@
+ #include <libgnomeprint/types.h>
+ #include <libgnomeprint/gnome-print-filter.h>
+
+-#define YYPARSE_PARAM graph
+-
+ static void
+ set_value_from_string (GParamSpec *pspec, GValue *v, const gchar *s)
+ {
+@@ -99,7 +97,7 @@
+ }
+
+ static int yylex (void *lvalp);
+-static int yyerror (const char *s);
++static int yyerror (graph_t *g, const char *s);
+ %}
+
+ %union {
+@@ -117,6 +115,7 @@
+ %type <p> pool
+
+ %pure_parser
++%parse-param { graph_t *graph }
+
+ %start graph
+ %%
+@@ -185,7 +184,7 @@
+ %%
+
+ static int
+-yyerror (const char *s)
++yyerror (graph_t *g, const char *s)
+ {
+ return -1;
+ }
diff --git a/gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-cups-config.patch b/gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-cups-config.patch
new file mode 100644
index 00000000000..999c6f07520
--- /dev/null
+++ b/gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-cups-config.patch
@@ -0,0 +1,39 @@
+From ffbc68cc8518c7e7263a42d4284b749b40c5e871 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Sun, 29 Jun 2014 10:47:41 +0200
+Subject: [PATCH] Use AC_PATH_TOOL to find proper cups-config.
+
+---
+ configure.in | 9 +++++----
+ 1 file changed, 5 insertions(+), 4 deletions(-)
+
+diff --git a/configure.in b/configure.in
+index 729278d..186fabf 100644
+--- a/configure.in
++++ b/configure.in
+@@ -223,17 +223,18 @@ AC_ARG_WITH(cups,
+ )
+ if test "x$try_cups" = "xyes"; then
+ PKG_CHECK_MODULES(CUPS, "gmodule-2.0")
++ AC_PATH_TOOL(CUPS_CONFIG, cups-config)
+ AC_MSG_CHECKING(for CUPS libraries version >= 1.1.20)
+- if cups-config --version --libs > /dev/null 2>&1; then
+- verstxt=`cups-config --version`
++ if $CUPS_CONFIG --version --libs > /dev/null 2>&1; then
++ verstxt=`$CUPS_CONFIG --version`
+ vers=`echo "$verstxt" | \
+ awk -F. '{ printf "%d", ($1 * 1000 + $2) * 1000 + $3;}'`
+ if test "$vers" -lt 1001020; then
+ AC_MSG_RESULT(Cups found but the version found is less than 1.1.20)
+ cups_msg="Version requirement not satisfied"
+ else
+- CUPS_LIBS="$CUPS_LIBS `cups-config --ldflags` `cups-config --libs`"
+- CUPS_CFLAGS="$CUPS_CFLAGS `cups-config --cflags`"
++ CUPS_LIBS="$CUPS_LIBS `$CUPS_CONFIG --ldflags` `$CUPS_CONFIG --libs`"
++ CUPS_CFLAGS="$CUPS_CFLAGS `$CUPS_CONFIG --cflags`"
+ AC_MSG_RESULT(Found version $verstxt)
+ fi
+
+--
+2.0.0
+
diff --git a/gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-freetype-2.5.1.patch b/gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-freetype-2.5.1.patch
new file mode 100644
index 00000000000..c0cb5957fae
--- /dev/null
+++ b/gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-freetype-2.5.1.patch
@@ -0,0 +1,89 @@
+From cf17a44bd5b8aac1c73f3bb00ca872cd8f08df4a Mon Sep 17 00:00:00 2001
+From: Alexandre Rostovtsev <tetromino@gentoo.org>
+Date: Mon, 17 Mar 2014 00:01:10 -0400
+Subject: [PATCH] Update freetype includes to work with >=freetype-2.5.1
+
+---
+ configure.in | 22 +++-------------------
+ libgnomeprint/gnome-font-face.c | 2 +-
+ libgnomeprint/gnome-print-gdi.c | 2 +-
+ libgnomeprint/gnome-rfont.c | 4 ++--
+ 4 files changed, 7 insertions(+), 23 deletions(-)
+
+diff --git a/configure.in b/configure.in
+index c15bb69..aebe591 100644
+--- a/configure.in
++++ b/configure.in
+@@ -162,25 +162,9 @@ LDFLAGS="$LDFLAGS $LIBM"
+ dnl =================================
+ dnl Checking for freetype2
+ dnl =================================
+-FREETYPE_LIBS=
+-FREETYPE_CFLAGS=
+-AC_PATH_PROG(FREETYPE_CONFIG, freetype-config, no)
+-if test "x$FREETYPE_CONFIG" = "xno" ; then
+- AC_MSG_ERROR(You need FreeType2 (freetype-devel v 2.x package) for this version of libgnomeprint)
+-else
+- FREETYPE_CFLAGS=`$FREETYPE_CONFIG --cflags`
+- FREETYPE_LIBS=`$FREETYPE_CONFIG --libs`
+-fi
+-
+-libgnomeprint_save_ldflags=$LDFLAGS
+-LDFLAGS="$LDFLAGS $FREETYPE_LIBS"
+-
+-freetype_version=false
+-AC_MSG_NOTICE([checking for sufficiently new FreeType (at least 2.0.5)])
+-AC_CHECK_LIB(freetype, FT_Get_Postscript_Name,:,[
+- AC_MSG_ERROR(You need FreeType2 (freetype-devel 2.0.5 or greater package) for this version of libgnomeprint)])
+-
+-LDFLAGS=$libgnomeprint_save_ldflags
++dnl "freetype2 >= 17" means freetype-2.5.1
++PKG_CHECK_MODULES(FREETYPE, freetype2 >= 17, ,
++ [PKG_CHECK_MODULES(FREETYPE, freetype2, [FREETYPE_CFLAGS="$FREETYPE_CFLAGS -I`$PKG_CONFIG --variable=includedir freetype2`/freetype2/freetype"])])
+
+ dnl =================================
+ dnl END: Checking for freetype2
+diff --git a/libgnomeprint/gnome-font-face.c b/libgnomeprint/gnome-font-face.c
+index 0447377..f9f8f3e 100644
+--- a/libgnomeprint/gnome-font-face.c
++++ b/libgnomeprint/gnome-font-face.c
+@@ -36,7 +36,7 @@
+ #include <stdarg.h>
+ #include <locale.h>
+
+-#include <freetype/ftoutln.h>
++#include <ftoutln.h>
+
+ #include <libgnomeprint/gnome-print-private.h>
+ #include <libgnomeprint/gnome-font-private.h>
+diff --git a/libgnomeprint/gnome-print-gdi.c b/libgnomeprint/gnome-print-gdi.c
+index f89a8e8..7755673 100755
+--- a/libgnomeprint/gnome-print-gdi.c
++++ b/libgnomeprint/gnome-print-gdi.c
+@@ -36,7 +36,7 @@
+ #include <libgnomeprint/gp-gc-private.h>
+
+ #include <ft2build.h>
+-#include <freetype/freetype.h>
++#include FT_FREETYPE_H
+
+ #define WIN32_LEAN_AND_MEAN
+ #include <windows.h>
+diff --git a/libgnomeprint/gnome-rfont.c b/libgnomeprint/gnome-rfont.c
+index 55ec261..09e5a6e 100644
+--- a/libgnomeprint/gnome-rfont.c
++++ b/libgnomeprint/gnome-rfont.c
+@@ -28,8 +28,8 @@
+
+ #include <ft2build.h>
+ #include FT_FREETYPE_H
+-#include <freetype/ftglyph.h>
+-#include <freetype/ftbbox.h>
++#include <ftglyph.h>
++#include <ftbbox.h>
+ #include <libart_lgpl/art_misc.h>
+ #include <libart_lgpl/art_affine.h>
+ #include <libart_lgpl/art_vpath.h>
+--
+1.9.0
+
diff --git a/gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-stdio-include.patch b/gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-stdio-include.patch
new file mode 100644
index 00000000000..dd9195434e8
--- /dev/null
+++ b/gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-stdio-include.patch
@@ -0,0 +1,9 @@
+--- a/libgnomeprint/modules/cups/gnome-print-cups-transport.c
++++ b/libgnomeprint/modules/cups/gnome-print-cups-transport.c
+@@ -34,6 +34,7 @@
+ #include <sys/types.h>
+ #include <sys/stat.h>
+ #include <fcntl.h>
++#include <stdio.h>
+ #include <unistd.h>
+ #include <locale.h>
diff --git a/gnome-base/libgnomeprint/libgnomeprint-2.18.8-r1.ebuild b/gnome-base/libgnomeprint/libgnomeprint-2.18.8-r1.ebuild
new file mode 100644
index 00000000000..4c41051048f
--- /dev/null
+++ b/gnome-base/libgnomeprint/libgnomeprint-2.18.8-r1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME_TARBALL_SUFFIX="bz2"
+
+inherit autotools eutils gnome2 multilib-minimal
+
+DESCRIPTION="Printer handling for Gnome"
+HOMEPAGE="http://www.gnome.org/"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="2.2"
+KEYWORDS="alpha amd64 arm ia64 ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+IUSE="cups doc"
+
+RDEPEND=">=dev-libs/glib-2.34.3[${MULTILIB_USEDEP}]
+ >=media-libs/libart_lgpl-2.3.21-r2[${MULTILIB_USEDEP}]
+ >=x11-libs/pango-1.36.3[${MULTILIB_USEDEP}]
+ >=dev-libs/libxml2-2.9.1-r4[${MULTILIB_USEDEP}]
+ >=media-libs/fontconfig-2.10.92[${MULTILIB_USEDEP}]
+ >=media-libs/freetype-2.5.0.1[${MULTILIB_USEDEP}]
+ >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
+ cups? (
+ >=net-print/cups-1.7.1-r1[${MULTILIB_USEDEP}]
+ >=net-print/libgnomecups-0.2.3-r3[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ >=dev-util/intltool-0.35
+ >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+ sys-devel/flex
+ sys-devel/bison
+ doc? (
+ ~app-text/docbook-xml-dtd-4.1.2
+ >=dev-util/gtk-doc-0.9 )"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-stdio-include.patch \
+ "${FILESDIR}"/${P}-freetype-2.5.1.patch \
+ "${FILESDIR}"/${P}-bison3.patch \
+ "${FILESDIR}"/${P}-cups-config.patch
+ eautoreconf
+ gnome2_src_prepare
+
+ # Drop DEPRECATED flags, bug #384807
+ sed -i -e 's:-D[A-Z_]*DISABLE_DEPRECATED::g' \
+ configure.in configure || die
+ sed -i -e 's:-D[A-Z_]*DISABLE_DEPRECATED:$(NULL):g' \
+ libgnomeprint/ttsubset/Makefile.am \
+ libgnomeprint/ttsubset/Makefile.in || die
+}
+
+multilib_src_configure() {
+ # Disable papi support until papi is in portage; avoids automagic
+ # dependencies on an untracked library.
+
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ $(use_with cups) \
+ --without-papi \
+ --disable-static
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+multilib_src_install_all() {
+ DOCS="AUTHORS BUGS ChangeLog* NEWS README"
+ einstalldocs
+}
diff --git a/gnome-base/libgnomeprint/metadata.xml b/gnome-base/libgnomeprint/metadata.xml
new file mode 100644
index 00000000000..da6fd63d008
--- /dev/null
+++ b/gnome-base/libgnomeprint/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/gnome-base/libgnomeprintui/Manifest b/gnome-base/libgnomeprintui/Manifest
new file mode 100644
index 00000000000..e8afae96c74
--- /dev/null
+++ b/gnome-base/libgnomeprintui/Manifest
@@ -0,0 +1 @@
+DIST libgnomeprintui-2.18.6.tar.bz2 681125 SHA256 156ae5b66e5dcc546efa2449048f792d76c55b30d93a9b67b0c69665e346f46a SHA512 acf44fd8b273f5e48c9c7224647704c1d45a66c8fb7279414028506fd6b8941126636499793c825a767f2f731fcddce78ce750670969d5ff9236e9ff75dca002 WHIRLPOOL 069b0985692838511b023eb6ee617855ed60cba4e0095f6ec1100a28aa5f6e541471599c647fcc51971e5f576a401f72fae5749b2a4071a4a6de5923879ec96f
diff --git a/gnome-base/libgnomeprintui/libgnomeprintui-2.18.6-r1.ebuild b/gnome-base/libgnomeprintui/libgnomeprintui-2.18.6-r1.ebuild
new file mode 100644
index 00000000000..25119d28abc
--- /dev/null
+++ b/gnome-base/libgnomeprintui/libgnomeprintui-2.18.6-r1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME_TARBALL_SUFFIX="bz2"
+
+inherit gnome2 multilib-minimal
+
+DESCRIPTION="User interface libraries for gnome print"
+HOMEPAGE="http://www.gnome.org/"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="2.2"
+KEYWORDS="alpha amd64 arm ia64 ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND=">=x11-libs/gtk+-2.6:2[${MULTILIB_USEDEP}]
+ >=gnome-base/libgnomeprint-2.12.1[${MULTILIB_USEDEP}]
+ >=gnome-base/libgnomecanvas-1.117[${MULTILIB_USEDEP}]
+ >=x11-themes/gnome-icon-theme-1.1.92"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ virtual/pkgconfig[${MULTILIB_USEDEP}]"
+
+src_prepare() {
+ gnome2_src_prepare
+
+ # Drop DEPRECATED flags, bug #384815
+ sed -i -e 's:-D[A-Z_]*DISABLE_DEPRECATED:$(NULL):g' \
+ libgnomeprintui/gpaui/Makefile.am libgnomeprintui/gpaui/Makefile.in \
+ libgnomeprintui/Makefile.am libgnomeprintui/Makefile.in \
+ tests/Makefile.am tests/Makefile.in || die
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ --disable-static
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+multilib_src_install_all() {
+ DOCS="AUTHORS ChangeLog NEWS README"
+ einstalldocs
+}
diff --git a/gnome-base/libgnomeprintui/metadata.xml b/gnome-base/libgnomeprintui/metadata.xml
new file mode 100644
index 00000000000..da6fd63d008
--- /dev/null
+++ b/gnome-base/libgnomeprintui/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/gnome-base/libgnomeui/Manifest b/gnome-base/libgnomeui/Manifest
new file mode 100644
index 00000000000..6030088a0e2
--- /dev/null
+++ b/gnome-base/libgnomeui/Manifest
@@ -0,0 +1 @@
+DIST libgnomeui-2.24.5.tar.bz2 1440172 SHA256 ae352f2495889e65524c979932c909f4629a58e64290fb0c95333373225d3c0f SHA512 e78fbe909179161acb6f7a1d31b8a247c9007af55c7f9c36422791be8d2681d42edfa582c19db88459d36309a18c03cb859997fe6b5918f602884607a8b6d5d5 WHIRLPOOL 0cfb10abdddd282f45b147fa3214bbaba005e75e5c73ffed962fbb6b828d2e632d3de49c876eb6127bf13b85a9985f3c9dec9571085196d0f23a762f93433f22
diff --git a/gnome-base/libgnomeui/libgnomeui-2.24.5-r1.ebuild b/gnome-base/libgnomeui/libgnomeui-2.24.5-r1.ebuild
new file mode 100644
index 00000000000..188579e56dd
--- /dev/null
+++ b/gnome-base/libgnomeui/libgnomeui-2.24.5-r1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+GNOME_TARBALL_SUFFIX="bz2"
+
+inherit gnome2
+
+DESCRIPTION="User Interface routines for Gnome"
+HOMEPAGE="http://library.gnome.org/devel/libgnomeui/stable/"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+IUSE="test"
+
+# gtk+-2.14 dep instead of 2.12 ensures system doesn't loose VFS capabilities in GtkFilechooser
+RDEPEND="
+ dev-libs/atk
+ >=dev-libs/glib-2.16:2
+ >=dev-libs/libxml2-2.4.20:2
+ >=dev-libs/popt-1.5
+ >=gnome-base/gconf-2:2
+ >=gnome-base/gnome-keyring-0.4
+ >=gnome-base/gnome-vfs-2.7.3:2
+ >=gnome-base/libgnome-2.13.7
+ >=gnome-base/libgnomecanvas-2
+ gnome-base/libgnome-keyring
+ >=gnome-base/libbonoboui-2.13.1
+ >=gnome-base/libglade-2:2.0
+ media-libs/libart_lgpl
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-2.14:2
+ >=x11-libs/pango-1.1.2
+ x11-libs/libICE
+ x11-libs/libSM
+"
+DEPEND="${RDEPEND}
+ dev-util/gtk-doc-am
+ sys-devel/gettext
+ virtual/pkgconfig
+ >=dev-util/intltool-0.40
+"
+PDEPEND="x11-themes/gnome-icon-theme"
+
+src_prepare() {
+ if ! use test; then
+ sed 's/ test-gnome//' -i Makefile.am Makefile.in || die "sed failed"
+ fi
+ gnome2_src_prepare
+}
diff --git a/gnome-base/libgnomeui/metadata.xml b/gnome-base/libgnomeui/metadata.xml
new file mode 100644
index 00000000000..da6fd63d008
--- /dev/null
+++ b/gnome-base/libgnomeui/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/gnome-base/libgtop/Manifest b/gnome-base/libgtop/Manifest
new file mode 100644
index 00000000000..37a35268986
--- /dev/null
+++ b/gnome-base/libgtop/Manifest
@@ -0,0 +1 @@
+DIST libgtop-2.30.0.tar.xz 664476 SHA256 463bcbe5737b1b93f3345ee34abf601e8eb864f507c49ff1921c2737abafc1e5 SHA512 1ea867671744143d7bf128cfc4120ba5dfa85b8491a056b2704c9c116f3f1bdb1065b81cae011f141cbca69f8fff8f1410b076dffbad3356ee2087c521db4a4d WHIRLPOOL 88c2c1cade666e642a06550c447a4467b1ddb9f72496190245fad74a678b436ea498f38243ccf4a42fee8ff14e04fd2404b7a7756c9a880a9a8cf992399eb648
diff --git a/gnome-base/libgtop/libgtop-2.30.0.ebuild b/gnome-base/libgtop/libgtop-2.30.0.ebuild
new file mode 100644
index 00000000000..b8f63fab8d7
--- /dev/null
+++ b/gnome-base/libgtop/libgtop-2.30.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+
+inherit gnome2
+
+DESCRIPTION="A library that provides top functionality to applications"
+HOMEPAGE="http://developer.gnome.org/libgtop/stable/"
+
+LICENSE="GPL-2"
+SLOT="2/10" # libgtop soname version
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 ~sh sparc x86 ~x86-fbsd"
+IUSE="debug +introspection"
+
+RDEPEND=">=dev-libs/glib-2.6:2"
+DEPEND="${RDEPEND}
+ >=dev-util/gtk-doc-am-1.4
+ >=dev-util/intltool-0.35
+ virtual/pkgconfig
+ introspection? ( >=dev-libs/gobject-introspection-0.6.7 )
+"
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-static \
+ $(use_enable introspection)
+}
diff --git a/gnome-base/libgtop/metadata.xml b/gnome-base/libgtop/metadata.xml
new file mode 100644
index 00000000000..3147d749554
--- /dev/null
+++ b/gnome-base/libgtop/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+<use>
+ <flag name="introspection">Use <pkg>dev-libs/gobject-introspection</pkg> for
+ introspection</flag>
+</use>
+</pkgmetadata>
diff --git a/gnome-base/librsvg/Manifest b/gnome-base/librsvg/Manifest
new file mode 100644
index 00000000000..08fcf6f4362
--- /dev/null
+++ b/gnome-base/librsvg/Manifest
@@ -0,0 +1,3 @@
+DIST librsvg-2.40.6.tar.xz 512500 SHA256 8af349f241677b04b7a1ea6b9b33a6343e781bcccc8a09d00208a47342584f06 SHA512 8d901d5d6dde2721db9cb05740ce42fa2520f2f6cc8136a8cb0306b5e6e630166d25da917d169c8d4e11fcfb7834ccb1fe93188f5e9c02c4cddff989d0cf3c51 WHIRLPOOL 99a335a76f31f7474780958d30eb4fe9a950b725d9559c8825e9a268248a56ce9c5048cac2914a99cb3ea9a5787b3de63e32e4b97c09880c994e19845a7f3768
+DIST librsvg-2.40.8.tar.xz 515512 SHA256 0af42ec79ebfc70f980a9adf63f1b63d8150457dc7140dd041484e8c60d5387a SHA512 7d94ad5b03c6f597dcaff3523e32d171a823d340c73505f5b839c0c0fb6c1bae866569062981fa9c712982003d340e9b04ef25cbb2f4c049c4d81488d3813b39 WHIRLPOOL 590ba0b62314d217bc1faa99b28bebcc99d24243819005cbc96cee0303c1ab65f8295b35c750e6cd5d1a248b406a88354497da3f084cd76d7f7a7af480762b9f
+DIST librsvg-2.40.9.tar.xz 519172 SHA256 13964c5d35357552b47d365c34215eee0a63bf0e6059b689f048648c6bf5f43a SHA512 17b72b509b0d38b1291a2a0594739fd650622ab2a913a5e0c864e5060b15093fc49e436c9e2494d57b475572183d1059ae50b7a1d44a1d4d071ac5ef3bcbeaf6 WHIRLPOOL 59bc56631a212893566fb8ed90e45b3e954f7522c21ee1d7b56987a2cc527c6ea8c43238786b159ab0df43e661108b3b089b4b43845f7d9effb4f064cfde7d12
diff --git a/gnome-base/librsvg/files/librsvg-2.40.1-gtk-optional.patch b/gnome-base/librsvg/files/librsvg-2.40.1-gtk-optional.patch
new file mode 100644
index 00000000000..86b8feca50f
--- /dev/null
+++ b/gnome-base/librsvg/files/librsvg-2.40.1-gtk-optional.patch
@@ -0,0 +1,58 @@
+From 18917f7fd3160afe06019f4b6234aeb78a3fdb4e Mon Sep 17 00:00:00 2001
+From: Ross Burton <ross.burton@intel.com>
+Date: Tue, 19 Nov 2013 16:00:29 +0000
+Subject: [PATCH] configure: add option to enable/disable use of GTK+
+
+Distro packagers like predictability and automatically detected optional
+dependencies are not predicable. Add a --with-gtk3 option (default to "auto")
+for forcibly controlling whether GTK+ will be used or not.
+
+Signed-off-by: Ross Burton <ross.burton@intel.com>
+
+https://bugzilla.gnome.org/show_bug.cgi?id=712693
+---
+ configure.in | 17 +++++++++++------
+ 1 file changed, 11 insertions(+), 6 deletions(-)
+
+diff --git a/configure.in b/configure.in
+index f7a89dc..1498f72 100644
+--- a/configure.in
++++ b/configure.in
+@@ -119,17 +119,22 @@ AC_CHECK_FUNCS(strtok_r)
+ # GTK
+ # ===========================================================================
+
+-PKG_CHECK_MODULES([GTK3],[gtk+-3.0 >= $GTK3_REQUIRED],[have_gtk_3=yes],[have_gtk_3=no])
+-
+ GTK3_BINARY_VERSION=
+
+-if test "$have_gtk_3" = "yes"; then
+- GTK3_BINARY_VERSION="`$PKG_CONFIG --variable=gtk_binary_version gtk+-3.0`"
++AC_MSG_CHECKING([whether to use GTK+ 3])
++AC_ARG_WITH([gtk3],
++ [AS_HELP_STRING([--without-gtk3],[Don't build GTK+3 tools (default=auto)])],
++ [],[PKG_CHECK_EXISTS([gtk+-3.0 >= $GTK3_REQUIRED],[with_gtk3=yes],[with_gtk3=no])])
++AC_MSG_RESULT([$with_gtk3])
++
++if test "$with_gtk3" = "yes"; then
++ PKG_CHECK_MODULES(GTK3, [gtk+-3.0 >= $GTK3_REQUIRED])
++ GTK3_BINARY_VERSION="`$PKG_CONFIG --variable=gtk_binary_version gtk+-3.0`"
+ fi
+
+ AC_SUBST([GTK3_BINARY_VERSION])
+
+-AM_CONDITIONAL([HAVE_GTK_3],[test "$have_gtk_3" = "yes"])
++AM_CONDITIONAL([HAVE_GTK_3],[test "$with_gtk3" = "yes"])
+
+ dnl ===========================================================================
+ dnl GDK-Pixbuf SVG loader
+@@ -305,6 +310,6 @@ librsvg-$VERSION
+ Build introspectable bindings: ${found_introspection}
+ Build Vala bindings: ${enable_vala}
+ Build GdkPixbuf loader: ${enable_pixbuf_loader}
+- GTK 3.0: ${have_gtk_3}
++ GTK 3.0: ${with_gtk3}
+ Build miscellaenous tools: ${build_misc_tools}
+ "
+--
+1.7.10.4 \ No newline at end of file
diff --git a/gnome-base/librsvg/files/librsvg-2.40.2-vala-out-of-source.patch b/gnome-base/librsvg/files/librsvg-2.40.2-vala-out-of-source.patch
new file mode 100644
index 00000000000..bda090572a8
--- /dev/null
+++ b/gnome-base/librsvg/files/librsvg-2.40.2-vala-out-of-source.patch
@@ -0,0 +1,28 @@
+From bf4da5524d50e1068f851bcbe50c8f8ae1948d73 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Wed, 18 Jun 2014 09:44:51 +0200
+Subject: [PATCH] build: Fix building .vapi out-of-source.
+
+Rsvg-2.0-custom.vala file resides in $(srcdir), and therefore full path
+needs to be given to vapigen. Otherwise, the build fails when build is
+performed out-of-source.
+---
+ Makefile.am | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/Makefile.am b/Makefile.am
+index e881100..dc6b0c9 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -257,7 +257,7 @@ VAPIGEN_VAPIS = librsvg-$(RSVG_API_VERSION).vapi
+
+ librsvg_@RSVG_API_VERSION_U@_vapi_DEPS = gio-2.0 cairo
+ librsvg_@RSVG_API_VERSION_U@_vapi_METADATADIRS = $(srcdir)
+-librsvg_@RSVG_API_VERSION_U@_vapi_FILES = Rsvg-$(RSVG_API_VERSION).gir Rsvg-$(RSVG_API_VERSION)-custom.vala
++librsvg_@RSVG_API_VERSION_U@_vapi_FILES = Rsvg-$(RSVG_API_VERSION).gir $(srcdir)/Rsvg-$(RSVG_API_VERSION)-custom.vala
+
+ vapidir = $(datadir)/vala/vapi
+ vapi_DATA = $(VAPIGEN_VAPIS)
+--
+2.0.0
+
diff --git a/gnome-base/librsvg/files/librsvg-2.40.7-gtk-optional.patch b/gnome-base/librsvg/files/librsvg-2.40.7-gtk-optional.patch
new file mode 100644
index 00000000000..8857110c150
--- /dev/null
+++ b/gnome-base/librsvg/files/librsvg-2.40.7-gtk-optional.patch
@@ -0,0 +1,58 @@
+From 18917f7fd3160afe06019f4b6234aeb78a3fdb4e Mon Sep 17 00:00:00 2001
+From: Ross Burton <ross.burton@intel.com>
+Date: Tue, 19 Nov 2013 16:00:29 +0000
+Subject: [PATCH] configure: add option to enable/disable use of GTK+
+
+Distro packagers like predictability and automatically detected optional
+dependencies are not predicable. Add a --with-gtk3 option (default to "auto")
+for forcibly controlling whether GTK+ will be used or not.
+
+Signed-off-by: Ross Burton <ross.burton@intel.com>
+
+https://bugzilla.gnome.org/show_bug.cgi?id=712693
+---
+ configure.in | 17 +++++++++++------
+ 1 file changed, 11 insertions(+), 6 deletions(-)
+
+diff --git a/configure.in b/configure.in
+index f7a89dc..1498f72 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -119,17 +119,22 @@ AC_CHECK_FUNCS(strtok_r)
+ # GTK
+ # ===========================================================================
+
+-PKG_CHECK_MODULES([GTK3],[gtk+-3.0 >= $GTK3_REQUIRED],[have_gtk_3=yes],[have_gtk_3=no])
+-
+ GTK3_BINARY_VERSION=
+
+-if test "$have_gtk_3" = "yes"; then
+- GTK3_BINARY_VERSION="`$PKG_CONFIG --variable=gtk_binary_version gtk+-3.0`"
++AC_MSG_CHECKING([whether to use GTK+ 3])
++AC_ARG_WITH([gtk3],
++ [AS_HELP_STRING([--without-gtk3],[Don't build GTK+3 tools (default=auto)])],
++ [],[PKG_CHECK_EXISTS([gtk+-3.0 >= $GTK3_REQUIRED],[with_gtk3=yes],[with_gtk3=no])])
++AC_MSG_RESULT([$with_gtk3])
++
++if test "$with_gtk3" = "yes"; then
++ PKG_CHECK_MODULES(GTK3, [gtk+-3.0 >= $GTK3_REQUIRED])
++ GTK3_BINARY_VERSION="`$PKG_CONFIG --variable=gtk_binary_version gtk+-3.0`"
+ fi
+
+ AC_SUBST([GTK3_BINARY_VERSION])
+
+-AM_CONDITIONAL([HAVE_GTK_3],[test "$have_gtk_3" = "yes"])
++AM_CONDITIONAL([HAVE_GTK_3],[test "$with_gtk3" = "yes"])
+
+ dnl ===========================================================================
+ dnl GDK-Pixbuf SVG loader
+@@ -305,6 +310,6 @@ librsvg-$VERSION
+ Build introspectable bindings: ${found_introspection}
+ Build Vala bindings: ${enable_vala}
+ Build GdkPixbuf loader: ${enable_pixbuf_loader}
+- GTK 3.0: ${have_gtk_3}
++ GTK 3.0: ${with_gtk3}
+ Build miscellaenous tools: ${build_misc_tools}
+ "
+--
+1.7.10.4 \ No newline at end of file
diff --git a/gnome-base/librsvg/librsvg-2.40.6.ebuild b/gnome-base/librsvg/librsvg-2.40.6.ebuild
new file mode 100644
index 00000000000..76a8c24e0c8
--- /dev/null
+++ b/gnome-base/librsvg/librsvg-2.40.6.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+VALA_MIN_API_VERSION="0.18"
+VALA_USE_DEPEND="vapigen"
+
+inherit autotools gnome2 multilib-minimal vala
+
+DESCRIPTION="Scalable Vector Graphics (SVG) rendering library"
+HOMEPAGE="https://wiki.gnome.org/Projects/LibRsvg"
+
+LICENSE="LGPL-2"
+SLOT="2"
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="+introspection vala tools"
+REQUIRED_USE="
+ vala? ( introspection )
+"
+
+RDEPEND="
+ >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+ >=x11-libs/cairo-1.12.14-r4[${MULTILIB_USEDEP}]
+ >=x11-libs/pango-1.36.3[${MULTILIB_USEDEP}]
+ >=dev-libs/libxml2-2.9.1-r4:2[${MULTILIB_USEDEP}]
+ >=dev-libs/libcroco-0.6.8-r1[${MULTILIB_USEDEP}]
+ >=x11-libs/gdk-pixbuf-2.30.7:2[introspection?,${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-0.10.8 )
+ tools? ( >=x11-libs/gtk+-3.2.0:3 )
+"
+DEPEND="${RDEPEND}
+ dev-libs/gobject-introspection-common
+ dev-libs/vala-common
+ >=dev-util/gtk-doc-am-1.13
+ >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+ vala? ( $(vala_depend) )
+"
+# >=gtk-doc-am-1.13, gobject-introspection-common, vala-common needed by eautoreconf
+
+src_prepare() {
+ # https://bugzilla.gnome.org/show_bug.cgi?id=712693
+ epatch "${FILESDIR}/${PN}-2.40.1-gtk-optional.patch"
+
+ # https://bugzilla.gnome.org/show_bug.cgi?id=731826
+ epatch "${FILESDIR}/${PN}-2.40.2-vala-out-of-source.patch"
+
+ eautoreconf
+
+ use vala && vala_src_prepare
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ local myconf=()
+
+ # -Bsymbolic is not supported by the Darwin toolchain
+ if [[ ${CHOST} == *-darwin* ]]; then
+ myconf+=( --disable-Bsymbolic )
+ fi
+
+ # --disable-tools even when USE=tools; the tools/ subdirectory is useful
+ # only for librsvg developers
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ --disable-static \
+ --disable-tools \
+ $(multilib_native_use_enable introspection) \
+ $(multilib_native_use_with tools gtk3) \
+ $(multilib_native_use_enable vala) \
+ --enable-pixbuf-loader \
+ "${myconf[@]}"
+
+ if multilib_is_native_abi; then
+ ln -s "${S}"/doc/html doc/html || die
+ fi
+}
+
+multilib_src_compile() {
+ # causes segfault if set, see bug #411765
+ unset __GL_NO_DSO_FINALIZER
+ gnome2_src_compile
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+pkg_postinst() {
+ # causes segfault if set, see bug 375615
+ unset __GL_NO_DSO_FINALIZER
+ multilib_foreach_abi gnome2_pkg_postinst
+}
+
+pkg_postrm() {
+ # causes segfault if set, see bug 375615
+ unset __GL_NO_DSO_FINALIZER
+ multilib_foreach_abi gnome2_pkg_postrm
+}
diff --git a/gnome-base/librsvg/librsvg-2.40.8.ebuild b/gnome-base/librsvg/librsvg-2.40.8.ebuild
new file mode 100644
index 00000000000..e000c9215b6
--- /dev/null
+++ b/gnome-base/librsvg/librsvg-2.40.8.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+VALA_MIN_API_VERSION="0.18"
+VALA_USE_DEPEND="vapigen"
+
+inherit autotools gnome2 multilib-minimal vala
+
+DESCRIPTION="Scalable Vector Graphics (SVG) rendering library"
+HOMEPAGE="https://wiki.gnome.org/Projects/LibRsvg"
+
+LICENSE="LGPL-2"
+SLOT="2"
+KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="+introspection vala tools"
+REQUIRED_USE="
+ vala? ( introspection )
+"
+
+RDEPEND="
+ >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+ >=x11-libs/cairo-1.12.14-r4[${MULTILIB_USEDEP}]
+ >=x11-libs/pango-1.36.3[${MULTILIB_USEDEP}]
+ >=dev-libs/libxml2-2.9.1-r4:2[${MULTILIB_USEDEP}]
+ >=dev-libs/libcroco-0.6.8-r1[${MULTILIB_USEDEP}]
+ >=x11-libs/gdk-pixbuf-2.30.7:2[introspection?,${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-0.10.8 )
+ tools? ( >=x11-libs/gtk+-3.2.0:3 )
+"
+DEPEND="${RDEPEND}
+ dev-libs/gobject-introspection-common
+ dev-libs/vala-common
+ >=dev-util/gtk-doc-am-1.13
+ >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+ vala? ( $(vala_depend) )
+"
+# >=gtk-doc-am-1.13, gobject-introspection-common, vala-common needed by eautoreconf
+
+src_prepare() {
+ # https://bugzilla.gnome.org/show_bug.cgi?id=653323
+ epatch "${FILESDIR}/${PN}-2.40.7-gtk-optional.patch"
+
+ # https://bugzilla.gnome.org/show_bug.cgi?id=731826
+ epatch "${FILESDIR}/${PN}-2.40.2-vala-out-of-source.patch"
+
+ eautoreconf
+
+ use vala && vala_src_prepare
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ local myconf=()
+
+ # -Bsymbolic is not supported by the Darwin toolchain
+ if [[ ${CHOST} == *-darwin* ]]; then
+ myconf+=( --disable-Bsymbolic )
+ fi
+
+ # --disable-tools even when USE=tools; the tools/ subdirectory is useful
+ # only for librsvg developers
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ --disable-static \
+ --disable-tools \
+ $(multilib_native_use_enable introspection) \
+ $(multilib_native_use_with tools gtk3) \
+ $(multilib_native_use_enable vala) \
+ --enable-pixbuf-loader \
+ "${myconf[@]}"
+
+ if multilib_is_native_abi; then
+ ln -s "${S}"/doc/html doc/html || die
+ fi
+}
+
+multilib_src_compile() {
+ # causes segfault if set, see bug #411765
+ unset __GL_NO_DSO_FINALIZER
+ gnome2_src_compile
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+pkg_postinst() {
+ # causes segfault if set, see bug 375615
+ unset __GL_NO_DSO_FINALIZER
+ multilib_foreach_abi gnome2_pkg_postinst
+}
+
+pkg_postrm() {
+ # causes segfault if set, see bug 375615
+ unset __GL_NO_DSO_FINALIZER
+ multilib_foreach_abi gnome2_pkg_postrm
+}
diff --git a/gnome-base/librsvg/librsvg-2.40.9.ebuild b/gnome-base/librsvg/librsvg-2.40.9.ebuild
new file mode 100644
index 00000000000..8bf03692634
--- /dev/null
+++ b/gnome-base/librsvg/librsvg-2.40.9.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+VALA_MIN_API_VERSION="0.18"
+VALA_USE_DEPEND="vapigen"
+
+inherit autotools gnome2 multilib-minimal vala
+
+DESCRIPTION="Scalable Vector Graphics (SVG) rendering library"
+HOMEPAGE="https://wiki.gnome.org/Projects/LibRsvg"
+
+LICENSE="LGPL-2"
+SLOT="2"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+
+IUSE="+introspection vala tools"
+REQUIRED_USE="
+ vala? ( introspection )
+"
+
+RDEPEND="
+ >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+ >=x11-libs/cairo-1.12.14-r4[${MULTILIB_USEDEP}]
+ >=x11-libs/pango-1.36.3[${MULTILIB_USEDEP}]
+ >=dev-libs/libxml2-2.9.1-r4:2[${MULTILIB_USEDEP}]
+ >=dev-libs/libcroco-0.6.8-r1[${MULTILIB_USEDEP}]
+ >=x11-libs/gdk-pixbuf-2.30.7:2[introspection?,${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-0.10.8:= )
+ tools? ( >=x11-libs/gtk+-3.2.0:3 )
+"
+DEPEND="${RDEPEND}
+ dev-libs/gobject-introspection-common
+ dev-libs/vala-common
+ >=dev-util/gtk-doc-am-1.13
+ >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+ vala? ( $(vala_depend) )
+"
+# >=gtk-doc-am-1.13, gobject-introspection-common, vala-common needed by eautoreconf
+
+src_prepare() {
+ # https://bugzilla.gnome.org/show_bug.cgi?id=653323
+ epatch "${FILESDIR}/${PN}-2.40.7-gtk-optional.patch"
+
+ # https://bugzilla.gnome.org/show_bug.cgi?id=731826
+ epatch "${FILESDIR}/${PN}-2.40.2-vala-out-of-source.patch"
+
+ eautoreconf
+
+ use vala && vala_src_prepare
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ local myconf=()
+
+ # -Bsymbolic is not supported by the Darwin toolchain
+ if [[ ${CHOST} == *-darwin* ]]; then
+ myconf+=( --disable-Bsymbolic )
+ fi
+
+ # --disable-tools even when USE=tools; the tools/ subdirectory is useful
+ # only for librsvg developers
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ --disable-static \
+ --disable-tools \
+ $(multilib_native_use_enable introspection) \
+ $(multilib_native_use_with tools gtk3) \
+ $(multilib_native_use_enable vala) \
+ --enable-pixbuf-loader \
+ "${myconf[@]}"
+
+ if multilib_is_native_abi; then
+ ln -s "${S}"/doc/html doc/html || die
+ fi
+}
+
+multilib_src_compile() {
+ # causes segfault if set, see bug #411765
+ unset __GL_NO_DSO_FINALIZER
+ gnome2_src_compile
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+pkg_postinst() {
+ # causes segfault if set, see bug 375615
+ unset __GL_NO_DSO_FINALIZER
+ multilib_foreach_abi gnome2_pkg_postinst
+}
+
+pkg_postrm() {
+ # causes segfault if set, see bug 375615
+ unset __GL_NO_DSO_FINALIZER
+ multilib_foreach_abi gnome2_pkg_postrm
+}
diff --git a/gnome-base/librsvg/metadata.xml b/gnome-base/librsvg/metadata.xml
new file mode 100644
index 00000000000..259490bff2a
--- /dev/null
+++ b/gnome-base/librsvg/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+<use>
+ <flag name="tools">Build svg viewer tool</flag>
+</use>
+</pkgmetadata>
diff --git a/gnome-base/metadata.xml b/gnome-base/metadata.xml
new file mode 100644
index 00000000000..0fe9232faaf
--- /dev/null
+++ b/gnome-base/metadata.xml
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE catmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<catmetadata>
+ <longdescription lang="en">
+ The gnome-base category contains core GNOME packages.
+ </longdescription>
+ <longdescription lang="de">
+ Die Kategorie gnome-base enthält die GNOME Basispakete.
+ </longdescription>
+ <longdescription lang="es">
+ La catagoría gnome-base contiene los paquetes principales de GNOME.
+ </longdescription>
+ <longdescription lang="ja">
+ gnome-baseカテゴリーにはGNOMEのコア・パッケージが含まれています。
+ </longdescription>
+ <longdescription lang="nl">
+ De gnome-base categorie bevat de basisonderdelen van de GNOME desktopomgeving.
+ </longdescription>
+ <longdescription lang="vi">
+ Nhóm gnome-base chứa các gói GNOME cốt lõi.
+ </longdescription>
+ <longdescription lang="it">
+ La categoria gnome-base contiene i pacchetti base di GNOME.
+ </longdescription>
+ <longdescription lang="pt">
+ A categoria gnome-base contém os pacotes principais de GNOME.
+ </longdescription>
+ <longdescription lang="pl">
+ Kategoria gnome-base zawiera podstawowe pakiety środowiska GNOME.
+ </longdescription>
+</catmetadata>
+
diff --git a/gnome-base/nautilus/Manifest b/gnome-base/nautilus/Manifest
new file mode 100644
index 00000000000..80caf94f8a2
--- /dev/null
+++ b/gnome-base/nautilus/Manifest
@@ -0,0 +1,2 @@
+DIST nautilus-3.14.2.tar.xz 3344428 SHA256 b2c9e13ba896a15101abf5d5fe30e291243e6030e0c84e8eb5df1e7bd90c10a5 SHA512 9d07878fc2474c7444fb7c573ce1886514b82ecb386365e608de81473184791daf17875b7ea471a7bef2c84df0d6d06b207223c7b5ec64d195e46865440ceff6 WHIRLPOOL c29af2fe684abeeffe58d6ba872b97b846db5d97cace8b73196fb77a024262f82df1908bac975b67938db9a12091dee681f1d827a551eb2610d11a6db2164495
+DIST nautilus-3.16.2.tar.xz 3325172 SHA256 3e7ecdda3a47b6ad03098270940aa506782866fa3602d91e711d99f96741478f SHA512 06b4c338fe2295122b35053d754d8bb797cfeedf736db3a52dd290d7742d79fbbf50c23a3d59e62ef937f3ebf6b67f26f12a652b75d42a8b44462a3e1eef1be1 WHIRLPOOL bd6d3aee888474e247f19cf95fecead27a86296afcab04de7052b8403df95d9b776b0c93bad04b748ba638d4edfc3fc11e8fbce50142a0aad517a0ed35038f9c
diff --git a/gnome-base/nautilus/files/nautilus-3.14.2-active-slot.patch b/gnome-base/nautilus/files/nautilus-3.14.2-active-slot.patch
new file mode 100644
index 00000000000..b1941996021
--- /dev/null
+++ b/gnome-base/nautilus/files/nautilus-3.14.2-active-slot.patch
@@ -0,0 +1,51 @@
+From c9f259ca8f5541ac879320b5d168ae7b4bc46d86 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Nelson=20Ben=C3=ADtez=20Le=C3=B3n?=
+ <nbenitezl+gnome@gmail.com>
+Date: Sat, 27 Dec 2014 00:27:36 +0500
+Subject: nautilus-window: make sure active slot is closed last
+
+When destroying window and closing all slots, the closing
+of the active slot will trigger activation of next free slot,
+we don't want to be activating slots as part of
+'closing all slots' logic.
+
+Fixes bug 741952
+
+diff --git a/src/nautilus-window.c b/src/nautilus-window.c
+index 124fc57..38dea35 100644
+--- a/src/nautilus-window.c
++++ b/src/nautilus-window.c
+@@ -1531,6 +1531,18 @@ nautilus_window_get_property (GObject *object,
+ }
+ }
+
++static gint
++sort_slots_active_last (NautilusWindowSlot *a, NautilusWindowSlot *b, NautilusWindow *window)
++{
++ if (window->details->active_slot == a) {
++ return 1;
++ }
++ if (window->details->active_slot == b) {
++ return -1;
++ }
++ return 0;
++}
++
+ static void
+ destroy_slots_foreach (gpointer data,
+ gpointer user_data)
+@@ -1557,6 +1569,11 @@ nautilus_window_destroy (GtkWidget *object)
+
+ /* close all slots safely */
+ slots_copy = g_list_copy (window->details->slots);
++ if (window->details->active_slot != NULL) {
++ /* Make sure active slot is last one to be closed, to avoid default activation
++ * of others slots when closing the active one, see bug #741952 */
++ slots_copy = g_list_sort_with_data (slots_copy, (GCompareFunc) sort_slots_active_last, window);
++ }
+ g_list_foreach (slots_copy, (GFunc) destroy_slots_foreach, window);
+ g_list_free (slots_copy);
+
+--
+cgit v0.10.1
+
diff --git a/gnome-base/nautilus/files/nautilus-3.14.2-parse-force-desktop.patch b/gnome-base/nautilus/files/nautilus-3.14.2-parse-force-desktop.patch
new file mode 100644
index 00000000000..a106f4cdeef
--- /dev/null
+++ b/gnome-base/nautilus/files/nautilus-3.14.2-parse-force-desktop.patch
@@ -0,0 +1,38 @@
+From 845e8dbe02a3609b3d7df41dd0df38f8bbad3682 Mon Sep 17 00:00:00 2001
+From: Carlos Soriano <carlos.sorian89@gmail.com>
+Date: Fri, 5 Dec 2014 17:57:19 +0100
+Subject: nautilus-application: Parse force-desktop before exiting
+
+In commit ae4d4960 we introduced a regression that a new window was
+openned if both --no-default-window and --force-desktop options were
+used.
+
+To avoid that, activate those options before actually skipping the
+activate of the application if --no-default-window option is provided.
+
+The application nornally would exit if --no-default-window is provided
+and the show-desktop-window is not activated, but, we rely on a the
+detail that activating the open-desktop action when --force-desktop is
+provided as a option, creates a new window, which makes the application
+keep alive.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=741166
+
+diff --git a/src/nautilus-application.c b/src/nautilus-application.c
+index f26c8c7..c336a39 100644
+--- a/src/nautilus-application.c
++++ b/src/nautilus-application.c
+@@ -930,7 +930,9 @@ nautilus_application_handle_local_options (GApplication *application,
+ self->priv->desktop_override = TRUE;
+ g_action_group_activate_action (G_ACTION_GROUP (application),
+ "close-desktop", NULL);
+- } else if (g_variant_dict_contains (options, "no-default-window")) {
++ }
++
++ if (g_variant_dict_contains (options, "no-default-window")) {
+ /* We want to avoid trigering the activate signal; so no window is created.
+ * GApplication doesn't call activate if we return a value >= 0.
+ * Use EXIT_SUCCESS since is >= 0. */
+--
+cgit v0.10.1
+
diff --git a/gnome-base/nautilus/files/nautilus-3.14.2-unreadable-names.patch b/gnome-base/nautilus/files/nautilus-3.14.2-unreadable-names.patch
new file mode 100644
index 00000000000..54d5d5a5dfc
--- /dev/null
+++ b/gnome-base/nautilus/files/nautilus-3.14.2-unreadable-names.patch
@@ -0,0 +1,28 @@
+From 29ed1dee800341e8fcde739d0561ecc9d14e7f10 Mon Sep 17 00:00:00 2001
+From: Carlos Soriano <carlos.soriano89@gmail.com>
+Date: Fri, 22 Aug 2014 19:18:30 +0200
+Subject: nautilus-list-view: Avoid unreadable names
+
+Currently if the view is resized, the column name is resized as well
+given that use ellipsization allowing the column to become unreadable.
+To avoid that, use width-chars property to set a desired width, but at
+the same time allowing the user to resize without limits the name column
+if desired.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=732004
+
+diff --git a/src/nautilus-list-view.c b/src/nautilus-list-view.c
+index 8711af6..b361734 100644
+--- a/src/nautilus-list-view.c
++++ b/src/nautilus-list-view.c
+@@ -2066,6 +2066,7 @@ create_and_set_up_tree_view (NautilusListView *view)
+ g_object_set (cell,
+ "ellipsize", PANGO_ELLIPSIZE_END,
+ "single-paragraph-mode", TRUE,
++ "width-chars", 30,
+ "xpad", 5,
+ NULL);
+
+--
+cgit v0.10.1
+
diff --git a/gnome-base/nautilus/files/nautilus-3.5.91-delete.patch b/gnome-base/nautilus/files/nautilus-3.5.91-delete.patch
new file mode 100644
index 00000000000..072b34ea913
--- /dev/null
+++ b/gnome-base/nautilus/files/nautilus-3.5.91-delete.patch
@@ -0,0 +1,44 @@
+From 92af7beb790ad9181e5a6a89ac52f177354536f2 Mon Sep 17 00:00:00 2001
+From: Alexandre Rostovtsev <tetromino@gentoo.org>
+Date: Thu, 8 Dec 2011 18:39:28 -0500
+Subject: [PATCH] Delete key should delete files
+
+Make the Delete key delete files like in nautilus-2.x and every other
+file manager on the planet. Note: the nautilus-3 Ctrl+Delete shortcut
+will also continue to work.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=647048
+https://bugs.gentoo.org/show_bug.cgi?id=393663
+---
+ src/nautilus-view.c | 6 +++++-
+ 1 file changed, 5 insertions(+), 1 deletion(-)
+
+diff --git a/src/nautilus-view.c b/src/nautilus-view.c
+index f51d916..0a50994 100644
+--- a/src/nautilus-view.c
++++ b/src/nautilus-view.c
+@@ -7237,7 +7237,7 @@ static const GtkActionEntry directory_view_entries[] = {
+ /* tooltip */ NULL,
+ G_CALLBACK (action_rename_select_all_callback) },
+ /* name, stock id */ { NAUTILUS_ACTION_TRASH, NULL,
+- /* label, accelerator */ N_("Mo_ve to Trash"), "<control>Delete",
++ /* label, accelerator */ N_("Mo_ve to Trash"), "Delete",
+ /* tooltip */ N_("Move each selected item to the Trash"),
+ G_CALLBACK (action_trash_callback) },
+ /* name, stock id */ { NAUTILUS_ACTION_DELETE, NULL,
+@@ -9895,8 +9895,12 @@ nautilus_view_class_init (NautilusViewClass *klass)
+ binding_set = gtk_binding_set_by_class (klass);
+ gtk_binding_entry_add_signal (binding_set, GDK_KEY_Delete, GDK_CONTROL_MASK,
+ "trash", 0);
++ gtk_binding_entry_add_signal (binding_set, GDK_KEY_Delete, 0,
++ "trash", 0);
+ gtk_binding_entry_add_signal (binding_set, GDK_KEY_KP_Delete, GDK_CONTROL_MASK,
+ "trash", 0);
++ gtk_binding_entry_add_signal (binding_set, GDK_KEY_KP_Delete, 0,
++ "trash", 0);
+ gtk_binding_entry_add_signal (binding_set, GDK_KEY_KP_Delete, GDK_SHIFT_MASK,
+ "delete", 0);
+ }
+--
+1.7.12
+
diff --git a/gnome-base/nautilus/metadata.xml b/gnome-base/nautilus/metadata.xml
new file mode 100644
index 00000000000..2442ab3cd9a
--- /dev/null
+++ b/gnome-base/nautilus/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+<use>
+ <flag name="packagekit">Use packagekit to search for programs to open
+ unknown file types</flag>
+ <flag name="previewer">Use <pkg>gnome-extra/sushi</pkg> to preview files
+ from the file mananger</flag>
+ <flag name="sendto">Enable the nautilus-sendto extension to send files to
+ various locations/devices</flag>
+ <flag name="tracker">Add support for <pkg>app-misc/tracker</pkg> search</flag>
+</use>
+</pkgmetadata>
diff --git a/gnome-base/nautilus/nautilus-3.14.2-r1.ebuild b/gnome-base/nautilus/nautilus-3.14.2-r1.ebuild
new file mode 100644
index 00000000000..0583fa9214e
--- /dev/null
+++ b/gnome-base/nautilus/nautilus-3.14.2-r1.ebuild
@@ -0,0 +1,138 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes" # Needed with USE 'sendto'
+
+inherit eutils gnome2 readme.gentoo virtualx
+
+DESCRIPTION="A file manager for the GNOME desktop"
+HOMEPAGE="https://wiki.gnome.org/Apps/Nautilus"
+
+LICENSE="GPL-2+ LGPL-2+ FDL-1.1"
+SLOT="0"
+
+# profiling?
+IUSE="debug exif gnome +introspection packagekit +previewer sendto tracker xmp"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux"
+
+# FIXME: tests fails under Xvfb, but pass when building manually
+# "FAIL: check failed in nautilus-file.c, line 8307"
+RESTRICT="test"
+
+# FIXME: selinux support is automagic
+# Require {glib,gdbus-codegen}-2.30.0 due to GDBus API changes between 2.29.92
+# and 2.30.0
+COMMON_DEPEND="
+ >=dev-libs/glib-2.35.3:2[dbus]
+ >=x11-libs/pango-1.28.3
+ >=x11-libs/gtk+-3.13.2:3[introspection?]
+ >=dev-libs/libxml2-2.7.8:2
+ >=gnome-base/gnome-desktop-3:3=
+
+ gnome-base/dconf
+ >=gnome-base/gsettings-desktop-schemas-3.8.0
+ >=x11-libs/libnotify-0.7:=
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXrender
+
+ exif? ( >=media-libs/libexif-0.6.20 )
+ introspection? ( >=dev-libs/gobject-introspection-0.6.4 )
+ tracker? ( >=app-misc/tracker-0.16:= )
+ xmp? ( >=media-libs/exempi-2.1.0 )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-lang/perl-5
+ >=dev-util/gdbus-codegen-2.33
+ >=dev-util/gtk-doc-am-1.4
+ >=dev-util/intltool-0.40.1
+ sys-devel/gettext
+ virtual/pkgconfig
+ x11-proto/xproto
+"
+RDEPEND="${COMMON_DEPEND}
+ packagekit? ( app-admin/packagekit-base )
+ sendto? ( !<gnome-extra/nautilus-sendto-3.0.1 )
+"
+
+# For eautoreconf
+# gnome-base/gnome-common
+# dev-util/gtk-doc-am"
+
+PDEPEND="
+ gnome? (
+ >=x11-themes/gnome-icon-theme-1.1.91
+ x11-themes/gnome-icon-theme-symbolic )
+ tracker? ( >=gnome-extra/nautilus-tracker-tags-0.12 )
+ previewer? ( >=gnome-extra/sushi-0.1.9 )
+ sendto? ( >=gnome-extra/nautilus-sendto-3.0.1 )
+ >=gnome-base/gvfs-1.14[gtk]
+"
+# Need gvfs[gtk] for recent:/// support
+
+src_prepare() {
+ if use previewer; then
+ DOC_CONTENTS="nautilus uses gnome-extra/sushi to preview media files.
+ To activate the previewer, select a file and press space; to
+ close the previewer, press space again."
+ fi
+
+ # Restore the nautilus-2.x Delete shortcut (Ctrl+Delete will still work);
+ # bug #393663
+ epatch "${FILESDIR}/${PN}-3.5.91-delete.patch"
+
+ # nautilus-application: Parse force-desktop before exiting (from '3.14')
+ epatch "${FILESDIR}/${P}-parse-force-desktop.patch"
+
+ # nautilus-window: make sure active slot is closed last (from '3.14')
+ epatch "${FILESDIR}/${P}-active-slot.patch"
+
+ # nautilus-list-view: Avoid unreadable names (from '3.14')
+ epatch "${FILESDIR}/${P}-unreadable-names.patch"
+
+ # Remove -D*DEPRECATED flags. Don't leave this for eclass! (bug #448822)
+ sed -e 's/DISABLE_DEPRECATED_CFLAGS=.*/DISABLE_DEPRECATED_CFLAGS=/' \
+ -i configure || die "sed failed"
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ DOCS="AUTHORS HACKING MAINTAINERS NEWS README* THANKS"
+ gnome2_src_configure \
+ --disable-profiling \
+ --disable-update-mimedb \
+ $(use_enable debug) \
+ $(use_enable exif libexif) \
+ $(use_enable introspection) \
+ $(use_enable packagekit) \
+ $(use_enable sendto nst-extension) \
+ $(use_enable tracker) \
+ $(use_enable xmp)
+}
+
+src_test() {
+ gnome2_environment_reset
+ unset DBUS_SESSION_BUS_ADDRESS
+ export GSETTINGS_BACKEND="memory"
+ Xemake check
+ unset GSETTINGS_BACKEND
+}
+
+src_install() {
+ use previewer && readme.gentoo_create_doc
+ gnome2_src_install
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if use previewer; then
+ readme.gentoo_print_elog
+ else
+ elog "To preview media files, emerge nautilus with USE=previewer"
+ fi
+}
diff --git a/gnome-base/nautilus/nautilus-3.16.2.ebuild b/gnome-base/nautilus/nautilus-3.16.2.ebuild
new file mode 100644
index 00000000000..c90e4582134
--- /dev/null
+++ b/gnome-base/nautilus/nautilus-3.16.2.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes" # Needed with USE 'sendto'
+
+inherit eutils gnome2 readme.gentoo virtualx
+
+DESCRIPTION="A file manager for the GNOME desktop"
+HOMEPAGE="https://wiki.gnome.org/Apps/Nautilus"
+
+LICENSE="GPL-2+ LGPL-2+ FDL-1.1"
+SLOT="0"
+
+# profiling?
+IUSE="exif gnome +introspection packagekit +previewer sendto tracker xmp"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux"
+
+# FIXME: tests fails under Xvfb, but pass when building manually
+# "FAIL: check failed in nautilus-file.c, line 8307"
+RESTRICT="test"
+
+# FIXME: selinux support is automagic
+# Require {glib,gdbus-codegen}-2.30.0 due to GDBus API changes between 2.29.92
+# and 2.30.0
+COMMON_DEPEND="
+ >=dev-libs/glib-2.43.4:2[dbus]
+ >=x11-libs/pango-1.28.3
+ >=x11-libs/gtk+-3.15.2:3[introspection?]
+ >=dev-libs/libxml2-2.7.8:2
+ >=gnome-base/gnome-desktop-3:3=
+
+ gnome-base/dconf
+ >=gnome-base/gsettings-desktop-schemas-3.8.0
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXrender
+
+ exif? ( >=media-libs/libexif-0.6.20 )
+ introspection? ( >=dev-libs/gobject-introspection-0.6.4 )
+ tracker? ( >=app-misc/tracker-0.16:= )
+ xmp? ( >=media-libs/exempi-2.1.0 )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-lang/perl-5
+ >=dev-util/gdbus-codegen-2.33
+ >=dev-util/gtk-doc-am-1.4
+ >=dev-util/intltool-0.40.1
+ sys-devel/gettext
+ virtual/pkgconfig
+ x11-proto/xproto
+"
+RDEPEND="${COMMON_DEPEND}
+ packagekit? ( app-admin/packagekit-base )
+ sendto? ( !<gnome-extra/nautilus-sendto-3.0.1 )
+"
+
+# For eautoreconf
+# gnome-base/gnome-common
+# dev-util/gtk-doc-am"
+
+PDEPEND="
+ gnome? (
+ >=x11-themes/gnome-icon-theme-1.1.91
+ x11-themes/gnome-icon-theme-symbolic )
+ tracker? ( >=gnome-extra/nautilus-tracker-tags-0.12 )
+ previewer? ( >=gnome-extra/sushi-0.1.9 )
+ sendto? ( >=gnome-extra/nautilus-sendto-3.0.1 )
+ >=gnome-base/gvfs-1.14[gtk]
+"
+# Need gvfs[gtk] for recent:/// support
+
+src_prepare() {
+ if use previewer; then
+ DOC_CONTENTS="nautilus uses gnome-extra/sushi to preview media files.
+ To activate the previewer, select a file and press space; to
+ close the previewer, press space again."
+ fi
+
+ # Remove -D*DEPRECATED flags. Don't leave this for eclass! (bug #448822)
+ sed -e 's/DISABLE_DEPRECATED_CFLAGS=.*/DISABLE_DEPRECATED_CFLAGS=/' \
+ -i configure || die "sed failed"
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ DOCS="AUTHORS HACKING MAINTAINERS NEWS README* THANKS"
+ gnome2_src_configure \
+ --disable-profiling \
+ --disable-update-mimedb \
+ $(use_enable exif libexif) \
+ $(use_enable introspection) \
+ $(use_enable packagekit) \
+ $(use_enable sendto nst-extension) \
+ $(use_enable tracker) \
+ $(use_enable xmp)
+}
+
+src_test() {
+ gnome2_environment_reset
+ unset DBUS_SESSION_BUS_ADDRESS
+ export GSETTINGS_BACKEND="memory"
+ Xemake check
+ unset GSETTINGS_BACKEND
+}
+
+src_install() {
+ use previewer && readme.gentoo_create_doc
+ gnome2_src_install
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if use previewer; then
+ readme.gentoo_print_elog
+ else
+ elog "To preview media files, emerge nautilus with USE=previewer"
+ fi
+}
diff --git a/gnome-base/orbit/Manifest b/gnome-base/orbit/Manifest
new file mode 100644
index 00000000000..38d038e18d5
--- /dev/null
+++ b/gnome-base/orbit/Manifest
@@ -0,0 +1 @@
+DIST ORBit2-2.14.19.tar.bz2 764820 SHA256 55c900a905482992730f575f3eef34d50bda717c197c97c08fa5a6eafd857550 SHA512 313e125234e8d1195be277ad125af169f12ce312cb541a4641c5d57d3c905bbdc6a46672a86a012409cf4d7af58b5122f0e5db250730b65e8d95b2d5f4c4657e WHIRLPOOL ed9dffba86ab5a5409fbdfcbe8017ae3251ca261aa57b3ee1089ddfad0422f73e848ed72d3881d664ffe88a3582a8c4652394517ab814c4f0983d446891a1306
diff --git a/gnome-base/orbit/files/orbit-2.14.19-aix-func_data.patch b/gnome-base/orbit/files/orbit-2.14.19-aix-func_data.patch
new file mode 100644
index 00000000000..b58fd00a10b
--- /dev/null
+++ b/gnome-base/orbit/files/orbit-2.14.19-aix-func_data.patch
@@ -0,0 +1,99 @@
+From c50f193f69f9b14dd26fafb7cb4c9514eaa6f15e Mon Sep 17 00:00:00 2001
+From: Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>
+Date: Thu, 26 Jun 2014 12:45:18 +0200
+Subject: [PATCH 1/2] bug#732275: rename func_data to gfunc_data for AIX
+
+---
+ include/orbit/orb-core/allocators.h | 2 +-
+ src/idl-compiler/orbit-idl-utils.c | 14 +++++++-------
+ src/idl-compiler/orbit-idl2.h | 4 ++--
+ 3 files changed, 10 insertions(+), 10 deletions(-)
+
+diff --git a/include/orbit/orb-core/allocators.h b/include/orbit/orb-core/allocators.h
+index 0401a15..1861ca1 100644
+--- a/include/orbit/orb-core/allocators.h
++++ b/include/orbit/orb-core/allocators.h
+@@ -41,7 +41,7 @@ gpointer ORBit_realloc_tcval (gpointer old,
+ Below, some magic values of the fnc ptr are defined.
+ **/
+ typedef gpointer (*ORBit_Mem_free_fn) (gpointer mem,
+- gpointer func_data);
++ gpointer gfunc_data);
+
+ #define ORBIT_MEMHOW_HOW(how) ((how) & 0x3)
+ #define ORBIT_MEMHOW_ELEMENTS(how) ((how) >> 2)
+diff --git a/src/idl-compiler/orbit-idl-utils.c b/src/idl-compiler/orbit-idl-utils.c
+index 3bb0467..04fe4a2 100644
+--- a/src/idl-compiler/orbit-idl-utils.c
++++ b/src/idl-compiler/orbit-idl-utils.c
+@@ -362,7 +362,7 @@ orbit_idl_print_node(IDL_tree node, int indent_level)
+
+ static void
+ IDL_tree_traverse_helper(IDL_tree p, GFunc f,
+- gconstpointer func_data,
++ gconstpointer gfunc_data,
+ GHashTable *visited_nodes,
+ gboolean include_self)
+ {
+@@ -376,17 +376,17 @@ IDL_tree_traverse_helper(IDL_tree p, GFunc f,
+ for (curitem = IDL_INTERFACE (p).inheritance_spec; curitem;
+ curitem = IDL_LIST (curitem).next) {
+ IDL_tree_traverse_helper (IDL_get_parent_node
+- (IDL_LIST (curitem).data, IDLN_INTERFACE, NULL), f, func_data, visited_nodes, TRUE);
++ (IDL_LIST (curitem).data, IDLN_INTERFACE, NULL), f, gfunc_data, visited_nodes, TRUE);
+ }
+
+ if (include_self)
+- f(p, (gpointer)func_data);
++ f(p, (gpointer)gfunc_data);
+ }
+
+ void
+ IDL_tree_traverse_parents_full (IDL_tree p,
+ GFunc f,
+- gconstpointer func_data,
++ gconstpointer gfunc_data,
+ gboolean include_self)
+ {
+ GHashTable *visited_nodes = g_hash_table_new (NULL, g_direct_equal);
+@@ -400,7 +400,7 @@ IDL_tree_traverse_parents_full (IDL_tree p,
+ if (!p)
+ return;
+
+- IDL_tree_traverse_helper (p, f, func_data, visited_nodes, include_self);
++ IDL_tree_traverse_helper (p, f, gfunc_data, visited_nodes, include_self);
+
+ g_hash_table_destroy (visited_nodes);
+ }
+@@ -408,9 +408,9 @@ IDL_tree_traverse_parents_full (IDL_tree p,
+ void
+ IDL_tree_traverse_parents (IDL_tree p,
+ GFunc f,
+- gconstpointer func_data)
++ gconstpointer gfunc_data)
+ {
+- IDL_tree_traverse_parents_full (p, f, func_data, TRUE);
++ IDL_tree_traverse_parents_full (p, f, gfunc_data, TRUE);
+ }
+
+ /* For use by below function */
+diff --git a/src/idl-compiler/orbit-idl2.h b/src/idl-compiler/orbit-idl2.h
+index b58f57f..670e072 100644
+--- a/src/idl-compiler/orbit-idl2.h
++++ b/src/idl-compiler/orbit-idl2.h
+@@ -16,10 +16,10 @@ void orbit_idl_print_node (IDL_tree node,
+ int indent_level);
+ void IDL_tree_traverse_parents (IDL_tree p,
+ GFunc f,
+- gconstpointer func_data);
++ gconstpointer gfunc_data);
+ void IDL_tree_traverse_parents_full (IDL_tree p,
+ GFunc f,
+- gconstpointer func_data,
++ gconstpointer gfunc_data,
+ gboolean include_self);
+ gboolean orbit_cbe_type_contains_complex (IDL_tree ts);
+ void orbit_idl_check_oneway_op (IDL_tree op);
+--
+1.8.3.2
+
diff --git a/gnome-base/orbit/files/orbit-2.14.19-automake-1.13.patch b/gnome-base/orbit/files/orbit-2.14.19-automake-1.13.patch
new file mode 100644
index 00000000000..fcfeefba08c
--- /dev/null
+++ b/gnome-base/orbit/files/orbit-2.14.19-automake-1.13.patch
@@ -0,0 +1,22 @@
+ test/everything/Makefile.am | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/test/everything/Makefile.am b/test/everything/Makefile.am
+index 32beb36..1eef7ac 100644
+--- a/test/everything/Makefile.am
++++ b/test/everything/Makefile.am
+@@ -73,12 +73,12 @@ server_DEPENDENCIES=${EVERYTHING_BUILT} $(included_src)
+
+ IDL_FLAGS= --showcpperrors --add-imodule
+ IDL_FILES= everything.idl
+-include $(top_srcdir)/Makefile.shared
++include ../../Makefile.shared
+
+ BUILT_SOURCES = ${EVERYTHING_BUILT} everything-imodule.c
+ CLEANFILES = ${BUILT_SOURCES} iorfile
+
+-TESTS = $(srcdir)/test.sh
++TESTS = test.sh
+
+ EXTRA_DIST = $(IDL_FILES) test.sh $(included_src)
+
diff --git a/gnome-base/orbit/files/orbit-2.14.19-fPIC.patch b/gnome-base/orbit/files/orbit-2.14.19-fPIC.patch
new file mode 100644
index 00000000000..394919f9856
--- /dev/null
+++ b/gnome-base/orbit/files/orbit-2.14.19-fPIC.patch
@@ -0,0 +1,46 @@
+From 31236105deaa4b50a70aa256819bfc4790f705d8 Mon Sep 17 00:00:00 2001
+From: Alexandre Rostovtsev <tetromino@gentoo.org>
+Date: Sun, 3 Mar 2013 13:29:24 -0500
+Subject: [PATCH] Add an option to build libname-server-2.a's objects as PIC
+
+Needed for Gentoo hardened, see https://bugs.gentoo.org/show_bug.cgi?id=312161
+---
+ configure.in | 9 +++++++++
+ src/services/name/Makefile.am | 1 +
+ 2 files changed, 10 insertions(+)
+
+diff --git a/configure.in b/configure.in
+index 0879051..38b7b8b 100644
+--- a/configure.in
++++ b/configure.in
+@@ -118,6 +118,15 @@ if test z$enable_purify = zyes; then
+ AC_DEFINE(ORBIT_PURIFY, 1, [defined if purify is enabled])
+ fi
+
++AC_ARG_ENABLE([libname-server-pic],
++ [AS_HELP_STRING([--enable-libname-server-pic], [force libname-server-2.a to be built as PIC])])
++if test x$enable_libname_server_pic = xyes; then
++ LIBNAME_SERVER_PIC=$lt_prog_compiler_pic
++else
++ LIBNAME_SERVER_PIC=
++fi
++AC_SUBST(LIBNAME_SERVER_PIC)
++
+ AC_MSG_CHECKING(which idl compiler to use)
+ IDL_COMPILER="\$(top_builddir)/src/idl-compiler/orbit-idl-2\$(EXEEXT)"
+ AC_ARG_WITH(idl-compiler,
+diff --git a/src/services/name/Makefile.am b/src/services/name/Makefile.am
+index 7212557..21b7365 100644
+--- a/src/services/name/Makefile.am
++++ b/src/services/name/Makefile.am
+@@ -65,6 +65,7 @@ name_client_2_LDADD = $(LDADDS)
+ libname_server_2_a_SOURCES = orbit-name-server.c CosNaming-skels.c \
+ name-support.c name-support.h
+ libname_server_2_a_DEPENDENCIES = $(DEPS) CosNaming.h
++libname_server_2_a_CFLAGS = $(INCLUDES) $(LIBNAME_SERVER_PIC)
+
+ orbit_name_server_2_SOURCES = boot.c
+ orbit_name_server_2_LDFLAGS = $(FLAGS)
+--
+1.8.1.5
+
diff --git a/gnome-base/orbit/files/orbit-2.14.19-link_protocol_is_local.patch b/gnome-base/orbit/files/orbit-2.14.19-link_protocol_is_local.patch
new file mode 100644
index 00000000000..2344935f46d
--- /dev/null
+++ b/gnome-base/orbit/files/orbit-2.14.19-link_protocol_is_local.patch
@@ -0,0 +1,29 @@
+From 8b9acc9bd4ac9be12317f24c7ecafc4200e19609 Mon Sep 17 00:00:00 2001
+From: Alexandre Rostovtsev <tetromino@gentoo.org>
+Date: Tue, 12 Feb 2013 00:27:41 -0500
+Subject: [PATCH] Fix link_protocol_is_local_ipv46 for ipv4 on some
+ ipv6-enabled machines
+
+Ensure that saddr is compared to an ipv4 local_addr, not to an ipv6 one,
+by setting hints.ai_family before calling getaddrinfo().
+
+https://bugzilla.gnome.org/show_bug.cgi?id=693636
+---
+ linc2/src/linc-protocols.c | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/linc2/src/linc-protocols.c b/linc2/src/linc-protocols.c
+index e6895f4..22a77aa 100644
+--- a/linc2/src/linc-protocols.c
++++ b/linc2/src/linc-protocols.c
+@@ -383,6 +383,7 @@ link_protocol_is_local_ipv46 (const LinkProtocolInfo *proto,
+ memset(&hints, 0, sizeof(hints));
+ hints.ai_socktype = SOCK_STREAM;
+ hints.ai_flags = AI_CANONNAME;
++ hints.ai_family = proto->family;
+
+ if (getaddrinfo(link_get_local_hostname(), NULL, &hints, &local_addr) != 0) {
+ if (!warned++)
+--
+1.8.1.2
+
diff --git a/gnome-base/orbit/files/orbit-2.14.19-parallel-build.patch b/gnome-base/orbit/files/orbit-2.14.19-parallel-build.patch
new file mode 100644
index 00000000000..113b90465ba
--- /dev/null
+++ b/gnome-base/orbit/files/orbit-2.14.19-parallel-build.patch
@@ -0,0 +1,25 @@
+From c67303ecfdf80072a2852433c7f7818113e61c06 Mon Sep 17 00:00:00 2001
+From: Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>
+Date: Thu, 26 Jun 2014 12:37:59 +0200
+Subject: [PATCH 2/2] bug#732274: fix parallel build failure
+
+---
+ src/services/name/Makefile.am | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/services/name/Makefile.am b/src/services/name/Makefile.am
+index deda1ed..8cf868e 100644
+--- a/src/services/name/Makefile.am
++++ b/src/services/name/Makefile.am
+@@ -68,7 +68,7 @@ libname_server_2_a_DEPENDENCIES = $(DEPS) CosNaming.h
+
+ orbit_name_server_2_SOURCES = boot.c
+ orbit_name_server_2_LDFLAGS = $(FLAGS)
+-orbit_name_server_2_DEPENDENCIES = $(DEPS) CosNaming.h
++orbit_name_server_2_DEPENDENCIES = $(DEPS) CosNaming.h libname-server-2.a
+ orbit_name_server_2_LDADD = libname-server-2.a $(LDADDS)
+
+ $(libname_server_2_a_OBJECTS) $(name_client_2_OBJECTS) $(orbit_name_server_2_OBJECTS) : CosNaming.h
+--
+1.8.3.2
+
diff --git a/gnome-base/orbit/metadata.xml b/gnome-base/orbit/metadata.xml
new file mode 100644
index 00000000000..2965e3cff49
--- /dev/null
+++ b/gnome-base/orbit/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+<use>
+ <flag name="pic">Force libname-server-2 to be built as PIC; needed on
+ hardened systems</flag>
+</use>
+</pkgmetadata>
diff --git a/gnome-base/orbit/orbit-2.14.19-r4.ebuild b/gnome-base/orbit/orbit-2.14.19-r4.ebuild
new file mode 100644
index 00000000000..59270cf6c96
--- /dev/null
+++ b/gnome-base/orbit/orbit-2.14.19-r4.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME_ORG_MODULE="ORBit2"
+GNOME_TARBALL_SUFFIX="bz2"
+GNOME2_LA_PUNT="yes"
+
+inherit eutils gnome2 toolchain-funcs autotools
+
+DESCRIPTION="ORBit2 is a high-performance CORBA ORB"
+HOMEPAGE="http://projects.gnome.org/ORBit2/"
+
+LICENSE="GPL-2 LGPL-2"
+SLOT="2"
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
+IUSE="pic static-libs test"
+REQUIRED_USE="test? ( debug )"
+
+RDEPEND=">=dev-libs/glib-2.8:2
+ >=dev-libs/libIDL-0.8.2
+"
+DEPEND="${RDEPEND}
+ dev-util/gtk-doc-am
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ # Fix wrong process kill, bug #268142
+ sed "s:killall lt-timeout-server:killall timeout-server:" \
+ -i test/timeout.sh || die "sed 1 failed"
+
+ # Do not mess with CFLAGS
+ sed 's/-ggdb -O0//' -i configure.in configure || die "sed 2 failed"
+
+ if ! use test; then
+ sed -i -e 's/test //' Makefile.am || die
+ fi
+
+ # Drop failing test, bug #331709
+ sed -i -e 's/test-mem //' test/Makefile.am || die
+
+ # Fix link_protocol_is_local() for ipv4 on machines with ipv6
+ # https://bugzilla.gnome.org/show_bug.cgi?id=693636
+ epatch "${FILESDIR}/${PN}-2.14.19-link_protocol_is_local.patch"
+
+ # Build libname-server-2.a with -fPIC on hardened, bug #312161
+ epatch "${FILESDIR}/${PN}-2.14.19-fPIC.patch"
+
+ epatch "${FILESDIR}"/${P}-automake-1.13.patch
+ epatch "${FILESDIR}"/${P}-parallel-build.patch #273031
+ epatch "${FILESDIR}"/${P}-aix-func_data.patch #515094
+
+ eautoreconf
+ gnome2_src_prepare
+}
+
+src_configure() {
+ local myconf=()
+ DOCS="AUTHORS ChangeLog HACKING MAINTAINERS NEWS README* TODO"
+
+ # We need to unset IDL_DIR, which is set by RSI's IDL. This causes certain
+ # files to be not found by autotools when compiling ORBit. See bug #58540
+ # for more information. Please don't remove -- 8/18/06
+ unset IDL_DIR
+
+ # We need to use the hosts IDL compiler if cross-compiling, bug #262741
+ if tc-is-cross-compiler; then
+ # check that host version is present and executable
+ [[ -x ${EPREFIX}/usr/bin/orbit-idl-2 ]] || die "Please emerge ~${CATEGORY}/${P} on the host system first"
+ myconf=("${myconf[@]}" "--with-idl-compiler=${EPREFIX}/usr/bin/orbit-idl-2")
+ fi
+ gnome2_src_configure \
+ $(use_enable pic libname-server-pic) \
+ $(use_enable static-libs static) \
+ "${myconf[@]}"
+}
+
+src_test() {
+ # can fail in parallel, see bug #235994
+ emake -j1 check
+}